enchant(); //the magic words that start enchant.js
//Stage Variables
var moveSpeed = 4;
var health = 4;
var lives = 3;
var randomizer = 0
var stgWidth = 432;
var stgHeight = 243;
var bPress = false;
var aPress = false;
var ani = 0; //This variable refers to the character's animation.
var owner = 0; //For Lloyd: 0 = Player & 1 = Cutscene
var scene = 0; //This variable is used to determine which cutscene is being played.
var timer = 0; //This variable determines timing in seconds for cutscenes.
var line = 0;
var sceneAction = false;
var musicTimer = 0;

//Fade
Fade = Class.create(Sprite, {
    initialize: function() {
        Sprite.call(this, 432, 243);
        this.image = game.assets['img/misc/fade.png'];
        this.ani = 0;
        this.opacity = 0;
    },
    onenterframe: function() {
        if(this.ani = 0)
        {
            this.frame = 0;
        }
        else
        {
            this.frame = 1;
        }

        if(this.opacity <= 0.9)
        {
            this.opacity += 0.1;
        }
    }
});
//Fade
Transition = Class.create(Sprite, {
    initialize: function() {
        Sprite.call(this, 432, 243);
        this.image = game.assets['img/misc/transition.png'];
    },
    onenterframe: function() {
        if(this.age % 3 === 0)
        {
            this.frame ++;
        }
    }
});
//Skip Level Button
Skip = Class.create(Sprite, {
    initialize: function() {
        Sprite.call(this, 64, 32);
        this.image = game.assets['img/dev/skip.png'];
    }
});
//Game Over Class
GameOver = Class.create(Sprite, {
    initialize: function() {
        Sprite.call(this,100,50);
        this.image = game.assets['img/gameover.png'];
        this.timer = 100;
    },
    onenterframe: function() {
        if(this.y <= 121.5)
        {
            this.y ++;
        }
        else
        {
            if(this.timer >= 1)
            {
                this.timer --;
            }
            else
            {
                location.reload(true);
            }
        }
    }
});
//02 Player Class
Lloyd = Class.create(Sprite, {
    initialize: function() {
        //Set Sprite
        Sprite.call(this, 87, 63);
        this.image = game.assets['img/cha/lloyd-sheet.png'];
        //03 Bind Keys
        game.keybind(65, 'left');
        game.keybind(68, 'right');
        game.keybind(87, 'up');
        game.keybind(83, 'down');
        game.keybind(74, 'a');
        game.keybind(75, 'b');
        //04 Define Variables
        this.ani = 0;
        this.owner = 1;
        this.health = 4;
        this.moveSpeed = 4.3;
        this.randomizer = 0;
        this.bPress = false;
    }
});
//02 Enemy Class
Gorilla = Class.create(Sprite, {
    initialize: function() {
        //Set Sprite
        Sprite.call(this, 55, 63);
        this.image = game.assets['img/cha/gorilla-sheet.png'];
        //04 Define Variables
        this.ani = 0;
        this.owner = 0;
        this.moveSpeed = 4;
        this.health = 4;
    },
    onenterframe: function() {
        if(this.health == 0 && this.ani == 0)
        {
            this.ani = -2;
        }
        if(this.ani == -2)
        {
            if(this.age % 3 === 0)
            {
                if(this.frame <= 15)
                {
                    this.frame = 16;
                }
                else
                {
                    if(this.frame <= 18)
                    {
                        this.frame ++;
                    }
                    else
                    {
                        this.ani = -2.5;
                        this.frame = -1;
                    }
                }
            }
        }
    }
});
//Plasma Shots
Plasma = Class.create(Sprite, {
    initialize: function() {
        //Set Sprite
        Sprite.call(this, 13, 7);
        this.image = game.assets['img/sfx/plasma.png'];
    },
    onenterframe: function() {
        this.x += this.scaleX * 5;
    }
});
//02 Spring Class
Spring = Class.create(Sprite, {
    initialize: function() {
        //Set Sprite
        Sprite.call(this, 55, 16);
        this.image = game.assets['img/spring-sheet.png'];
    }
});
//HUD Class
HUD = Class.create(Sprite, {
    initialize: function() {
        //Set Sprite
        Sprite.call(this,131,32);
        this.image = game.assets['img/hud.png'];
    }
});
//Explosion Class
Explosion = Class.create(Sprite, {
    initialize: function() {
        //Set Sprite
        Sprite.call(this,100,100);
        this.image = game.assets['img/sfx/explosion_large.png'];
    },
    onenterframe: function() {
        if(this.age % 2 === 0)
        {
            this.frame ++;
        }
    }
});
//Robogorilla Class
RoboGorilla = Class.create(Sprite, {
    initialize: function() {
        //Set Sprite
        Sprite.call(this,54,63);
        this.image = game.assets['img/cha/robogorilla-sheet.png'];
        this.health = 2;
        this.timer = 60;
        this.jumpHeight = 12
    },
    onenterframe: function() {
        if(this.health >= 1)
        {
            //Animation
            if(this.age % 2 === 0)
            {
                if(this.frame >= 1)
                {
                    this.frame = 0;
                }
                else
                {
                    this.frame ++;
                }
            }
            //Timer
            if(this.timer >= 1)
            {
                this.timer --;
            }
            else
            {
                this.timer = 60;
            }
        }
        else
        {
            this.y += 6;
        }
    }
});

//Lura Class
Lura = Class.create(Sprite, {
    initialize: function() {
        //Set Sprite
        Sprite.call(this,51,105);
        this.image = game.assets['img/cha/lura-sheet.png'];
        this.ani = 0;
    }
});
//Boss 1 Class
Hyperion = Class.create(Sprite, {
    initialize: function() {
        //Set Sprite
        Sprite.call(this,75,63);
        this.image = game.assets['img/cha/hyperion-sheet.png'];
        this.randomizer = 0;
        this.owner = 1;
        this.health = 10;
        this.timer = 15;
        this.jumpHeight = 10;
        this.ani = 0;
    },    
});
//Boss 3 Class
Turmes = Class.create(Sprite, {
    initialize: function() {
        //Set Sprite
        Sprite.call(this,65,63);
        this.image = game.assets['img/cha/turmes.png'];
        this.randomizer = 0;
        this.owner = 1;
        this.health = 15;
        this.timer = 15;
        this.jumpHeight = 10;
        this.ani = 0;
    },    
});
//Dialogue Box Class
Dialogue = Class.create(Sprite, {
    initialize: function() {
        //Set Sprite
        Sprite.call(this,214,61);
        this.image = game.assets['img/sfx/dialouge-boxes.png'];
        this.frame = -1;
        this.line = 0;
        this.aPress = false;
        this.sceneAction = true;      
    },
    onenterframe: function() {
        if(game.input.a || game.input.b)
        {
            if(this.aPress == false)
            {
                if(this.sceneAction == false)
                {
                    this.line ++;
                    this.aPress = true;
                }
            }
        }
        else
        {
            this.aPress = false;
        }
    }
});
//Portal Class
Portal = Class.create(Sprite, {
    initialize: function() {
        //Set Sprite
        Sprite.call(this,50,63);
        this.image = game.assets['img/misc/portal.png'];
    },
    onenterframe: function() {
        if(this.age % 2 === 0)
        {
            if(this.frame == 1)
            {
                this.frame = 0;
            }
            else
            {
                this.frame ++;
            }
        }
    }
});
//Portal Class
Train = Class.create(Sprite, {
    initialize: function() {
        //Set Sprite
        Sprite.call(this,70,126);
        this.image = game.assets['img/misc/train.png'];
        this.timer = 15;
        this.scaleX = .1;
        this.scaleY = .1;
    },
    onenterframe: function() {
        if(this.timer >= 1)
        {
            this.scaleX += .1;
            this.scaleY += .1;
            this.timer --;
        }
        else
        {
            this.y += 5;
            if(this.y >= 336)
            {
                this.timer = 15;
                this.scaleX = .1;
                this.scaleY = .1;
                this.y = 96;
            }
        }
    }
});
//Logo Class
Logo = Class.create(Sprite, {
    initialize: function() {
        //Set Sprite
        Sprite.call(this,249,45);
        this.image = game.assets['img/logo.png'];
    }
});
//3D Player Class
D3Lloyd = Class.create(Sprite, {
    initialize: function() {
        //Set Sprite
        Sprite.call(this, 60, 68);
        this.image = game.assets['img/3d/lloyd.png'];
        //03 Bind Keys
        game.keybind(78, 'a');
        game.keybind(77, 'b');
        //04 Define Variables
        this.x = 216;
        this.y =
        this.ani = 1;
        this.jumpHeight = 12;
        this.scaleX = 3;
        this.scaleY = 3;
    },
    onenterframe: function() {
        //Gravity
        this.y += 5;
        //Actions
        if(this.ani == -1)
        {
            if(this.jumpHeight >= 1)
            {
                this.y -= this.jumpHeight * 1.5;
                this.jumpHeight --;
                this.scaleX += .1;
                this.scaleY += .1;
            }
            if(this.age % 2 === 0)
            {
                if(this.frame <= 5)
                {
                    this.frame = 6;
                }
                else
                {
                    if(this.frame <= 9)
                    {
                        this.frame ++;
                    }
                    else
                    {
                        this.frame = 6;
                    }
                }
            }
        }
        if(this.ani == 0)
        {
            this.frame = 0;
        }
        if(this.ani == 1)
        {
            if(this.scaleX >= 1.25 && this.scaleY >= 1.25)
            {
                this.scaleX -= 0.25;
                this.scaleY -= 0.25;
            }
            if(this.jumpHeight >= 1)
            {
                this.y -= this.jumpHeight * 1.5;
                this.jumpHeight --;
            }
            if(this.age % 5 === 0)
            {
                if(this.frame <= 4)
                {
                    this.frame ++;
                }
            }
            if(this.y >= 190)
            {
                this.ani = -1;
            }
        }
    }
});

Kronos = Class.create(Sprite, {
    initialize: function(){
        Sprite.call(this, 75, 63);
        this.image = game.assets['img/cha/kronos-battle.png'];
        this.health = 15;
        this.timer = 150;
    }
})
//3D Jet Class
D3Jet = Class.create(Sprite, {
    initialize: function() {
        //Set Sprite
        Sprite.call(this, 75, 18);
        this.image = game.assets['img/3d/jet.png'];
        //04 Define Variables
        this.x = 216;
        this.y = 121.5;
        this.scaleX = 3;
        this.scaleY = 3;
        this.tx = this.x;
        this.ty = this.y;
        this.ani = 0;
    },
    onenterframe: function() {
        //Entrance
        if(this.scaleX >= 1.5 && this.scaleY >= 1.5)
        {
            this.scaleX -= 0.5;
            this.scaleY -= 0.5;
        }
        //Animation
        if(this.frame == 0)
        {
            this.frame = 1;
        }
        else
        {
            this.frame == 0;
        }
        //Movement
        if(this.ani == 0)
        {
            if(game.input.left && !game.input.right)
            {
                this.x -= 5;
            }
            if(game.input.right && !game.input.left)
            {
                this.x += 5;
            }
            if(game.input.up && !game.input.down)
            {
                this.y -= 5;
            }
            if(game.input.down && !game.input.up)
            {
                this.y += 5;
            }
        }
        else
        {
            this.rotate(45);
            if(this.scaleX >= 0)
            {
                this.scaleX -= .1;
                this.scaleY -= .1;
                this.y += 5;
            }
            else
            {
                this.frame = -1;
            }
        }
        
    }
});
//Floor Class
D3Floor = Class.create(Sprite, {
    initialize: function() {
        //Set Sprite
        Sprite.call(this, 432, 32);
        this.image = game.assets['img/3d/floor.png'];
        //04 Define Variables
        this.y = 211;
    },
    onenterframe: function() {
        //Animation
        if(this.age % 2 === 0)
        {
            if(this.frame <= 6)
            {
                this.frame ++;
            }
            else
            {
                this.frame = 0;
            }
        }
    }
});
//3D Gate Class
D3Gate = Class.create(Sprite, {
    initialize: function() {
        //Set Sprite
        Sprite.call(this, 432, 211);
        this.image = game.assets['img/3d/gate.png'];
        //04 Define Variables
        this.y = 0;
        this.gateTime = 50;
    },
    onenterframe: function() {
        //Animation
        if(this.gateTime >= 1)
        {
            if(this.age % 5 === 0)
            {
                if(this.frame <= 1)
                {
                    this.frame ++;
                }
                else
                {
                    this.frame = 0;
                    this.gateTime --
                }
            }
        }
        else
        {
            if(this.age % 5 === 0)
            {
                if(this.frame <= 2)
                {
                    this.frame = 3;
                }
                if(this.frame <= 5)
                {
                    this.frame ++;
                }
                else
                {
                    this.frame = 0;
                    this.gateTime = 30;
                }
            }
        }
    }
});
//3D Diamond Class
Diamond = Class.create(Sprite, {
    initialize: function() {
        //Set Sprite
        Sprite.call(this, 32, 32);
        this.image = game.assets['img/3d/diamond.png'];
        //04 Define Variables
        this.ani = 0
        this.scaleX = 0;
        this.scaleY = 0;
        this.spawnTimer = Math.random() * 150;
    },
    onenterframe: function() {
        //Animation
        if(this.ani == 0)
        {
            if(this.age % 2 === 0)
            {
                if(this.frame <= 4)
                {
                    this.frame ++;
                }
                else
                {
                    this.frame = 0;
                }
            }
        }
        else
        {
            if(this.age % 2 === 0)
            {
               if(this.frame <= 5)
                {
                    this.frame = 6;
                }
                else
                {
                    if(!this.frame == 7)
                    {
                        this.frame ++;
                    }
                    else
                    {
                        this.scaleX = 0;
                        this.scaleY = 0;
                        this.ani = 0;
                    }
                } 
            }
        }
        //Scaling In
        if(this.ani == 0)
        {
            if(this.scaleX == 0)
            {
                if(this.spawnTimer >= 1)
                {
                    this.spawnTimer --;
                }
                else
                {
                    this.x = (Math.random() * 432);
                    this.y = (Math.random() * 234);
                    if(this.x <= -32 || this.x >= 432 || this.y <= -32 || this.y >= 234)
                    {
                        this.x = Math.random();
                        this.y = Math.random();
                    }
                    this.scaleX = 0.1;
                    this.spawnTimer = Math.random() * 150;
                }
            }
            if(this.scaleX >= 0.1)
            {
                if(this.scaleX <= 1.5)
                {
                    this.scaleX += 0.1;
                    this.scaleY += 0.1;
                }
                else
                {
                    this.scaleX = 0;
                    this.scaleY = 0;   
                }
            }
            
        }
    }
});
//3D Pearl Class
Pearl = Class.create(Sprite, {
    initialize: function() {
        //Set Sprite
        Sprite.call(this, 31, 31);
        this.image = game.assets['img/3d/pearl.png'];
        //04 Define Variables
        this.x = stgWidth / 2;
        this.y = stgHeight / 2;
        this.scaleX = 0;
        this.scaleY = 0;
        this.spawnTimer = 9999;
    },
    onenterframe: function() {
        //Animation
        if(this.age % 3 === 0)
        {
            if(this.frame == 0)
            {
                this.frame ++;
            }
            else
            {
                this.frame = 0;
            }
        }
        //Scaling In
        if(this.scaleX == 0)
        {
            if(this.spawnTimer >= 1)
            {
                this.spawnTimer --;
            }
            else
            {
                this.scaleX = 0.1;
                this.scaleY = 0.1;
            }
        }
        if(this.scaleX >= 0.1)
        {
            if(this.scaleX <= 1.5)
            {
                this.scaleX += 0.1;
                this.scaleY += 0.1;
            }
        }
    }
});
//3D Mine Class
Mine = Class.create(Sprite, {
    initialize: function() {
        //Set Sprite
        Sprite.call(this, 94, 91);
        this.image = game.assets['img/3d/mine.png'];
        //04 Define Variables
        this.ani = 0
        this.scaleX = 0;
        this.scaleY = 0;
        this.spawnTimer = Math.random() * 150;
    },
    onenterframe: function() {
        //Animation
        if(this.ani == 0)
        {
            this.frame = 0
        }
        else
        {
            if(this.age % 2 === 0)
            {
               if(this.frame <= 3)
                {
                    this.frame ++
                }
                else
                {
                    this.scaleX = 0;
                    this.scaleY = 0;
                    this.ani = 0;
                } 
            }
        }
        //Scaling In
        if(this.ani == 0)
        {
            if(this.scaleX == 0)
            {
                if(this.spawnTimer >= 1)
                {
                    this.spawnTimer --;
                }
                else
                {
                    this.x = (Math.random() * 432);
                    this.y = (Math.random() * 234);
                    if(this.x <= -32 || this.x >= 432 || this.y <= -32 || this.y >= 234)
                    {
                        this.x = Math.random();
                        this.y = Math.random();
                    }
                    this.scaleX = 0.1;
                    this.spawnTimer = Math.random() * 150;
                }
            }
            if(this.scaleX >= 0.1)
            {
                if(this.scaleX <= 1.5)
                {
                    this.scaleX += 0.1;
                    this.scaleY += 0.1;
                }
                else
                {
                    this.scaleX = 0;
                    this.scaleY = 0;   
                }
            }
            
        }
    }
});

//Begin game code
window.onload = function() {
    game = new Game(stgWidth, stgHeight);
    //Preload game images 1
    game.preload('img/cha/lloyd-sheet.png', 'img/tiles.png', 'img/cha/gorilla-sheet.png', 'img/spring-sheet.png', 'img/cha/robogorilla-sheet.png','img/sfx/plasma.png');
    //Preload Boss images
    game.preload('img/cha/hyperion-sheet.png','img/cha/atlas-head.png', 'img/cha/atlas-hand.png', 'img/cha/turmes.png', 'img/cha/hydra-head.png', 'img/cha/hydra-body.png', 'img/sfx/fire.png');
    game.preload('img/cha/kronos-battle.png')
    //Preload Item images
    game.preload('img/misc/portal.png','img/misc/train.png');
    //Preload NPC images
    game.preload('img/cha/lura-sheet.png','img/cha/violet-sheet.png');
    //Preload cutscene images
    game.preload('img/sfx/dialouge-boxes.png', 'img/sfx/warp.png', 'img/misc/transition.png','img/cha/kronos-casual.png');
    //Preload SFX
    game.preload('img/misc/grenade.png','img/misc/explosion.png', 'img/sfx/portal.png','img/sfx/spark.png');
    //Preload HUD & menu assets
    game.preload('img/hud.png', 'img/logo.png','img/dev/skip.png','img/gameover.png');
    //Preload Foregrounds
    game.preload('img/bg/sky_01.png','img/bg/forest_01.png','img/bg/forest_02.png','img/bg/forest_03.png','img/bg/tree.png','img/bg/swing.png');
    //Preload Props
    game.preload('img/bg/teleporter.png', 'img/bg/tree_02.png', 'img/bg/city_01.png', 'img/bg/water.png','img/misc/fade.png','img/sfx/bomb.png');
    //Preload Backgrounds
    game.preload('img/bg/monkeycity1_bg.png','img/bg/monkeycity2_bg1.png','img/bg/monkeycity2_bg2.png','img/bg/sub.png','img/bg/paris1_bg.png','img/bg/paris2_bg.png', 'img/bg/parthenon.png', 'img/bg/athens1_bg.png','img/bg/athens2_bg.png');
    game.preload('img/bg/egypt1_bg1.png','img/bg/egypt1_bg2.png','img/bg/egyptscene_bg.png','img/bg/egypt2_bg1.png','img/bg/chernobyl1_bg.png','img/bg/chernobyl1_bg2.png');
    //Preload 3D Stage Assets
    game.preload('img/3d/lloyd.png','img/3d/jet.png','img/3d/floor.png','img/3d/diamond.png','img/3d/mine.png','img/3d/gate.png','img/3d/pearl.png');
    //Preload Game Over Screen Assets
    game.preload('img/bg/city.png','img/bg/wasteland.png')
    //Preload Cutscene Assets
    game.preload('img/cin/ring.png', 'img/cin/cin-lloyd.png' ,'img/cin/pod.png','img/cin/endimage.png');
    //Preload Music
    game.preload('audio/bgm/Lloydjungle1cut.mp3','audio/bgm/Lloydbossmusic.mp3','audio/bgm/NYC.mp3','audio/bgm/Paris.mp3','audio/bgm/Chrynoble_final.mp3','audio/bgm/Egyptrocks.mp3');
    //Preload More Music
    //Preload SFX
    game.preload('audio/sfx/slash.wav','audio/sfx/projectile.wav','audio/sfx/explosion01.wav')

    game.onload = function() { //Prepares the game
        game.lives = 3;
        game.scene = 0;
        //Create Title Scene
            var OpeningScene = Class.create(Scene, {
                initialize: function(){
                    console.log("Opening Scene!");
                    game.scene = 0;

                    
                    Scene.apply(this);
                    //Add backgrounds
                    bg = new Sprite(2772,243);
                    bg.image = game.assets['img/bg/monkeycity1_bg.png'];
                    this.addChild(bg);
                    //Add timer
                    this.timer = 60;
                    //Add Game Logo
                    logo = new Logo();
                    logo.x = stgWidth/2-124.5;
                    logo.y = stgHeight/2 - 45;
                    this.addChild(logo);
                    //Define text.
                    var crawl1 = new Label("Press 'J' Key");
                    crawl1.x = stgWidth/4 + 64;
                    crawl1.y = logo.y + 85;
                    this.addChild(crawl1);
                    var crawl2 = new Label("(c) 2017 MEYER GAMES");
                    crawl2.y = stgHeight - 16;
                    this.addChild(crawl2);
                    transition = new Transition();

                    bg.addEventListener(Event.ENTER_FRAME, function(){
                        if(this.age % 3 === 0)
                        {
                            if(this.frame == 0)
                            {
                                this.frame ++;
                            }
                            else
                            {
                                this.frame = 0;
                            }
                        }
                    });
                    

                    transition.addEventListener(Event.ENTER_FRAME, function(){
                        if(this.frame >= 5)
                        {
                            game.pushScene(levelOne);
                            game.bgm = game.assets['audio/bgm/Lloydjungle1cut.mp3']; // background music
                            game.musicTimer = 1150;
                            game.bgm.play();
                        }
                    });
                    this.addEventListener(Event.ENTER_FRAME, function(){
                        if(game.input.a)
                        {
                            this.addChild(transition);
                        }
                    });

                }
            });
        //Create Scene 1 (Monkey City Act 1)
            var MonkeyCityOne = Class.create(Scene, {
            initialize: function(){
                
                console.log("Monkey City One!");
                
                Scene.apply(this);
                //Add Backgrounds
                bg = new Sprite(2722,243);
                bg.image = game.assets['img/bg/monkeycity1_bg.png'];
                bg.y = -5;
                //Create Map
                map = new Map(32,16);
                map.image = game.assets['img/tiles.png'];
                map.loadData(
                    [
                    /*     01,02,03,04,05,06,07,08,09,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,*/
                    /*00*/[25,25,25,25,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                    /*01*/[25,-1,-1,-1,-1,-1,-1,-1,-1, 1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                    /*02*/[25,-1,-1,-1,-1,-1,-1,-1,-1, 4,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                    /*03*/[25,-1,-1,-1,-1,-1,-1,-1,-1, 4,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                    /*04*/[25,-1,-1,-1,-1,-1,-1,-1,-1, 4,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1, 1, 1, 1, 1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                    /*05*/[25,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1, 4, 4, 4, 4,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                    /*06*/[25,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1, 1, 1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1, 1, 1, 1, 1, 1, 1, 1, 1, 1,-1,-1,-1,-1,-1,-1,-1,-1,-1, 4, 4, 4, 4,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                    /*07*/[25,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1, 4, 4,-1,-1, 1, 1, 2,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1, 4, 4, 4, 4, 4, 4, 4, 4, 4,-1,-1,-1,-1,-1,-1, 0, 1, 1, 4, 4, 4, 4,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                    /*08*/[25,-1,-1,-1, 0, 1, 1, 2,-1,-1,-1,-1, 4, 4,-1,-1, 4, 4, 5, 2,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1, 4, 4, 4, 4, 4, 4, 4, 4, 4,-1,-1,-1,-1,-1, 0, 3, 4, 4, 4, 4, 4, 4,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                    /*09*/[25,-1,-1, 0, 3, 4, 4, 5, 2,-1,-1,-1, 4, 4,-1,-1, 4, 4, 4, 5, 2,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1, 4, 4, 4, 4, 4, 4, 4, 4, 4, 1, 2,-1,-1, 0, 3, 4, 4, 4, 4, 4, 4, 4,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1, 1, 1, 1,-1,-1,-1,-1,-1,-1,-1,],
                    /*10*/[ 1, 1, 1, 3, 4, 4, 4, 4, 5, 1, 1, 1, 1, 4,-1,-1, 4, 4, 4, 4, 5, 1, 1,-1,-1, 1, 1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 5, 1, 1, 3, 4, 4, 4, 4, 4, 4, 4, 4,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1, 4, 4, 4,-1,-1,-1,-1,-1,-1,-1,],
                    /*11*/[ 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4,-1,-1, 4, 4, 4, 4, 4, 4, 4,-1,-1, 4, 4,-1,-1,-1,-1,-1,-1,-1, 0, 1, 1, 1, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1, 4, 4, 4,-1,-1,-1,-1,-1,-1,-1,],
                    /*12*/[ 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4,-1,-1, 4, 4, 4, 4, 4, 4, 4,-1,-1, 4, 4,-1,-1,-1,-1,-1,-1, 0, 3, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1, 4, 4, 4,-1,-1,-1,-1,-1,-1,-1,],
                    /*13*/[ 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4,-1,-1, 4, 4, 4, 4, 4, 4, 4,-1,-1, 4, 4,-1,-1,-1,-1, 1, 1, 3, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4,-1,-1,-1, 1, 1, 1, 1,-1, 1, 1,-1, 1, 1, 1, 4, 4, 4,-1,-1,-1,-1,-1,-1,-1,],
                    /*14*/[ 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4,-1,-1, 4, 4, 4, 4, 4, 4, 4,-1,-1, 4, 4, 1, 1, 1, 1, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4,-1,-1,-1, 4, 4, 4, 4,-1, 4, 4,-1, 4, 4, 4, 4, 4, 4, 1, 1, 1, 1, 1, 1, 1,],
                    ]
                )
                //Add Objects
                var transition = new Transition();
                var player = new Lloyd();
                player.x = 75;
                player.y = -90
                var gorilla = new Gorilla();
                gorilla.x = 1000;
                gorilla.y = 100;
                var gorilla2 = new Gorilla();
                gorilla2.x = 1408;
                gorilla2.y = 0;
                var gorilla3 = new Gorilla();
                gorilla3.x = 2178;
                gorilla3.y = 100;
                var spring = new Spring();
                spring.x = 1161;
                spring.y = 168;
                var spring2 = new Spring();
                spring2.x = 1740;
                spring2.y = 104;
                var spring3 = new Spring();
                spring3.x = 2279;
                spring3.y = 200;
                gorilla.scaleX = -1;
                var robogorilla = new RoboGorilla();
                robogorilla.x = 2592;
                robogorilla.y = 161;
                robogorilla.scaleX = -1;
                var lura = new Lura();
                lura.x = 2500;
                lura.y = 119;
                var stage1 = new Group();
                //Add Backgrounds
                fg = new Sprite(250,243);
                fg.image = game.assets['img/bg/forest_01.png'];
                fg.x = -25;
                fg.y = 0;
                //Dialogue Box
                var dia = new Dialogue();
                dia.line = 0;
                var voice1 = new Label();
                var voice2 = new Label();
                //SFX
                warp1 = new Sprite(87,63);
                warp1.image = game.assets['img/sfx/warp.png'];
                warp1.x = lura.x - 15;
                warp1.y = lura.y + 30;
                warp2 = new Sprite(87,63);
                warp2.image = game.assets['img/sfx/warp.png'];
                warp2.x = robogorilla.x - 15;
                warp2.y = robogorilla.y;
                //Game Over
                gameOver = new GameOver();
                //Insert Objects
                stage1.addChild(bg);
                stage1.addChild(map);
                stage1.addChild(gorilla);
                stage1.addChild(gorilla2);
                stage1.addChild(gorilla3);
                stage1.addChild(spring);
                stage1.addChild(spring2);
                stage1.addChild(spring3);
                stage1.addChild(player);
                stage1.addChild(robogorilla);
                stage1.addChild(lura);
                stage1.addChild(fg);
                stage1.addChild(dia);
                stage1.addChild(voice1);
                stage1.addChild(voice2);
                this.addChild(stage1);

                //BG Animation
                bg.addEventListener(Event.ENTER_FRAME,function(){
                    if(this.age % 3 === 0)
                    {
                        if(!this.frame == 1)
                        {
                            this.frame ++;
                        }
                        else
                        {
                            this.frame = 0;
                        }
                    }
                });
                //Spring Animation
                spring.addEventListener(Event.ENTER_FRAME,function(){
                    if(this.intersect(player))
                    {
                        this.frame = 1;
                    }
                    else
                    {
                        this.frame = 0;
                    }
                });
                spring2.addEventListener(Event.ENTER_FRAME,function(){
                    if(this.intersect(player))
                    {
                        this.frame = 1;
                    }
                    else
                    {
                        this.frame = 0;
                    }
                });
                spring3.addEventListener(Event.ENTER_FRAME,function(){
                    if(this.intersect(player))
                    {
                        this.frame = 1;
                    }
                    else
                    {
                        this.frame = 0;
                    }
                });
                //HUD
                var hud = new HUD();
                this.addChild(hud);
                hud.addEventListener(Event.ENTER_FRAME, function(){
                    this.frame = player.health;
                });
                var livesCount = new Label("x " + game.lives);
                livesCount.x = 131;
                this.addChild(livesCount);
                livesCount.addEventListener(Event.ENTER_FRAME, function(){
                    this.text = "x " + game.lives;
                });
                //Lloyd Input and Animation
                player.addEventListener(Event.ENTER_FRAME, function(){
                    this.randomizer = Math.round(Math.random());
                    this.y += 5;
                    if (map.hitTest(this.x+45,this.y+60)){
                        this.y-= 5;
                        if(this.ani >= -1)
                        {
                            if(this.intersect(spring) || this.intersect(spring2) || this.intersect(spring3))
                            {
                                this.jumpHeight = 18;
                            }
                            else
                            {
                                this.jumpHeight = 12;
                            }
                        }
                    }
                    
                    if (this.owner == 0)
                    {
                        if(this.ani == -1)
                        {
                            this.x -= this.scaleX * 8;
                            if(this.frame <= 28)
                            {
                                this.frame = 28;
                            }
                            if(this.age % 2 === 0)
                            {
                                this.frame ++;
                            }
                            if(this.frame >= 31)
                            {
                                this.ani = 0;
                                this.frame = 0;
                                Gorilla.frame = 0;
                                Gorilla.ani = 0;
                            }
                        }
                        if(this.ani == -2)
                        {
                            if(this.jumpHeight >= 0)
                            {
                                this.y -= this.jumpHeight;
                                this.jumpHeight -= 1; 
                            }
                            if(map.hitTest(this.x+45,this.y+65))
                            {
                                if(this.frame <= 32)
                                {
                                    this.frame = 33;
                                }
                                
                                if(this.age % 4 === 0)
                                {
                                    if(this.health >> 0)
                                    {
                                        this.frame ++;
                                        if(this.frame >> 35)
                                        {
                                            this.ani = 0;
                                        }
                                    }
                                    else
                                    {
                                        if(game.lives >> 0)
                                        {
                                            this.x = 0;
                                            this.y = 0;
                                            this.health = 4;
                                            game.lives --;
                                            this.ani = -1;
                                        }
                                        else
                                        {
                                            game.pushScene(gameOverScreen);
                                        }
                                    }
                                }
                            }
                            else
                            {
                                if(this.scaleX == 1)
                                {
                                    if(!map.hitTest(this.x+20,this.y+60) && this.x >= 10)
                                    {
                                        this.x -= this.moveSpeed*2;
                                    }
                                }
                                if(this.scaleX == -1)
                                {
                                    if(!map.hitTest(this.x+55,this.y+60))
                                    {
                                        this.x += this.moveSpeed*2;
                                    }
                                }
                                this.frame = 32;
                            }
                        }
                        if(this.ani == 0)
                        {
                            if(map.hitTest(this.x+45,this.y+65))
                            {
                                if(!game.input.right && !game.input.left)
                                {
                                    if(this.age % 4 === 0)
                                    {
                                        this.frame ++;
                                        if(this.frame >= 3)
                                        {
                                            this.frame = 0;
                                        }
                                    }
                                }
                            }
                            else
                            {
                                this.frame = 10;
                            }
                            if(game.input.right && !game.input.left)
                            {
                                //Movement
                                if(!map.hitTest(this.x+55,this.y+60))
                                {
                                    this.x += this.moveSpeed;
                                    this.scaleX = 1;
                                    //Animation
                                    if(map.hitTest(this.x+30,this.y+65))
                                    {
                                        if(this.age % 3 === 0)
                                        {
                                            if(this.frame <= 3)
                                            {
                                                this.frame = 4;
                                            }
                                            else
                                            {
                                                if(this.frame >= 7)
                                                {
                                                    this.frame = 4;
                                                }
                                                else
                                                {
                                                    this.frame ++;
                                                }
                                            }
                                        }
                                    }
                                }
                                else
                                {
                                    if(map.checkTile(this.x+55,this.y+60) == 0)
                                    {
                                        this.x += this.moveSpeed;
                                        this.y -= 5;
                                    }
                                }
                                
                            }
                            if(!game.input.right && game.input.left)
                            {
                                //Movement
                                if(!map.hitTest(this.x+20,this.y+60) && this.x >= 10)
                                {
                                    this.x -= this.moveSpeed;
                                    this.scaleX = -1;
                                    //Animation
                                    if(map.hitTest(this.x+30,this.y+65))
                                    {
                                        if (this.age % 3 === 0)
                                        {
                                            if(this.frame <= 3)
                                            {
                                                this.frame = 4;
                                            }
                                            else
                                            {
                                                if(this.frame >= 7)
                                                {
                                                    this.frame = 4;
                                                }
                                                else
                                                {
                                                    this.frame ++;
                                                }
                                            }
                                        }
                                    }
                                }
                                else
                                {
                                    if(map.checkTile(this.x+20,this.y+60) == 2)
                                    {
                                        this.x -= this.moveSpeed;
                                        this.y -= 5;
                                    }
                                }
                            }
                            //Attack
                            if(game.input.b)
                            {
                                if(this.bPress == false)
                                {
                                    this.bPress = true;
                                    game.sfx = game.assets['audio/sfx/slash.wav'];
                                    game.sfx.play();
                                    if(map.hitTest(this.x+43.5,this.y+65))
                                    {
                                        if(!game.input.left && !game.input.right)
                                        {
                                            if(this.randomizer == 1)
                                            {
                                                this.ani = 1;
                                            }
                                            else
                                            {
                                                this.ani = 1.5
                                            }
                                        }
                                        else
                                        {
                                            this.ani = 2;
                                        }
                                    }
                                    else
                                    {
                                        this.ani = 3;
                                    }
                                }
                            }
                            else
                            {
                                this.bPress = false;
                            }
                            //Jump
                            if(game.input.a || game.input.up)
                            {
                                if(map.hitTest(this.x+43.5,this.y+55))
                                {
                                    if(this.jumpHeight >= 12)
                                    {
                                        this.y -= this.jumpHeight * 1.5
                                        this.jumpHeight -= 1;
                                    }
                                }
                                else
                                {
                                    if(this.jumpHeight >= 1)
                                    {
                                        if(!map.hitTest(this.x+46,this.y-10))
                                        {
                                            this.y -= this.jumpHeight * 1.2;
                                            this.jumpHeight -= 1;
                                            if(this.jumpHeight >= 3)
                                            {
                                                this.frame = 9;
                                            }
                                            if(this.jumpHeight >= 5)
                                            {
                                                this.frame = 8;
                                            }
                                        }
                                        else
                                        {
                                            this.jumpHeight = 0;
                                        }
                                    }
                                    if(map.hitTest(this.x+60,this.y+35))
                                    {
                                        if(this.jumpHeight <= 5)
                                        {
                                            this.scaleX = -1;
                                            this.ani = .5
                                            this.jumpHeight = 13;
                                            this.y -= 5;
                                        }
                                    }
                                    if(map.hitTest(this.x+15,this.y+35))
                                    {
                                        if(this.jumpHeight <= 5)
                                        {
                                            this.scaleX = 1;
                                            this.ani = .5
                                            this.jumpHeight = 13;
                                            this.y -= 5;
                                        }
                                    }
                                }
                            }
                        }
                        //Wall Jump
                        if(this.ani == .5)
                        {
                            this.frame = 8
                            if(!map.hitTest(this.x+43.5,this.y+32))
                            {
                                this.x += this.scaleX * this.moveSpeed;
                            }
                            this.y -= this.jumpHeight * 1.25;
                            this.jumpHeight -= 1;
                            if(this.jumpHeight == 0)
                            {
                                this.ani = 0;
                            }
                        }
                        //Slash 1
                        if(this.ani == 1)
                        {
                            if(this.frame <= 10)
                            {
                                this.frame = 11;
                            }
                            if(this.age % 1 === 0)
                            {
                                if(this.frame >= 14)
                                {
                                    this.ani = 0;
                                }
                                else
                                {
                                    this.frame ++;
                                }
                            }
                        }
                        //Slash 2
                        if(this.ani == 1.5)
                        {
                            if(this.frame <= 14)
                            {
                                this.frame = 15;
                            }
                            if(this.age % 1 === 0)
                            {
                                if(this.frame >= 18)
                                {
                                    this.ani = 0;
                                }
                                else
                                {
                                    this.frame ++;
                                }
                            }
                        }
                        //Spin Slash
                        if(this.ani == 2)
                        {
                            if(this.frame < 21)
                            {
                                this.frame = 21;
                            }
                            if(this.age % 2 === 0)
                            {
                                this.frame ++;
                            }
                            if(this.frame > 23)
                            {
                                this.ani = 0;
                                this.frame = 0;
                            }
                            if(this.scaleX == 1)
                            {
                                if(!map.hitTest(this.x+55,this.y+60))
                                {
                                    this.x += this.scaleX * this.moveSpeed;
                                }
                                else
                                {
                                    if(map.checkTile(this.x+55,this.y+60) == 0)
                                    {
                                        this.x += this.moveSpeed;
                                        this.y -= 5;
                                    }
                                }
                            }
                            if(this.scaleX == -1)
                            {
                                if(!map.hitTest(this.x+20,this.y+60))
                                {
                                    this.x -= this.moveSpeed;
                                }
                                else
                                {
                                    if(map.checkTile(this.x+20,this.y+60) == 2)
                                    {
                                        this.x -= this.moveSpeed;
                                        this.y -= 5;
                                    }
                                }
                            }
                        }
                        //Aerial Slash
                        if(this.ani == 3)
                        {
                            if(!map.hitTest(this.x+43.5,this.y+60))
                            {
                                if(this.frame <= 23)
                                {
                                    this.frame = 24;
                                }
                                if(this.frame >= 27)
                                {
                                    this.ani = 0;
                                }
                                if(this.age % 2 === 0)
                                {
                                    this.frame ++;
                                }
                                if(game.input.right)
                                {
                                    if(!map.hitTest(this.x+55,this.y+60))
                                    {
                                        this.x += this.scaleX * this.moveSpeed;
                                    }
                                }
                                if(game.input.left)
                                {
                                    if(!map.hitTest(this.x+20,this.y+60))
                                    {
                                        this.x += this.scaleX * this.moveSpeed;
                                    }
                                }

                            }
                            else
                            {
                                this.ani = 0;
                            }
                        }
                        if(this.x >= 2400)
                        {
                            this.owner = 1;
                            game.scene = 1;
                        }
                    }
                });
                //End Lloyd Input and Animation
                //Dialogue Box
                dia.addEventListener(Event.ENTER_FRAME, function(){
                    voice1.x = this.x;
                    voice1.y = this.y + 10;
                    voice2.x = this.x;
                    voice2.y = this.y + 26;
                    //Cutscene 1
                    if(game.scene == 0)
                    {
                        dia.x = player.x - 25;
                        this.y = player.y - 50;
                        if(this.line == 0)
                        {
                            this.sceneAction = true;
                            this.frame = -1;
                            voice1.text = "";
                            voice2.text = "";
                            if(!map.hitTest(player.x+45,player.y+70))
                            {
                                player.frame = 10;
                                player.x += 2;
                            }
                            else
                            {
                                player.frame = 0;
                                this.line = 1;
                                this.sceneAction = false;
                            }
                        }
                        if(this.line >= 1)
                        {
                            if(player.age % 5 === 0)
                            { 
                                if(player.frame << 35)
                                {
                                    player.frame = 36;
                                }
                                else
                                {
                                    if(player.frame <= 37)
                                    {
                                        player.frame ++;
                                    }
                                }
                            }
                        }
                        if(this.line == 1)
                        {
                            
                            this.frame = 0;
                            voice1.text = "This is Lloyd. I saw an explosion";
                            voice2.text = "in the city.";
                        }
                        if(this.line == 2)
                        {
                            voice1.text = "I'm going to check it out.";
                            voice2.text = "";
                        }
                        if(this.line == 3)
                        {
                            this.frame = 1;
                            voice1.text = "Copy that, Lloyd.";
                            voice2.text = "";
                        }
                        if(this.line == 4)
                        {
                            this.frame = 1;
                            voice1.text = "Have you practiced your Monkey";
                            voice2.text = "Arts?";
                        }
                        if(this.line == 5)
                        {
                            this.frame = 0;
                            voice1.text = "I'll admit I haven't...";
                            voice2.text = "";
                        }
                        if(this.line == 6)
                        {
                            this.frame = 1;
                            voice1.text = "And you call yourself a monkey?";
                            voice2.text = "";
                        }
                        if(this.line == 7)
                        {
                            this.frame = 1;
                            voice1.text = "Use A & D keys to run and J to";
                            voice2.text = "jump. Fight with the K key.";
                        }
                        if(this.line == 8)
                        {
                            this.sceneAction = true;
                            game.scene = .5;
                            this.line = 0;
                            player.owner = 0;
                            this.frame = -1;
                            voice1.text = "";
                            voice2.text = "";
                        }
                    }
                    if(game.scene == 1)
                    {
                        this.y = player.y - 50;
                        if(this.line << 15)
                        {
                            this.x = player.x - 30;
                        }
                        if(this.line == 0)
                        {
                            this.frame = -1;
                            voice1.text = "";
                            voice2.text = "";
                            if(!map.hitTest(player.x+45,player.y+65))
                            {
                                player.frame = 10;
                            }
                            else
                            {
                                player.frame = 0;
                                this.sceneAction = false;
                                game.timer = 12;
                                this.line = 1;
                            }
                        }
                        if(this.line == 1)
                        {
                            this.frame = 0;
                            voice1.text = "Lura!";
                        }
                        if(this.line == 2)
                        {
                            if(this.sceneAction == false)
                            {
                                this.sceneAction = true;
                                stage1.addChild(warp1);
                                stage1.addChild(warp2);
                            }
                            player.x += 4;
                            if(!map.hitTest(player.x+45,player.y+65))
                            {
                                player.frame = 10;
                            }
                            else
                            {
                                if(player.age % 3 === 0)
                                {
                                    if(player.frame <= 3)
                                    {
                                        player.frame = 4;
                                    }
                                    else
                                    {
                                        if(player.frame >= 7)
                                        {
                                            player.frame = 4;
                                        }
                                        else
                                        {
                                            player.frame ++;
                                        }
                                    }
                                }
                                if(warp1.age % 2 === 0)
                                {
                                    if(warp1.frame == 1)
                                    {
                                        warp1.frame = 0;
                                    }
                                    else
                                    {
                                        warp1.frame ++;
                                    }
                                }
                                if(warp2.age % 2 === 0)
                                {
                                    if(warp2.frame == 1)
                                    {
                                        warp2.frame = 0;
                                    }
                                    else
                                    {
                                        warp2.frame ++;
                                    }
                                }
                            }
                        }
                        if(this.line == 3)
                        {
                            this.frame = 0;
                            voice1.text = "Damn it!";
                            this.sceneAction = false;
                            player.frame = 0;
                            if(warp1.age % 2 === 0)
                            {
                                if(warp1.frame <= 1)
                                {
                                    warp1.frame = 2;
                                }
                                else
                                {
                                    if(warp1.frame >= 3)
                                    {
                                        stage1.removeChild(warp1);
                                    }
                                    else
                                    {
                                        warp1.frame ++;
                                    }
                                }
                            }
                            if(warp2.age % 2 === 0)
                            {
                                if(warp2.frame <= 1)
                                {
                                    warp2.frame = 2;
                                }
                                else
                                {
                                    if(warp2.frame >= 3)
                                    {
                                        stage1.removeChild(warp2);
                                    }
                                    else
                                    {
                                        warp2.frame ++;
                                    }
                                }
                            }
                            
                        }
                        if(this.line >= 4 && this.line <= 14)
                        {
                            if(player.age % 5 === 0)
                            { 
                                if(player.frame << 35)
                                {
                                    player.frame = 36;
                                }
                                else
                                {
                                    if(player.frame <= 37)
                                    {
                                        player.frame ++;
                                    }
                                }
                            }
                        }
                        if(this.line == 4)
                        {
                            this.frame = 1;
                            stage1.removeChild(warp1);
                            stage1.removeChild(warp2);
                            voice1.text = "Lloyd! Can you hear me?";
                            if(player.age % 5 === 0)
                            { 
                                if(player.frame << 35)
                                {
                                    player.frame = 36;
                                }
                                else
                                {
                                    if(player.frame <= 37)
                                    {
                                        player.frame ++;
                                    }
                                }
                            }   
                        }
                        if(this.line == 5)
                        {
                            this.frame = 0;
                            voice1.text = "Loud and clear. Lura was just";
                            voice2.text = "kidnapped.";  
                        }
                        if(this.line == 6)
                        {
                            this.frame = 1;
                            voice1.text = "What?! This is bad...";
                            voice2.text = "";  
                        }
                        if(this.line == 7)
                        {
                            this.frame = 0;
                            voice1.text = "How so?";  
                        }
                        if(this.line == 8)
                        {
                            this.frame = 1;
                            voice1.text = "Never mind that. Some gorillas";
                            voice2.text = "broke into Violet's house and";  
                        }
                        if(this.line == 9)
                        {
                            voice1.text = "kidnapped her too.";
                            voice2.text = "";  
                        }
                        if(this.line == 10)
                        {
                            this.frame = 0
                            voice1.text = "WHAT?!";  
                        }
                        if(this.line == 11)
                        {
                            this.frame = 1
                            voice1.text = "Please calm down, Lloyd.";
                            voice2.text = "We know where Violet is.";  
                        }
                        if(this.line == 12)
                        {
                            voice1.text = "According to our gene tracker,";
                            voice2.text = "Violet is in New York City.";  
                        }
                        if(this.line == 13)
                        {
                            this.frame = 0
                            voice1.text = "Great! But what about Lura?";
                            voice2.text = "";  
                        }
                        if(this.line == 14)
                        {
                            this.frame = 4
                            voice1.text = "Lura's DNA is complicated,";
                            voice2.text = "more so than it should be.";  
                        }
                        if(this.line == 15)
                        {
                            this.frame = 0
                            this.sceneAction = true;
                            voice1.text = "Keep at it then. I'm off to";
                            voice2.text = "save my girlfriend.";
                            player.x += 4;
                            if(player.age % 3 === 0)
                            {
                                if(player.frame <= 3)
                                {
                                    player.frame = 4;
                                }
                                else
                                {
                                    if(player.frame >= 7)
                                    {
                                        player.frame = 4;
                                    }
                                    else
                                    {
                                        player.frame ++;
                                    }
                                }
                            } 
                        }
                    }
                });
                //Lura Animations
                lura.addEventListener(Event.ENTER_FRAME,function(){
                    if(game.scene >= 0.5)
                    {
                        if(dia.line == 1)
                        {
                            if(this.frame << 4)
                            {
                                this.frame = 4;
                            }
                            if(this.age % 5 === 0)
                            {
                                if(this.frame << 7)
                                {
                                    this.frame ++;
                                }
                                else
                                {
                                    this.frame = 4;
                                }
                            }
                        }
                        if(dia.line == 2)
                        {
                            if(this.frame <= 7)
                            {
                                this.frame = 7;
                            }
                            if(this.age % 2 === 0)
                            {
                                if(this.frame <= 8)
                                {
                                    this.frame ++;
                                }
                                else
                                {
                                    if(game.timer >= 1)
                                    {
                                        game.timer --;
                                    }
                                    else
                                    {
                                        stage1.removeChild(lura);
                                        stage1.removeChild(robogorilla);
                                        dia.line = 3;
                                        
                                    }
                                }
                            }
                        }
                    }
                });
                //Lloyd falls down a pit
                this.addEventListener(Event.ENTER_FRAME, function(){
                    if(player.y >= stgHeight)
                    {
                        if(game.lives >> 0)
                        {
                            player.x = 0;
                            player.y = 0;
                            player.health = 4;
                            game.lives --;
                        }
                        else
                        {
                            game.pushScene(gameOverScreen);
                        }
                    }
                });
                //End Lloyd Input and Animation
                //Gorilla Interaction and Animation
                gorilla.addEventListener(Event.ENTER_FRAME, function(){
                    this.y += 5;
                    if (map.hitTest(this.x+45,this.y+60)){
                        this.y-= 5;
                        this.jumpHeight = 12;
                    }
                    if(player.x <= this.x)
                    {
                        this.scaleX = -1;
                    }
                    if(player.x >= this.x)
                    {
                        this.scaleX = -1;
                    }
                    if(this.ani == -1)
                    {
                        if(this.frame <= 11)
                        {
                            this.frame = 12;
                        }
                        if(this.frame >= 15)
                        {
                            this.ani = 0;
                        }
                        if(this.age % 2 === 0)
                        {
                            this.frame ++;
                            this.x -= this.scaleX*4;
                        }
                    }
                    if(this.ani == 0)
                    {
                        this.frame = 0;
                        //Punching Lloyd
                        if(this.intersect(player))
                        {
                            if(player.ani <= 0)
                            {
                                if(player.x >= this.x-44)
                                {
                                    this.ani = 1;
                                    if(player.health >> 0)
                                    {
                                        player.ani = -1;
                                        player.health --;
                                    }
                                    else
                                    {
                                        player.ani = -2;
                                    }
                                }
                            }
                            else
                            {
                                if(this.health >> 0)
                                {
                                    this.ani = -1;
                                    this.health --;
                                }
                            }
                        }
                        if(player.health == 0 && player.ani == -2)
                        {
                            this.ani = 2;
                        }
                    }
                    if(this.ani == 1)
                    {
                        if(this.frame <= 5)
                        {
                            this.frame = 5;
                        }
                        if(this.frame >= 8)
                        {
                            this.ani = 0;
                            this.frame = 0;
                        }
                        else
                        {
                            this.frame ++;
                        }
                    }
                    if(this.ani == 2)
                    {
                        if(this.age % 3 === 0)
                        {
                            this.frame ++;
                            if(this.frame >= 5)
                            {
                                if(player.ani == -2)
                                {
                                    this.frame = 3;
                                }
                                else
                                {
                                    this.ani = 0;
                                    this.frame = 0;
                                }
                            }
                        }
                    }
                });
                gorilla2.addEventListener(Event.ENTER_FRAME, function(){
                    this.y += 5;
                    if (map.hitTest(this.x+45,this.y+60)){
                        this.y-= 5;
                        this.jumpHeight = 12;
                    }
                    if(player.x <= this.x)
                    {
                        this.scaleX = -1;
                    }
                    if(player.x >= this.x)
                    {
                        this.scaleX = -1;
                    }
                    if(this.ani == -1)
                    {
                        if(this.frame <= 11)
                        {
                            this.frame = 12;
                        }
                        if(this.frame >= 15)
                        {
                            this.ani = 0;
                        }
                        if(this.age % 2 === 0)
                        {
                            this.frame ++;
                            this.x -= this.scaleX*4;
                        }
                    }
                    if(this.ani == 0)
                    {
                        this.frame = 0;
                        //Punching Lloyd
                        if(this.intersect(player))
                        {
                            if(player.ani <= 0)
                            {
                                if(player.x >= this.x-44)
                                {
                                    this.ani = 1;
                                    if(player.health >> 0)
                                    {
                                        player.ani = -1;
                                        player.health --;
                                    }
                                    else
                                    {
                                        player.ani = -2;
                                    }
                                }
                            }
                            else
                            {
                                if(this.health >> 0)
                                {
                                    this.ani = -1;
                                    this.health --;
                                }
                            }
                        }
                        if(player.health == 0 && player.ani == -2)
                        {
                            this.ani = 2;
                        }
                    }
                    if(this.ani == 1)
                    {
                        if(this.frame <= 5)
                        {
                            this.frame = 5;
                        }
                        if(this.frame >= 8)
                        {
                            this.ani = 0;
                            this.frame = 0;
                        }
                        else
                        {
                            this.frame ++;
                        }
                    }
                    if(this.ani == 2)
                    {
                        if(this.age % 3 === 0)
                        {
                            this.frame ++;
                            if(this.frame >= 5)
                            {
                                if(player.ani == -2)
                                {
                                    this.frame = 3;
                                }
                                else
                                {
                                    this.ani = 0;
                                    this.frame = 0;
                                }
                            }
                        }
                    }
                });
                gorilla3.addEventListener(Event.ENTER_FRAME, function(){
                    this.y += 5;
                    if (map.hitTest(this.x+45,this.y+60)){
                        this.y-= 5;
                        this.jumpHeight = 12;
                    }
                    if(player.x <= this.x)
                    {
                        this.scaleX = -1;
                    }
                    if(player.x >= this.x)
                    {
                        this.scaleX = -1;
                    }
                    if(this.ani == -1)
                    {
                        if(this.frame <= 11)
                        {
                            this.frame = 12;
                        }
                        if(this.frame >= 15)
                        {
                            this.ani = 0;
                        }
                        if(this.age % 2 === 0)
                        {
                            this.frame ++;
                            this.x -= this.scaleX*4;
                        }
                    }
                    if(this.ani == 0)
                    {
                        this.frame = 0;
                        //Punching Lloyd
                        if(this.intersect(player))
                        {
                            if(player.ani <= 0)
                            {
                                if(player.x >= this.x-44)
                                {
                                    this.ani = 1;
                                    if(player.health >> 0)
                                    {
                                        player.ani = -1;
                                        player.health --;
                                    }
                                    else
                                    {
                                        player.ani = -2;
                                    }
                                }
                            }
                            else
                            {
                                if(this.health >> 0)
                                {
                                    this.ani = -1;
                                    this.health --;
                                }
                            }
                        }
                        if(player.health == 0 && player.ani == -2)
                        {
                            this.ani = 2;
                        }
                    }
                    if(this.ani == 1)
                    {
                        if(this.frame <= 5)
                        {
                            this.frame = 5;
                        }
                        if(this.frame >= 8)
                        {
                            this.ani = 0;
                            this.frame = 0;
                        }
                        else
                        {
                            this.frame ++;
                        }
                    }
                    if(this.ani == 2)
                    {
                        if(this.age % 3 === 0)
                        {
                            this.frame ++;
                            if(this.frame >= 5)
                            {
                                if(player.ani == -2)
                                {
                                    this.frame = 3;
                                }
                                else
                                {
                                    this.ani = 0;
                                    this.frame = 0;
                                }
                            }
                        }
                    }
                });
                //End Enemy AI & Animation

                //Camera
                this.addEventListener('enterframe', function(e) {
                    if(game.scene <= 1)
                    {
                        var x = Math.min((game.width  - 16) / 2 - player.x, 0);
                        var y = Math.min((game.height - 16) / 2 - player.y, 0);
                        x = Math.max(game.width,  x + map.width)  - map.width;
                        y = Math.max(game.height, y + map.height) - map.height;
                        stage1.x = x;
                        stage1.y = y;
                        
                    }
                    if(game.musicTimer >= 1)
                    {
                        game.musicTimer --;
                    }
                    else
                    {
                        game.bgm.play();
                        game.musicTimer = 1150;
                    }
                    if(player.x >= 2600)
                    {
                        game.bgm.stop();
                        this.addChild(transition);
                    }
                    if(transition.frame >= 5)
                    {
                        game.bgm = game.assets['audio/bgm/Lloydjungle1cut.mp3']; // background music
                        game.musicTimer = 1150;
                        game.bgm.play();
                        game.pushScene(levelTwo);
                    }
                });
            }
        });
        //Create Scene 2 (Monkey City Act 2)
        var MonkeyCityTwo = Class.create(Scene, {
            initialize: function(){
                
                console.log("Monkey City Two!");
                
                Scene.apply(this);
                //Add Backgrounds
                bg1 = new Sprite(1132,336);
                bg1.image = game.assets['img/bg/monkeycity2_bg1.png'];
                bg = new Sprite(3360,273);
                bg.image = game.assets['img/bg/monkeycity2_bg2.png'];
                //Create Map
                map2 = new Map(32,16);
                map2.image = game.assets['img/tiles.png'];
                map2.loadData(
                    [
                    /*     01,02,03,04,05,06,07,08,09,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,97,98,99,01,02,03,04,05,/
                    /*01*/[-1,-1,-1,-1, 1, 1, 1, 1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                    /*02*/[-1,-1,-1,-1, 4,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                    /*03*/[-1,-1,-1,-1, 4,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                    /*04*/[-1,-1,-1,-1, 4,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1, 1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                    /*05*/[-1,-1,-1,-1, 4,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,13,13,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                    /*06*/[-1,-1,-1,-1, 4,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,-1,-1,-1,13,13,13,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                    /*07*/[-1,-1,-1,-1, 4, 1, 1, 1, 1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,-1,-1,-1,16,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,13,13,13,13,13,13,],
                    /*08*/[-1,-1,-1,-1, 4, 4, 4, 4, 4,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,-1,-1,-1,16,16,16,-1,-1,-1,13,13,13,13,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,],
                    /*09*/[-1,-1,-1,-1, 4, 4, 4, 4,-1,-1, 1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,-1,-1,-1,16,16,16,-1,-1,-1,16,16,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,],
                    /*10*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,-1,-1,-1,16,16,16,-1,-1,-1,16,16,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,],
                    /*11*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,16,-1,-1,-1,16,16,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,],
                    /*12*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1, 1, 1, 2,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,16,-1,-1,-1,16,16,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,],
                    /*13*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1, 4, 4, 5, 1, 2,-1,-1,-1,-1,-1,-1,-1,-1,16,16,16,-1,-1,-1,16,16,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,25,25,25,-1,-1,-1,-1,25,25,25,25,25,25,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,],
                    /*14*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1, 4, 4, 4, 4, 5, 1, 2,-1,-1,-1,-1,-1,-1,16,16,16,-1,-1,-1,16,16,16,16,-1,-1,-1,-1,-1, 1, 1, 1, 1,-1,-1,-1,-1,-1,-1,-1, 1, 1, 1, 1, 1, 1, 1,13,13,13,13,13,13,13,13,-1,-1,28,28,28,-1,-1,-1,-1,25,25,28,28,28,28,-1,-1,-1,-1,25,25,25, 1,13,13,13,13,13,13,13,13,13,13,13,13,13,],
                    /*15*/[ 1, 1, 1, 2,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1, 4, 4, 4, 4, 4, 4, 5, 1, 1, 1,13,13,13,13,13,13,-1,-1,-1,13,13,13,13,13,-1,-1, 1,-1, 4, 4, 4, 4,-1,-1,-1,-1,-1,-1,-1, 4, 4, 4, 4, 4, 4, 4,16,16,16,16,16,16,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,25,25,-1,-1,-1,-1,-1,-1,-1,-1,28,28,28, 4,16,16,16,16,16,16,16,16,16,16,16,16,16,],
                    /*16*/[ 4, 4, 4, 5, 2,-1,-1,-1, 1, 1, 1,-1,-1,-1, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4,16,16,16,16,16,16,-1,-1,-1,16,16,16,16,16,-1,-1, 4,-1, 4, 4, 4, 4,-1,-1,-1,-1,-1,-1,-1, 4, 4, 4, 4, 4, 4, 4,16,16,16,16,16,16,16,16,-1,-1,-1,-1,-1,-1,-1,25,25,25,25,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1, 4,16,16,16,16,16,16,16,16,16,16,16,16,16,],
                    /*17*/[ 4, 4, 4, 4, 5, 1, 1,-1, 4, 4, 4,-1,-1,-1, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4,16,16,16,16,16,16,-1,-1,-1,16,16,16,16,16,-1,-1, 4,-1, 4, 4, 4, 4,-1,-1,-1,-1,-1,-1,-1, 4, 4, 4, 4, 4, 4, 4,16,16,16,16,16,16,16,16,-1,-1,-1,-1,-1,-1,-1,28,28,28,28,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1, 4,16,16,16,16,16,16,16,16,16,16,16,16,16,],
                    ]
                );
                var player = new Lloyd();
                player.owner = 0;
                player.ani = 0;
                player.x = 32;
                player.y = 128;
                var spring = new Spring();
                spring.x = 296;
                spring.y = 232;
                var spring2 = new Spring();
                spring2.x = 448;
                spring2.y = 168;
                var portal = new Portal();
                portal.x = 160;
                portal.y = 32;
                var teleporter = new Sprite(60,108);
                teleporter.image = game.assets['img/bg/teleporter.png'];
                teleporter.x = 3232;
                teleporter.y = 108;
                var tree1 = new Sprite(186,250);
                tree1.image = game.assets['img/bg/tree.png'];
                tree1.x = 1344;
                tree1.y = -42;
                var gorilla = new Gorilla();
                gorilla.x = 1096;
                var gorilla2 = new Gorilla();
                gorilla2.x = 2048;
                var gorilla3 = new Gorilla();
                gorilla3.x = 2560;
                var tree2 = new Sprite(186,250);
                tree2.image = game.assets['img/bg/tree.png'];
                tree2.x = 1536;
                tree2.y = 42;
                var swing1 = new Sprite(64,16);
                swing1.image = game.assets['img/bg/swing.png'];
                swing1.x = 2400;
                swing1.y = 112;
                var swing2 = new Sprite(64,16);
                swing2.image = game.assets['img/bg/swing.png'];
                swing2.x = 2688;
                swing2.y = 112;
                var hyperion = new Hyperion();
                hyperion.x = 3100;
                hyperion.y = 200;
                var grenade1 = new Sprite(25,25)
                grenade1.image = game.assets['img/misc/grenade.png'];
                grenade1.x = hyperion.x;
                grenade1.jumpHeight = 10;
                var grenade2 = new Sprite(25,25)
                grenade2.image = game.assets['img/misc/grenade.png'];
                grenade2.x = hyperion.x;
                grenade2.jumpHeight = 10;
                var explosion1 = new Sprite(75,75)
                explosion1.image = game.assets['img/misc/explosion.png'];
                explosion1.x = grenade1.x -= 50;
                explosion1.y = grenade1.y -= 50;
                explosion1.jumpHeight = 10;
                var explosion2 = new Sprite(75,75)
                explosion2.image = game.assets['img/misc/explosion.png'];
                explosion2.x = grenade2.x -= 50;
                explosion2.y = grenade2.y -= 50;
                var blast1 = new Sprite(75,75)
                blast1.image = game.assets['img/misc/explosion.png'];
                blast1.x = hyperion.x;
                blast1.y = hyperion.y -= 50;
                var blast2 = new Sprite(75,75)
                blast2.image = game.assets['img/misc/explosion.png'];
                blast2.x = hyperion.x;
                blast2.y = hyperion.y -= 50;
                var blast3 = new Sprite(75,75)
                blast3.image = game.assets['img/misc/explosion.png'];
                blast3.x = hyperion.x;
                blast3.y = hyperion.y -= 50;
                var dia = new Dialogue();
                dia.line = 1;
                dia.timer = 30;
                var voice1 = new Label();
                var voice2 = new Label();
                var stage2 = new Group();
                warp1 = new Sprite(87,63);
                warp1.image = game.assets['img/sfx/warp.png'];

                transition = new Transition();
                //Add Backgrounds
                
                //Game Over
                gameOver = new GameOver();
                stage2.addChild(bg)
                stage2.addChild(bg1)
                stage2.addChild(map2);
                stage2.addChild(teleporter);
                stage2.addChild(hyperion);
                stage2.addChild(spring);
                stage2.addChild(spring2);
                stage2.addChild(tree1);
                stage2.addChild(portal);
                stage2.addChild(player);
                stage2.addChild(gorilla);
                stage2.addChild(gorilla2);
                stage2.addChild(gorilla3);
                stage2.addChild(tree2);
                stage2.addChild(swing1);
                stage2.addChild(swing2);
                stage2.addChild(dia);
                stage2.addChild(voice1);
                stage2.addChild(voice2);
                this.addChild(stage2);
                //HUD
                var hud = new HUD();
                this.addChild(hud);
                hud.addEventListener(Event.ENTER_FRAME, function(){
                    this.frame = player.health;
                });
                var livesCount = new Label("x " + game.lives);
                livesCount.x = 131;
                this.addChild(livesCount);
                livesCount.addEventListener(Event.ENTER_FRAME, function(){
                    this.text = "x " + game.lives;
                });
                //Spring Animation
                spring.addEventListener(Event.ENTER_FRAME,function(){
                    if(this.intersect(player))
                    {
                        this.frame = 1;
                    }
                    else
                    {
                        this.frame = 0;
                    }
                });
                spring2.addEventListener(Event.ENTER_FRAME,function(){
                    if(this.intersect(player))
                    {
                        this.frame = 1;
                    }
                    else
                    {
                        this.frame = 0;
                    }
                });
                //Lloyd Input and Animation
                player.addEventListener(Event.ENTER_FRAME, function(){
                    this.randomizer = Math.round(Math.random());
                    if(this.intersect(portal))
                    {
                        if(this.x <= (portal.x + 8))
                        {
                            this.x += 10;
                            stage2.removeChild(portal);
                            game.pushScene(specialOne);
                        }
                    }
                    if(this.ani <= 3)
                    {
                        this.y += 5;
                        if(this.intersect(swing1))
                        {
                            if(this.ani == 0)
                            {
                                if((this.x >= swing1.x - 40) && (this.x <= swing1.x + 8))
                                {
                                    this.ani = 5;
                                    this.y = swing1.y + 8;
                                    this.x = swing1.x - 16;
                                }
                            }
                        }
                        if(this.intersect(swing2))
                        {
                            if(this.ani == 0)
                            {
                                if((this.x >= swing2.x - 40) && (this.x <= swing2.x + 8))
                                {
                                    this.ani = 5;
                                    this.y = swing2.y + 8;
                                    this.x = swing2.x - 16;
                                }
                            }
                        }
                    }
                    if(map2.hitTest(this.x+45,this.y+60)){
                        this.y-= 5;
                        if(this.ani >= -1)
                        {
                            if(this.intersect(spring) || this.intersect(spring2))
                            {
                                this.jumpHeight = 18;
                            }
                            else
                            {
                                this.jumpHeight = 12;
                            }
                        }
                    }
                    
                    if(this.owner == 0)
                    {
                        if(this.ani == -1)
                        {
                            this.x -= this.scaleX * 8;
                            if(this.frame <= 28)
                            {
                                this.frame = 28;
                            }
                            if(this.age % 2 === 0)
                            {
                                this.frame ++;
                            }
                            if(this.frame >= 31)
                            {
                                this.ani = 0;
                                this.frame = 0;
                            }
                        }
                        if(this.ani == -2)
                        {
                            if(this.jumpHeight >= 0)
                            {
                                this.y -= this.jumpHeight;
                                this.jumpHeight -= 1; 
                            }
                            if(map2.hitTest(this.x+45,this.y+65))
                            {
                                if(this.frame <= 32)
                                {
                                    this.frame = 33;
                                }
                                
                                if(this.age % 4 === 0)
                                {
                                    if(this.health >> 0)
                                    {
                                        this.frame ++;
                                        if(this.frame >> 35)
                                        {
                                            this.ani = 0;
                                        }
                                    }
                                    else
                                    {
                                        if(game.lives >> 0)
                                        {
                                            if(game.scene <= 2)
                                            {
                                                player.x = 0;
                                                player.y = 100;
                                            }
                                            else
                                            {
                                                player.x = 2999;
                                                player.y = 0;
                                            }
                                            this.health = 4;
                                            game.lives --;
                                            this.ani = -1;
                                        }
                                        else
                                        {
                                            game.pushScene(gameOverScreen);
                                        }
                                    }
                                }
                            }
                            else
                            {
                                if(this.scaleX == 1)
                                {
                                    if(!map2.hitTest(this.x+20,this.y+60) && this.x >= 10)
                                    {
                                        this.x -= this.moveSpeed*2;
                                    }
                                }
                                if(this.scaleX == -1)
                                {
                                    if(!map2.hitTest(this.x+55,this.y+60))
                                    {
                                        this.x += this.moveSpeed*2;
                                    }
                                }
                                this.frame = 32;
                            }
                        }
                        if(this.ani == 0)
                        {
                            if(map2.hitTest(this.x+45,this.y+65))
                            {
                                if(!game.input.right && !game.input.left)
                                {
                                    if(this.age % 4 === 0)
                                    {
                                        this.frame ++;
                                        if(this.frame >= 3)
                                        {
                                            this.frame = 0;
                                        }
                                    }
                                }
                            }
                            else
                            {
                                this.frame = 10;
                            }
                            if(game.input.right && !game.input.left)
                            {
                                //Movement
                                if(!map2.hitTest(this.x+55,this.y+60) && this.x >= 0)
                                {
                                    this.x += this.moveSpeed;
                                    this.scaleX = 1;
                                    //Animation
                                    if(map2.hitTest(this.x+30,this.y+65))
                                    {
                                        if(this.age % 3 === 0)
                                        {
                                            if(this.frame <= 3)
                                            {
                                                this.frame = 4;
                                            }
                                            else
                                            {
                                                if(this.frame >= 7)
                                                {
                                                    this.frame = 4;
                                                }
                                                else
                                                {
                                                    this.frame ++;
                                                }
                                            }
                                        }
                                    }
                                }
                                else
                                {
                                    if(map2.checkTile(this.x+55,this.y+60) == 0)
                                    {
                                        this.x += this.moveSpeed;
                                        this.y -= 5;
                                    }
                                }
                                
                            }
                            if(!game.input.right && game.input.left)
                            {
                                //Movement
                                if(!map2.hitTest(this.x+20,this.y+60) && this.x >= 10)
                                {
                                    this.x -= this.moveSpeed;
                                    this.scaleX = -1;
                                    //Animation
                                    if(map2.hitTest(this.x+30,this.y+65))
                                    {
                                        if (this.age % 3 === 0)
                                        {
                                            if(this.frame <= 3)
                                            {
                                                this.frame = 4;
                                            }
                                            else
                                            {
                                                if(this.frame >= 7)
                                                {
                                                    this.frame = 4;
                                                }
                                                else
                                                {
                                                    this.frame ++;
                                                }
                                            }
                                        }
                                    }
                                }
                                else
                                {
                                    if(map2.checkTile(this.x+20,this.y+60) == 2)
                                    {
                                        this.x -= this.moveSpeed;
                                        this.y -= 5;
                                    }
                                }
                            }
                            //Attack
                            if(game.input.b)
                            {
                                if(this.bPress == false)
                                {
                                    this.bPress = true;
                                    game.sfx = game.assets['audio/sfx/slash.wav'];
                                    game.sfx.play();
                                    if(map2.hitTest(this.x+43.5,this.y+65))
                                    {
                                        if(!game.input.left && !game.input.right)
                                        {
                                            if(this.randomizer == 1)
                                            {
                                                this.ani = 1;
                                            }
                                            else
                                            {
                                                this.ani = 1.5
                                            }
                                        }
                                        else
                                        {
                                            this.ani = 2;
                                        }
                                    }
                                    else
                                    {
                                        this.ani = 3;
                                    }
                                }
                            }
                            else
                            {
                                this.bPress = false;
                            }
                            //Jump
                            if(game.input.a || game.input.up)
                            {
                                if(map2.hitTest(this.x+43.5,this.y+55))
                                {
                                    if(this.jumpHeight >= 12)
                                    {
                                        this.y -= this.jumpHeight * 1.5
                                        this.jumpHeight -= 1;
                                    }
                                }
                                else
                                {
                                    if(this.jumpHeight >= 1)
                                    {
                                        if(!map2.hitTest(this.x+43.5,this.y-10))
                                        {
                                            this.y -= this.jumpHeight * 1.2;
                                            this.jumpHeight -= 1;
                                            if(this.jumpHeight >= 3)
                                            {
                                                this.frame = 9;
                                            }
                                            if(this.jumpHeight >= 5)
                                            {
                                                this.frame = 8;
                                            }
                                        }
                                        else
                                        {
                                            this.jumpHeight = 0;
                                        }
                                    }
                                    if(map2.hitTest(this.x+60,this.y+35))
                                    {
                                        if(this.jumpHeight <= 5)
                                        {
                                            this.scaleX = -1;
                                            this.ani = .5
                                            this.jumpHeight = 13;
                                            this.y -= 5;
                                        }
                                    }
                                    if(map2.hitTest(this.x+15,this.y+35))
                                    {
                                        if(this.jumpHeight <= 5)
                                        {
                                            this.scaleX = 1;
                                            this.ani = .5
                                            this.jumpHeight = 13;
                                            this.y -= 5;
                                        }
                                    }
                                    if(this.intersect(tree1))
                                    {
                                        if(this.x >= (tree1.x + 70) && this.x <= (tree1.x + 80))
                                        {
                                            this.ani = 4;
                                            this.frame = 38;
                                            this.timer = 10
                                        }
                                    }
                                    if(this.intersect(tree2))
                                    {
                                        if(this.x >= (tree2.x + 10) && this.x <= (tree2.x + 90))
                                        {
                                            this.ani = 4;
                                            this.frame = 39;
                                            this.timer = 10
                                        }
                                    }
                                }
                            }
                            if(this.x >= 2999)
                            {
                                if(game.scene == 1)
                                {
                                    this.owner = 1;
                                    game.scene = 2;
                                    dia.line = 1;
                                }
                            }
                        }
                        //Wall Jump
                        if(this.ani == .5)
                        {
                            this.frame = 8
                            if(!map2.hitTest(this.x+43.5,this.y+32))
                            {
                                this.x += this.scaleX * this.moveSpeed;
                            }
                            this.y -= this.jumpHeight * 1.25;
                            this.jumpHeight -= 1;
                            if(this.jumpHeight == 0)
                            {
                                this.ani = 0;
                            }
                        }
                        //Slash 1
                        if(this.ani == 1)
                        {
                            if(this.frame <= 10)
                            {
                                this.frame = 11;
                            }
                            if(this.age % 1 === 0)
                            {
                                if(this.frame >= 14)
                                {
                                    this.ani = 0;
                                }
                                else
                                {
                                    this.frame ++;
                                }
                            }
                        }
                        //Slash 2
                        if(this.ani == 1.5)
                        {
                            if(this.frame <= 14)
                            {
                                this.frame = 15;
                            }
                            if(this.age % 1 === 0)
                            {
                                if(this.frame >= 18)
                                {
                                    this.ani = 0;
                                }
                                else
                                {
                                    this.frame ++;
                                }
                            }
                        }
                        //Spin Slash
                        if(this.ani == 2)
                        {
                            if(this.frame < 21)
                            {
                                this.frame = 21;
                            }
                            if(this.age % 2 === 0)
                            {
                                this.frame ++;
                            }
                            if(this.frame > 23)
                            {
                                this.ani = 0;
                                this.frame = 0;
                            }
                            if(this.scaleX == 1)
                            {
                                if(!map2.hitTest(this.x+55,this.y+60))
                                {
                                    this.x += this.scaleX * this.moveSpeed;
                                }
                                else
                                {
                                    if(map2.checkTile(this.x+55,this.y+60) == 0)
                                    {
                                        this.x += this.moveSpeed;
                                        this.y -= 5;
                                    }
                                }
                            }
                            if(this.scaleX == -1)
                            {
                                if(!map2.hitTest(this.x+20,this.y+60))
                                {
                                    this.x -= this.moveSpeed;
                                }
                                else
                                {
                                    if(map2.checkTile(this.x+20,this.y+60) == 2)
                                    {
                                        this.x -= this.moveSpeed;
                                        this.y -= 5;
                                    }
                                }
                            }
                        }
                        //Aerial Slash
                        if(this.ani == 3)
                        {
                            if(!map2.hitTest(this.x+43.5,this.y+60))
                            {
                                if(this.frame <= 23)
                                {
                                    this.frame = 24;
                                }
                                if(this.frame >= 27)
                                {
                                    this.ani = 0;
                                }
                                if(this.age % 2 === 0)
                                {
                                    this.frame ++;
                                }
                                if(game.input.right)
                                {
                                    if(!map2.hitTest(this.x+55,this.y+60))
                                    {
                                        this.x += this.scaleX * this.moveSpeed;
                                    }
                                }
                                if(game.input.left)
                                {
                                    if(!map2.hitTest(this.x+20,this.y+60))
                                    {
                                        this.x += this.scaleX * this.moveSpeed;
                                    }
                                }

                            }
                            else
                            {
                                this.ani = 0;
                            }
                        }
                        //Triangle Jump
                        if(this.ani == 4)
                        {
                            if(this.timer >= 1)
                            {
                                this.timer --
                                this.scaleX = 1;
                            }
                            else
                            {
                                if(game.input.a)
                                {
                                    this.ani = 4.5;
                                    this.jumpHeight = 5;
                                    this.timer = 15
                                }
                                else
                                {
                                    this.ani = 0;
                                }
                            }
                        }
                        if(this.ani == 4.5)
                        {
                            this.frame = 9;
                            this.x += 10;
                            if(this.timer >= 1)
                            {
                                this.timer --;
                            }
                            else
                            {
                                this.ani = 0;
                            }
                        }
                        //Pole Swing
                        if(this.ani == 5)
                        {
                            this.jumpHeight = 8;
                            if(this.frame <= 39)
                            {
                                this.frame = 40;
                            }
                            if(this.age % 5 === 0)
                            {
                                if(this.frame >= 43)
                                {
                                    this.frame = 40;
                                }
                                else
                                {
                                    this.frame ++;
                                }
                            }
                            if(game.input.a)
                            {
                                if(this.frame == 40)
                                {
                                    this.ani = 0.25
                                }
                                if(this.frame == 41)
                                {
                                    this.ani = 0.15
                                }
                                if(this.frame == 42)
                                {
                                    this.ani = 0.15
                                }
                                if(this.frame == 43)
                                {
                                    this.ani = 0.25
                                }
                                
                            }
                        }
                        //Pole Jump Forward
                        if(this.ani == 0.15)
                        {
                            if(this.jumpHeight >= 1)
                            {
                                this.y -= this.jumpHeight * 1.25;
                                this.jumpHeight --;
                                this.x += this.scaleX * 6;
                                if(this.frame <= 43)
                                {
                                    this.frame = 44;
                                }
                                if(this.age % 4 === 0)
                                {
                                    if(this.frame <= 47)
                                    {
                                        this.frame ++;
                                    }
                                }
                            }
                            else
                            {
                                this.ani = 0;
                            }
                        }
                        //Pole Jump Backward
                        if(this.ani == 0.25)
                        {
                            if(this.jumpHeight >= 1)
                            {
                                this.y -= this.jumpHeight * 1.25;
                                this.jumpHeight --;
                                this.x -= this.scaleX * 6;
                            }
                            else
                            {
                                this.ani = 0;
                            }
                        }
                    }
                });
                //End Lloyd Input and Animation
                //Enemy 1 AI
                gorilla.addEventListener(Event.ENTER_FRAME, function(){
                    this.y += 5;
                    if (map2.hitTest(this.x+27.5,this.y+60)){
                        this.y-= 5;
                        this.jumpHeight = 12;
                    }
                    if(player.x <= this.x)
                    {
                        this.scaleX = -1;
                    }
                    if(player.x >= this.x)
                    {
                        this.scaleX = -1;
                    }
                    if(this.ani == -1)
                    {
                        if(this.frame <= 11)
                        {
                            this.frame = 12;
                        }
                        if(this.frame >= 15)
                        {
                            this.ani = 0;
                        }
                        if(this.age % 2 === 0)
                        {
                            this.frame ++;
                            this.x -= this.scaleX*4;
                        }
                    }
                    if(this.ani == 0)
                    {
                        this.frame = 0;
                        //Punching Lloyd
                        if(this.intersect(player))
                        {
                            if(player.ani <= 0)
                            {
                                if(player.x >= this.x-44)
                                {
                                    this.ani = 1;
                                    if(player.health >> 0)
                                    {
                                        player.ani = -1;
                                        player.health --;
                                    }
                                    else
                                    {
                                        player.ani = -2;
                                    }
                                }
                            }
                            else
                            {
                                if(this.health >> 0)
                                {
                                    this.ani = -1;
                                    this.health --;
                                }
                            }
                        }
                        if(player.health == 0 && player.ani == -2)
                        {
                            this.ani = 2;
                        }
                    }
                    if(this.ani == 1)
                    {
                        if(this.frame <= 5)
                        {
                            this.frame = 5;
                        }
                        if(this.frame >= 8)
                        {
                            this.ani = 0;
                            this.frame = 0;
                        }
                        else
                        {
                            this.frame ++;
                        }
                    }
                    if(this.ani == 2)
                    {
                        if(this.age % 3 === 0)
                        {
                            this.frame ++;
                            if(this.frame >= 5)
                            {
                                if(player.ani == -2)
                                {
                                    this.frame = 3;
                                }
                                else
                                {
                                    this.ani = 0;
                                    this.frame = 0;
                                }
                            }
                        }
                    }
                });
                //Enemy 2 AI
                gorilla2.addEventListener(Event.ENTER_FRAME, function(){
                    this.y += 5;
                    if (map2.hitTest(this.x+27.5,this.y+60)){
                        this.y-= 5;
                        this.jumpHeight = 12;
                    }
                    if(player.x <= this.x)
                    {
                        this.scaleX = -1;
                    }
                    if(player.x >= this.x)
                    {
                        this.scaleX = -1;
                    }
                    if(this.ani == -1)
                    {
                        if(this.frame <= 11)
                        {
                            this.frame = 12;
                        }
                        if(this.frame >= 15)
                        {
                            this.ani = 0;
                        }
                        if(this.age % 2 === 0)
                        {
                            this.frame ++;
                            this.x -= this.scaleX*7;
                        }
                    }
                    if(this.ani == 0)
                    {
                        if(player.x >= 1856 && player.x <= 2176)
                        {
                            if(player.x <= this.x - 32)
                            {
                                this.x -= 3;
                            }
                            if(player.x >= this.x + 32)
                            {
                                this.x += 3;
                            }
                            if(this.age % 2 === 0)
                            {
                                if(this.frame <= 7)
                                {
                                    this.frame = 8;
                                }
                                else
                                {
                                    if(this.frame >= 11)
                                    {
                                        this.frame = 8;
                                    }
                                    else
                                    {
                                        this.frame ++;
                                    }
                                }
                            }
                        }
                        //Punching Lloyd
                        if(this.intersect(player))
                        {
                            if(player.ani <= 0)
                            {
                                if(player.x >= this.x-44)
                                {
                                    this.ani = 1;
                                    if(player.health >> 0)
                                    {
                                        player.ani = -1;
                                        player.health --;
                                    }
                                    else
                                    {
                                        player.ani = -2;
                                    }
                                }
                            }
                            else
                            {
                                if(this.health >> 0)
                                {
                                    this.ani = -1;
                                    this.health --;
                                }
                            }
                        }
                        if(player.health == 0 && player.ani == -2)
                        {
                            this.ani = 2;
                        }
                    }
                    if(this.ani == 1)
                    {
                        if(this.frame <= 5)
                        {
                            this.frame = 5;
                        }
                        if(this.frame >= 8)
                        {
                            this.ani = 0;
                            this.frame = 0;
                        }
                        else
                        {
                            this.frame ++;
                        }
                    }
                    if(this.ani == 2)
                    {
                        if(this.age % 3 === 0)
                        {
                            this.frame ++;
                            if(this.frame >= 5)
                            {
                                if(player.ani == -2)
                                {
                                    this.frame = 3;
                                }
                                else
                                {
                                    this.ani = 0;
                                    this.frame = 0;
                                }
                            }
                        }
                    }
                });
                //Enemy 2 AI
                gorilla3.addEventListener(Event.ENTER_FRAME, function(){
                    this.y += 5;
                    if (map2.hitTest(this.x+27.5,this.y+60)){
                        this.y-= 5;
                        this.jumpHeight = 12;
                    }
                    if(player.x <= this.x)
                    {
                        this.scaleX = -1;
                    }
                    if(player.x >= this.x)
                    {
                        this.scaleX = -1;
                    }
                    if(this.ani == -1)
                    {
                        if(this.frame <= 11)
                        {
                            this.frame = 12;
                        }
                        if(this.frame >= 15)
                        {
                            this.ani = 0;
                        }
                        if(this.age % 2 === 0)
                        {
                            this.frame ++;
                            this.x -= this.scaleX*7;
                        }
                    }
                    if(this.ani == 0)
                    {
                        if(player.x >= 2496 && player.x <= 2656)
                        {
                            if(player.x <= this.x - 32)
                            {
                                this.x -= 3;
                            }
                            if(player.x >= this.x + 32)
                            {
                                this.x += 3;
                            }
                            if(this.age % 2 === 0)
                            {
                                if(this.frame <= 7)
                                {
                                    this.frame = 8;
                                }
                                else
                                {
                                    if(this.frame >= 11)
                                    {
                                        this.frame = 8;
                                    }
                                    else
                                    {
                                        this.frame ++;
                                    }
                                }
                            }
                        }
                        else
                        {
                            this.frame = 0;
                        }
                        //Punching Lloyd
                        if(this.intersect(player))
                        {
                            if(player.ani <= 0)
                            {
                                if(player.x >= this.x-44)
                                {
                                    this.ani = 1;
                                    if(player.health >> 0)
                                    {
                                        player.ani = -1;
                                        player.health --;
                                    }
                                    else
                                    {
                                        player.ani = -2;
                                    }
                                }
                            }
                            else
                            {
                                if(this.health >> 0)
                                {
                                    this.ani = -1;
                                    this.health --;
                                }
                            }
                        }
                        if(player.health == 0 && player.ani == -2)
                        {
                            this.ani = 2;
                        }
                    }
                    if(this.ani == 1)
                    {
                        if(this.frame <= 5)
                        {
                            this.frame = 5;
                        }
                        if(this.frame >= 8)
                        {
                            this.ani = 0;
                            this.frame = 0;
                        }
                        else
                        {
                            this.frame ++;
                        }
                    }
                    if(this.ani == 2)
                    {
                        if(this.age % 3 === 0)
                        {
                            this.frame ++;
                            if(this.frame >= 5)
                            {
                                if(player.ani == -2)
                                {
                                    this.frame = 3;
                                }
                                else
                                {
                                    this.ani = 0;
                                    this.frame = 0;
                                }
                            }
                        }
                    }
                });
                //Boss AI
                hyperion.addEventListener(Event.ENTER_FRAME, function(){
                    this.y += 5;
                    if(map2.hitTest(this.x+37.5,this.y+60))
                    {
                        this.y -= 5;
                        if(this.ani >= 0)
                        {
                            this.jumpHeight = 10;
                        }
                    }
                    else
                    {
                        this.frame = 4;
                    }
                    
                    if(this.intersect(player))
                    {
                        if(player.ani >= 1)
                        {
                            if(this.ani == 0)
                            {
                                this.timer = 20;
                                this.jumpHeight = 10;
                                this.health --
                                this.ani = -1;
                            }
                        }
                    }
                    if(this.ani == -2.5)
                    {
                        if(this.age % 2 === 0)
                        {
                            if(this.frame <= 9)
                            {
                                this.frame = 10;
                            }
                            else
                            {
                                if(this.frame >= 13)
                                {
                                    this.frame = 10;
                                }
                                else
                                {
                                    this.frame ++;
                                }
                            }
                        }
                        if(this.timer >= 1)
                        {
                            this.timer --;
                            explosion1.x = this.x - 32;
                            explosion1.y = this.y;
                            explosion2.x = this.x + 64;
                            if (this.timer % 2 === 0)
                            {
                                stage2.addChild(explosion1);
                            }
                            if (this.timer % 3 === 0)
                            {
                                stage2.addChild(explosion2);
                            }
                        }
                        else
                        {
                            stage2.removeChild(this);
                            dia.line ++;
                        }
                    }
                    if(this.ani == -2)
                    {
                        if(this.age % 2 === 0)
                        {
                            if(this.frame <= 8)
                            {
                                this.frame = 9;
                            }
                            else
                            {
                                if(this.frame >= 10)
                                {
                                    this.frame = 9;
                                }
                                else
                                {
                                    this.frame ++;
                                }
                            }
                        }
                    }
                    if(this.ani == -1)
                    {
                        this.frame = 4;
                        if(this.x >= 3008 || this.x <= 3360)
                        {
                            if(!map2.hitTest(this.x+75,this.y+60))
                            {
                                this.x += this.scaleX * -4;
                            }
                            else
                            {
                                this.ani = 3;
                            }
                        }
                        if(this.jumpHeight >= 1)
                        {
                            this.y -= this.jumpHeight;
                            this.jumpHeight --;
                        }
                        if(this.timer >= 1)
                        {
                            this.timer --;
                        }
                        else
                        {
                            if(this.health >= 1)
                            {
                                this.timer = 15;
                                this.ani = 0;
                            }
                            else
                            {
                                this.ani = -2;
                                player.owner = 1;
                                game.scene = 3;
                                dia.line = 1;
                            }
                        }
                    }
                    if(this.ani == 0)
                    {
                        if(player.x <= this.x - 60)
                        {
                            this.scaleX = -1;
                        }
                        if(player.x >= this.x + 60)
                        {
                            this.scaleX = 1;
                        }
                        this.frame = 0;
                        if(this.owner == 0)
                        {
                            this.randomizer = Math.random();
                            if(this.timer >= 1)
                            {
                                this.timer --;
                            }
                            else
                            {
                                if(player.x <= (this.x - 95) || player.x >= (this.x + 95))
                                {
                                    this.ani = 2;
                                }
                                if(this.randomizer <= 0.25)
                                {
                                    this.ani = 1;
                                }
                                if((this.randomizer >= 0.25) && (this.randomizer <= 0.5))
                                {
                                    this.ani = 2;
                                }
                                if(this.randomizer >= 0.5)
                                {
                                    this.ani = 3;
                                    this.timer = 20;
                                }
                            }
                        }
                    }
                    if(this.ani == 1)
                    {
                        if(this.frame <= 4)
                        {
                            this.frame = 5;
                        }
                        if(this.age % 2 === 0)
                        {
                            if(this.frame >= 8)
                            {
                                grenade1.x = this.x;
                                grenade1.y = this.y + 15;
                                stage2.addChild(grenade1);
                                grenade2.x = this.x;
                                grenade2.y = this.y + 15;
                                stage2.addChild(grenade2);
                                this.timer = 15;
                                this.ani = 0;
                            }
                            else
                            {
                                this.frame ++;
                            }
                        }
                    }
                    if(this.ani == 2)
                    {
                        if(this.jumpHeight >= 0)
                        {
                            this.y -= this.jumpHeight * 1.75;
                            this.jumpHeight --;
                        }
                        else
                        {
                            this.ani = 0;
                            this.timer = 15;
                        }
                        this.x += this.scaleX * 5;
                    }
                    if(this.ani == 3)
                    {
                        if(this.timer == 15)
                        {
                            this.frame = 1;
                        }
                        if(this.timer >= 1)
                        {
                            this.timer --;
                            this.frame = 2;
                        }
                        else
                        {
                            this.ani = 0;
                            this.timer = 15;
                        }
                        if(this.timer == 13 || this.timer == 1)
                        {
                            blast1.x = this.x;
                            blast1.y = this.y;
                            stage2.addChild(blast1)
                        }
                        if(this.timer == 5)
                        {
                            blast2.x = this.x;
                            blast2.y = this.y;
                            stage2.addChild(blast2)
                        }
                        if(this.timer == 1)
                        {
                            blast3.x = this.x;
                            blast3.y = this.y;
                            stage2.addChild(blast3)
                        }

                        if(this.scaleX == 1)
                        {
                            if(!map2.hitTest(this.x+50,this.y+60))
                            {
                                this.x += 8;
                            }
                        }
                        else
                        {
                            this.x -= 8;
                        }
                    }
                    if(this.y >= stgHeight)
                    {
                        if(this.ani == 0)
                        {
                            this.jumpHeight = 20;
                            this.ani = 2;
                        }
                    }
                });
                //Grenade 1 & Explosion
                grenade1.addEventListener(Event.ENTER_FRAME,function(){
                    this.x += hyperion.scaleX * 5;
                    this.y += 3;
                    if(this.frame <= 3)
                    {
                        this.frame ++;
                    }
                    else
                    {
                        this.frame = 0;
                    }
                    if(map2.hitTest(this.x+12.5,this.y+30))
                    {
                        this.jumpHeight = 10;
                        game.sfx3 = game.assets['audio/sfx/explosion01.wav'];
                        game.sfx3.play();
                        explosion1.x = this.x - 25;
                        explosion1.y = this.y - 25;
                        stage2.removeChild(this);
                        stage2.addChild(explosion1);
                    }
                    if(this.jumpHeight >= 1)
                    {
                        this.y -= this.jumpHeight * 1.25;
                        this.jumpHeight --;
                    }
                });
                explosion1.addEventListener(Event.ENTER_FRAME,function(){
                    if(this.age % 2 === 0)
                    {
                        this.frame ++;
                    }
                    if(this.frame >= 4)
                    {
                        stage2.removeChild(this);
                        this.frame = 0;
                    }
                    if(this.intersect(player))
                    {
                        if(player.ani == 0)
                        {
                            player.ani = -2;
                            player.health --;
                        }
                    }
                });
                //Grenade 2
                grenade2.addEventListener(Event.ENTER_FRAME,function(){
                    this.x += hyperion.scaleX * 2;
                    this.y += 3;
                    if(this.frame <= 3)
                    {
                        this.frame ++;
                    }
                    else
                    {
                        this.frame = 0;
                    }
                    if(map2.hitTest(this.x+12.5,this.y+30))
                    {
                        this.jumpHeight = 10;
                        game.sfx3 = game.assets['audio/sfx/explosion01.wav'];
                        game.sfx3.play();
                        explosion2.x = this.x - 25;
                        explosion2.y = this.y - 25;
                        stage2.removeChild(this);
                        stage2.addChild(explosion2);

                    }
                    if(this.jumpHeight >= 1)
                    {
                        this.y -= this.jumpHeight * 1.25;
                        this.jumpHeight --;
                    }
                });
                explosion2.addEventListener(Event.ENTER_FRAME,function(){
                    if(this.age % 2 === 0)
                    {
                        this.frame ++;
                    }
                    if(this.frame >= 4)
                    {
                        stage2.removeChild(this);
                        this.frame = 0;
                    }
                    if(this.intersect(player))
                    {
                        if(player.ani == 0)
                        {
                            player.ani = -2;
                            player.health --;
                        }
                    }
                });
                blast1.addEventListener(Event.ENTER_FRAME,function(){
                    if(map2.hitTest(this.x+50,this.y+50))
                    {
                        if(this.age % 2 === 0)
                        {
                            this.frame ++;
                        }
                        if(this.frame >= 4)
                        {
                            stage2.removeChild(this);
                            this.frame = 0;
                        }
                        if(this.intersect(player))
                        {
                            if(player.ani == 0)
                            {
                                if(player.x >= this.x + 45 && player.x <= this.x + 60)
                                {
                                    player.ani = -2;
                                    player.health --;
                                }
                            }
                        }
                    }
                    else
                    {
                        this.x += hyperion.scaleX * 3;
                        this.y += 2;
                    }
                });
                blast2.addEventListener(Event.ENTER_FRAME,function(){
                    if(map2.hitTest(this.x+50,this.y+50))
                    {
                        if(this.age % 2 === 0)
                        {
                            this.frame ++;
                        }
                        if(this.frame >= 4)
                        {
                            stage2.removeChild(this);
                            this.frame = 0;
                        }
                        if(this.intersect(player))
                        {
                            if(player.ani == 0)
                            {
                                if(player.x >= this.x + 45 && player.x <= this.x + 60)
                                {
                                    player.ani = -2;
                                    player.health --;
                                }
                            }
                        }
                    }
                    else
                    {
                        this.x += hyperion.scaleX * 6;
                        this.y += 2;
                    }
                });
                blast3.addEventListener(Event.ENTER_FRAME,function(){
                    if(map2.hitTest(this.x+50,this.y+50))
                    {
                        if(this.age % 2 === 0)
                        {
                            this.frame ++;
                        }
                        if(this.frame >= 4)
                        {
                            stage2.removeChild(this);
                            this.frame = 0;
                        }
                        if(this.intersect(player))
                        {
                            if(player.ani == 0)
                            {
                                if(player.x >= this.x + 45 && player.x <= this.x + 60)
                                {
                                    player.ani = -2;
                                    player.health --;
                                }
                            }
                        }
                    }
                    else
                    {
                        this.x += hyperion.scaleX * 12;
                        this.y += 2;
                    }
                });
                //Scene Events
                this.addEventListener('enterframe', function(e) {
                    if(game.scene == 1)
                    {
                        var x = Math.min((game.width  - 16) / 2 - player.x, 0);
                        var y = Math.min((game.height - 16) / 2 - player.y, 0);
                        x = Math.max(game.width,  x + map2.width)  - map2.width;
                        y = Math.max(game.height, y + map2.height) - map2.height;
                        stage2.x = x;
                        stage2.y = y;
                        if(game.musicTimer >= 1)
                        {
                            game.musicTimer --;
                        }
                        else
                        {
                            if(game.scene == 1)
                            {
                                game.musicTimer = 1150;
                            }
                            if(game.scene == 2.5)
                            {
                                game.musicTimer = 1500;
                            }
                            game.bgm.play();
                        }
                    }
                    if(game.scene == 2)
                    {
                        var x = Math.min((game.width  - 16) / 2 - hyperion.x, 0);
                        var y = Math.min((game.height - 16) / 2 - hyperion.y, 0);
                        x = Math.max(game.width,  x + map2.width)  - map2.width;
                        y = Math.max(game.height, y + map2.height) - map2.height;
                        stage2.x = x;
                        stage2.y = y;
                    }
                    //Background Animation
                    if(bg1.age % 2 === 0)
                    {
                        if(bg1.frame == 0)
                        {
                            bg1.frame ++;
                        }
                        else
                        {
                            bg1.frame = 0;
                        }
                    }
                    if(player.y >= stgHeight)
                    {
                        if(game.lives >> 0)
                        {
                            if(game.scene <= 2)
                            {
                                player.x = 0;
                                player.y = 100;
                            }
                            else
                            {
                                player.x = 2999;
                                player.y = 0;
                            }
                            player.health = 4;
                            game.lives --;
                        }
                        else
                        {
                            stage2.removeChild(player);
                            game.pushScene(gameOverScreen);
                        }
                    }
                    if(game.scene == 3 && dia.line == 9)
                    {
                        this.addChild(transition);
                        if(transition.frame >= 4)
                        {
                            game.pushScene(levelThree);
                            game.bgm = game.assets['audio/bgm/NYC.mp3']; // background music
                            game.musicTimer = 2355;
                            game.bgm.play();
                        }
                    }
                    
                    
                });
                dia.addEventListener(Event.ENTER_FRAME, function(){
                    voice1.x = this.x;
                    voice1.y = this.y + 10;
                    voice2.x = this.x;
                    voice2.y = this.y + 26;
                    //Cutscene 1
                    if(!game.scene == 1)
                    {
                        game.scene ++;
                    }
                    if(game.scene == 1)
                    {
                        this.x = player.x - 25;
                        this.y = player.y - 50;
                        if(this.line == 1)
                        {
                            this.sceneAction = true;
                            this.frame = 2;
                            voice1.text = "Now then, I hope the teleporter";
                            voice2.text = "station wasn't destroyed...";
                            if(this.age % 2 === 0)
                            {
                                if(this.timer >= 0)
                                {
                                    this.timer --;
                                }
                                else
                                {
                                    voice1.text = "";
                                    voice2.text = "";
                                    this.frame = -1;
                                    this.line = 1.5;
                                }
                            }
                        }
                        if(this.line == 1.5)
                        {
                            if(player.x >= 650)
                            {
                                this.line = 2;
                                this.timer = 30;
                            }
                        }
                        if(this.line == 2)
                        {
                            this.frame = 2;
                            voice1.text = "Well, that's just great. Seems";
                            voice2.text = "the only way to go is up.";
                            if(this.age % 2 === 0)
                            {
                                if(this.timer >= 0)
                                {
                                    this.timer --;
                                }
                                else
                                {
                                    voice1.text = "";
                                    voice2.text = "";
                                    this.frame = -1;
                                    this.line = 2.5;
                                }
                            }
                        }
                        if(this.line == 2.5)
                        {
                            if(player.x >= 1312)
                            {
                                this.line = 3;
                                this.timer = 30;
                            }
                        }
                        if(this.line == 3)
                        {
                            this.frame = 2;
                            voice1.text = "If I hold down the 'N' key,";
                            voice2.text = "I can jump between these trees...";
                            if(this.age % 2 === 0)
                            {
                                if(this.timer >= 0)
                                {
                                    this.timer --;
                                }
                                else
                                {
                                    voice1.text = "";
                                    voice2.text = "";
                                    this.frame = -1;
                                    this.line = 3.5;
                                }
                            }
                        }
                    }
                    if(game.scene == 2)
                    {
                        
                        if(this.line == 0)
                        {
                            this.line = 1;
                            game.bgm.stop();
                            game.musicTimer = 1280;
                            game.bgm = game.assets['audio/bgm/Lloydbossmusic.mp3']; // background music
                            game.bgm.play();
                        }
                        else
                        {
                            if(player.age % 4 === 0)
                            {
                                player.frame ++;
                                if(player.frame >= 3)
                                {
                                    player.frame = 0;
                                }
                            }
                        }
                        if(this.line == 1)
                        {
                           
                           this.x = hyperion.x - 45;
                           this.y = hyperion.y - 50;
                           this.frame = 0;
                           voice1.text = "Good! You must be fired up";
                           voice2.text = "to come this far!";
                           this.sceneAction = false;
                           game.bgm.stop();
                           game.bgm = game.assets['audio/bgm/Lloydbossmusic.mp3'];
                        }
                        if(this.line == 2)
                        {
                           this.x = hyperion.x - 45;
                           this.y = hyperion.y - 50;
                           this.frame = 0;
                           voice1.text = "But I won't let you get to";
                           voice2.text = "New York!"; 
                        }
                        if(this.line == 3)
                        {
                           this.x = player.x - 25;
                           this.y = player.y - 50;
                           this.frame = 0;
                           voice1.text = "An enemy, then? Who are you?";
                           voice2.text = ""; 
                        }
                        if(this.line == 4)
                        {
                           this.x = hyperion.x - 45;
                           this.y = hyperion.y - 50;
                           this.frame = 0;
                           voice1.text = "You can call me Hyperion! I am";
                           voice2.text = "one of three Titans!"; 
                        }
                        if(this.line == 5)
                        {
                           this.x = hyperion.x - 45;
                           this.y = hyperion.y - 50;
                           this.frame = 0;
                           voice1.text = "Created to serve our glorious";
                           voice2.text = "commander!"; 
                        }
                        if(this.line == 6)
                        {
                           this.x = player.x - 25;
                           this.y = player.y - 50;
                           this.frame = 0;
                           voice1.text = "Well, this is interesting.";
                           voice2.text = "Who's your commander."; 
                        }
                        if(this.line == 7)
                        {
                           this.x = hyperion.x - 45;
                           this.y = hyperion.y - 50;
                           this.frame = 0;
                           voice1.text = "If your fire's strong, you'll";
                           voice2.text = "live to see him!"; 
                        }
                        if(this.line == 8)
                        {
                           this.x = hyperion.x - 45;
                           this.y = hyperion.y - 50;
                           this.frame = 0;
                           voice1.text = "But enough talk!!";
                           voice2.text = "Now let's FIGHT!!!";
                           
                        }
                        if(this.line == 9)
                        {
                           this.x = player.x - 25;
                           this.y = player.y - 50;
                           this.frame = -1;
                           voice1.text = "";
                           voice2.text = "";
                           player.owner = 0;
                           hyperion.owner = 0;
                           this.sceneAction = true;
                           game.scene = 2.5;
                           this.line = 0;
                            game.musicTimer = 0;
                            game.bgm.play();
                        }
                    }
                    if(game.scene == 3)
                    {
                        if(hyperion.health == 0)
                        {
                            if(this.line == 0)
                            {
                                this.line = 1;
                            }
                        }
                        if(this.line == 1)
                        {
                           game.bgm.stop();
                           this.x = player.x - 45;
                           this.y = player.y - 50;
                           this.frame = 1;
                           voice1.text = "Feh! You're far more capable than";
                           voice2.text = "I thought!";
                           this.sceneAction = false;
                           player.frame = 0; 
                        }
                        if(this.line == 2)
                        {
                           this.x = player.x - 45;
                           this.y = player.y - 50;
                           this.frame = 1;
                           voice1.text = "But you have no chance against";
                           voice2.text = "the other Titans!";
                           hyperion.timer = 30;
                        }
                        if(this.line == 3)
                        {
                           this.frame = -1;
                           voice1.text = "";
                           voice2.text = "";
                           hyperion.ani = -2.5;
                           this.sceneAction = true; 
                        }
                        if(this.line == 4)
                        {
                           this.x = player.x - 45;
                           this.y = player.y - 50;
                           this.frame = 0;
                           voice1.text = "That guy was tough.";
                           voice2.text = "";
                           this.sceneAction = false; 
                        }
                        if(this.line == 5)
                        {
                           this.x = player.x - 45;
                           this.y = player.y - 50;
                           this.frame = 0;
                           voice1.text = "If there ARE others like him,";
                           voice2.text = "I need to watch myself.";
                           this.sceneAction = false; 
                        }
                        if(this.line == 6)
                        {
                           this.frame = -1;
                           voice1.text = "";
                           voice2.text = "";
                           this.sceneAction = true;
                           if(player.x <= 3216)
                           {
                                player.scaleX = 1;
                                player.x += player.moveSpeed;
                                if(player.age % 3 === 0)
                                {
                                    if(player.frame <= 3)
                                    {
                                        player.frame = 4;
                                    }
                                    else
                                    {
                                        if(player.frame >= 7)
                                        {
                                            player.frame = 4;
                                        }
                                        else
                                        {
                                            player.frame ++;
                                        }
                                    }
                                }
                           }
                           else
                           {
                                warp1.x = player.x;
                                warp1.y = player.y;
                                stage2.addChild(warp1);
                                this.line = 7;
                                player.frame = 0;
                                this.timer = 15;
                           }
                        }
                        if(this.line == 7)
                        {
                            if(this.timer >= 1)
                            {
                                this.timer --;
                            }
                            else
                            {
                                this.line = 8;
                                this.timer = 5;
                            }
                            if(this.timer % 2 === 0)
                            {
                                teleporter.frame = 1;
                            }
                            else
                            {
                                teleporter.frame = 0;
                            }
                            if(warp1.age % 2 === 0)
                            {
                                if(warp1.frame == 1)
                                {
                                    warp1.frame = 0;
                                }
                                else
                                {
                                    warp1.frame ++;
                                }
                            }
                        }
                        if(this.line == 8)
                        {
                            stage2.removeChild(player);
                            if(warp1.age % 2 === 0)
                            {
                                if(warp1.frame <= 1)
                                {
                                    warp1.frame = 2;
                                }
                                else
                                {
                                    if(warp1.frame >= 3)
                                    {
                                        stage2.removeChild(warp1);
                                        transition.frame = 0;
                                        this.line = 9;
                                    }
                                    else
                                    {
                                        warp1.frame ++;
                                    }
                                }
                            }
                            if(this.timer >= 1)
                            {
                                this.timer --;
                            }
                        }

                    }
                });
            }
        });
        //Stage 3 (New York City Act One)
        var NewYorkCityOne = Class.create(Scene, {
        initialize: function(){
            
            console.log("New York City One!");
            
            Scene.apply(this);
            //Add Backgrounds
            bg = new Sprite(3360,stgHeight);
            bg.image = game.assets['img/bg/sky_01.png'];
            //Create Map
            map3 = new Map(32,16);
            map3.image = game.assets['img/tiles.png'];
            map3.loadData(
                [
                /*     01,02,03,04,05,06,07,08,09,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,97,98,99,01,02,03,04,05,/
                /*01*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                /*02*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                /*03*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                /*04*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                /*05*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,-1,-1,-1,-1,-1,-1,-1,-1,13,13,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                /*06*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,-1,-1,-1,-1,-1,-1,-1,-1,16,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                /*07*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,-1,-1,-1,-1,-1,-1,-1,-1,16,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                /*08*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,13,13,13,13,13,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                /*09*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,13,13,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,13,13,-1,-1,-1,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                /*10*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,25,25,25,-1,-1,16,16,-1,-1,-1,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                /*11*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,13,13,13,13,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,-1,-1,-1,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                /*12*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,13,13,13,13,13,-1,-1,-1,-1,-1,-1,-1,-1,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,-1,-1,-1,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                /*13*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,13,13,13,-1,-1,13,13,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,13,13,13,13,16,-1,-1,25,25,-1,25,25,-1,25,25,-1,25,25,-1,-1,-1,-1,-1,-1,-1,16,16,-1,-1,-1,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                /*14*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,16,16,16,-1,-1,25,25,-1,25,25,-1,25,25,-1,25,25,-1,-1,13,13,13,-1,-1,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                /*15*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,16,16,16,-1,-1,25,25,-1,25,25,-1,25,25,-1,25,25,-1,-1,16,16,16,-1,-1,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                /*16*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,16,16,16,-1,-1,25,25,-1,25,25,-1,25,25,-1,25,25,-1,-1,16,16,16,-1,-1,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                /*17*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,16,16,16,-1,-1,25,25,-1,25,25,-1,25,25,-1,25,25,-1,-1,16,16,16,-1,-1,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                /*18*/[-1,-1,-1,-1,-1,-1,-1,12,13,13,13,13,13,13,13,13,13,13,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1, 1, 1, 1,-1, 1, 1, 1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1, 1, 1, 1, 1,16,16,16,16,-1,-1,25,25,-1,25,25,-1,25,25,-1,25,25,-1,-1,16,16,16,-1,-1,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                /*19*/[-1,-1,-1,-1,-1,-1,12,16,16,16,16,16,16,16,16,16,16,16,-1,-1,-1,-1,-1,-1, 1, 1, 1,-1,-1, 4, 4, 4,-1, 4, 4, 4,-1,-1, 1, 1, 1,-1,-1, 1, 1, 1,-1, 4, 4, 4, 4,16,16,16,16,-1,-1,25,25,-1,25,25,-1,25,25,-1,25,25,-1,-1,16,16,16,-1,-1,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                /*20*/[13,13,13,13,13,13,15,16,16,16,16,16,16,16,16,16,16,16, 1, 1, 1,-1,-1,-1, 4, 4, 4,-1,-1, 4, 4, 4,-1, 4, 4, 4,-1,-1, 4, 4, 4,-1,-1, 4, 4, 4,-1, 4, 4, 4, 4,16,16,16,16,-1,-1,25,25,-1,25,25,-1,25,25,-1,25,25,-1,-1,16,16,16,-1,-1,16,16,-1,-1,-1,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,-1,-1,13,13,13,13,],
                /*21*/[16,16,16,16,16,15,16,16,16,16,16,16,16,16,16,16,16,16, 4, 4, 4,-1,-1,-1, 4, 4, 4,-1,-1, 4, 4, 4,-1, 4, 4, 4,-1,-1, 4, 4, 4,-1,-1, 4, 4, 4,-1, 4, 4, 4, 4,16,16,16,16,-1,-1,25,25,-1,25,25,-1,25,25,-1,25,25,-1,-1,16,16,16,-1,-1,16,16,-1,-1,-1,16,16,16,16,16,16,16,16,16,16,16,16,-1,-1,16,-1,-1,16,-1,-1,16,16,16,16,],
                ]
            );
            var stage3 = new Group();
            player = new Lloyd();
            player.owner = 1;
            player.ani = 0;
            player.y = 208;
            var spring = new Spring();
            spring.x = 1632;
            spring.y = 152;
            var swing1 = new Sprite(64,16);
            swing1.image = game.assets['img/bg/swing.png'];
            swing1.x = 608;
            swing1.y = 176;
            swing1.frame = 1;
            var swing2 = new Sprite(64,16);
            swing2.image = game.assets['img/bg/swing.png'];
            swing2.x = 704;
            swing2.y = 208;
            swing2.frame = 1;
            var swing3 = new Sprite(64,16);
            swing3.image = game.assets['img/bg/swing.png'];
            swing3.x = 1520;
            swing3.y = 120;
            swing3.frame = 1;
            gorilla = new Gorilla();
            gorilla.x = 800;
            gorilla2 = new Gorilla();
            gorilla2.x = 1248;
            gorilla2.y = 224;
            gorilla2.jumpHeight = 10;
            gorilla2.scaleX = 1;
            train = new Train();
            train.x = 1824;
            train.y = 96;
            train2 = new Train();
            train2.x = 2016;
            train2.y = 96;
            bg1 = new Sprite(3360,336);
            bg1.image = game.assets['img/bg/city_01.png'];
            robogorilla = new RoboGorilla();
            robogorilla.x = 1760;
            robogorillaScrap = new Sprite(54,63);
            robogorillaScrap.image = game.assets['img/cha/robogorilla-sheet.png'];
            plasma1 = new Plasma();
            plasma1.x = robogorilla.x;
            plasma1.y = robogorilla.y + 29;
            plasma2 = new Plasma();
            plasma2.x = robogorilla.x;
            plasma2.y = robogorilla.y + 29;
            plasma3 = new Plasma();
            plasma3.x = robogorilla.x;
            plasma3.y = robogorilla.y + 29;

            transitionFX = new Transition();

            //Dialogue Box
                var dia = new Dialogue();
                dia.line = 0;
                var voice1 = new Label();
                var voice2 = new Label();
            stage3.addChild(bg1);
            stage3.addChild(map3);
            stage3.addChild(spring);
            stage3.addChild(train);
            stage3.addChild(train2);
            stage3.addChild(player);
            stage3.addChild(swing1);
            stage3.addChild(swing2);
            stage3.addChild(swing3);
            stage3.addChild(gorilla);
            stage3.addChild(gorilla2);
            stage3.addChild(robogorilla);
            this.addChild(stage3);
            stage3.addChild(dia);
            stage3.addChild(voice1);
            stage3.addChild(voice2);
            //HUD
                var hud = new HUD();
                this.addChild(hud);
                hud.addEventListener(Event.ENTER_FRAME, function(){
                    this.frame = player.health;
                });
                var livesCount = new Label("x " + game.lives);
                livesCount.x = 131;
                this.addChild(livesCount);
                livesCount.addEventListener(Event.ENTER_FRAME, function(){
                    this.text = "x " + game.lives;
                });
            spring.addEventListener(Event.ENTER_FRAME,function(){
                    if(this.intersect(player))
                    {
                        this.frame = 1;
                    }
                    else
                    {
                        this.frame = 0;
                    }
                });
            //Lloyd Control & Animation
            player.addEventListener(Event.ENTER_FRAME, function(){
                this.randomizer = Math.round(Math.random());
                
                if(this.ani <= 3)
                {
                    this.y += 5;
                    if(this.intersect(train))
                    {
                        if(train.timer == 0)
                        {
                            this.health = 0;
                            this.ani = -2;
                        }
                    }
                    if(this.intersect(train2))
                    {
                        if(train2.timer == 0)
                        {
                            this.health = 0;
                            this.ani = -2;
                        }
                    }
                    if(this.intersect(swing1))
                    {
                        if(this.ani == 0)
                        {
                            if((this.x >= swing1.x - 40) && (this.x <= swing1.x + 8))
                            {
                                this.ani = 5;
                                this.y = swing1.y + 8;
                                this.x = swing1.x - 16;
                            }
                        }
                    }
                    if(this.intersect(swing2))
                    {
                        if(this.ani == 0)
                        {
                            if((this.x >= swing2.x - 40) && (this.x <= swing2.x + 8))
                            {
                                this.ani = 5;
                                this.y = swing2.y + 8;
                                this.x = swing2.x - 16;
                            }
                        }
                    }
                    if(this.intersect(swing3))
                    {
                        if(this.ani == 0)
                        {
                            if((this.x >= swing3.x - 40) && (this.x <= swing3.x + 8))
                            {
                                this.ani = 5;
                                this.y = swing3.y + 8;
                                this.x = swing3.x - 16;
                            }
                        }
                    }
                }
                if(this.intersect(plasma1))
                {
                    if((plasma1.x >= this.x + 40.5) && (plasma1.x <= this.x + 43.5))
                    {
                        if(this.ani == 0)
                        {
                            this.health --;
                            if(this.health >= 1)
                            {
                                this.ani = -1;
                            }
                            else
                            {
                                this.ani = -2;
                            }
                        }
                        stage3.removeChild(plasma1);
                        plasma1.x = 0;
                        plasma1.y = 0;
                    }
                }
                if(map3.hitTest(this.x+45,this.y+60)){
                    this.y-= 5;
                    if(this.ani >= -1)
                    {
                        if(this.intersect(spring))
                            {
                                if(this.y + 60 <= spring.y + 16)
                                {
                                    this.jumpHeight = 18;
                                }
                                else
                                {
                                    this.jumpHeight = 12;
                                }
                            }
                            else
                            {
                                this.jumpHeight = 12;
                            }
                    }
                }
                
                if(this.owner == 0)
                {
                    if(this.ani == -1)
                    {
                        this.x -= this.scaleX * 8;
                        if(this.frame <= 28)
                        {
                            this.frame = 28;
                        }
                        if(this.age % 1 === 0)
                        {
                            this.frame ++;
                        }
                        if(this.frame > 31)
                        {
                            this.ani = 0;
                            this.frame = 0;
                            Gorilla.frame = 0;
                            Gorilla.ani = 0;
                        }
                    }
                    if(this.ani == -2)
                    {
                        if(this.jumpHeight >= 0)
                        {
                            this.y -= this.jumpHeight;
                            this.jumpHeight -= 1; 
                        }
                        if(map3.hitTest(this.x+45,this.y+65))
                        {
                            if(this.frame <= 32)
                            {
                                this.frame = 33;
                            }
                            
                            if(this.age % 4 === 0)
                            {
                                if(this.health >> 0)
                                {
                                    this.frame ++;
                                    if(this.frame >> 35)
                                    {
                                        this.ani = 0;
                                    }
                                }
                                else
                                {
                                    if(game.lives >> 0)
                                    {
                                        this.x = 0;
                                        this.y = 0;
                                        this.health = 4;
                                        game.lives --;
                                        this.ani = -1;
                                    }
                                    else
                                    {
                                        game.pushScene(gameOverScreen);
                                    }
                                }
                            }
                        }
                        else
                        {
                            if(this.scaleX == 1)
                            {
                                if(!map3.hitTest(this.x+20,this.y+60) && this.x >= 10)
                                {
                                    this.x -= this.moveSpeed*2;
                                }
                            }
                            if(this.scaleX == -1)
                            {
                                if(!map3.hitTest(this.x+55,this.y+60))
                                {
                                    this.x += this.moveSpeed*2;
                                }
                            }
                            this.frame = 32;
                        }
                    }
                    if(this.ani == 0)
                    {
                        if(map3.hitTest(this.x+45,this.y+65))
                        {
                            if(!game.input.right && !game.input.left)
                            {
                                if(this.age % 4 === 0)
                                {
                                    this.frame ++;
                                    if(this.frame >= 3)
                                    {
                                        this.frame = 0;
                                    }
                                }
                            }
                        }
                        else
                        {
                            this.frame = 10;
                        }
                        if(game.input.right && !game.input.left)
                        {
                            //Movement
                            if(!map3.hitTest(this.x+55,this.y+60))
                            {
                                this.x += this.moveSpeed;
                                this.scaleX = 1;
                                //Animation
                                if(map3.hitTest(this.x+30,this.y+65))
                                {
                                    if(this.age % 3 === 0)
                                    {
                                        if(this.frame <= 3)
                                        {
                                            this.frame = 4;
                                        }
                                        else
                                        {
                                            if(this.frame >= 7)
                                            {
                                                this.frame = 4;
                                            }
                                            else
                                            {
                                                this.frame ++;
                                            }
                                        }
                                    }
                                }
                            }
                            else
                            {
                                if(map3.checkTile(this.x+55,this.y+60) == 12)
                                {
                                    this.x += this.moveSpeed;
                                    this.y -= 5;
                                }
                            }
                            
                        }
                        if(!game.input.right && game.input.left)
                        {
                            //Movement
                            if(!map3.hitTest(this.x+20,this.y+60) && this.x >= 10)
                            {
                                this.x -= this.moveSpeed;
                                this.scaleX = -1;
                                //Animation
                                if(map3.hitTest(this.x+30,this.y+65))
                                {
                                    if (this.age % 3 === 0)
                                    {
                                        if(this.frame <= 3)
                                        {
                                            this.frame = 4;
                                        }
                                        else
                                        {
                                            if(this.frame >= 7)
                                            {
                                                this.frame = 4;
                                            }
                                            else
                                            {
                                                this.frame ++;
                                            }
                                        }
                                    }
                                }
                            }
                            else
                            {
                                if(map3.checkTile(this.x+20,this.y+60) == 14)
                                {
                                    this.x -= this.moveSpeed;
                                    this.y -= 5;
                                }
                            }
                        }
                        //Attack
                        if(game.input.b)
                        {
                            if(this.bPress == false)
                            {
                                this.bPress = true;
                                game.sfx = game.assets['audio/sfx/slash.wav'];
                                game.sfx.play();
                                if(map3.hitTest(this.x+43.5,this.y+65))
                                {
                                    if(!game.input.left && !game.input.right)
                                    {
                                        if(this.randomizer == 1)
                                        {
                                            this.ani = 1;
                                        }
                                        else
                                        {
                                            this.ani = 1.5
                                        }
                                    }
                                    else
                                    {
                                        this.ani = 2;
                                    }
                                }
                                else
                                {
                                    this.ani = 3;
                                }
                            }
                        }
                        else
                        {
                            this.bPress = false;
                        }
                        //Jump
                        if(game.input.a || game.input.up)
                        {
                            if(map3.hitTest(this.x+43.5,this.y+55))
                            {
                                if(this.jumpHeight >= 12)
                                {
                                    this.y -= this.jumpHeight * 1.5
                                    this.jumpHeight -= 1;
                                }
                            }
                            else
                            {
                                if(this.jumpHeight >= 1)
                                {
                                    if(!map3.hitTest(this.x+43.5,this.y-10))
                                    {
                                        this.y -= this.jumpHeight * 1.15;
                                        this.jumpHeight -= 1;
                                        if(this.jumpHeight >= 3)
                                        {
                                            this.frame = 9;
                                        }
                                        if(this.jumpHeight >= 5)
                                        {
                                            this.frame = 8;
                                        }
                                    }
                                    else
                                    {
                                        this.jumpHeight = 0;
                                    }
                                }
                                if(map3.hitTest(this.x+60,this.y+20))
                                {
                                    if(this.jumpHeight <= 5)
                                    {
                                        this.scaleX = -1;
                                        this.ani = .5
                                        this.jumpHeight = 13;
                                        this.y -= 5;
                                    }
                                }
                                if(map3.hitTest(this.x+15,this.y+20))
                                {
                                    if(this.jumpHeight <= 5)
                                    {
                                        this.scaleX = 1;
                                        this.ani = .5
                                        this.jumpHeight = 13;
                                        this.y -= 5;
                                    }
                                }
                            }
                        }
                    }
                    //Wall Jump
                    if(this.ani == .5)
                    {
                        this.frame = 8
                        if(!map3.hitTest(this.x+43.5,this.y+32))
                        {
                            this.x += this.scaleX * this.moveSpeed;
                        }
                        this.y -= this.jumpHeight * 1.25;
                        this.jumpHeight -= 1;
                        if(this.jumpHeight == 0)
                        {
                            this.ani = 0;
                        }
                    }
                    //Slash 1
                    if(this.ani == 1)
                    {
                        if(this.frame <= 10)
                        {
                            this.frame = 11;
                        }
                        if(this.age % 1 === 0)
                        {
                            if(this.frame >= 14)
                            {
                                this.ani = 0;
                            }
                            else
                            {
                                this.frame ++;
                            }
                        }
                    }
                    //Slash 2
                    if(this.ani == 1.5)
                    {
                        if(this.frame <= 14)
                        {
                            this.frame = 15;
                        }
                        if(this.age % 1 === 0)
                        {
                            if(this.frame >= 18)
                            {
                                this.ani = 0;
                            }
                            else
                            {
                                this.frame ++;
                            }
                        }
                    }
                    //Spin Slash
                    if(this.ani == 2)
                    {
                        if(this.frame < 21)
                        {
                            this.frame = 21;
                        }
                        if(this.age % 2 === 0)
                        {
                            this.frame ++;
                        }
                        if(this.frame > 23)
                        {
                            this.ani = 0;
                            this.frame = 0;
                        }
                        if(this.scaleX == 1)
                        {
                            if(!map3.hitTest(this.x+55,this.y+60))
                            {
                                this.x += this.scaleX * this.moveSpeed;
                            }
                            else
                            {
                                if(map3.checkTile(this.x+55,this.y+60) == 0)
                                {
                                    this.x += this.moveSpeed;
                                    this.y -= 5;
                                }
                            }
                        }
                        if(this.scaleX == -1)
                        {
                            if(!map3.hitTest(this.x+20,this.y+60))
                            {
                                this.x -= this.moveSpeed;
                            }
                            else
                            {
                                if(map3.checkTile(this.x+20,this.y+60) == 2)
                                {
                                    this.x -= this.moveSpeed;
                                    this.y -= 5;
                                }
                            }
                        }
                    }
                    //Aerial Slash
                    if(this.ani == 3)
                    {
                        if(!map3.hitTest(this.x+43.5,this.y+60))
                        {
                            if(this.frame <= 23)
                            {
                                this.frame = 24;
                            }
                            if(this.frame >= 27)
                            {
                                this.ani = 0;
                            }
                            if(this.age % 2 === 0)
                            {
                                this.frame ++;
                            }
                            if(game.input.right)
                            {
                                if(!map3.hitTest(this.x+55,this.y+60))
                                {
                                    this.x += this.scaleX * this.moveSpeed;
                                }
                            }
                            if(game.input.left)
                            {
                                if(!map3.hitTest(this.x+20,this.y+60))
                                {
                                    this.x += this.scaleX * this.moveSpeed;
                                }
                            }

                        }
                        else
                        {
                            this.ani = 0;
                        }
                    }
                    if(this.ani == 5)
                    {
                        this.jumpHeight = 8;
                        if(this.frame <= 39)
                        {
                            this.frame = 40;
                        }
                        if(this.age % 5 === 0)
                        {
                            if(this.frame >= 43)
                            {
                                this.frame = 40;
                            }
                            else
                            {
                                this.frame ++;
                            }
                        }
                        if(game.input.a)
                        {
                            if(this.frame == 40)
                            {
                                this.ani = 0.25
                            }
                            if(this.frame == 41)
                            {
                                this.ani = 0.15
                            }
                            if(this.frame == 42)
                            {
                                this.ani = 0.15
                            }
                            if(this.frame == 43)
                            {
                                this.ani = 0.25
                            }
                            
                        }
                    }
                    //Pole Jump Forward
                    if(this.ani == 0.15)
                    {
                        if(this.jumpHeight >= 1)
                        {
                            this.y -= this.jumpHeight * 1.25;
                            this.jumpHeight --;
                            this.x += this.scaleX * 6;
                            if(this.frame <= 43)
                            {
                                this.frame = 44;
                            }
                            if(this.age % 4 === 0)
                            {
                                if(this.frame <= 47)
                                {
                                    this.frame ++;
                                }
                            }
                        }
                        else
                        {
                            this.ani = 0;
                        }
                    }
                    //Pole Jump Backward
                    if(this.ani == 0.25)
                    {
                        if(this.jumpHeight >= 1)
                        {
                            this.y -= this.jumpHeight * 1.25;
                            this.jumpHeight --;
                            this.x -= this.scaleX * 6;
                        }
                        else
                        {
                            this.ani = 0;
                        }
                    }
                }
            });
            //Enemy 1
            gorilla.addEventListener(Event.ENTER_FRAME, function(){
                    this.y += 5;
                    if(map3.hitTest(this.x+27.5,this.y+60)){
                        this.y-= 5;
                        this.jumpHeight = 12;
                    }
                    if(player.x <= this.x)
                    {
                        this.scaleX = -1;
                    }
                    else
                    {
                        this.scaleX = -1;
                    }
                    if(this.ani == -1)
                    {
                        if(this.frame <= 11)
                        {
                            this.frame = 12;
                        }
                        if(this.frame >= 15)
                        {
                            this.ani = 0;
                        }
                        if(this.age % 2 === 0)
                        {
                            this.frame ++;
                            this.x -= this.scaleX*4;
                        }
                    }
                    if(this.ani == 0)
                    {
                        this.frame = 0;
                        //Punching Lloyd
                        if(this.intersect(player))
                        {
                            if(player.ani <= 0)
                            {
                                if(player.x >= this.x-44)
                                {
                                    this.ani = 1;
                                    if(player.health >> 0)
                                    {
                                        player.ani = -1;
                                        player.health --;
                                    }
                                    else
                                    {
                                        player.ani = -2;
                                    }
                                }
                            }
                            else
                            {
                                if(this.health >> 0)
                                {
                                    this.ani = -1;
                                    this.health --;
                                }
                            }
                        }
                        if(player.health == 0 && player.ani == -2)
                        {
                            this.ani = 2;
                        }
                    }
                    if(this.ani == 1)
                    {
                        if(this.frame <= 5)
                        {
                            this.frame = 5;
                        }
                        if(this.frame >= 8)
                        {
                            this.ani = 0;
                            this.frame = 0;
                        }
                        else
                        {
                            this.frame ++;
                        }
                    }
                    if(this.ani == 2)
                    {
                        if(this.age % 3 === 0)
                        {
                            this.frame ++;
                            if(this.frame >= 5)
                            {
                                if(player.ani == -2)
                                {
                                    this.frame = 3;
                                }
                                else
                                {
                                    this.ani = 0;
                                    this.frame = 0;
                                }
                            }
                        }
                    }
                });
            //Enemy 2
            gorilla2.addEventListener(Event.ENTER_FRAME, function(){
                    this.y += 5;
                    if(map3.hitTest(this.x+45,this.y+60)){
                        this.y-= 5;
                        this.jumpHeight = 12;
                    }
                    if(this.ani == -1)
                    {
                        if(this.frame <= 11)
                        {
                            this.frame = 12;
                        }
                        if(this.frame >= 15)
                        {
                            this.ani = 0;
                        }
                        if(this.age % 2 === 0)
                        {
                            this.frame ++;
                            this.x -= this.scaleX*4;
                        }
                    }
                    if(this.ani == 0)
                    {
                        //Run
                        if(this.x <= 1216)
                        {
                            this.scaleX = 1;
                        }
                        if(this.x >= 1264)
                        {
                            this.scaleX = -1;
                        }
                        this.x += this.scaleX * 4;
                        if(this.age % 2 === 0)
                        {
                            if(this.frame <= 7)
                            {
                                this.frame = 8;
                            }
                            else
                            {
                                if(this.frame >= 11)
                                {
                                    this.frame = 8;
                                }
                                else
                                {
                                    this.frame ++;
                                }
                            }
                        }
                        //Punching Lloyd
                        if(this.intersect(player))
                        {
                            if(player.ani <= 0)
                            {
                                if(player.x <= this.x - 44)
                                {
                                    this.scaleX = -1;
                                }
                                if(player.x >= this.x + 32)
                                {
                                    this.scaleX = 1;
                                }
                                if(player.x >= this.x-44)
                                {
                                    this.ani = 1;
                                    if(player.health >> 0)
                                    {
                                        player.ani = -1;
                                        player.health --;
                                    }
                                    else
                                    {
                                        player.ani = -2;
                                    }
                                }
                            }
                            else
                            {
                                if(this.health >> 0)
                                {
                                    this.ani = -1;
                                    this.health --;
                                }
                            }
                        }
                        if(player.health == 0 && player.ani == -2)
                        {
                            this.ani = 2;
                        }
                    }
                    if(this.ani == 1)
                    {
                        if(this.frame <= 5)
                        {
                            this.frame = 5;
                        }
                        if(this.frame >= 8)
                        {
                            this.ani = 0;
                            this.frame = 0;
                        }
                        else
                        {
                            this.frame ++;
                        }
                    }
                    if(this.ani == 2)
                    {
                        if(this.age % 3 === 0)
                        {
                            this.frame ++;
                            if(this.frame >= 5)
                            {
                                if(player.ani == -2)
                                {
                                    this.frame = 3;
                                }
                                else
                                {
                                    this.ani = 0;
                                    this.frame = 0;
                                }
                            }
                        }
                    }
                });
                robogorilla.addEventListener(Event.ENTER_FRAME, function(){
                   if(this.health >= 0)
                   {
                       this.scaleX = -1;
                       this.y = player.y;
                       plasma1.scaleX = -1;
                       plasma2.scaleX = -1;
                       plasma3.scaleX = -1;
                       //Shooting
                       if(this.timer == 30)
                        {
                            plasma1.x = this.x;
                            plasma1.y = this.y + 28;
                            stage3.addChild(plasma1);
                            game.sfx2 = game.assets['audio/sfx/projectile.wav'];
                            game.sfx2.play();
                        }
                        if(this.timer == 1)
                        {
                            stage3.removeChild(plasma1);
                            plasma1.x = 0;
                            plasma1.y = 0;
                        }
                    }
                    else
                    {
                        this.y += 5;
                        robogorillaScrap.y += 7;
                    }
                    //Being Sliced
                    if(this.intersect(player))
                    {
                        if(player.ani >= 1)
                        {
                            this.health --;
                            if(this.health <= 0)
                            {
                                stage3.removeChild(plasma1);
                                plasma1.x = 0;
                                plasma1.y = 0;
                                robogorillaScrap.x = this.x;
                                robogorillaScrap.y = this.y;
                                robogorillaScrap.scaleX = -1;
                                stage3.addChild(robogorillaScrap);
                                this.frame = 2;
                                robogorillaScrap.frame = 3;
                                robogorillaScrap.y += 7;
                            }
                        }
                    }
                });
                dia.addEventListener(Event.ENTER_FRAME, function(){
                    voice1.x = this.x;
                    voice1.y = this.y + 10;
                    voice2.x = this.x;
                    voice2.y = this.y + 26;
                    //Cutscene 1
                    if(game.scene <= 2)
                    {
                        game.scene = 3;
                    }
                    if(game.scene == 3)
                    {
                        this.x = player.x;
                        this.y = player.y - 50;
                        if(this.line == 0)
                        {
                            this.sceneAction = false;
                            this.line = 1;
                        }
                        if(this.line == 1)
                        {
                            this.frame = 0;
                            voice1.text = "Hmm... Looks like I got here"
                            voice2.text = "too late."
                        }
                        if(this.line >= 2 && this.line <= 5)
                        {
                            if(player.age % 5 === 0)
                            { 
                                if(player.frame << 35)
                                {
                                    player.frame = 36;
                                }
                                else
                                {
                                    if(player.frame <= 37)
                                    {
                                        player.frame ++;
                                    }
                                }
                            }
                        }
                        else
                        {
                            player.frame = 0;
                        }
                        if(this.line == 2)
                        {
                            this.frame = 0;
                            voice1.text = "Are you seeing this, Arnie?"
                            voice2.text = ""
                        }
                        if(this.line == 3)
                        {
                            this.frame = 1;
                            voice1.text = "Yeah. They caused quite a bit"
                            voice2.text = "of damage."
                        }
                        if(this.line == 4)
                        {
                            this.frame = 0;
                            voice1.text = "Anyplace special where the"
                            voice2.text = "enemy's congregating?"
                        }
                        if(this.line == 5)
                        {
                            this.frame = 1;
                            voice1.text = "Well, I'm detecting a submarine"
                            voice2.text = "near Ellis Island."
                        }
                        if(this.line == 6)
                        {
                            this.frame = 0;
                            voice1.text = "Alright. I'm off then."
                            voice2.text = ""
                        }
                        if(this.line == 7)
                        {
                            this.sceneAction = true;
                            player.owner = 0;
                            voice1.text = "";
                            this.frame = -1;
                            game.scene = 4;
                            this.line = 0;
                        }
                    }
                });
            //Scene Events
                this.addEventListener('enterframe', function(e) {
                    var x = Math.min((game.width  - 16) / 2 - player.x, 0);
                    var y = Math.min((game.height - 16) / 2 - player.y, 0);
                    x = Math.max(game.width,  x + map3.width)  - map3.width;
                    y = Math.max(game.height, y + map3.height) - map3.height;
                    stage3.x = x;
                    stage3.y = y;

                    if(game.musicTimer >= 1)
                    {
                        game.musicTimer --;
                    }
                    else
                    {
                        game.musicTimer = 2355;
                        game.bgm.play();
                    }

                    if(player.y >= 336)
                    {
                        if(player.x >= 3040)
                        {
                            stage3.removeChild(player);
                            this.addChild(transitionFX);
                            game.scene = 4;
                            game.bgm.stop();

                            if(transitionFX.frame >= 5)
                            {
                                game.pushScene(levelFour);
                            }
                        }
                        else
                        {
                            if(game.lives >> 0)
                            {
                                player.x = 0;
                                player.y = 0;
                                player.health = 4;
                                game.lives --;
                            }
                            else
                            {
                                stage3.removeChild(player);
                                game.pushScene(gameOverScreen);
                            }
                        }
                    }  
                });
        }
        });
        //Stage 4 (New York City Act 2)
        var NewYorkCityTwo = Class.create(Scene, {
        initialize: function(){
            
            console.log("New York City Two!");
            game.scene = 4;
            
            Scene.apply(this);
            //Add Backgrounds
            bg = new Sprite(stgWidth,stgHeight);
            bg.image = game.assets['img/bg/sub.png'];
            this.addChild(bg);
            //Create Map
            map4 = new Map(32,16);
            map4.image = game.assets['img/tiles.png'];
            map4.loadData(
                [
                /*     01,02,03,04,05,06,07,08,09,10,11,12,13,14,15,
                /*01*/[16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,],
                /*02*/[16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,],
                /*03*/[16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,],
                /*04*/[16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,],
                /*05*/[16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,],
                /*06*/[16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,],
                /*07*/[16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,],
                /*08*/[16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,],
                /*09*/[16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,],
                /*10*/[16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,],
                /*11*/[16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,],
                /*12*/[16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,],
                /*13*/[16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,],
                /*14*/[13,13,13,13,13,13,13,13,13,13,13,13,13,16,16,],
                /*15*/[16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,],
                /*16*/[16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,],
                
                ]
            );
            player = new Lloyd();
            player.owner = 1;
            gameOver = new GameOver();
            gameOver.x = 216;
            var violet = new Sprite(55,68)
            violet.image = game.assets['img/cha/violet-sheet.png'];
            violet.x = 416;
            violet.y = 0;
            violet.scaleX = -1;
            atlasHead = new Sprite(95,75);
            atlasHead.image = game.assets['img/cha/atlas-head.png'];
            atlasHead.x = 150;
            atlasHead.y = 20;
            atlasHead.ani = 3;
            atlasHead.owner = 1;
            atlasHead.hp = 10;
            atlasHead.timer = 10;
            var atlasArmOne = new Sprite(112,75)
            atlasArmOne.image = game.assets['img/cha/atlas-hand.png'];
            atlasArmOne.x = atlasHead.x - 75;
            atlasArmOne.y = atlasHead.y + 75;
            //Dialogue Box
            var dia = new Dialogue();
            dia.line = 0;
            dia.frame = -1;
            dia.playerX = 0;
            dia.playerY = 0;
            dia.sceneAction = true;
            //SFX
            warp1 = new Sprite(87,63);
            warp1.image = game.assets['img/sfx/warp.png'];
            warp2 = new Sprite(87,63);
            warp2.image = game.assets['img/sfx/warp.png'];
            var voice1 = new Label();
            var voice2 = new Label();
            var stage4 = new Group();
            stage4.addChild(map4);
            stage4.addChild(atlasHead);
            stage4.addChild(atlasArmOne);
            stage4.addChild(player);
            stage4.addChild(dia);
            stage4.addChild(voice1);
            stage4.addChild(voice2);
            stage4.addChild(violet);
            this.addChild(stage4);
            game.scene = 4;

            transitionFX = new Transition();

            //HUD
            var hud = new HUD();
            this.addChild(hud);
            var livesCount = new Label("x " + game.lives);
            livesCount.x = 131;
            this.addChild(livesCount);
            livesCount.addEventListener(Event.ENTER_FRAME, function(){
                this.text = "x " + game.lives;
            });
            dia.addEventListener(Event.ENTER_FRAME, function(){
                    voice1.x = this.x;
                    voice1.y = this.y + 10;
                    voice2.x = this.x;
                    voice2.y = this.y + 26;
                    //Cutscene 4
                    if(game.scene == 4)
                    {
                        if(this.line == 1)
                        {
                            this.x = this.playerX;
                            this.y = this.playerY - 45;
                            this.frame = 0;
                            voice1.text = "Violet!"
                            voice2.text = ""
                        }
                        if(this.line == 2)
                        {
                            this.x = violet.x - 180;
                            this.y = 0
                            this.scaleX = -1;
                            voice1.text = "You came!"
                            voice2.text = ""
                        }
                        if(this.line == 3)
                        {
                            this.x = this.playerX;
                            this.y = this.playerY - 30;
                            this.scaleX = 1
                            voice1.text = "Just hang on."
                            voice2.text = "I'm gonna get you down."
                            game.bgm = game.assets['audio/bgm/Lloydbossmusic.mp3'];
                            game.bgm.play();
                        }
                        if(this.line == 4)
                        {
                            this.frame = -1;
                            voice1.text = ""
                            voice2.text = ""
                            this.sceneAction = true;
                            atlasHead.owner = 0;
                        }
                        if(this.line == 5)
                        {
                            this.frame = 0;
                            violet.frame = 0;
                            this.x = this.playerX - 30;
                            this.y = this.playerY - 30;
                            voice1.text = "Are you okay?"
                            voice2.text = ""
                            this.sceneAction = false;
                        }
                        if(this.line == 6)
                        {
                            this.frame = 0;
                            this.x = violet.x - 45;
                            this.y = violet.y - 45;
                            voice1.text = "Thanks to you, I am."
                            voice2.text = "";
                        }
                        if(this.line == 7)
                        {
                            this.frame = 0;
                            this.x = this.playerX - 30;
                            this.y = this.playerY - 30;
                            voice1.text = "Have you heard anything about"
                            voice2.text = "where Lura is?"
                        }
                        if(this.line == 8)
                        {
                            this.frame = 0;
                            this.x = violet.x - 45;
                            this.y = violet.y - 45;
                            voice1.text = "She was taken to Greece."
                            voice2.text = "I think the teleporter leads there."
                        }
                        if(this.line == 9)
                        {
                            this.frame = 0;
                            this.x = this.playerX - 30;
                            this.y = this.playerY - 30;
                            voice1.text = "Perfect."
                            voice2.text = ""
                        }
                        if(this.line == 10)
                        {
                            this.frame = 0;
                            voice1.text = "Teleport back home for me, okay?"
                            voice2.text = "You'll be safer there."
                        }
                        if(this.line == 11)
                        {
                            this.frame = 0;
                            this.x = violet.x - 45;
                            this.y = violet.y - 45;
                            voice1.text = "Okay."
                            voice2.text = ""
                        }
                        if(this.line == 12)
                        {
                            this.frame = 0;
                            this.x = this.playerX - 30;
                            this.y = this.playerY - 30;
                            warp1.x = this.playerX;
                            warp1.y = this.playerY  + 32;
                            stage4.addChild(warp1);
                            warp2.x = violet.x;
                            warp2.y = violet.y;
                            stage4.addChild(warp2);
                            voice1.text = "See you for dinner?"
                            voice2.text = ""
                            if(warp1.age % 2 === 0)
                            {
                                if(warp1.frame == 0)
                                {
                                    warp1.frame ++;
                                }
                                else
                                {
                                    warp1.frame = 0;
                                }
                            }
                            if(warp2.age % 2 === 0)
                            {
                                if(warp2.frame == 0)
                                {
                                    warp2.frame ++;
                                }
                                else
                                {
                                    warp2.frame = 0;
                                }
                            }
                        }
                        if(this.line == 13)
                        {
                            this.frame = 0;
                            this.x = violet.x - 45;
                            this.y = violet.y - 45;
                            voice1.text = "Gladly."
                            voice2.text = ""
                            stage4.removeChild(violet);
                            if(warp1.age % 2 === 0)
                            {
                                if(warp1.frame == 0)
                                {
                                    warp1.frame ++;
                                }
                                else
                                {
                                    warp1.frame = 0;
                                }
                            }
                            if(warp2.age % 2 === 0)
                            {
                                if(warp2.frame <= 2)
                                {
                                    warp2.frame ++;
                                }
                                else
                                {
                                    
                                    stage4.removeChild(warp2);
                                }
                            }
                        }
                        if(this.line == 14)
                        {
                            this.frame = -1;
                            voice1.text = ""
                            voice2.text = ""
                            if(warp1.age % 2 === 0)
                            {
                                if(warp1.frame <= 2)
                                {
                                    warp1.frame ++;
                                }
                                else
                                {
                                    stage4.addChild(transitionFX);
                                }
                                if(transitionFX.frame >= 5)
                                {
                                    stage4.removeChild(warp1);
                                    game.pushScene(levelFive);
                                    game.bgm = game.assets['audio/bgm/Paris.mp3']; // background music
                                    game.musicTimer = 3285;
                                    game.bgm.play();

                                }
                            } 
                        }
                    }
                });
            player.addEventListener(Event.ENTER_FRAME, function(){
                    this.randomizer = Math.round(Math.random());
                    this.y += 5;
                    hud.frame = this.health;
                    if(this.owner == 1)
                    {
                        dia.playerX = this.x;
                        dia.playerY = this.y - 45;
                        if(map4.hitTest(this.x+45,this.y+60))
                        {
                            this.frame = 0;
                        }
                        else
                        {
                            this.frame = 10;
                        }
                        if(game.scene == 4)
                        {
                            if(dia.line == 0)
                            {
                                if(this.y >= 100)
                                {
                                    dia.line = 1;
                                    dia.sceneAction = false;
                                }
                            }
                            if(dia.line == 4)
                            {
                                this.owner = 0;
                            }
                            if(dia.line == 14)
                            {
                                stage4.removeChild(this);
                            }
                        }
                    }
                    if(dia.line == 4.5)
                    {
                        this.owner = 1;
                        this.scaleX = 1;
                        if(this.intersect(violet))
                        {
                            if(violet.x << this.x + 59.5)
                            {
                                dia.line = 5;
                                dia.sceneAction = false;
                            }
                        }
                        else
                        {
                            violet.y += 4;
                            if(map4.hitTest(violet.x+27.5,violet.y+66))
                            {
                                violet.y -= 4;
                                violet.x -= 4;
                                if(violet.age % 4 === 0)
                                {
                                    if(violet.frame << 4)
                                    {
                                        violet.frame ++;
                                    }
                                    else
                                    {
                                        violet.frame = 1;
                                    }
                                }
                            }
                        }
                    }
                    
                    if(this.intersect(atlasHead))
                    {
                        if(this.ani >> 0)
                        {
                            if(atlasHead.ani == 0)
                            {
                                atlasHead.ani = -1;
                                atlasHead.hp -= 1;
                                atlasHead.timer = 5;
                            }
                        }
                    }
                    if(map4.hitTest(this.x+45,this.y+60)){
                        this.y-= 5;
                        if(this.ani >= -1)
                        {
                            this.jumpHeight = 12;
                        }
                    }
                    
                    if(this.owner == 0)
                    {
                        if(this.ani == -1)
                        {
                            this.x -= this.scaleX * 4.5;
                            if(this.frame < 28)
                            {
                                this.frame = 28;
                            }
                            if(this.age % 1 === 0)
                            {
                                this.frame ++;
                            }
                            if(this.frame >= 31)
                            {
                                this.ani = 0;
                                this.frame = 0;
                                Gorilla.frame = 0;
                                Gorilla.ani = 0;
                            }
                        }
                        if(this.ani == -2)
                        {
                            if(this.jumpHeight >= 0)
                            {
                                this.y -= this.jumpHeight;
                                this.jumpHeight -= 1; 
                            }
                            if(map4.hitTest(this.x+45,this.y+65))
                            {
                                if(this.frame <= 32)
                                {
                                    this.frame = 33;
                                }
                                
                                if(this.age % 4 === 0)
                                {
                                    if(this.health >> 0)
                                    {
                                        this.frame ++;
                                        if(this.frame >> 35)
                                        {
                                            this.ani = 0;
                                        }
                                    }
                                    else
                                    {
                                        if(game.lives >> 0)
                                        {
                                            this.x = 0;
                                            this.y = 0;
                                            this.health = 4;
                                            game.lives --;
                                            this.ani = -1;
                                        }
                                        else
                                        {
                                           game.pushScene(gameOverScreen);
                                        }
                                    }
                                }
                            }
                            else
                            {
                                if(this.scaleX == 1)
                                {
                                    if(!map4.hitTest(this.x+20,this.y+60) && this.x >= 10)
                                    {
                                        this.x -= this.moveSpeed*2;
                                    }
                                }
                                if(this.scaleX == -1)
                                {
                                    if(!map4.hitTest(this.x+55,this.y+60))
                                    {
                                        this.x += this.moveSpeed*2;
                                    }
                                }
                                this.frame = 32;
                            }
                        }
                        if(this.ani == 0)
                        {
                            if(this.intersect(atlasArmOne))
                            {
                                if(map4.hitTest(this.x+45,this.y+70))
                                {
                                    if(atlasHead.ani == 1)
                                    {
                                        
                                        if(this.health >= 1)
                                        {
                                            this.health --;
                                        }
                                        this.ani = -2;
                                        this.jumpHeight = 1;
                                    }
                                    if(atlasHead.ani == 2)
                                    {
                                        if(this.health >= 1)
                                        {
                                            this.health --;
                                        }
                                        this.ani = -2;
                                        this.scaleX = -1;
                                    }
                                }
                                else
                                {
                                    if(this.y + 55 <= atlasArmOne.y + 30)
                                    {
                                        if(game.input.a)
                                        {
                                            if(this.x >= 216)
                                            {
                                                this.scaleX = -1;
                                            }
                                            else
                                            {
                                                this.scaleX = 1;
                                            }
                                            this.ani = .5;
                                            this.jumpHeight = 12;
                                        }
                                    }
                                }
                            }
                            if(map4.hitTest(this.x+45,this.y+65))
                            {
                                if(!game.input.right && !game.input.left)
                                {
                                    if(this.age % 4 === 0)
                                    {
                                        this.frame ++;
                                        if(this.frame >= 3)
                                        {
                                            this.frame = 0;
                                        }
                                    }
                                }
                            }
                            else
                            {
                                this.frame = 10;
                            }
                            if(game.input.right && !game.input.left)
                            {
                                //Movement
                                if(!map4.hitTest(this.x+55,this.y+60))
                                {
                                    this.x += this.moveSpeed;
                                    this.scaleX = 1;
                                    //Animation
                                    if(map4.hitTest(this.x+30,this.y+65))
                                    {
                                        if(this.age % 3 === 0)
                                        {
                                            if(this.frame <= 3)
                                            {
                                                this.frame = 4;
                                            }
                                            else
                                            {
                                                if(this.frame >= 7)
                                                {
                                                    this.frame = 4;
                                                }
                                                else
                                                {
                                                    this.frame ++;
                                                }
                                            }
                                        }
                                    }
                                }
                                else
                                {
                                    if(map4.checkTile(this.x+55,this.y+60) == 0)
                                    {
                                        this.x += this.moveSpeed;
                                        this.y -= 5;
                                    }
                                }
                                
                            }
                            if(!game.input.right && game.input.left)
                            {
                                //Movement
                                if(!map4.hitTest(this.x+20,this.y+60) && this.x >= 10)
                                {
                                    this.x -= this.moveSpeed;
                                    this.scaleX = -1;
                                    //Animation
                                    if(map4.hitTest(this.x+30,this.y+65))
                                    {
                                        if (this.age % 3 === 0)
                                        {
                                            if(this.frame <= 3)
                                            {
                                                this.frame = 4;
                                            }
                                            else
                                            {
                                                if(this.frame >= 7)
                                                {
                                                    this.frame = 4;
                                                }
                                                else
                                                {
                                                    this.frame ++;
                                                }
                                            }
                                        }
                                    }
                                }
                                else
                                {
                                    if(map4.checkTile(this.x+20,this.y+60) == 2)
                                    {
                                        this.x -= this.moveSpeed;
                                        this.y -= 5;
                                    }
                                }
                            }
                            //Attack
                            if(game.input.b)
                            {
                                if(this.bPress == false)
                                {
                                    this.bPress = true;
                                    game.sfx = game.assets['audio/sfx/slash.wav'];
                                    game.sfx.play();
                                    if(map4.hitTest(this.x+43.5,this.y+65))
                                    {
                                        if(!game.input.left && !game.input.right)
                                        {
                                            if(this.randomizer == 1)
                                            {
                                                this.ani = 1;
                                            }
                                            else
                                            {
                                                this.ani = 1.5
                                            }
                                        }
                                        else
                                        {
                                            this.ani = 2;
                                        }
                                    }
                                    else
                                    {
                                        this.ani = 3;
                                    }
                                }
                            }
                            else
                            {
                                this.bPress = false;
                            }
                            //Jump
                            if(game.input.a || game.input.up)
                            {
                                if(map4.hitTest(this.x+43.5,this.y+55))
                                {
                                    if(this.jumpHeight >= 12)
                                    {
                                        this.y -= this.jumpHeight * 1.5
                                        this.jumpHeight -= 1;
                                    }
                                }
                                else
                                {
                                    if(this.jumpHeight >= 1)
                                    {
                                        if(!map4.hitTest(this.x+43.5,this.y-10))
                                        {
                                            this.y -= this.jumpHeight * 1.15;
                                            this.jumpHeight -= 1;
                                            if(this.jumpHeight >= 3)
                                            {
                                                this.frame = 9;
                                            }
                                            if(this.jumpHeight >= 5)
                                            {
                                                this.frame = 8;
                                            }
                                        }
                                        else
                                        {
                                            this.jumpHeight = 0;
                                        }
                                    }
                                    if(map4.hitTest(this.x+60,this.y+20))
                                    {
                                        if(this.jumpHeight <= 5)
                                        {
                                            this.scaleX = -1;
                                            this.ani = .5
                                            this.jumpHeight = 12;
                                            this.y -= 5;
                                        }
                                    }
                                    if(map4.hitTest(this.x+15,this.y+20))
                                    {
                                        if(this.jumpHeight <= 5)
                                        {
                                            this.scaleX = 1;
                                            this.ani = .5
                                            this.jumpHeight = 12;
                                            this.y -= 5;
                                        }
                                    }
                                }
                            }
                        }
                        //Wall Jump
                        if(this.ani == .5)
                        {
                            this.frame = 8
                            this.x += this.scaleX * this.moveSpeed;
                            this.y -= this.jumpHeight * 1.25;
                            this.jumpHeight -= 1;
                            if(this.jumpHeight == 0)
                            {
                                this.ani = 0;
                            }
                        }
                        //Slash 1
                        if(this.ani == 1)
                        {
                            if(this.frame <= 10)
                            {
                                this.frame = 11;
                            }
                            if(this.age % 1 === 0)
                            {
                                if(this.frame >= 14)
                                {
                                    this.ani = 0;
                                }
                                else
                                {
                                    this.frame ++;
                                }
                            }
                        }
                        //Slash 2
                        if(this.ani == 1.5)
                        {
                            if(this.frame <= 14)
                            {
                                this.frame = 15;
                            }
                            if(this.age % 1 === 0)
                            {
                                if(this.frame >= 18)
                                {
                                    this.ani = 0;
                                }
                                else
                                {
                                    this.frame ++;
                                }
                            }
                        }
                        //Spin Slash
                        if(this.ani == 2)
                        {
                            if(this.frame < 21)
                            {
                                this.frame = 21;
                            }
                            if(this.age % 2 === 0)
                            {
                                this.frame ++;
                            }
                            if(this.frame > 23)
                            {
                                this.ani = 0;
                                this.frame = 0;
                            }
                            if(this.scaleX == 1)
                            {
                                if(!map4.hitTest(this.x+55,this.y+60))
                                {
                                    this.x += this.scaleX * this.moveSpeed;
                                }
                                else
                                {
                                    if(map4.checkTile(this.x+55,this.y+60) == 0)
                                    {
                                        this.x += this.moveSpeed;
                                        this.y -= 5;
                                    }
                                }
                            }
                            if(this.scaleX == -1)
                            {
                                if(!map4.hitTest(this.x+20,this.y+60))
                                {
                                    this.x -= this.moveSpeed;
                                }
                                else
                                {
                                    if(map4.checkTile(this.x+20,this.y+60) == 2)
                                    {
                                        this.x -= this.moveSpeed;
                                        this.y -= 5;
                                    }
                                }
                            }
                        }
                        //Aerial Slash
                        if(this.ani == 3)
                        {
                            if(!map4.hitTest(this.x+43.5,this.y+60))
                            {
                                if(this.frame <= 23)
                                {
                                    this.frame = 24;
                                }
                                if(this.frame >= 27)
                                {
                                    this.ani = 0;
                                }
                                if(this.age % 2 === 0)
                                {
                                    this.frame ++;
                                }
                                if(game.input.right)
                                {
                                    if(!map4.hitTest(this.x+55,this.y+60))
                                    {
                                        this.x += this.scaleX * this.moveSpeed;
                                    }
                                }
                                if(game.input.left)
                                {
                                    if(!map4.hitTest(this.x+20,this.y+60))
                                    {
                                        this.x += this.scaleX * this.moveSpeed;
                                    }
                                }

                            }
                            else
                            {
                                this.ani = 0;
                            }
                        }
                    }
                });
                atlasHead.addEventListener(Event.ENTER_FRAME, function(){
                    if(this.owner == 0)
                    {
                        if(this.ani == -1)
                        {
                            this.frame = 3;
                            if(this.timer >= 1)
                            {
                                this.timer --;
                            }
                            else
                            {
                                if(this.hp >= 1)
                                {
                                    this.randomizer = Math.random();
                                    if(this.randomizer <= .5)
                                    {
                                        this.ani = 1;
                                    }
                                    else
                                    {
                                        this.ani = 2;
                                    }
                                        this.timer = 30;
                                    }
                                else
                                {
                                    game.bgm.stop();
                                    dia.line = 4.5;
                                    atlasArmOne.y += 5;
                                    this.y += 5;
                                }
                            }
                        }
                        if(this.ani == 0)
                        {
                            this.frame = 0;
                            if(this.timer >= 1)
                            {
                                this.timer --;
                                if(atlasArmOne.y >= this.y + 10)
                                {
                                    atlasArmOne.y -= 5;
                                }
                                if(atlasArmOne.x >= this.x - 75)
                                {
                                    atlasArmOne.x -= 10;
                                }
                            }
                            else
                            {
                                this.randomizer = Math.random();
                                if(this.randomizer <= .5)
                                {
                                    this.ani = 1;
                                }
                                else
                                {
                                    this.ani = 2;
                                }
                            }
                        }
                        if(this.ani == 1)
                        {
                            atlasArmOne.frame = 1;
                            if(!map4.hitTest(atlasArmOne.x+56,atlasArmOne.y+75))
                            {
                                atlasArmOne.y += 10;
                            }
                            else
                            {
                                this.ani = 0;
                                this.timer = 30;
                                atlasArmOne.frame = 0;
                            }
                        }
                        if(this.ani == 2)
                        {
                            atlasArmOne.frame = 1;
                            if(!map4.hitTest(atlasArmOne.x+56,atlasArmOne.y+75))
                            {
                                atlasArmOne.y += 10;
                            }
                            else
                            {
                                if(!map4.hitTest(atlasArmOne.x+112,atlasArmOne.y+37.5))
                                {
                                    atlasArmOne.x += 10;
                                }
                                else
                                {
                                    this.ani = 0;
                                }
                            }
                        }
                        if(this.ani == 3)
                        {
                            if(this.age % 3 === 0)
                            {
                                if(this.frame <= 1)
                                {
                                    this.frame ++;
                                }
                                else
                                {
                                    if(this.timer >= 1)
                                    {
                                        this.timer --;
                                    }
                                    else
                                    {
                                        this.ani = 0;
                                        this.timer = 30;
                                    }
                                }
                            }
                        }
                    }
                });
                
            }
        });
        //Stage 4 (France Act One)
            var FranceOne = Class.create(Scene, {
                initialize: function(){
                    console.log("France One!");
                    game.scene = 5;
                    Scene.apply(this);
                    //Add backgrounds
                    bg5 = new Sprite(3360,448);
                    bg5.image = game.assets['img/bg/paris1_bg.png'];
                    //Create Map
                    map5 = new Map(32,16);
                    map5.image = game.assets['img/tiles.png'];
                    map5.loadData(
                        [
                        /*     01,02,03,04,05,06,07,08,09,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,97,98,99,01,02,03,04,05,/
                        /*01*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                        /*02*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                        /*03*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                        /*04*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,16,16,16,16,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                        /*05*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,16,16,16,16,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                        /*06*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,16,16,16,16,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                        /*07*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,16,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                        /*08*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,16,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                        /*09*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,16,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                        /*10*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,16,16,16,13,13,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                        /*11*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,16,16,16,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                        /*12*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,16,16,16,16,16,-1,-1,-1,13,13,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                        /*13*/[16,16,16,16,16,16,16,16,16,16,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,16,16,16,16,16,-1,-1,-1,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                        /*14*/[16,16,16,16,16,16,16,16,16,16,16,16,13,13,13,-1,-1,-1,13,13,13,13,13,13,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,16,16,16,-1,-1,-1,13,13,16,16,-1,-1,13,13,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                        /*15*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,13,-1,-1,-1,16,16,16,16,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,16,16,16,-1,-1,-1,-1,-1,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,13,13,-1,-1,13,13,-1,-1,13,13,13,13,-1,-1,-1,-1,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                        /*16*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,-1,-1,-1,16,16,16,16,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,16,16,16,-1,-1,-1,-1,-1,16,16,-1,-1,-1,-1,-1,-1,13,13,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,-1,-1,13,13,13,13,-1,-1,-1,-1,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                        /*17*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,-1,-1,-1,16,16,16,16,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,16,16,16,-1,-1,-1,-1,-1,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,13,13,-1,-1,-1,-1,-1,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                        /*18*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,-1,-1,-1,16,16,16,16,16,16,-1,-1,-1,13,-1,-1,13,13,-1,13,-1,13,13,13,13,16,16,16,16,13,13,13,-1,-1,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,-1,-1,-1,-1,-1,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                        /*19*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,16,16,16,16,-1,-1,-1,16,-1,-1,16,16,-1,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,-1,-1,13,13,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,13,13,-1,-1,-1,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                        /*20*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,16,16,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,-1,-1,-1,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                        /*21*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,16,16,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,-1,-1,-1,-1,-1,-1,13,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,-1,-1,-1,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                        /*22*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,13,13,16,16,16,16,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,-1,-1,-1,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                        /*23*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,13,13,-1,-1,-1,16,16,16,16,16,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,13,13,-1,-1,16,16,-1,-1,13,13,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,-1,-1,-1,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                        /*24*/[13,13,13,13,13,13,13,13,13,13,13,13,16,16,-1,-1,-1,-1,16,16,16,16,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,13,13,13,13,-1,-1,-1,16,16,-1,-1,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1, 0, 1, 1, 1, 1, 1,13,13,13,13, 1, 1, 1,],
                        /*25*/[16,16,16,16,16,16,16,16,16,16,16,16,16,16,-1,-1,-1,-1,16,16,16,16,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,16,16,-1,-1,-1,-1,-1,-1,-1,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1, 0, 3, 4, 4, 4, 4, 4,16,16,16,16, 4, 4, 4,],
                        /*26*/[16,16,16,16,16,16,16,16,16,16,16,16,16,16,-1,-1,-1,-1,16,16,16,16,16,16,13,13,13,13,13,13,13,13,13,13,13,13,13,16,16,16,16,-1,-1,-1,-1,-1,-1,-1,16,16,-1,-1,-1,-1,-1,-1,-1,-1,13,-1,-1,13,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1, 0, 3, 4, 4, 4, 4, 4, 4,16,16,16,16, 4, 4, 4,],
                        /*27*/[16,16,16,16,16,16,16,16,16,16,16,16,16,16,13,13,13,13,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,-1,-1,-1,-1,-1,-1,-1,16,16,-1,-1,-1,-1,-1,-1,13,-1,-1,-1,-1,-1,-1,-1,13,13,13,13,13,13,13,16,16,13,13,13,13,13,13,13,13,13,13,13,13, 1, 1, 1, 1, 3, 4, 4, 4, 4, 4, 4, 4,16,16,16,16, 4, 4, 4,],
                        /*28*/[16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,13,13,13,13,13,13,13,13,13,-1,-1,13,13,13,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4,16,16,16,16, 4, 4, 4,],


                        ]
                    );
                stage5 = new Group();
                transitionFX1 = new Transition();
                Player = new Lloyd();
                GorillaOne = new Gorilla();
                GorillaOne.x = 272;
                GorillaOne.y = 290;
                GorillaTwo = new Gorilla();
                GorillaTwo.x = 640;
                GorillaTwo.y = 140;
                GorillaThree = new Gorilla();
                GorillaThree.x = 960;
                GorillaThree.y = 120;
                GorillaFour = new Gorilla();
                GorillaFour.x = 2656;
                GorillaFour.y = 320;
                GorillaFive = new Gorilla();
                GorillaFive.x = 2720;
                GorillaFive.y = 320;
                GorillaSix = new Gorilla();
                GorillaSix.x = 2944;
                GorillaSix.y = 320;
                Player.x = 30;
                Player.y = 300;
                Player.owner = 1;
                var swing1 = new Sprite(64,16);
                swing1.image = game.assets['img/bg/swing.png'];
                swing1.x = 500;
                swing1.y = 148;
                swing1.frame = 1;
                //Dialogue Box
                var Dia = new Dialogue();
                Dia.line = 0;
                Dia.frame = -1;
                Dia.sceneAction = false;
                var voice1 = new Label();
                var voice2 = new Label();
                stage5.addChild(bg5);
                stage5.addChild(map5);
                stage5.addChild(Player);
                stage5.addChild(GorillaOne);
                stage5.addChild(GorillaTwo);
                stage5.addChild(GorillaThree);
                stage5.addChild(GorillaFour);
                stage5.addChild(GorillaFive);
                stage5.addChild(GorillaSix);
                stage5.addChild(Dia);
                stage5.addChild(voice1);
                stage5.addChild(voice2);
                stage5.addChild(swing1);
                this.addChild(stage5);

                //HUD
                var hud = new HUD();
                this.addChild(hud);
                hud.addEventListener(Event.ENTER_FRAME, function(){
                    this.frame = Player.health;
                });
                var livesCount = new Label("x " + game.lives);
                livesCount.x = 131;
                this.addChild(livesCount);
                livesCount.addEventListener(Event.ENTER_FRAME, function(){
                    this.text = "x " + game.lives;
                });
                Dia.addEventListener(Event.ENTER_FRAME, function(){
                    voice1.x = this.x;
                    voice1.y = this.y + 10;
                    voice2.x = this.x;
                    voice2.y = this.y + 26;
                    if(game.scene <= 4)
                    {
                        game.scene = 5;
                    }
                    if(game.scene == 5)
                    {
                        if(this.line == 0)
                        {
                            this.frame = 0;
                            this.x = Player.x - 15;
                            this.y = Player.y - 50;
                            this.line = 1;
                        }
                        if(this.line == 1)
                        {
                            voice1.text = "Damn! It was set to Paris."
                        }
                        if(this.line == 2)
                        {
                            voice1.text = "There should be another terminal"
                            voice2.text = "somewhere around here."
                        }
                        if(this.line == 3)
                        {
                            voice1.text = "Maybe I should get a croissant for"
                            voice2.text = "Violet while I'm here."
                        }
                        if(this.line == 4)
                        {
                            voice1.text = ""
                            voice2.text = ""
                            this.frame = -1;
                            Player.owner = 0;
                            this.sceneAction = true;
                            if(Player.x >= 2464)
                            {
                                this.line = 5;
                            }
                        }
                        if(this.line == 5)
                        {
                            this.frame = 0;
                            voice1.text = "Pas un seul d'entre vous se deplace!"
                            voice2.text = "Sauf si vous voulez mourir!"
                            Player.ani = 0;
                            Player.owner = 1;
                            Player.frame = 0;
                            this.sceneAction = false;
                            this.x = Player.x;
                            this.y = Player.y + 50;
                        }
                        if(this.line == 6)
                        {
                            this.sceneAction = true;
                            this.frame = -1;
                            voice1.text = ""
                            voice2.text = ""
                            if(Player.x <= 2512)
                            {
                                Player.x += Player.moveSpeed;
                                if(map5.hitTest(Player.x+45,Player.y+60))
                                {
                                    if(Player.age % 3 === 0)
                                    {
                                        if(this.frame <= 3)
                                        {
                                            Player.frame = 4;
                                        }
                                        else
                                        {
                                            if(Player.frame >= 7)
                                            {
                                                Player.frame = 4;
                                            }
                                            else
                                            {
                                                Player.frame ++;
                                            }
                                        }
                                    }
                                }
                            }
                            else
                            {
                                if(Player.y >= 304)
                                {
                                    Player.frame = 0;
                                    this.line = 7
                                }
                                else
                                {
                                    Player.frame = 10;
                                }
                            }
                            this.sceneAction = true;
                        }
                        if(this.line == 7)
                        {
                            this.frame = 0;
                            voice1.text = "Il est le vigilant amazonienne!"
                            voice2.text = "Tue-le!"
                            Player.ani = 0;
                            Player.owner = 1;
                            Player.frame = 0;
                            this.sceneAction = false;
                            this.x = Player.x + 50;
                            this.y = GorillaFour.y - 20;
                        }
                        if(this.line == 8)
                        {
                            this.frame = -1;
                            voice1.text = ""
                            voice2.text = ""
                            Player.ani = 0;
                            Player.owner = 0;
                            this.sceneAction = true;
                            game.scene = 6;
                        }
                    }
                });
                Player.addEventListener(Event.ENTER_FRAME, function(){
                    this.randomizer = Math.round(Math.random());
                    this.y += 5;
                    if (map5.hitTest(this.x+45,this.y+60)){
                        this.y-= 5;
                        if(this.ani >= -1)
                        {
                            this.jumpHeight = 12;
                        }
                    }
                    
                    if (this.owner == 0)
                    {
                        if(this.ani == -1)
                        {
                            this.x -= this.scaleX * 4.5;
                            if(this.frame < 28)
                            {
                                this.frame = 28;
                            }
                            if(this.age % 1 === 0)
                            {
                                this.frame ++;
                            }
                            if(this.frame >= 31)
                            {
                                this.ani = 0;
                                this.frame = 0;
                                Gorilla.frame = 0;
                                Gorilla.ani = 0;
                            }
                        }
                        if(this.ani == -2)
                        {
                            if(this.jumpHeight >= 0)
                            {
                                this.y -= this.jumpHeight;
                                this.jumpHeight -= 1; 
                            }
                            if(map5.hitTest(this.x+45,this.y+65))
                            {
                                if(this.frame <= 32)
                                {
                                    this.frame = 33;
                                }
                                
                                if(this.age % 4 === 0)
                                {
                                    if(this.health >> 0)
                                    {
                                        this.frame ++;
                                        if(this.frame >> 35)
                                        {
                                            this.ani = 0;
                                        }
                                    }
                                    else
                                    {
                                        if(game.lives >> 0)
                                        {
                                            if(game.scene == 5)
                                            {
                                                this.x = 0;
                                            }
                                            else
                                            {
                                                this.x = 2496;
                                            }
                                            this.y = 288;
                                            this.health = 4;
                                            game.lives --;
                                            this.ani = -1;
                                        }
                                        else
                                        {
                                            game.pushScene(gameOverScreen);
                                        }
                                    }
                                }
                            }
                            else
                            {
                                if(this.scaleX == 1)
                                {
                                    if(!map5.hitTest(this.x+20,this.y+60) && this.x >= 10)
                                    {
                                        this.x -= this.moveSpeed*2;
                                    }
                                }
                                if(this.scaleX == -1)
                                {
                                    if(!map5.hitTest(this.x+55,this.y+60))
                                    {
                                        this.x += this.moveSpeed*2;
                                    }
                                }
                                this.frame = 32;
                            }
                        }
                        if(this.ani == 0)
                        {
                            if(map5.hitTest(this.x+45,this.y+65))
                            {
                                if(!game.input.right && !game.input.left)
                                {
                                    if(this.age % 4 === 0)
                                    {
                                        this.frame ++;
                                        if(this.frame >= 3)
                                        {
                                            this.frame = 0;
                                        }
                                    }
                                }
                            }
                            else
                            {
                                this.frame = 10;
                                if(this.intersect(swing1))
                                {
                                    if((this.x >= swing1.x - 40) && (this.x <= swing1.x + 8))
                                    {
                                        this.ani = 5;
                                        this.y = swing1.y + 8;
                                        this.x = swing1.x - 16;
                                    }
                                }
                            }
                            if(game.input.right && !game.input.left)
                            {
                                //Movement
                                if(!map5.hitTest(this.x+55,this.y+60))
                                {
                                    this.x += this.moveSpeed;
                                    this.scaleX = 1;
                                    //Animation
                                    if(map5.hitTest(this.x+30,this.y+65))
                                    {
                                        if(this.age % 3 === 0)
                                        {
                                            if(this.frame <= 3)
                                            {
                                                this.frame = 4;
                                            }
                                            else
                                            {
                                                if(this.frame >= 7)
                                                {
                                                    this.frame = 4;
                                                }
                                                else
                                                {
                                                    this.frame ++;
                                                }
                                            }
                                        }
                                    }
                                }
                                else
                                {
                                    if(map5.checkTile(this.x+55,this.y+60) == 0)
                                    {
                                        this.x += this.moveSpeed;
                                        this.y -= 5;
                                    }
                                }
                                
                            }
                            if(!game.input.right && game.input.left)
                            {
                                //Movement
                                if(!map5.hitTest(this.x+20,this.y+60) && this.x >= 10)
                                {
                                    this.x -= this.moveSpeed;
                                    this.scaleX = -1;
                                    //Animation
                                    if(map5.hitTest(this.x+30,this.y+65))
                                    {
                                        if (this.age % 3 === 0)
                                        {
                                            if(this.frame <= 3)
                                            {
                                                this.frame = 4;
                                            }
                                            else
                                            {
                                                if(this.frame >= 7)
                                                {
                                                    this.frame = 4;
                                                }
                                                else
                                                {
                                                    this.frame ++;
                                                }
                                            }
                                        }
                                    }
                                }
                                else
                                {
                                    if(map5.checkTile(this.x+20,this.y+60) == 2)
                                    {
                                        this.x -= this.moveSpeed;
                                        this.y -= 5;
                                    }
                                }
                            }
                            //Attack
                            if(game.input.b)
                            {
                                if(this.bPress == false)
                                {
                                    this.bPress = true;
                                    game.sfx = game.assets['audio/sfx/slash.wav'];
                                    game.sfx.play();
                                    if(map5.hitTest(this.x+43.5,this.y+65))
                                    {
                                        if(!game.input.left && !game.input.right)
                                        {
                                            if(this.randomizer == 1)
                                            {
                                                this.ani = 1;
                                            }
                                            else
                                            {
                                                this.ani = 1.5
                                            }
                                        }
                                        else
                                        {
                                            this.ani = 2;
                                        }
                                    }
                                    else
                                    {
                                        this.ani = 3;
                                    }
                                }
                            }
                            else
                            {
                                this.bPress = false;
                            }
                            //Jump
                            if(game.input.a || game.input.up)
                            {
                                if(map5.hitTest(this.x+43.5,this.y+55))
                                {
                                    if(this.jumpHeight >= 12)
                                    {
                                        this.y -= this.jumpHeight * 1.5
                                        this.jumpHeight -= 1;
                                    }
                                }
                                else
                                {
                                    if(this.jumpHeight >= 1)
                                    {
                                        if(!map5.hitTest(this.x+43.5,this.y-10))
                                        {
                                            this.y -= this.jumpHeight * 1.15;
                                            this.jumpHeight -= 1;
                                            if(this.jumpHeight >= 3)
                                            {
                                                this.frame = 9;
                                            }
                                            if(this.jumpHeight >= 5)
                                            {
                                                this.frame = 8;
                                            }
                                        }
                                        else
                                        {
                                            this.jumpHeight = 0;
                                        }
                                    }
                                    if(map5.hitTest(this.x+60,this.y+20))
                                    {
                                        if(this.jumpHeight <= 5)
                                        {
                                            this.scaleX = -1;
                                            this.ani = .5
                                            this.jumpHeight = 12;
                                            this.y -= 5;
                                        }
                                    }
                                    if(map5.hitTest(this.x+15,this.y+20))
                                    {
                                        if(this.jumpHeight <= 5)
                                        {
                                            this.scaleX = 1;
                                            this.ani = .5
                                            this.jumpHeight = 12;
                                            this.y -= 5;
                                        }
                                    }
                                }
                            }
                        }
                        //Wall Jump
                        if(this.ani == .5)
                        {
                            this.frame = 8
                            this.x += this.scaleX * this.moveSpeed;
                            this.y -= this.jumpHeight * 1.25;
                            this.jumpHeight -= 1;
                            if(this.jumpHeight == 0)
                            {
                                this.ani = 0;
                            }
                        }
                        //Slash 1
                        if(this.ani == 1)
                        {
                            if(this.frame <= 10)
                            {
                                this.frame = 11;
                            }
                            if(this.age % 1 === 0)
                            {
                                if(this.frame >= 14)
                                {
                                    this.ani = 0;
                                }
                                else
                                {
                                    this.frame ++;
                                }
                            }
                        }
                        //Slash 2
                        if(this.ani == 1.5)
                        {
                            if(this.frame <= 14)
                            {
                                this.frame = 15;
                            }
                            if(this.age % 1 === 0)
                            {
                                if(this.frame >= 18)
                                {
                                    this.ani = 0;
                                }
                                else
                                {
                                    this.frame ++;
                                }
                            }
                        }
                        //Spin Slash
                        if(this.ani == 2)
                        {
                            if(this.frame < 21)
                            {
                                this.frame = 21;
                            }
                            if(this.age % 2 === 0)
                            {
                                this.frame ++;
                            }
                            if(this.frame > 23)
                            {
                                this.ani = 0;
                                this.frame = 0;
                            }
                            if(this.scaleX == 1)
                            {
                                if(!map5.hitTest(this.x+55,this.y+60))
                                {
                                    this.x += this.scaleX * this.moveSpeed;
                                }
                                else
                                {
                                    if(map5.checkTile(this.x+55,this.y+60) == 0)
                                    {
                                        this.x += this.moveSpeed;
                                        this.y -= 5;
                                    }
                                }
                            }
                            if(this.scaleX == -1)
                            {
                                if(!map5.hitTest(this.x+20,this.y+60))
                                {
                                    this.x -= this.moveSpeed;
                                }
                                else
                                {
                                    if(map5.checkTile(this.x+20,this.y+60) == 2)
                                    {
                                        this.x -= this.moveSpeed;
                                        this.y -= 5;
                                    }
                                }
                            }
                        }
                        //Aerial Slash
                        if(this.ani == 3)
                        {
                            if(!map5.hitTest(this.x+43.5,this.y+60))
                            {
                                if(this.frame <= 23)
                                {
                                    this.frame = 24;
                                }
                                if(this.frame >= 27)
                                {
                                    this.ani = 0;
                                }
                                if(this.age % 2 === 0)
                                {
                                    this.frame ++;
                                }
                                if(game.input.right)
                                {
                                    if(!map5.hitTest(this.x+55,this.y+60))
                                    {
                                        this.x += this.scaleX * this.moveSpeed;
                                    }
                                }
                                if(game.input.left)
                                {
                                    if(!map5.hitTest(this.x+20,this.y+60))
                                    {
                                        this.x += this.scaleX * this.moveSpeed;
                                    }
                                }

                            }
                            else
                            {
                                this.ani = 0;
                            }
                        }
                        if(this.ani == 5)
                        {
                            this.y -= 5;
                            this.jumpHeight = 8;
                            if(this.frame <= 39)
                            {
                                this.frame = 40;
                            }
                            if(this.age % 5 === 0)
                            {
                                if(this.frame >= 43)
                                {
                                    this.frame = 40;
                                }
                                else
                                {
                                    this.frame ++;
                                }
                            }
                            if(game.input.a)
                            {
                                if(this.frame == 40)
                                {
                                    this.ani = 0.25
                                }
                                if(this.frame == 41)
                                {
                                    this.ani = 0.15
                                }
                                if(this.frame == 42)
                                {
                                    this.ani = 0.15
                                }
                                if(this.frame == 43)
                                {
                                    this.ani = 0.25
                                }
                                
                            }
                        }
                        //Pole Jump Forward
                        if(this.ani == 0.15)
                        {
                            if(this.jumpHeight >= 1)
                            {
                                this.y -= this.jumpHeight * 1.25;
                                this.jumpHeight --;
                                this.x += this.scaleX * 6;
                                if(this.frame <= 43)
                                {
                                    this.frame = 44;
                                }
                                if(this.age % 4 === 0)
                                {
                                    if(this.frame <= 47)
                                    {
                                        this.frame ++;
                                    }
                                }
                            }
                            else
                            {
                                this.ani = 0;
                            }
                        }
                        //Pole Jump Backward
                        if(this.ani == 0.25)
                        {
                            if(this.jumpHeight >= 1)
                            {
                                this.y -= this.jumpHeight * 1.25;
                                this.jumpHeight --;
                                this.x -= this.scaleX * 6;
                            }
                            else
                            {
                                this.ani = 0;
                            }
                        }
                    }
                });
                //Gorilla Interaction and Animation
                GorillaOne.addEventListener(Event.ENTER_FRAME, function(){
                    this.y += 5;
                    if (map5.hitTest(this.x+45,this.y+60)){
                        this.y-= 5;
                        this.jumpHeight = 12;
                    }
                    if(Player.x <= this.x)
                    {
                        this.scaleX = -1;
                    }
                    if(Player.x >= this.x)
                    {
                        this.scaleX = -1;
                    }
                    if(this.ani == -1)
                    {
                        if(this.frame <= 11)
                        {
                            this.frame = 12;
                        }
                        if(this.frame >= 15)
                        {
                            this.ani = 0;
                        }
                        if(this.age % 2 === 0)
                        {
                            this.frame ++;
                            this.x -= this.scaleX*4;
                        }
                    }
                    if(this.ani == 0)
                    {
                        this.frame = 0;
                        //Punching Lloyd
                        if(this.intersect(Player))
                        {
                            if(Player.ani <= 0)
                            {
                                if(Player.x >= this.x-44)
                                {
                                    this.ani = 1;
                                    if(Player.health >> 0)
                                    {
                                        Player.ani = -1;
                                        Player.health --;
                                    }
                                    else
                                    {
                                        Player.ani = -2;
                                    }
                                }
                            }
                            else
                            {
                                if(this.health >> 0)
                                {
                                    this.ani = -1;
                                    this.health --;
                                }
                            }
                        }
                        if(Player.health == 0 && Player.ani == -2)
                        {
                            this.ani = 2;
                        }
                    }
                    if(this.ani == 1)
                    {
                        if(this.frame <= 5)
                        {
                            this.frame = 5;
                        }
                        if(this.frame >= 8)
                        {
                            this.ani = 0;
                            this.frame = 0;
                        }
                        else
                        {
                            this.frame ++;
                        }
                    }
                    if(this.ani == 2)
                    {
                        if(this.age % 3 === 0)
                        {
                            this.frame ++;
                            if(this.frame >= 5)
                            {
                                if(Player.ani == -2)
                                {
                                    this.frame = 3;
                                }
                                else
                                {
                                    this.ani = 0;
                                    this.frame = 0;
                                }
                            }
                        }
                    }
                });
                //Gorilla Interaction and Animation
                GorillaTwo.addEventListener(Event.ENTER_FRAME, function(){
                    this.y += 5;
                    if (map5.hitTest(this.x+45,this.y+60)){
                        this.y-= 5;
                        this.jumpHeight = 12;
                    }
                    if(this.ani == -1)
                    {
                        if(this.frame <= 11)
                        {
                            this.frame = 12;
                        }
                        if(this.frame >= 15)
                        {
                            this.ani = 0;
                        }
                        if(this.age % 2 === 0)
                        {
                            this.frame ++;
                            this.x -= this.scaleX*4;
                        }
                    }
                    if(this.ani == 0)
                    {
                        this.frame = 0;
                        if(this.x <= 608)
                        {
                            this.scaleX = 1;
                        }
                        if(this.x >= 704)
                        {
                            this.scaleX = -1;
                        }
                        this.x += this.scaleX * 5
                        if(this.age % 2 === 0)
                        {
                            if(this.frame <= 7)
                            {
                                this.frame = 8;
                            }
                            else
                            {
                                if(this.frame >= 11)
                                {
                                    this.frame = 8;
                                }
                                else
                                {
                                    this.frame ++;
                                }
                            }
                        }
                        //Punching Lloyd
                        if(this.intersect(Player))
                        {
                            if(Player.ani <= 0)
                            {
                                if(Player.x >= this.x-44)
                                {
                                    this.ani = 1;
                                    if(Player.health >> 0)
                                    {
                                        Player.ani = -1;
                                        Player.health --;
                                    }
                                    else
                                    {
                                        Player.ani = -2;
                                    }
                                }
                            }
                            else
                            {
                                if(this.health >> 0)
                                {
                                    this.ani = -1;
                                    this.health --;
                                }
                            }
                        }
                        if(Player.health == 0 && Player.ani == -2)
                        {
                            this.ani = 2;
                        }
                    }
                    if(this.ani == 1)
                    {
                        if(this.frame <= 5)
                        {
                            this.frame = 5;
                        }
                        if(this.frame >= 8)
                        {
                            this.ani = 0;
                            this.frame = 0;
                        }
                        else
                        {
                            this.frame ++;
                        }
                    }
                    if(this.ani == 2)
                    {
                        if(this.age % 3 === 0)
                        {
                            this.frame ++;
                            if(this.frame >= 5)
                            {
                                if(Player.ani == -2)
                                {
                                    this.frame = 3;
                                }
                                else
                                {
                                    this.ani = 0;
                                    this.frame = 0;
                                }
                            }
                        }
                    }
                });
                //Gorilla Interaction and Animation
                GorillaThree.addEventListener(Event.ENTER_FRAME, function(){
                    this.y += 5;
                    if (map5.hitTest(this.x+45,this.y+60)){
                        this.y-= 5;
                        this.jumpHeight = 12;
                    }
                    if(Player.x <= this.x)
                    {
                        this.scaleX = -1;
                    }
                    if(Player.x >= this.x)
                    {
                        this.scaleX = -1;
                    }
                    if(this.ani == -1)
                    {
                        if(this.frame <= 11)
                        {
                            this.frame = 12;
                        }
                        if(this.frame >= 15)
                        {
                            this.ani = 0;
                        }
                        if(this.age % 2 === 0)
                        {
                            this.frame ++;
                            this.x -= this.scaleX*4;
                        }
                    }
                    if(this.ani == 0)
                    {
                        this.frame = 0;
                        //Punching Lloyd
                        if(this.intersect(Player))
                        {
                            if(Player.ani <= 0)
                            {
                                if(Player.x >= this.x-44)
                                {
                                    this.ani = 1;
                                    if(Player.health >> 0)
                                    {
                                        Player.ani = -1;
                                        Player.health --;
                                    }
                                    else
                                    {
                                        Player.ani = -2;
                                    }
                                }
                            }
                            else
                            {
                                if(this.health >> 0)
                                {
                                    this.ani = -1;
                                    this.health --;
                                }
                            }
                        }
                        if(Player.health == 0 && Player.ani == -2)
                        {
                            this.ani = 2;
                        }
                    }
                    if(this.ani == 1)
                    {
                        if(this.frame <= 5)
                        {
                            this.frame = 5;
                        }
                        if(this.frame >= 8)
                        {
                            this.ani = 0;
                            this.frame = 0;
                        }
                        else
                        {
                            this.frame ++;
                        }
                    }
                    if(this.ani == 2)
                    {
                        if(this.age % 3 === 0)
                        {
                            this.frame ++;
                            if(this.frame >= 5)
                            {
                                if(Player.ani == -2)
                                {
                                    this.frame = 3;
                                }
                                else
                                {
                                    this.ani = 0;
                                    this.frame = 0;
                                }
                            }
                        }
                    }
                });
                //Gorilla Interaction and Animation
                GorillaFour.addEventListener(Event.ENTER_FRAME, function(){
                    this.y += 5;
                    if (map5.hitTest(this.x+45,this.y+60)){
                        this.y-= 5;
                        this.jumpHeight = 12;
                    }
                    
                    if(game.scene == 6)
                    {
                        if(this.ani == -1)
                        {
                            if(this.frame <= 11)
                            {
                                this.frame = 12;
                            }
                            if(this.frame >= 15)
                            {
                                this.ani = 0;
                            }
                            if(this.age % 2 === 0)
                            {
                                this.frame ++;
                                this.x -= this.scaleX*4;
                            }
                        }
                        if(this.ani == 0)
                        {
                            if(Player.x <= this.x)
                            {
                                this.scaleX = -1;
                                this.x -= 4;
                            }
                            if(Player.x >= this.x)
                            {
                                this.scaleX = 1;
                                this.x += 4;
                            }
                            //Punching Lloyd
                            if(this.intersect(Player))
                            {
                                if(Player.ani <= 0)
                                {
                                    if((Player.x + 64) >= (this.x + 16))
                                    {
                                        this.ani = 1;
                                        if(Player.health >> 0)
                                        {
                                            Player.ani = -1;
                                            Player.health --;
                                        }
                                        else
                                        {
                                            Player.ani = -2;
                                        }
                                    }
                                }
                                else
                                {
                                    if(this.health >> 0)
                                    {
                                        this.ani = -1;
                                        this.health --;
                                    }
                                }
                            }
                            if(Player.health == 0 && Player.ani == -2)
                            {
                                this.ani = 2;
                            }
                        }
                        if(this.ani == 1)
                        {
                            if(this.frame <= 5)
                            {
                                this.frame = 5;
                            }
                            if(this.frame >= 8)
                            {
                                this.ani = 0;
                                this.frame = 0;
                            }
                            else
                            {
                                this.frame ++;
                            }
                        }
                        if(this.ani == 2)
                        {
                            if(this.age % 3 === 0)
                            {
                                this.frame ++;
                                if(this.frame >= 5)
                                {
                                    if(Player.ani == -2)
                                    {
                                        this.frame = 3;
                                    }
                                    else
                                    {
                                        this.ani = 0;
                                        this.frame = 0;
                                    }
                                }
                            }
                        }
                    }
                });
                //Gorilla Interaction and Animation
                GorillaFive.addEventListener(Event.ENTER_FRAME, function(){
                    this.y += 5;
                    if (map5.hitTest(this.x+45,this.y+60)){
                        this.y-= 5;
                        this.jumpHeight = 12;
                    }
                    
                    if(game.scene == 6)
                    {
                        if(this.ani == -1)
                        {
                            if(this.frame <= 11)
                            {
                                this.frame = 12;
                            }
                            if(this.frame >= 15)
                            {
                                this.ani = 0;
                            }
                            if(this.age % 2 === 0)
                            {
                                this.frame ++;
                                this.x -= this.scaleX*4;
                            }
                        }
                        if(this.ani == 0)
                        {
                            if(Player.x <= this.x)
                            {
                                this.scaleX = -1;
                                this.x -= 6;
                            }
                            if(Player.x >= this.x)
                            {
                                this.scaleX = 1;
                                this.x += 6;
                            }
                            //Punching Lloyd
                            if(this.intersect(Player))
                            {
                                if(Player.ani <= 0)
                                {
                                    if((Player.x + 64) >= (this.x + 16))
                                    {
                                        this.ani = 1;
                                        if(Player.health >> 0)
                                        {
                                            Player.ani = -1;
                                            Player.health --;
                                        }
                                        else
                                        {
                                            Player.ani = -2;
                                        }
                                    }
                                }
                                else
                                {
                                    if(this.health >> 0)
                                    {
                                        this.ani = -1;
                                        this.health --;
                                    }
                                    else
                                    {
                                        stage5.removeChild(this);
                                    }
                                }
                            }
                            if(Player.health == 0 && Player.ani == -2)
                            {
                                this.ani = 2;
                            }
                        }
                        if(this.ani == 1)
                        {
                            if(this.frame <= 5)
                            {
                                this.frame = 5;
                            }
                            if(this.frame >= 8)
                            {
                                this.ani = 0;
                                this.frame = 0;
                            }
                            else
                            {
                                this.frame ++;
                            }
                        }
                        if(this.ani == 2)
                        {
                            if(this.age % 3 === 0)
                            {
                                this.frame ++;
                                if(this.frame >= 5)
                                {
                                    if(Player.ani == -2)
                                    {
                                        this.frame = 3;
                                    }
                                    else
                                    {
                                        this.ani = 0;
                                        this.frame = 0;
                                    }
                                }
                            }
                        }
                    }
                });
                //Gorilla Interaction and Animation
                GorillaSix.addEventListener(Event.ENTER_FRAME, function(){
                    this.y += 5;
                    if (map5.hitTest(this.x+45,this.y+60)){
                        this.y-= 5;
                        this.jumpHeight = 12;
                    }
                    
                    if(game.scene == 6)
                    {
                        if(this.ani == -1)
                        {
                            if(this.frame <= 11)
                            {
                                this.frame = 12;
                            }
                            if(this.frame >= 15)
                            {
                                this.ani = 0;
                            }
                            if(this.age % 2 === 0)
                            {
                                this.frame ++;
                                this.x -= this.scaleX*4;
                            }
                        }
                        if(this.ani == 0)
                        {
                            if(Player.x <= 2720)
                            {
                                this.scaleX = -1;
                            }
                            else
                            {
                                this.scaleX = 1;
                                this.x += 6;
                            }
                        }
                        if(this.ani == 1)
                        {
                            if(this.frame <= 5)
                            {
                                this.frame = 5;
                            }
                            if(this.frame >= 8)
                            {
                                this.ani = 0;
                                this.frame = 0;
                            }
                            else
                            {
                                this.frame ++;
                            }
                        }
                        if(this.ani == 2)
                        {
                            if(this.age % 3 === 0)
                            {
                                this.frame ++;
                                if(this.frame >= 5)
                                {
                                    if(Player.ani == -2)
                                    {
                                        this.frame = 3;
                                    }
                                    else
                                    {
                                        this.ani = 0;
                                        this.frame = 0;
                                    }
                                }
                            }
                        }
                    }
                });
                //Scene Events
                this.addEventListener('enterframe', function(e) {
                    var x = Math.min((game.width  - 16) / 2 - Player.x, 0);
                    var y = Math.min((game.height - 16) / 2 - Player.y, 0);
                    x = Math.max(game.width,  x + map5.width)  - map5.width;
                    y = Math.max(game.height, y + map5.height) - map5.height;
                    stage5.x = x;
                    stage5.y = y;
                    if(Player.y >= 448)
                    {
                        
                        if(game.lives >> 0)
                        {
                            Player.x = 0;
                            Player.y = 300;
                            player.health = 4;
                            game.lives --;
                        }
                        else
                        {
                            stage5.removeChild(Player);
                            game.pushScene(gameOverScreen);
                        }
                    }
                    if(game.musicTimer >= 1)
                    {
                        game.musicTimer --;
                    }
                    else
                    {
                        game.bgm.play();
                        game.musicTimer = 3285;
                    }
                    if(Player.x >= 3060)
                    {
                        game.bgm.stop();
                        this.addChild(transitionFX1);
                        game.scene = 6;
                    }
                    if(transitionFX1.frame >= 5)
                    {
                        game.bgm.audio
                        game.pushScene(levelSix);
                    }
                });
                }
            });
            var FranceTwo = Class.create(Scene, {
                initialize: function(){
                    console.log("Paris Two");
                    Scene.apply(this);
                    //Create Map
                    map6 = new Map(32,16);
                    map6.image = game.assets['img/tiles.png'];
                    map6.loadData(
                        [
                        /*     01,02,03,04,05,06,07,08,09,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,97,98,99,01,02,03,04,05,06,07,08,09,10,11/
                        /*00*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                        /*01*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                        /*02*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                        /*03*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                        /*04*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                        /*05*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,13,-1,13,-1,13,-1,13,-1,13,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                        /*06*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,13,13,13,13,13,13,13,13,-1,-1,-1,-1,-1,-1,-1,13,13,13,13,13,13,13,13,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,13,-1,-1,-1,13,13,13,13,13,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                        /*07*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,13,-1,-1,13,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,16,16,16,16,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,-1,-1,-1,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                        /*08*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,16,16,16,16,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,-1,-1,-1,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                        /*09*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,16,16,16,16,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,-1,-1,-1,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                        /*10*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,16,16,16,16,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,-1,-1,-1,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                        /*11*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,13,13,13,13,13,13,-1,-1,-1,-1,-1,-1,-1,-1,-1,13,13,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,16,16,16,16,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,-1,-1,-1,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                        /*12*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,13,13,13,13,13,13,-1,-1,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,16,16,16,16,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,-1,-1,-1,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                        /*13*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,16,16,16,16,-1,-1,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,13,13,13,16,16,16,16,16,16,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,-1,-1,-1,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                        /*14*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,16,16,16,16,16,16,16,16,16,13,13,13,13,-1,-1,13,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                        /*15*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,-1,-1,-1,-1,-1,-1,-1,13,13,-1,-1,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,-1,-1,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,-1,-1,-1,-1,-1,-1,-1,13,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                        /*16*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,-1,-1,-1,-1,-1,-1,-1,16,16,-1,-1,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,-1,-1,16,-1,-1,-1, 4, 4, 4, 4,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,13,13,13,-1,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                        /*17*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,13,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,-1,-1,-1,13,13,-1,-1,-1,-1,-1,-1,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,-1,-1,16,-1,-1, 4, 4, 4, 4, 4, 4,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,13,13,13,13,13,],
                        /*18*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,-1,-1,-1,13,13,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,-1,-1,-1,16,16,-1,-1,-1,-1,-1,-1,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,-1,-1,16,-1,-1, 4, 4, 4, 4, 4, 4,-1,-1,13,13,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,],
                        /*19*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,-1,-1,-1,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,-1,-1,16,-1,-1, 4, 4, 4, 4, 4, 4,-1,-1,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,],
                        /*20*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,-1,-1,-1,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,-1,-1,16,-1,-1, 4, 4, 4, 4, 4, 4,-1,-1,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,],
                        /*21*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,-1,-1,13,13,-1,-1,13,13,-1,-1,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,-1,-1,16,-1,-1, 4, 4, 4, 4, 4, 4,-1,-1,13,13,13,13,-1,-1,-1,-1,-1,-1,13,13,13,13,13,13,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,],
                        /*22*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,-1,-1,16,16,-1,-1,16,16,-1,-1,16,16,13,13,13,13,13,-1,-1,-1,13,13,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,-1,-1,16,-1,-1, 4, 4, 4, 4, 4, 4,-1,-1,16,16,16,16,-1,13,13,13,13,-1,16,16,16,16,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,],
                        /*23*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,-1,-1,16,16,-1,-1,16,16,-1,-1,16,16,16,16,16,16,16,-1,-1,-1,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,-1,-1, 4, 4, 4, 4, 4, 4,-1,-1,16,16,16,16,-1,16,16,16,16,-1,16,16,16,16,16,16,-1,13,13,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,],
                        /*24*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,-1,-1,16,16,-1,-1,16,16,-1,-1,16,16,-1,-1,-1,-1,-1,-1,-1,13,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,-1,-1, 4, 4, 4, 4, 4, 4,-1,-1,16,16,16,16,-1,16,16,16,16,-1,16,16,16,16,16,16,-1,16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,],
                        /*25*/[ 1, 1, 1, 1, 1,13,13,13,13,13,13,13, 1, 1, 1, 1,13,13,13,13,13,-1,-1,16,16,-1,-1,16,16,-1,-1,16,16,-1,-1,-1,-1,-1,-1,-1,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,-1,-1, 4, 4, 4, 4, 4, 4,-1,-1,16,16,16,16,-1,16,16,16,16,-1,16,16,16,16,16,16,-1,16,16,-1, 1, 1, 1, 1,13,13,13,13,13,13,13,13,13,13,13,13,13,13,],
                        /*26*/[ 4, 4, 4, 4, 4,16,16,16,16,16,16,16, 4, 4, 4, 4,16,16,16,16,16,-1,-1,16,16,-1,-1,16,16,-1,-1,16,16,13,13,13,13,13,13,13,13,-1,-1,-1,13,13,13,13,13,13,13,13,13,13,13,-1,-1,13,13,13,13,16,-1,-1, 4, 4, 4, 4, 4, 4,-1,-1,16,16,16,16,-1,16,16,16,16,-1,16,16,16,16,16,16,-1,16,16,-1, 4, 4, 4, 4,16,16,16,16,16,16,16,16,16,16,16,16,16,16,],


                        ]
                    );
                    stage6 = new Group();
                    bg6 = new Sprite(3552,447)
                    bg6.image = game.assets['img/bg/paris2_bg.png'];
                    Play = new Lloyd();
                    Play.owner = 0;
                    Play.y = 300;
                    turmes = new Turmes();
                    turmes.x = 384;
                    turmes.y = 300;
                    turmes.scaleX = -1;
                    dia = new Dialogue();
                    var voice1 = new Label();
                    var voice2 = new Label();
                    gorillaOne = new Gorilla();
                    gorillaOne.x = 768;
                    gorillaOne.y = 112;
                    gorillaTwo = new Gorilla();
                    gorillaTwo.x = 1152;
                    gorillaTwo.y = 0;
                    gorillaTwo.health = 2;
                    gorillaThree = new Gorilla();
                    gorillaThree.x = 1152;
                    gorillaThree.y = 208;
                    gorillaThree.health = 1;
                    gorillaFour = new Gorilla();
                    gorillaFour.x = 1696;
                    gorillaFour.y = 352;
                    gorillaFive = new Gorilla();
                    gorillaFive.x = 1696;
                    gorillaFive.y = 352;
                    gorillaSix = new Gorilla();
                    gorillaSix.x = 2592;
                    gorillaSix.y = 200;
                    gorillaSix.health = 2;

                    transition = new Transition();

                    var teleporter = new Sprite(60,108);
                    teleporter.image = game.assets['img/bg/teleporter.png'];
                    teleporter.x = 3424;
                    teleporter.y = 298;

                    warp1 = new Sprite(87,63);
                    warp1.image = game.assets['img/sfx/warp.png'];
                    
                    stage6.addChild(bg6);
                    stage6.addChild(map6);
                    stage6.addChild(teleporter);
                    stage6.addChild(Play);
                    stage6.addChild(turmes);
                    stage6.addChild(dia);
                    stage6.addChild(voice1);
                    stage6.addChild(voice2);
                    stage6.addChild(gorillaOne);
                    stage6.addChild(gorillaTwo);
                    stage6.addChild(gorillaThree);
                    stage6.addChild(gorillaFour);
                    stage6.addChild(gorillaFive);
                    stage6.addChild(gorillaSix);

                    this.addChild(stage6);

                    var hud = new HUD();
                    this.addChild(hud);
                    hud.addEventListener(Event.ENTER_FRAME, function(){
                        this.frame = Play.health;
                    });
                    var livesCount = new Label("x " + game.lives);
                    livesCount.x = 131;
                    this.addChild(livesCount);
                    livesCount.addEventListener(Event.ENTER_FRAME, function(){
                        this.text = "x " + game.lives;
                    });

                    Play.addEventListener(Event.ENTER_FRAME, function(){
                        this.randomizer = Math.round(Math.random());
                        this.y += 5;
                        if(map6.hitTest(this.x+45,this.y+60)){
                            this.y-= 5;
                            if(this.ani >= -1)
                            {
                                this.jumpHeight = 12;
                            }
                        }
                        
                        if(this.owner == 0)
                        {
                            if(this.ani == -1)
                            {
                                this.x -= this.scaleX * 4.5;
                                if(this.frame < 28)
                                {
                                    this.frame = 28;
                                }
                                if(this.age % 1 === 0)
                                {
                                    this.frame ++;
                                }
                                if(this.frame >= 31)
                                {
                                    this.ani = 0;
                                    this.frame = 0;
                                    Gorilla.frame = 0;
                                    Gorilla.ani = 0;
                                }
                            }
                            if(this.ani == -2)
                            {
                                if(this.jumpHeight >= 0)
                                {
                                    this.y -= this.jumpHeight;
                                    this.jumpHeight -= 1; 
                                }
                                if(map6.hitTest(this.x+45,this.y+65))
                                {
                                    if(this.frame <= 32)
                                    {
                                        this.frame = 33;
                                    }
                                    
                                    if(this.age % 4 === 0)
                                    {
                                        if(this.health >> 0)
                                        {
                                            this.frame ++;
                                            if(this.frame >> 35)
                                            {
                                                this.ani = 0;
                                            }
                                        }
                                        else
                                        {
                                            if(game.lives >> 0)
                                            {
                                                this.x = 0;
                                                this.y = 200;
                                                this.health = 4;
                                                game.lives --;
                                                this.ani = -1;
                                            }
                                            else
                                            {
                                                game.pushScene(gameOverScreen);
                                            }
                                        }
                                    }
                                }
                                else
                                {
                                    if(this.scaleX == 1)
                                    {
                                        if(!map6.hitTest(this.x+20,this.y+60) && this.x >= 10)
                                        {
                                            this.x -= this.moveSpeed*2;
                                        }
                                    }
                                    if(this.scaleX == -1)
                                    {
                                        if(!map6.hitTest(this.x+55,this.y+60))
                                        {
                                            this.x += this.moveSpeed*2;
                                        }
                                    }
                                    this.frame = 32;
                                }
                            }
                            if(this.ani == 0)
                            {
                                if(map6.hitTest(this.x+45,this.y+65))
                                {
                                    if(!game.input.right && !game.input.left)
                                    {
                                        if(this.age % 4 === 0)
                                        {
                                            this.frame ++;
                                            if(this.frame >= 3)
                                            {
                                                this.frame = 0;
                                            }
                                        }
                                    }
                                }
                                else
                                {
                                    this.frame = 10;
                                }
                                if(game.input.right && !game.input.left)
                                {
                                    //Movement
                                    if(!map6.hitTest(this.x+55,this.y+60))
                                    {
                                        this.x += this.moveSpeed;
                                        this.scaleX = 1;
                                        //Animation
                                        if(map6.hitTest(this.x+30,this.y+65))
                                        {
                                            if(this.age % 3 === 0)
                                            {
                                                if(this.frame <= 3)
                                                {
                                                    this.frame = 4;
                                                }
                                                else
                                                {
                                                    if(this.frame >= 7)
                                                    {
                                                        this.frame = 4;
                                                    }
                                                    else
                                                    {
                                                        this.frame ++;
                                                    }
                                                }
                                            }
                                        }
                                    }
                                    else
                                    {
                                        if(map6.checkTile(this.x+55,this.y+60) == 0)
                                        {
                                            this.x += this.moveSpeed;
                                            this.y -= 5;
                                        }
                                    }
                                    
                                }
                                if(!game.input.right && game.input.left)
                                {
                                    //Movement
                                    if(!map6.hitTest(this.x+20,this.y+60) && this.x >= 10)
                                    {
                                        this.x -= this.moveSpeed;
                                        this.scaleX = -1;
                                        //Animation
                                        if(map6.hitTest(this.x+30,this.y+65))
                                        {
                                            if (this.age % 3 === 0)
                                            {
                                                if(this.frame <= 3)
                                                {
                                                    this.frame = 4;
                                                }
                                                else
                                                {
                                                    if(this.frame >= 7)
                                                    {
                                                        this.frame = 4;
                                                    }
                                                    else
                                                    {
                                                        this.frame ++;
                                                    }
                                                }
                                            }
                                        }
                                    }
                                    else
                                    {
                                        if(map6.checkTile(this.x+20,this.y+60) == 2)
                                        {
                                            this.x -= this.moveSpeed;
                                            this.y -= 5;
                                        }
                                    }
                                }
                                //Attack
                                if(game.input.b)
                                {
                                    if(this.bPress == false)
                                    {
                                        this.bPress = true;
                                        game.sfx = game.assets['audio/sfx/slash.wav'];
                                        game.sfx.play();
                                        if(map6.hitTest(this.x+43.5,this.y+65))
                                        {
                                            if(!game.input.left && !game.input.right)
                                            {
                                                if(this.randomizer == 1)
                                                {
                                                    this.ani = 1;
                                                }
                                                else
                                                {
                                                    this.ani = 1.5
                                                }
                                            }
                                            else
                                            {
                                                this.ani = 2;
                                            }
                                        }
                                        else
                                        {
                                            this.ani = 3;
                                        }
                                    }
                                }
                                else
                                {
                                    this.bPress = false;
                                }
                                //Jump
                                if(game.input.a || game.input.up)
                                {
                                    if(map6.hitTest(this.x+43.5,this.y+55))
                                    {
                                        if(this.jumpHeight >= 12)
                                        {
                                            this.y -= this.jumpHeight * 1.5
                                            this.jumpHeight -= 1;
                                        }
                                    }
                                    else
                                    {
                                        if(this.jumpHeight >= 1)
                                        {
                                            if(!map6.hitTest(this.x+43.5,this.y-10))
                                            {
                                                this.y -= this.jumpHeight * 1.15;
                                                this.jumpHeight -= 1;
                                                if(this.jumpHeight >= 3)
                                                {
                                                    this.frame = 9;
                                                }
                                                if(this.jumpHeight >= 5)
                                                {
                                                    this.frame = 8;
                                                }
                                            }
                                            else
                                            {
                                                this.jumpHeight = 0;
                                            }
                                        }
                                        if(map6.hitTest(this.x+60,this.y+20))
                                        {
                                            if(this.jumpHeight <= 5)
                                            {
                                                this.scaleX = -1;
                                                this.ani = .5
                                                this.jumpHeight = 12;
                                                this.y -= 5;
                                            }
                                        }
                                        if(map6.hitTest(this.x+15,this.y+20))
                                        {
                                            if(this.jumpHeight <= 5)
                                            {
                                                this.scaleX = 1;
                                                this.ani = .5
                                                this.jumpHeight = 12;
                                                this.y -= 5;
                                            }
                                        }
                                    }
                                }
                            }
                            //Wall Jump
                            if(this.ani == .5)
                            {
                                this.frame = 8
                                this.x += this.scaleX * this.moveSpeed;
                                this.y -= this.jumpHeight * 1.25;
                                this.jumpHeight -= 1;
                                if(this.jumpHeight == 0)
                                {
                                    this.ani = 0;
                                }
                            }
                            //Slash 1
                            if(this.ani == 1)
                            {
                                if(this.frame <= 10)
                                {
                                    this.frame = 11;
                                }
                                if(this.age % 1 === 0)
                                {
                                    if(this.frame >= 14)
                                    {
                                        this.ani = 0;
                                    }
                                    else
                                    {
                                        this.frame ++;
                                    }
                                }
                            }
                            //Slash 2
                            if(this.ani == 1.5)
                            {
                                if(this.frame <= 14)
                                {
                                    this.frame = 15;
                                }
                                if(this.age % 1 === 0)
                                {
                                    if(this.frame >= 18)
                                    {
                                        this.ani = 0;
                                    }
                                    else
                                    {
                                        this.frame ++;
                                    }
                                }
                            }
                            //Spin Slash
                            if(this.ani == 2)
                            {
                                if(this.frame < 21)
                                {
                                    this.frame = 21;
                                }
                                if(this.age % 2 === 0)
                                {
                                    this.frame ++;
                                }
                                if(this.frame > 23)
                                {
                                    this.ani = 0;
                                    this.frame = 0;
                                }
                                if(this.scaleX == 1)
                                {
                                    if(!map6.hitTest(this.x+55,this.y+60))
                                    {
                                        this.x += this.scaleX * this.moveSpeed;
                                    }
                                    else
                                    {
                                        if(map6.checkTile(this.x+55,this.y+60) == 0)
                                        {
                                            this.x += this.moveSpeed;
                                            this.y -= 5;
                                        }
                                    }
                                }
                                if(this.scaleX == -1)
                                {
                                    if(!map6.hitTest(this.x+20,this.y+60))
                                    {
                                        this.x -= this.moveSpeed;
                                    }
                                    else
                                    {
                                        if(map6.checkTile(this.x+20,this.y+60) == 2)
                                        {
                                            this.x -= this.moveSpeed;
                                            this.y -= 5;
                                        }
                                    }
                                }
                            }
                            //Aerial Slash
                            if(this.ani == 3)
                            {
                                if(!map6.hitTest(this.x+43.5,this.y+60))
                                {
                                    if(this.frame <= 23)
                                    {
                                        this.frame = 24;
                                    }
                                    if(this.frame >= 27)
                                    {
                                        this.ani = 0;
                                    }
                                    if(this.age % 2 === 0)
                                    {
                                        this.frame ++;
                                    }
                                    if(game.input.right)
                                    {
                                        if(!map6.hitTest(this.x+55,this.y+60))
                                        {
                                            this.x += this.scaleX * this.moveSpeed;
                                        }
                                    }
                                    if(game.input.left)
                                    {
                                        if(!map6.hitTest(this.x+20,this.y+60))
                                        {
                                            this.x += this.scaleX * this.moveSpeed;
                                        }
                                    }

                                }
                                else
                                {
                                    this.ani = 0;
                                }
                            }
                            if(this.ani == 5)
                            {
                                this.y -= 5;
                                this.jumpHeight = 8;
                                if(this.frame <= 39)
                                {
                                    this.frame = 40;
                                }
                                if(this.age % 5 === 0)
                                {
                                    if(this.frame >= 43)
                                    {
                                        this.frame = 40;
                                    }
                                    else
                                    {
                                        this.frame ++;
                                    }
                                }
                                if(game.input.a)
                                {
                                    if(this.frame == 40)
                                    {
                                        this.ani = 0.25
                                    }
                                    if(this.frame == 41)
                                    {
                                        this.ani = 0.15
                                    }
                                    if(this.frame == 42)
                                    {
                                        this.ani = 0.15
                                    }
                                    if(this.frame == 43)
                                    {
                                        this.ani = 0.25
                                    }
                                    
                                }
                            }
                            //Pole Jump Forward
                            if(this.ani == 0.15)
                            {
                                if(this.jumpHeight >= 1)
                                {
                                    this.y -= this.jumpHeight * 1.25;
                                    this.jumpHeight --;
                                    this.x += this.scaleX * 6;
                                    if(this.frame <= 43)
                                    {
                                        this.frame = 44;
                                    }
                                    if(this.age % 4 === 0)
                                    {
                                        if(this.frame <= 47)
                                        {
                                            this.frame ++;
                                        }
                                    }
                                }
                                else
                                {
                                    this.ani = 0;
                                }
                            }
                            //Pole Jump Backward
                            if(this.ani == 0.25)
                            {
                                if(this.jumpHeight >= 1)
                                {
                                    this.y -= this.jumpHeight * 1.25;
                                    this.jumpHeight --;
                                    this.x -= this.scaleX * 6;
                                }
                                else
                                {
                                    this.ani = 0;
                                }
                            }
                        }
                    });
                    //Enemy 1
                    gorillaOne.addEventListener(Event.ENTER_FRAME, function(){
                        this.y += 5;
                        if(map6.hitTest(this.x+45,this.y+58)){
                            this.y -= 5;
                        }
                        if(this.ani == -1)
                        {
                            this.x -= this.scaleX * 4;
                            if(this.age % 3 === 0)
                            {
                                if(this.frame <= 9)
                                {
                                    this.frame = 10;
                                }
                                else
                                {
                                    if(this.frame <= 11)
                                    {
                                        this.frame ++;
                                    }
                                    else
                                    {
                                        if(this.health >= 1)
                                        {
                                            this.ani = 0;
                                        }
                                        else
                                        {
                                            this.ani = -2;
                                        }
                                    }
                                }
                            }
                        }
                        if(this.ani == 0)
                        {
                            if(Play.y <= 176)
                            {
                                this.x += 2.5;
                                if(this.age % 3 === 0)
                                {
                                    if(this.frame <= 7)
                                    {
                                        this.frame = 8;
                                    }
                                    else
                                    {
                                        if(this.frame <= 10)
                                        {
                                            this.frame ++;
                                        }
                                        else
                                        {
                                            this.frame = 8;
                                        }
                                    }
                                }
                            }
                            else
                            {
                                this.frame = 0;
                            }
                            if(this.intersect(Play))
                            {
                                if(Play.ani == 0)
                                {
                                    if(Play.x <= this.x + 32)
                                    {
                                        this.ani = 1;
                                        if(Play.health >= 2)
                                        {
                                            Play.ani = -1;
                                            Play.health --;
                                        }
                                        else
                                        {
                                            Play.ani = -2;
                                            Play.health = 0;
                                        }
                                    }
                                }
                                if(Play.ani >= 1)
                                {
                                    this.health --;
                                    this.ani = -1;
                                }
                            }
                        }
                        if(this.ani == 1)
                        {
                            if(this.age % 2 === 0)
                            {
                                if(this.frame <= 4)
                                {
                                    this.frame = 5;
                                }
                                else
                                {
                                    if(this.frame <= 7)
                                    {
                                        this.frame ++;
                                    }
                                    else
                                    {
                                        this.ani = 0;
                                    }
                                }
                            }
                        }

                    });
                    //Enemy 2
                    gorillaTwo.addEventListener(Event.ENTER_FRAME, function(){
                        this.y += 5;
                        this.scaleX = -1;
                        if(map6.hitTest(this.x+45,this.y+58)){
                            this.y -= 5;
                        }
                        if(this.ani == -1)
                        {
                            this.x -= this.scaleX * 4;
                            if(this.age % 3 === 0)
                            {
                                if(this.frame <= 9)
                                {
                                    this.frame = 10;
                                }
                                else
                                {
                                    if(this.frame <= 11)
                                    {
                                        this.frame ++;
                                    }
                                    else
                                    {
                                        if(this.health >= 1)
                                        {
                                            this.ani = 0;
                                        }
                                        else
                                        {
                                            this.ani = -2;
                                        }
                                    }
                                }
                            }
                        }
                        if(this.ani == 0)
                        {
                            this.frame = 0;
                            if(this.intersect(Play))
                            {
                                if(Play.ani == 0)
                                {
                                    if(Play.x >= this.x + 48)
                                    {
                                        this.ani = 1;
                                        if(Play.health >= 2)
                                        {
                                            Play.ani = -1;
                                            Play.health --;
                                        }
                                        else
                                        {
                                            Play.ani = -2;
                                            Play.health = 0;
                                        }
                                    }
                                }
                                if(Play.ani >= 1)
                                {
                                    this.health --;
                                    this.ani = -1;
                                }
                            }
                        }
                        if(this.ani == 1)
                        {
                            if(this.age % 2 === 0)
                            {
                                if(this.frame <= 4)
                                {
                                    this.frame = 5;
                                }
                                else
                                {
                                    if(this.frame <= 7)
                                    {
                                        this.frame ++;
                                    }
                                    else
                                    {
                                        this.ani = 0;
                                    }
                                }
                            }
                        }

                    });
                    //Enemy 3
                    gorillaThree.addEventListener(Event.ENTER_FRAME, function(){
                        this.y += 5;
                        if(map6.hitTest(this.x+45,this.y+58)){
                            this.y -= 5;
                        }
                        if(this.ani == -1)
                        {
                            this.x -= this.scaleX * 4;
                            if(this.age % 3 === 0)
                            {
                                if(this.frame <= 9)
                                {
                                    this.frame = 10;
                                }
                                else
                                {
                                    if(this.frame <= 11)
                                    {
                                        this.frame ++;
                                    }
                                    else
                                    {
                                        if(this.health >= 1)
                                        {
                                            this.ani = 0;
                                        }
                                        else
                                        {
                                            this.ani = -2;
                                        }
                                    }
                                }
                            }
                        }
                        if(this.ani == 0)
                        {
                            this.frame = 0;
                            this.scaleX = 1;
                            if(this.intersect(Play))
                            {
                                if(Play.ani == 0)
                                {
                                    if(Play.x <= this.x + 32)
                                    {
                                        this.ani = 1;
                                        if(Play.health >= 2)
                                        {
                                            Play.ani = -1;
                                            Play.health --;
                                        }
                                        else
                                        {
                                            Play.ani = -2;
                                            Play.health = 0;
                                        }
                                    }
                                }
                                if(Play.ani >= 1)
                                {
                                    this.health --;
                                    this.ani = -1;
                                }
                            }
                        }
                        if(this.ani == 1)
                        {
                            if(this.age % 2 === 0)
                            {
                                if(this.frame <= 4)
                                {
                                    this.frame = 5;
                                }
                                else
                                {
                                    if(this.frame <= 7)
                                    {
                                        this.frame ++;
                                    }
                                    else
                                    {
                                        this.ani = 0;
                                    }
                                }
                            }
                        }

                    });
                    //Enemy 4
                    gorillaFour.addEventListener(Event.ENTER_FRAME, function(){
                        this.y += 5;
                        this.scaleX = -1;
                        if(map6.hitTest(this.x+45,this.y+58)){
                            this.y -= 5;
                        }
                        if(this.ani == -1)
                        {
                            this.x -= this.scaleX * 4;
                            if(this.age % 3 === 0)
                            {
                                if(this.frame <= 9)
                                {
                                    this.frame = 10;
                                }
                                else
                                {
                                    if(this.frame <= 11)
                                    {
                                        this.frame ++;
                                    }
                                    else
                                    {
                                        if(this.health >= 1)
                                        {
                                            this.ani = 0;
                                        }
                                        else
                                        {
                                            this.ani = -2;
                                        }
                                    }
                                }
                            }
                        }
                        if(this.ani == 0)
                        {
                            this.frame = 0;
                            if(this.intersect(Play))
                            {
                                if(Play.ani == 0)
                                {
                                    if(Play.x >= this.x + 48)
                                    {
                                        this.ani = 1;
                                        if(Play.health >= 2)
                                        {
                                            Play.ani = -1;
                                            Play.health --;
                                        }
                                        else
                                        {
                                            Play.ani = -2;
                                            Play.health = 0;
                                        }
                                    }
                                }
                                if(Play.ani >= 1)
                                {
                                    this.health --;
                                    this.ani = -1;
                                }
                            }
                        }
                        if(this.ani == 1)
                        {
                            if(this.age % 2 === 0)
                            {
                                if(this.frame <= 4)
                                {
                                    this.frame = 5;
                                }
                                else
                                {
                                    if(this.frame <= 7)
                                    {
                                        this.frame ++;
                                    }
                                    else
                                    {
                                        this.ani = 0;
                                    }
                                }
                            }
                        }

                    });
                    //Enemy 5
                    gorillaFive.addEventListener(Event.ENTER_FRAME, function(){
                        this.y += 5;
                        this.scaleX = -1;
                        if(map6.hitTest(this.x+45,this.y+58)){
                            this.y -= 5;
                        }
                        if(this.ani == -1)
                        {
                            this.x -= this.scaleX * 4;
                            if(this.age % 3 === 0)
                            {
                                if(this.frame <= 9)
                                {
                                    this.frame = 10;
                                }
                                else
                                {
                                    if(this.frame <= 11)
                                    {
                                        this.frame ++;
                                    }
                                    else
                                    {
                                        if(this.health >= 1)
                                        {
                                            this.ani = 0;
                                        }
                                        else
                                        {
                                            this.ani = -2;
                                        }
                                    }
                                }
                            }
                        }
                        if(this.ani == 0)
                        {
                            
                            if(Play.x >= 1440 && Play.y >= 200)
                            {
                                this.x -= 5;
                                if(this.age % 3 === 0)
                                {
                                    if(this.frame <= 7)
                                    {
                                        this.frame = 8;
                                    }
                                    else
                                    {
                                        if(this.frame <= 10)
                                        {
                                            this.frame ++;
                                        }
                                        else
                                        {
                                            this.frame = 8;
                                        }
                                    }
                                }
                            }
                            else
                            {
                                this.frame = 0;
                            }
                            if(this.intersect(Play))
                            {
                                if(Play.ani == 0)
                                {
                                    if(Play.x >= this.x + 48)
                                    {
                                        this.ani = 1;
                                        if(Play.health >= 2)
                                        {
                                            Play.ani = -1;
                                            Play.health --;
                                        }
                                        else
                                        {
                                            Play.ani = -2;
                                            Play.health = 0;
                                        }
                                    }
                                }
                                if(Play.ani >= 1)
                                {
                                    this.health --;
                                    this.ani = -1;
                                }
                            }
                        }
                        if(this.ani == 1)
                        {
                            if(this.age % 2 === 0)
                            {
                                if(this.frame <= 4)
                                {
                                    this.frame = 5;
                                }
                                else
                                {
                                    if(this.frame <= 7)
                                    {
                                        this.frame ++;
                                    }
                                    else
                                    {
                                        this.ani = 0;
                                    }
                                }
                            }
                        }

                    });
                    //Enemy 6
                    gorillaSix.addEventListener(Event.ENTER_FRAME, function(){
                        this.y += 5;
                        this.scaleX = -1;
                        if(map6.hitTest(this.x+45,this.y+58)){
                            this.y -= 5;
                        }
                        if(this.ani == -1)
                        {
                            this.x -= this.scaleX * 4;
                            if(this.age % 3 === 0)
                            {
                                if(this.frame <= 9)
                                {
                                    this.frame = 10;
                                }
                                else
                                {
                                    if(this.frame <= 11)
                                    {
                                        this.frame ++;
                                    }
                                    else
                                    {
                                        if(this.health >= 1)
                                        {
                                            this.ani = 0;
                                        }
                                        else
                                        {
                                            this.ani = -2;
                                        }
                                    }
                                }
                            }
                        }
                        if(this.ani == 0)
                        {
                            this.frame = 0;
                            if(this.intersect(Play))
                            {
                                if(Play.ani == 0)
                                {
                                    if(Play.x >= this.x + 48)
                                    {
                                        this.ani = 1;
                                        if(Play.health >= 2)
                                        {
                                            Play.ani = -1;
                                            Play.health --;
                                        }
                                        else
                                        {
                                            Play.ani = -2;
                                            Play.health = 0;
                                        }
                                    }
                                }
                                if(Play.ani >= 1)
                                {
                                    this.health --;
                                    this.ani = -1;
                                }
                            }
                        }
                        if(this.ani == 1)
                        {
                            if(this.age % 2 === 0)
                            {
                                if(this.frame <= 4)
                                {
                                    this.frame = 5;
                                }
                                else
                                {
                                    if(this.frame <= 7)
                                    {
                                        this.frame ++;
                                    }
                                    else
                                    {
                                        this.ani = 0;
                                    }
                                }
                            }
                        }

                    });
                    //Boss Actions
                    turmes.addEventListener(Event.ENTER_FRAME, function(){
                        this.y += 5;
                        if(this.intersect(Play))
                        {
                            if(Play.ani >= 1)
                            {
                                if(this.ani == 0)
                                {
                                    if(!this.health == 0)
                                    {
                                        this.health --;
                                    }
                                    this.jumpHeight = 5;
                                    this.ani = -1;
                                }
                            }
                            if(Play.ani == 0)
                            {
                                if(this.ani == 2)
                                {
                                    if((Player.x >= this.x - 16) && (Player.x <= this.x + 64))
                                    {
                                        Play.ani = -2;
                                        if(Play.health >= 1)
                                        {
                                            Play.health -= 1;
                                        }
                                        Play.jumpHeight = 0;
                                        this.x = Play.x + 16.5;
                                        this.y += 5;
                                        this.ani = 0;
                                        this.timer = 30;
                                    }
                                }
                                if(this.ani == 3)
                                {
                                    if((Play.y + 32 >= this.y) && (Play.x >= this.x + 16))
                                    {
                                        if(Play.x <= this.x - 30)
                                        {
                                            Play.scaleX = 1;
                                        }
                                        if(Play.x >= this.x + 30)
                                        {
                                            Play.scaleX = -1;
                                        }
                                        Play.ani = -2;
                                        if(Play.health >= 1)
                                        {
                                            Play.health -= 1;
                                        }
                                    }
                                }
                            }  
                        }
                        if(map6.hitTest(this.x+45,this.y+58)){
                            this.y -= 5;
                            this.jumpHeight = 10;
                        }
                        if(this.owner == 0)
                        {
                            if(this.ani == -2)
                            {
                                this.frame = 8;
                                if(this.jumpHeight >= 1)
                                {
                                    this.x -= this.scaleX * 4;
                                    this.jumpHeight --;
                                    this.y -= this.jumpHeight * 2;
                                }
                                else
                                {
                                    game.scene = 8;
                                    dia.line = 1;
                                    dia.sceneAction = true;
                                    Play.owner = 1;
                                    stage6.removeChild(this);
                                }
                            }
                            if(this.ani == -1)
                            {
                                this.frame = 8;
                                if(this.jumpHeight >= 1)
                                {
                                    this.y -= this.jumpHeight;
                                    this.jumpHeight --;
                                    if(this.x >= 10 && this.x <= 576)
                                    {
                                        this.x -= this.scaleX * 4;
                                    }
                                }
                                else
                                {
                                    if(this.health >= 1)
                                    {
                                        this.ani = 0;
                                        this.timer = 2;
                                    }
                                    else
                                    {
                                        this.jumpHeight = 15;
                                        this.ani = -2;
                                    }
                                }
                            }
                            if(this.ani == 0)
                            {
                                if(Play.x <= this.x - 30)
                                {
                                    this.scaleX = -1;
                                }
                                if(Play.x >= this.x + 30)
                                {
                                    this.scaleX = 1;
                                }
                                if(this.age % 3 === 0)
                                {
                                    if(this.frame <= 1)
                                    {
                                        this.frame ++;
                                    }
                                    else
                                    {
                                        this.frame = 2;
                                    }
                                }
                                if(this.timer >= 1)
                                {
                                    this.timer --;
                                }
                                else
                                {
                                    this.randomizer = Math.random();
                                    if(this.randomizer <= 0.5)
                                    {
                                        this.ani = 1;
                                    }
                                    else
                                    {
                                        this.ani = 3;
                                        this.timer = 20;
                                    }
                                }
                                
                            }
                            if(this.ani == 1)
                            {
                                if(this.age % 3 === 0)
                                {
                                    if(this.frame <= 2)
                                    {
                                        this.frame = 3;
                                    }
                                    else
                                    {
                                        if(this.frame <= 4)
                                        {
                                            this.frame ++;
                                        }
                                        else
                                        {
                                            this.frame = 3;
                                        }
                                    }
                                }

                                if(Play.x <= this.x - 30)
                                {
                                    this.x -= 6;
                                }
                                else
                                {
                                    if(Play.x >= this.x + 30)
                                    {
                                        this.x += 6;
                                    }
                                    else
                                    {
                                        if(this.jumpHeight == 0)
                                        {
                                            this.ani = 2;
                                        }
                                    }
                                }

                                if(this.jumpHeight >> 0)
                                {
                                    this.y -= this.jumpHeight * 4;
                                    this.jumpHeight --;
                                    
                                }
                                else
                                {
                                    if(map6.hitTest(this.x+45,this.y+58)){
                                        this.ani = 0;
                                        this.timer = 10;
                                    }
                                }
                            }
                            if(this.ani == 2)
                            {
                                this.frame = 6;

                                if(!this.jumpHeight == 0)
                                {
                                    this.ani = 0;
                                    this.timer = 10;
                                }
                                this.y += 5;
                                if(map6.hitTest(this.x+45,this.y+58)){
                                    this.ani = 0;
                                    this.timer = 10;
                                    this.y -= 5;
                                }
                            }
                            if(this.ani == 3)
                            {
                                if(this.age % 2 === 0)
                                {
                                    if(this.frame <= 5)
                                    {
                                        this.frame = 6;
                                    }
                                    else
                                    {
                                        this.frame = 7
                                    }
                                }

                                if(this.x <= 576)
                                {
                                    this.x += this.scaleX * 8;
                                }
                                if(this.timer >= 1)
                                {
                                    this.timer --;
                                    if(this.timer == 1)
                                    {
                                        this.frame = 6
                                    }
                                }
                                else
                                {
                                    this.timer = 15;
                                    this.ani = 0;
                                }
                            }
                        }
                    });
                    dia.addEventListener(Event.ENTER_FRAME, function(){
                        voice1.x = this.x;
                        voice1.y = this.y + 10;
                        voice2.x = this.x;
                        voice2.y = this.y + 26;
                        if(game.scene == 6)
                        {
                            this.sceneAction = true;
                            this.line = 0;
                            if(Play.x >= 224)
                            {
                                Play.owner = 1;
                                Play.frame = 0;
                                this.sceneAction = false;
                                game.scene = 7;
                                this.line = 1;
                                this.frame = 0;
                            }
                        }
                        if(game.scene == 7)
                        {
                            if(this.line == 1)
                            {
                                this.x = turmes.x - 30;
                                this.y = turmes.y - 60;
                                voice1.text = "Undermine my operation will you?";
                                voice2.text = "You'll pay for it!";
                            }
                            if(this.line == 2)
                            {
                                this.x = Play.x - 30;
                                this.y = Play.y - 60;
                                voice1.text = "Another 'Titan', I assume?";
                                voice2.text = "";
                            }
                            if(this.line == 3)
                            {
                                this.x = Play.x - 30;
                                this.y = Play.y - 60;
                                voice1.text = "You know, I took out your buddy";
                                voice2.text = "Hyperion a while ago.";
                            }
                            if(this.line == 4)
                            {
                                this.x = turmes.x - 30;
                                this.y = turmes.y - 60;
                                voice1.text = "Like I'd care. He was a nutcase.";
                                voice2.text = "";
                            }
                            if(this.line == 5)
                            {
                                this.x = turmes.x - 30;
                                this.y = turmes.y - 60;
                                voice1.text = "Now let's see how you do against";
                                voice2.text = "my speed!";
                                turmes.timer = 10;
                                game.bgm = game.assets['audio/bgm/Lloydbossmusic.mp3'];
                                game.bgm.play();
                            }
                            if(this.line == 6)
                            {
                                this.sceneAction = true;
                                this.frame = -1;
                                voice1.text = "";
                                voice2.text = "";
                                turmes.owner = 0;
                                Play.owner = 0;
                            }
                        }
                        if(game.scene == 8)
                        {
                            if(this.line == 1)
                            {
                                this.x = Play.x - 30;
                                this.y = Play.y - 60;
                                this.frame = 1;
                                voice1.text = "You may have beaten me, but you";
                                voice2.text = "won't get off easy.";
                                this.sceneAction = false;
                                Play.frame = 0;
                                game.bgm.stop();
                            }
                            if(this.line == 2)
                            {
                                this.x = Play.x - 30;
                                this.y = Play.y - 60;
                                this.frame = 1;
                                voice1.text = "Lord Kronos will extract the ultimate";
                                voice2.text = "power from your friend and kill you!";
                                this.sceneAction = false;
                                Play.frame = 0;
                            }
                            if(this.line == 3)
                            {
                                this.x = Play.x - 30;
                                this.y = Play.y - 60;
                                this.frame = 1;
                                voice1.text = "Lord Kronos will extract the ultimate";
                                voice2.text = "power from your friend and kill you!";
                            }
                            if(this.line == 4)
                            {
                                if(Play.age % 5 === 0)
                                { 
                                    if(Play.frame << 35)
                                    {
                                        Play.frame = 36;
                                    }
                                    else
                                    {
                                        if(Play.frame <= 37)
                                        {
                                            Play.frame ++;
                                        }
                                    }
                                }
                                this.frame = 0;
                                voice1.text = "Lura doesn't have an 'ultimate power'.";
                                voice2.text = "";
                            }
                            if(this.line == 5)
                            {
                                voice1.text = "Better find a teleporter though...";
                                voice2.text = "";
                            }
                            if(this.line == 6)
                            {
                                this.line = 6.5;
                                game.bgm = game.assets['audio/bgm/Paris.mp3']; // background music
                                game.musicTimer = 3285;
                                game.bgm.play();
                            }
                            if(this.line == 6.5)
                            {
                                this.frame = -1;
                                voice1.text = "";
                                voice2.text = "";
                                Play.owner = 0;
                                this.sceneAction = true;
                                if(Play.intersect(teleporter) && Play.x >= teleporter.x)
                                {
                                    Play.owner = 1;
                                    Play.frame = 0;
                                    this.timer = 10;
                                    this.line = 7;
                                    warp1.x = Play.x;
                                    warp1.y = Play.y;
                                    stage6.addChild(warp1);
                                    game.bgm.stop();
                                }
                            }
                            if(this.line == 7)
                            {
                                if(this.timer >= 1)
                                {
                                    this.timer --;
                                    if(warp1.age % 2 === 0)
                                    {
                                        if(warp1.frame == 0)
                                        {
                                            warp1.frame ++;
                                        }
                                        else
                                        {
                                            warp1.frame = 0;
                                        }
                                    }
                                }
                                else
                                {
                                    stage6.removeChild(Play);
                                    if(warp1.age % 2 === 0)
                                    {
                                        if(warp1.frame <= 1)
                                        {
                                            warp1.frame = 2;
                                        }
                                        else
                                        {
                                            if(warp1.frame == 2)
                                            {
                                                warp1.frame ++;
                                            }
                                            else
                                            {
                                                stage6.removeChild(warp1);
                                            }
                                        }
                                    }
                                }
                            }
                        };

                    });
                    //Scene Events
                    this.addEventListener('enterframe', function(e) {

                        if(game.musicTimer >= 1)
                        {
                            game.musicTimer --;
                        }
                        if(warp1.frame >= 2)
                        {
                            this.addChild(transitionFX);
                        }
                        if(transitionFX.frame >= 5)
                        {
                            game.pushScene(cutsceneOne);
                        }
                        if(game.scene == 7 && dia.line <= 5)
                        {
                            var x = Math.min((game.width  - 16) / 2 - turmes.x, 0);
                            var y = Math.min((game.height - 16) / 2 - turmes.y, 0);
                            x = Math.max(game.width,  x + map6.width)  - map6.width;
                            y = Math.max(game.height, y + map6.height) - map6.height;
                            stage6.x = x;
                            stage6.y = y;
                        }
                        if(game.scene == 7 && dia.line == 6.5)
                        {
                            if(Play.x <= 480)
                            {
                                var x = Math.min((game.width  - 16) / 2 - Play.x, 0);
                                var y = Math.min((game.height - 16) / 2 - Play.y, 0);
                                x = Math.max(game.width,  x + map6.width)  - map6.width;
                                y = Math.max(game.height, y + map6.height) - map6.height;
                                stage6.x = x;
                            }
                            if(game.musicTimer == 0)
                            {
                                game.bgm = game.assets['audio/bgm/Paris.mp3']; // background music
                                game.musicTimer = 3285;
                                game.bgm.play();
                            }
                        }
                        if(game.scene == 6 || game.scene == 8)
                        {
                            var x = Math.min((game.width  - 16) / 2 - Play.x, 0);
                            var y = Math.min((game.height - 16) / 2 - Play.y, 0);
                            x = Math.max(game.width,  x + map6.width)  - map6.width;
                            y = Math.max(game.height, y + map6.height) - map6.height;
                            stage6.x = x;
                            stage6.y = y;
                        }
                        if(Play.y >= 416)
                        {
                            if(game.lives >> 0)
                            {
                                Play.x = 0;
                                Play.y = 100;
                                Play.health = 4;
                                game.lives --;
                            }
                            else
                            {
                                stage6.removeChild(Play);
                                game.pushScene(gameOverScreen);
                            }
                        }
                        
                    });

                    }
                });
            var CutsceneOne = Class.create(Scene, {
                initialize: function(){
                    
                    console.log("Cutscene One!");
                    Scene.apply(this);
                    game.scene = 8;

                    var lura = new Lura();
                    lura.x = 75;
                    lura.y = 120;
                    lura.frame = 10;

                    var kronos = new Sprite(55,63);
                    kronos.image = game.assets['img/cha/kronos-casual.png'];
                    kronos.x = 430;
                    kronos.y = 160;
                    kronos.scaleX = -1;

                    dia = new Dialogue();
                    dia.line = 0;
                    var voice1 = new Label();
                    var voice2 = new Label();

                    bg = new Sprite(432,243);
                    bg.image = game.assets['img/bg/parthenon.png'];

                    flash = new Sprite(432,243)
                    flash.image = game.assets['img/misc/fade.png'];
                    flash.frame = 1;

                    ringImg = new Sprite(432,86)
                    ringImg.image = game.assets['img/cin/ring.png'];
                    ringImg.x = 0;
                    ringImg.y = 0;

                    var sceneOne = new Group();
                    sceneOne.addChild(bg);
                    sceneOne.addChild(lura);
                    sceneOne.addChild(kronos);
                    sceneOne.addChild(dia);
                    sceneOne.addChild(voice1);
                    sceneOne.addChild(voice2);

                    this.addChild(sceneOne);

                    dia.addEventListener(Event.ENTER_FRAME, function(){
                        voice1.x = this.x;
                        voice1.y = this.y + 10;
                        voice2.x = this.x;
                        voice2.y = this.y + 26;

                        if(this.line == 0)
                        {
                            if(kronos.x >= lura.x + 48)
                            {
                                kronos.x -= 2;
                                if(kronos.age % 5 === 0)
                                {
                                    if(kronos.frame == 0)
                                    {
                                        kronos.frame = 1;
                                    }

                                    if(kronos.frame <= 3)
                                    {
                                        kronos.frame ++;
                                    }
                                    else
                                    {
                                        kronos.frame = 1;
                                    }
                                } 
                            }
                            else
                            {
                                this.line = 1;
                                this.sceneAction = false;
                            } 
                        }
                        if(this.line == 1)
                        {
                            this.frame = 0;
                            this.sceneAction = false;
                            this.x = kronos.x - 32;
                            this.y = kronos.y - 64;
                            voice1.text = "I'm sure you know why you're here."
                        }
                        if(this.line == 2)
                        {
                            this.frame = 0;
                            this.x = lura.x - 32;
                            this.y = lura.y - 64;
                            voice1.text = "Not quite sure, really."
                        }
                        if(this.line == 3)
                        {
                            this.frame = 0;
                            this.x = kronos.x - 32;
                            this.y = kronos.y - 64;
                            voice1.text = "Oh, there's something I want that only"
                            voice2.text = "your family has."
                        }
                        if(this.line == 4)
                        {
                            this.frame = 0;
                            this.x = lura.x - 32;
                            this.y = lura.y - 64;
                            voice1.text = "If it's a ransom you want, there's"
                            voice2.text = "no one to give it to you."
                        }
                        if(this.line == 5)
                        {
                            this.frame = 0;
                            this.x = kronos.x - 32;
                            this.y = kronos.y - 64;
                            voice1.text = "Don't delude yourself. Our spies were"
                            voice2.text = "watching you from the beginning."
                        }
                        if(this.line == 6)
                        {
                            this.frame = 0;
                            this.x = kronos.x - 32;
                            this.y = kronos.y - 64;
                            this.timer = 15;
                            voice1.text = "Now, let me see your ring."
                            voice2.text = ""
                        }
                        if(this.line == 7)
                        {
                            this.frame = -1;
                            if(this.timer >= 1)
                            {
                                this.timer --;
                                if(lura.age % 2 === 0)
                                {
                                    if(lura.frame == 10)
                                    {
                                        lura.frame = 11;
                                    }
                                    if(lura.frame <= 12)
                                    {
                                        lura.frame ++;
                                    }
                                    else
                                    {
                                        lura.frame = 11;
                                    }
                                }
                            }
                            else
                            {
                                if(lura.age % 2 === 0)
                                {
                                    if(lura.frame <= 13)
                                    {
                                        lura.frame = 14;
                                    }
                                    if(lura.frame <= 16)
                                    {
                                        lura.frame ++;
                                    }
                                    else
                                    {
                                        this.line = 8;
                                    }
                                }
                                if(lura.frame == 15)
                                {
                                    kronos.frame = 5;
                                }
                            }
                            voice1.text = ""
                            voice2.text = ""
                        }
                        if(this.line == 8)
                        {
                            this.frame = 0;
                            this.x = lura.x - 32;
                            this.y = lura.y - 64;
                            voice1.text = "If that's true, then you know"
                            voice2.text = "I am a princess of the Grecia system."
                        }
                        if(this.line == 9)
                        {
                            this.frame = 0;
                            voice1.text = "I will not bow to you."
                            voice2.text = ""
                        }
                        if(this.line == 10)
                        {
                            this.frame = 0;
                            this.timer = 5;
                            this.x = kronos.x - 32;
                            this.y = kronos.y - 64;
                            kronos.frame = 0;
                            voice1.text = "Annoyingly persistent, aren't we?"
                            voice2.text = ""
                        }
                        if(this.line == 11)
                        {
                            sceneOne.addChild(flash);
                            this.sceneAction = true;
                            if(this.timer >= 1)
                            {
                                this.timer --;
                            }
                            else
                            {
                                this.line = 12;
                            }
                        }
                        if(this.line >= 12)
                        {
                            if(this.age % 3 === 0)
                            {
                                if(lura.x == 75)
                                {
                                    lura.x = 74;
                                }
                                else
                                {
                                    lura.x = 75
                                }
                            }
                        }
                        if(this.line == 12)
                        {
                            sceneOne.removeChild(flash);
                            this.frame = 0;
                            this.sceneAction = false;
                            this.x = lura.x - 32;
                            this.y = lura.y - 64;
                            voice1.text = "I... I can't move!"
                            voice2.text = ""
                        }
                        if(this.line == 13)
                        {
                            this.frame = 0;
                            this.x = kronos.x - 32;
                            this.y = kronos.y - 64;
                            voice1.text = "Neat little trick, eh?"
                            voice2.text = ""
                        }
                        if(this.line == 14)
                        {
                            this.frame = 0;
                            this.x = kronos.x - 32;
                            this.y = kronos.y - 64;
                            voice1.text = "I've learned many things since"
                            voice2.text = "my creation."
                        }
                        if(this.line == 15)
                        {
                            this.frame = 0;
                            this.x = kronos.x - 32;
                            this.y = kronos.y - 64;
                            voice1.text = "And I think I could give your"
                            voice2.text = "best warriors a hard time."
                        }
                        if(this.line == 16)
                        {
                            sceneOne.addChild(ringImg);
                            this.x = kronos.x - 32;
                            this.y = kronos.y - 64;
                            voice1.text = "Ah, runes. This confirms your"
                            voice2.text = "claims, and your powers."
                        }
                        if(this.line == 17)
                        {
                            this.x = kronos.x - 32;
                            this.y = kronos.y - 64;
                            voice1.text = "Your power is inside you, but I think"
                            voice2.text = "we can get some magic from your ring."
                        }
                        if(this.line == 18)
                        {
                            this.x = kronos.x - 32;
                            this.y = kronos.y - 64;
                            voice1.text = "It is tied to your memories, is it"
                            voice2.text = "not?"
                        }
                        if(this.line == 19)
                        {
                            sceneOne.removeChild(ringImg);
                            this.x = lura.x - 32;
                            this.y = lura.y - 64;
                            voice1.text = "Damn... If only... my powers..."
                            voice2.text = ""
                        }
                        if(this.line == 20)
                        {
                            this.x = kronos.x - 32;
                            this.y = kronos.y - 64;
                            voice1.text = "Struggle all you like. The memory"
                            voice2.text = "suppression hasn't completely faded."
                        }
                        if(this.line == 21)
                        {
                            this.x = kronos.x - 32;
                            this.y = kronos.y - 64;
                            voice1.text = "And besides, ki is weaker on this"
                            voice2.text = "planet."
                        }
                        if(this.line == 22)
                        {
                            this.x = kronos.x - 32;
                            this.y = kronos.y - 64;
                            voice1.text = "You're helpless."
                            voice2.text = ""
                        }
                        if(this.line == 23)
                        {
                            kronos.scaleX = 1;
                            voice1.text = "Take the girl to headquarters."
                            voice2.text = ""
                        }
                        if(this.line == 24)
                        {
                            this.sceneAction = true;
                            this.frame = -1;
                            voice1.text = ""
                            voice2.text = ""
                            if(kronos.x <= 430)
                            {
                                kronos.x += 2;
                                if(kronos.age % 5 === 0)
                                {
                                    if(kronos.frame == 0)
                                    {
                                        kronos.frame = 1;
                                    }

                                    if(kronos.frame <= 3)
                                    {
                                        kronos.frame ++;
                                    }
                                    else
                                    {
                                        kronos.frame = 1;
                                    }
                                } 
                            }
                            else
                            {
                                game.pushScene(levelSeven);
                            }
                        }
                    });
                }
            });
            var AthensOne = Class.create(Scene, {
                initialize: function(){
                    console.log("AthensOne");
                    Scene.apply(this);

                    //Create Map
                    map7 = new Map(32,16);
                    map7.image = game.assets['img/tiles.png'];
                    map7.loadData(
                        [
                        /*     01,02,03,04,05,06,07,08,09,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,/
                        /*00*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                        /*01*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                        /*02*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                        /*03*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                        /*04*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                        /*05*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                        /*06*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                        /*07*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                        /*08*/[ 1, 1, 1, 1, 1, 2,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                        /*09*/[ 4, 4, 4, 4, 4, 5, 2,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                        /*10*/[ 4, 4, 4, 4, 4, 4, 5, 2,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1, 1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                        /*11*/[ 4, 4, 4, 4, 4, 4, 4, 5, 1, 1, 1, 1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1, 4,-1,-1,-1, 1, 2,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1, 1,-1,-1, 1, 1, 1, 1,],
                        /*12*/[ 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4,-1,-1,-1, 1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1, 4, 5, 2,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1, 1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1, 4,-1,-1, 4, 4, 4, 4,],
                        /*13*/[ 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4,-1,-1,-1, 4,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1, 4, 4, 5, 2,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1, 4,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1, 4,-1,-1, 4, 4, 4, 4,],
                        /*14*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1, 4,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1, 4, 4, 4, 5,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1, 4,-1,-1, 1,-1,-1, 1, 1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1, 4,-1,-1, 4, 4, 4, 4,],
                        /*15*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1, 4,-1,-1, 1, 1,-1,-1,-1, 1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1, 4,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1, 4,-1,-1, 4, 4,-1,-1, 1, 2,-1,-1,-1,-1,-1,-1, 4,-1,-1, 4, 4, 4, 4,],
                        /*16*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1, 4,-1,-1,-1, 4,-1,-1,-1, 4,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1, 4,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1, 0, 1, 1, 2,-1,-1,-1,-1,-1,-1, 4,-1,-1,-1,-1,-1,-1, 4, 5, 2,-1,-1,-1,-1,-1,-1,-1,-1, 4, 4, 4, 4,],
                        /*17*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1, 4,-1,-1,-1, 4,-1,-1,-1, 4, 1, 1, 1,-1,-1,-1, 1,-1,-1, 1, 1, 4,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1, 0, 3, 4, 4, 5, 2,-1,-1,-1,-1,-1, 4,-1,-1,-1,-1,-1,-1, 4, 4, 5, 2,-1,-1,-1,-1,-1,-1,-1, 4, 4, 4, 4,],
                        /*18*/[ 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,-1,-1,-1, 4,-1,-1,-1, 4,-1,-1,-1, 4, 4, 4, 4,-1,-1,-1, 4,-1,-1, 4, 4, 4,-1,-1,-1,-1,-1, 1, 1,-1,-1,-1,-1,-1,-1,-1,-1, 0, 3, 4, 4, 4, 4, 5, 2,-1,-1,-1,-1, 4,-1,-1,-1,-1,-1,-1, 4, 4, 4, 5, 2,-1,-1,-1,-1,-1,-1, 4, 4, 4, 4,],
                        /*19*/[ 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4,-1,-1,-1, 4,-1,-1,-1, 4,-1,-1,-1, 4,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1, 4,-1,-1,-1,-1, 1, 4, 4,-1,-1,-1,-1,-1,-1,-1, 0, 3, 4, 4, 4, 4, 4, 4, 5, 1, 1,-1,-1, 4,-1,-1,-1,-1,-1,-1, 4, 4, 4, 4, 5, 1,-1,-1, 1, 1, 1, 4, 4, 4, 4,],
                        /*20*/[ 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4,-1,-1,-1, 4,-1,-1,-1, 4,-1,-1,-1, 4,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1, 4, 1, 1, 1, 1, 4, 4, 4,-1,-1, 1, 1,-1, 1, 1, 3, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4,-1,-1, 4,-1,-1,-1,-1, 1, 1, 1, 1, 4, 4, 4, 4,-1,-1, 4, 4, 4, 4, 4, 4, 4,],
                        
                        ]
                    );

                    stage7 = new Group();
                    lloyd = new Lloyd();

                    var bg = new Sprite(2752,362)
                    bg.image = game.assets['img/bg/athens1_bg.png'];

                    var swing1 = new Sprite(64,16);
                    swing1.image = game.assets['img/bg/swing.png'];
                    swing1.x = 608;
                    swing1.y = 140;
                    var swing2 = new Sprite(64,16);
                    swing2.image = game.assets['img/bg/swing.png'];
                    swing2.x = 690;
                    swing2.y = 156;
                    var swing3 = new Sprite(64,16);
                    swing3.image = game.assets['img/bg/swing.png'];
                    swing3.x = 880
                    swing3.y = 192;
                    //Dialogue Box
                    var dia = new Dialogue();
                    dia.line = 1;
                    dia.frame = -1;
                    dia.timer = 100;
                    dia.sceneAction = false;
                    var voice1 = new Label();
                    var voice2 = new Label();

                    var gorillaOne = new Gorilla();
                    gorillaOne.x = 332;
                    gorillaOne.y = 100;
                    var gorillaTwo = new Gorilla();
                    gorillaTwo.x = 1280;
                    gorillaTwo.y = 100;
                    var gorillaThree = new Gorilla();
                    gorillaThree.x = 2144;
                    gorillaThree.y = 100;

                    robogorilla = new RoboGorilla();
                    robogorilla.x = 896;
                    robogorilla.ani = 0;
                    robogorilla.timer = 15;
                    robogorillaScrap = new Sprite(54,63);
                    robogorillaScrap.image = game.assets['img/cha/robogorilla-sheet.png'];
                    plasma1 = new Plasma();
                    plasma1.x = robogorilla.x;
                    plasma1.y = robogorilla.y + 29;

                    robogorillaTwo = new RoboGorilla();
                    robogorillaTwo.x = 896;
                    robogorillaTwo.y = 125;
                    robogorillaTwo.ani = 0;
                    robogorillaTwo.timer = 15;
                    robogorillaScrap = new Sprite(54,63);
                    robogorillaScrap.image = game.assets['img/cha/robogorilla-sheet.png'];
                    var blast1 = new Sprite(75,75)
                    blast1.image = game.assets['img/misc/explosion.png'];
                    blast1.x = robogorillaTwo.x;
                    blast1.y = robogorillaTwo.y - 50;

                    transitionFX2 = new Transition();

                    stage7.addChild(bg);
                    stage7.addChild(map7);
                    stage7.addChild(lloyd);
                    stage7.addChild(swing1);
                    stage7.addChild(swing2);
                    stage7.addChild(swing3);
                    stage7.addChild(gorillaOne);
                    stage7.addChild(gorillaTwo);
                    stage7.addChild(gorillaThree);
                    stage7.addChild(robogorilla);
                    stage7.addChild(robogorillaTwo);
                    stage7.addChild(dia);
                    stage7.addChild(voice1);
                    stage7.addChild(voice2);

                    this.addChild(stage7);

                    var hud = new HUD();
                    this.addChild(hud);
                    hud.addEventListener(Event.ENTER_FRAME, function(){
                        this.frame = lloyd.health;
                    });
                    var livesCount = new Label("x " + game.lives);
                    livesCount.x = 131;
                    this.addChild(livesCount);
                    livesCount.addEventListener(Event.ENTER_FRAME, function(){
                        this.text = "x " + game.lives;
                    });

                    lloyd.addEventListener(Event.ENTER_FRAME, function(){
                    this.randomizer = Math.round(Math.random());
                    if(this.ani <= 4)
                    {
                        this.y += 5;
                    }
                    if (map7.hitTest(this.x+45,this.y+60)){
                        this.y-= 5;
                        if(this.ani >= -1)
                        {
                            this.jumpHeight = 12;
                        }
                    }
                    
                    if (this.owner == 0)
                    {
                        if(this.intersect(swing1))
                        {
                            if(this.ani == 0)
                            {
                                if((this.x >= swing1.x - 40) && (this.x <= swing1.x + 8))
                                {
                                    this.ani = 5;
                                    this.y = swing1.y + 8;
                                    this.x = swing1.x - 16;
                                }
                            }
                        }
                        if(this.intersect(swing2))
                        {
                            if(this.ani == 0)
                            {
                                if((this.x >= swing2.x - 40) && (this.x <= swing2.x + 8))
                                {
                                    this.ani = 5;
                                    this.y = swing2.y + 8;
                                    this.x = swing2.x - 16;
                                }
                            }
                        }
                        if(this.intersect(swing3))
                        {
                            if(this.ani == 0)
                            {
                                if((this.x >= swing3.x - 40) && (this.x <= swing3.x + 8))
                                {
                                    this.ani = 5;
                                    this.y = swing3.y + 8;
                                    this.x = swing3.x - 16;
                                }
                            }
                        }
                        if(this.intersect(plasma1))
                        {
                            if(plasma1.x <= this.x + 50 && plasma1.x >= this.x + 16)
                            {
                                if(this.ani == 0)
                                {
                                    if(this.health >= 2)
                                    {
                                        this.ani = -1;
                                        this.health --;
                                    }
                                    else
                                    {
                                        this.health = 0;
                                        this.ani = -2;
                                    }
                                }
                                stage7.removeChild(plasma1);
                            }
                        }
                        if(this.intersect(blast1))
                        {
                            if(map7.hitTest(this.x+45,this.y+60))
                            {
                                if(this.ani == 0)
                                {
                                    if(this.health >= 2)
                                    {
                                        this.ani = -2;
                                        this.health --;
                                    }
                                    else
                                    {
                                        this.health = 0;
                                        this.ani = -2;
                                    }
                                }
                            }
                        }

                        if(this.ani == -1)
                        {
                            this.x -= this.scaleX * 4.5;
                            if(this.frame < 28)
                            {
                                this.frame = 28;
                            }
                            if(this.age % 1 === 0)
                            {
                                this.frame ++;
                            }
                            if(this.frame > 31)
                            {
                                this.ani = 0;
                                this.frame = 0;
                            }
                        }
                        if(this.ani == -2)
                        {
                            if(this.jumpHeight >= 0)
                            {
                                this.y -= this.jumpHeight;
                                this.jumpHeight -= 1; 
                            }
                            if(map7.hitTest(this.x+45,this.y+65))
                            {
                                if(this.frame <= 32)
                                {
                                    this.frame = 33;
                                }
                                
                                if(this.age % 4 === 0)
                                {
                                    if(this.health >> 0)
                                    {
                                        this.frame ++;
                                        if(this.frame >> 35)
                                        {
                                            this.ani = 0;
                                        }
                                    }
                                    else
                                    {
                                        if(game.lives >> 0)
                                        {
                                            this.x = 0;
                                            this.y = 0;
                                            this.health = 4;
                                            game.lives --;
                                            this.ani = -1;
                                        }
                                        else
                                        {
                                            game.pushScene(gameOverScreen);
                                        }
                                    }
                                }
                            }
                            else
                            {
                                if(this.scaleX == 1)
                                {
                                    if(!map7.hitTest(this.x+20,this.y+60) && this.x >= 10)
                                    {
                                        this.x -= this.moveSpeed*2;
                                    }
                                }
                                if(this.scaleX == -1)
                                {
                                    if(!map7.hitTest(this.x+55,this.y+60))
                                    {
                                        this.x += this.moveSpeed*2;
                                    }
                                }
                                this.frame = 32;
                            }
                        }
                        if(this.ani == 0)
                        {
                            if(map7.hitTest(this.x+45,this.y+65))
                            {
                                if(!game.input.right && !game.input.left)
                                {
                                    if(this.age % 4 === 0)
                                    {
                                        this.frame ++;
                                        if(this.frame >= 3)
                                        {
                                            this.frame = 0;
                                        }
                                    }
                                }
                            }
                            else
                            {
                                this.frame = 10;
                            }
                            if(game.input.right && !game.input.left)
                            {
                                //Movement
                                if(!map7.hitTest(this.x+55,this.y+60))
                                {
                                    this.x += this.moveSpeed;
                                    this.scaleX = 1;
                                    //Animation
                                    if(map7.hitTest(this.x+30,this.y+65))
                                    {
                                        if(this.age % 3 === 0)
                                        {
                                            if(this.frame <= 3)
                                            {
                                                this.frame = 4;
                                            }
                                            else
                                            {
                                                if(this.frame >= 7)
                                                {
                                                    this.frame = 4;
                                                }
                                                else
                                                {
                                                    this.frame ++;
                                                }
                                            }
                                        }
                                    }
                                }
                                else
                                {
                                    if(map7.checkTile(this.x+55,this.y+60) == 0)
                                    {
                                        this.x += this.moveSpeed;
                                        this.y -= 5;
                                    }
                                }
                                
                            }
                            if(!game.input.right && game.input.left)
                            {
                                //Movement
                                if(!map7.hitTest(this.x+20,this.y+60) && this.x >= 10)
                                {
                                    this.x -= this.moveSpeed;
                                    this.scaleX = -1;
                                    //Animation
                                    if(map7.hitTest(this.x+30,this.y+65))
                                    {
                                        if (this.age % 3 === 0)
                                        {
                                            if(this.frame <= 3)
                                            {
                                                this.frame = 4;
                                            }
                                            else
                                            {
                                                if(this.frame >= 7)
                                                {
                                                    this.frame = 4;
                                                }
                                                else
                                                {
                                                    this.frame ++;
                                                }
                                            }
                                        }
                                    }
                                }
                                else
                                {
                                    if(map7.checkTile(this.x+20,this.y+60) == 2)
                                    {
                                        this.x -= this.moveSpeed;
                                        this.y -= 5;
                                    }
                                }
                            }
                            //Attack
                            if(game.input.b)
                            {
                                if(this.bPress == false)
                                {
                                    this.bPress = true;
                                    game.sfx = game.assets['audio/sfx/slash.wav'];
                                    game.sfx.play();
                                    if(map7.hitTest(this.x+43.5,this.y+65))
                                    {
                                        if(!game.input.left && !game.input.right)
                                        {
                                            if(this.randomizer == 1)
                                            {
                                                this.ani = 1;
                                            }
                                            else
                                            {
                                                this.ani = 1.5
                                            }
                                        }
                                        else
                                        {
                                            this.ani = 2;
                                        }
                                    }
                                    else
                                    {
                                        this.ani = 3;
                                    }
                                }
                            }
                            else
                            {
                                this.bPress = false;
                            }
                            //Jump
                            if(game.input.a)
                            {
                                if(map7.hitTest(this.x+43.5,this.y+55))
                                {
                                    if(this.jumpHeight >= 12)
                                    {
                                        this.y -= this.jumpHeight * 1.5
                                        this.jumpHeight -= 1;
                                    }
                                }
                                else
                                {
                                    if(this.jumpHeight >= 1)
                                    {
                                        if(!map7.hitTest(this.x+43.5,this.y-10))
                                        {
                                            this.y -= this.jumpHeight * 1.15;
                                            this.jumpHeight -= 1;
                                            if(this.jumpHeight >= 3)
                                            {
                                                this.frame = 9;
                                            }
                                            if(this.jumpHeight >= 5)
                                            {
                                                this.frame = 8;
                                            }
                                        }
                                        else
                                        {
                                            this.jumpHeight = 0;
                                        }
                                    }
                                    if(map7.hitTest(this.x+60,this.y+20))
                                    {
                                        if(this.jumpHeight <= 5)
                                        {
                                            this.scaleX = -1;
                                            this.ani = .5
                                            this.jumpHeight = 12;
                                            this.y -= 5;
                                        }
                                    }
                                    if(map7.hitTest(this.x+15,this.y+20))
                                    {
                                        if(this.jumpHeight <= 5)
                                        {
                                            this.scaleX = 1;
                                            this.ani = .5
                                            this.jumpHeight = 12;
                                            this.y -= 5;
                                        }
                                    }
                                }
                            }
                        }
                        //Wall Jump
                        if(this.ani == .5)
                        {
                            this.frame = 8
                            this.x += this.scaleX * this.moveSpeed;
                            this.y -= this.jumpHeight * 1.25;
                            this.jumpHeight -= 1;
                            if(this.jumpHeight == 0)
                            {
                                this.ani = 0;
                            }
                        }
                        //Slash 1
                        if(this.ani == 1)
                        {
                            if(this.frame <= 10)
                            {
                                this.frame = 11;
                            }
                            if(this.age % 1 === 0)
                            {
                                if(this.frame >= 14)
                                {
                                    this.ani = 0;
                                }
                                else
                                {
                                    this.frame ++;
                                }
                            }
                        }
                        //Slash 2
                        if(this.ani == 1.5)
                        {
                            if(this.frame <= 14)
                            {
                                this.frame = 15;
                            }
                            if(this.age % 1 === 0)
                            {
                                if(this.frame >= 18)
                                {
                                    this.ani = 0;
                                }
                                else
                                {
                                    this.frame ++;
                                }
                            }
                        }
                        //Spin Slash
                        if(this.ani == 2)
                        {
                            if(this.frame < 21)
                            {
                                this.frame = 21;
                            }
                            if(this.age % 2 === 0)
                            {
                                this.frame ++;
                            }
                            if(this.frame > 23)
                            {
                                this.ani = 0;
                                this.frame = 0;
                            }
                            if(this.scaleX == 1)
                            {
                                if(!map7.hitTest(this.x+55,this.y+60))
                                {
                                    this.x += this.scaleX * this.moveSpeed;
                                }
                                else
                                {
                                    if(map7.checkTile(this.x+55,this.y+60) == 0)
                                    {
                                        this.x += this.moveSpeed;
                                        this.y -= 5;
                                    }
                                }
                            }
                            if(this.scaleX == -1)
                            {
                                if(!map7.hitTest(this.x+20,this.y+60))
                                {
                                    this.x -= this.moveSpeed;
                                }
                                else
                                {
                                    if(map7.checkTile(this.x+20,this.y+60) == 2)
                                    {
                                        this.x -= this.moveSpeed;
                                        this.y -= 5;
                                    }
                                }
                            }
                        }
                        //Aerial Slash
                        if(this.ani == 3)
                        {
                            if(!map7.hitTest(this.x+43.5,this.y+60))
                            {
                                if(this.frame <= 23)
                                {
                                    this.frame = 24;
                                }
                                if(this.frame >= 27)
                                {
                                    this.ani = 0;
                                }
                                if(this.age % 2 === 0)
                                {
                                    this.frame ++;
                                }
                                if(game.input.right)
                                {
                                    if(!map7.hitTest(this.x+55,this.y+60))
                                    {
                                        this.x += this.scaleX * this.moveSpeed;
                                    }
                                }
                                if(game.input.left)
                                {
                                    if(!map7.hitTest(this.x+20,this.y+60))
                                    {
                                        this.x += this.scaleX * this.moveSpeed;
                                    }
                                }

                            }
                            else
                            {
                                this.ani = 0;
                            }
                        }
                        //Pole Swing
                        if(this.ani == 5)
                        {
                            this.jumpHeight = 8;
                            if(this.frame <= 39)
                            {
                                this.frame = 40;
                            }
                            if(this.age % 5 === 0)
                            {
                                if(this.frame >= 43)
                                {
                                    this.frame = 40;
                                }
                                else
                                {
                                    this.frame ++;
                                }
                            }
                            if(game.input.a)
                            {
                                if(this.frame == 40)
                                {
                                    this.ani = 0.25
                                }
                                if(this.frame == 41)
                                {
                                    this.ani = 0.15
                                }
                                if(this.frame == 42)
                                {
                                    this.ani = 0.15
                                }
                                if(this.frame == 43)
                                {
                                    this.ani = 0.25
                                }
                                
                            }
                        }
                        //Pole Jump Forward
                        if(this.ani == 0.15)
                        {
                            if(this.jumpHeight >= 1)
                            {
                                this.y -= this.jumpHeight * 1.25;
                                this.jumpHeight --;
                                this.x += this.scaleX * 6;
                                if(this.frame <= 43)
                                {
                                    this.frame = 44;
                                }
                                if(this.age % 4 === 0)
                                {
                                    if(this.frame <= 47)
                                    {
                                        this.frame ++;
                                    }
                                }
                            }
                            else
                            {
                                this.ani = 0;
                            }
                        }
                        //Pole Jump Backward
                        if(this.ani == 0.25)
                        {
                            if(this.jumpHeight >= 1)
                            {
                                this.y -= this.jumpHeight * 1.25;
                                this.jumpHeight --;
                                this.x -= this.scaleX * 6;
                            }
                            else
                            {
                                this.ani = 0;
                            }
                        }
                    }
                });

                //Enemy 1
                gorillaOne.addEventListener(Event.ENTER_FRAME, function(){
                    this.y += 5;
                    if(map7.hitTest(this.x+45,this.y+60)){
                        this.y-= 5;
                        this.jumpHeight = 12;
                    }
                    if(this.ani == -1)
                    {
                        if(this.frame <= 11)
                        {
                            this.frame = 12;
                        }
                        if(this.frame >= 15)
                        {
                            this.ani = 0;
                        }
                        if(this.age % 2 === 0)
                        {
                            this.frame ++;
                            this.x -= this.scaleX*4;
                        }
                    }
                    if(this.ani == 0)
                    {
                        this.scaleX = -1;
                        
                        //Punching Lloyd
                        if(this.intersect(lloyd))
                        {
                            if(lloyd.ani <= 0)
                            {
                                if(lloyd.x <= this.x - 44)
                                {
                                    this.scaleX = -1;
                                }
                                if(lloyd.x >= this.x + 32)
                                {
                                    this.scaleX = 1;
                                }
                                if(lloyd.x >= this.x-44)
                                {
                                    this.ani = 1;
                                    if(lloyd.health >> 0)
                                    {
                                        lloyd.ani = -1;
                                        lloyd.health --;
                                    }
                                    else
                                    {
                                        lloyd.ani = -2;
                                    }
                                }
                            }
                            else
                            {
                                if(this.health >> 0)
                                {
                                    this.ani = -1;
                                    this.health --;
                                }
                            }
                        }
                        if(player.health == 0 && player.ani == -2)
                        {
                            this.ani = 2;
                        }
                    }
                    if(this.ani == 1)
                    {
                        if(this.frame <= 5)
                        {
                            this.frame = 5;
                        }
                        if(this.frame >= 8)
                        {
                            this.ani = 0;
                            this.frame = 0;
                        }
                        else
                        {
                            this.frame ++;
                        }
                    }
                    if(this.ani == 2)
                    {
                        if(this.age % 3 === 0)
                        {
                            this.frame ++;
                            if(this.frame >= 5)
                            {
                                if(player.ani == -2)
                                {
                                    this.frame = 3;
                                }
                                else
                                {
                                    this.ani = 0;
                                    this.frame = 0;
                                }
                            }
                        }
                    }
                });

                //Enemy 2
                gorillaTwo.addEventListener(Event.ENTER_FRAME, function(){
                    this.y += 5;
                    if(map7.hitTest(this.x+45,this.y+60)){
                        this.y-= 5;
                        this.jumpHeight = 12;
                    }
                    if(this.ani == -1)
                    {
                        if(this.frame <= 11)
                        {
                            this.frame = 12;
                        }
                        if(this.frame >= 15)
                        {
                            this.ani = 0;
                        }
                        if(this.age % 2 === 0)
                        {
                            this.frame ++;
                            this.x -= this.scaleX*4;
                        }
                    }
                    if(this.ani == 0)
                    {
                        //Punching Lloyd
                        if(this.intersect(lloyd))
                        {
                            if(lloyd.ani <= 0)
                            {
                                if(lloyd.x <= this.x - 44)
                                {
                                    this.scaleX = -1;
                                }
                                if(lloyd.x >= this.x + 32)
                                {
                                    this.scaleX = 1;
                                }
                                if(lloyd.x >= this.x-44)
                                {
                                    this.ani = 1;
                                    if(lloyd.health >> 0)
                                    {
                                        lloyd.ani = -1;
                                        lloyd.health --;
                                    }
                                    else
                                    {
                                        lloyd.ani = -2;
                                    }
                                }
                            }
                            else
                            {
                                if(this.health >> 0)
                                {
                                    this.ani = -1;
                                    this.health --;
                                }
                            }
                        }
                        if(player.health == 0 && player.ani == -2)
                        {
                            this.ani = 2;
                        }
                    }
                    if(this.ani == 1)
                    {
                        if(this.frame <= 5)
                        {
                            this.frame = 5;
                        }
                        if(this.frame >= 8)
                        {
                            this.ani = 0;
                            this.frame = 0;
                        }
                        else
                        {
                            this.frame ++;
                        }
                    }
                    if(this.ani == 2)
                    {
                        if(this.age % 3 === 0)
                        {
                            this.frame ++;
                            if(this.frame >= 5)
                            {
                                if(player.ani == -2)
                                {
                                    this.frame = 3;
                                }
                                else
                                {
                                    this.ani = 0;
                                    this.frame = 0;
                                }
                            }
                        }
                    }
                });
                
                //Enemy 3
                gorillaThree.addEventListener(Event.ENTER_FRAME, function(){
                    this.y += 5;
                    if(map7.hitTest(this.x+45,this.y+60)){
                        this.y-= 5;
                        this.jumpHeight = 12;
                    }
                    if(this.ani == -1)
                    {
                        if(this.frame <= 11)
                        {
                            this.frame = 12;
                        }
                        if(this.frame >= 15)
                        {
                            this.ani = 0;
                        }
                        if(this.age % 2 === 0)
                        {
                            this.frame ++;
                            this.x -= this.scaleX*4;
                        }
                    }
                    if(this.ani == 0)
                    {
                        //Run
                        if(this.x <= 310)
                        {
                            this.scaleX = 1;
                        }
                        if(this.x >= 332)
                        {
                            this.scaleX = -1;
                        }
                        this.x += this.scaleX * 4;
                        if(this.age % 2 === 0)
                        {
                            if(this.frame <= 7)
                            {
                                this.frame = 8;
                            }
                            else
                            {
                                if(this.frame >= 11)
                                {
                                    this.frame = 8;
                                }
                                else
                                {
                                    this.frame ++;
                                }
                            }
                        }
                        //Punching Lloyd
                        if(this.intersect(lloyd))
                        {
                            if(lloyd.ani <= 0)
                            {
                                if(lloyd.x <= this.x - 44)
                                {
                                    this.scaleX = -1;
                                }
                                if(lloyd.x >= this.x + 32)
                                {
                                    this.scaleX = 1;
                                }
                                if(lloyd.x >= this.x-44)
                                {
                                    this.ani = 1;
                                    if(lloyd.health >> 0)
                                    {
                                        lloyd.ani = -1;
                                        lloyd.health --;
                                    }
                                    else
                                    {
                                        lloyd.ani = -2;
                                    }
                                }
                            }
                            else
                            {
                                if(this.health >> 0)
                                {
                                    this.ani = -1;
                                    this.health --;
                                }
                            }
                        }
                        if(player.health == 0 && player.ani == -2)
                        {
                            this.ani = 2;
                        }
                    }
                    if(this.ani == 1)
                    {
                        if(this.frame <= 5)
                        {
                            this.frame = 5;
                        }
                        if(this.frame >= 8)
                        {
                            this.ani = 0;
                            this.frame = 0;
                        }
                        else
                        {
                            this.frame ++;
                        }
                    }
                    if(this.ani == 2)
                    {
                        if(this.age % 3 === 0)
                        {
                            this.frame ++;
                            if(this.frame >= 5)
                            {
                                if(player.ani == -2)
                                {
                                    this.frame = 3;
                                }
                                else
                                {
                                    this.ani = 0;
                                    this.frame = 0;
                                }
                            }
                        }
                    }
                });

                robogorilla.addEventListener(Event.ENTER_FRAME, function(){
                    if(this.ani == 0)
                    {
                        this.scaleX = -1;
                        if(this.intersect(lloyd))
                        {
                            if(lloyd.ani >= 1 && lloyd.ani <= 3)
                            {
                                this.ani = -1;
                                robogorillaScrap.x = this.x;
                                robogorillaScrap.y = this.y - 8;
                                stage7.addChild(robogorillaScrap);
                                robogorillaScrap.frame = 3;
                                robogorillaScrap.scaleX = this.scaleX;
                            }
                        }
                        if(this.y >= lloyd.y + 16)
                        {
                            this.y -= 4;
                        }
                        if(this.y <= lloyd.y - 16)
                        {
                            this.y += 4;
                        }
                        if(this.timer >= 1)
                        {
                            this.timer --;
                        }
                        if(this.timer == 5)
                        {
                            stage7.removeChild(plasma1);
                            plasma1.x = -1;
                        }
                        if(this.timer == 0)
                        {
                            plasma1.x = this.x;
                            plasma1.y = this.y + 29;
                            plasma1.scaleX = -1;
                            stage7.addChild(plasma1);
                            game.sfx2 = game.assets['audio/sfx/projectile.wav'];
                            game.sfx2.play();
                        }
                    }
                    else
                    {
                        this.frame = 2;
                        this.y += 5;
                        robogorillaScrap.y += 7;
                        stage7.removeChild(plasma1);
                        plasma1.x = -1;
                    }
                });
                robogorillaTwo.addEventListener(Event.ENTER_FRAME, function(){
                    if(this.ani == 0)
                    {
                        if(this.intersect(lloyd))
                        {
                            if(lloyd.ani >= 1 && lloyd.ani <= 3)
                            {
                                this.ani = -1;
                                robogorillaScrap.x = this.x;
                                robogorillaScrap.y = this.y - 8;
                                stage7.addChild(robogorillaScrap);
                                robogorillaScrap.frame = 3;
                                robogorillaScrap.scaleX = this.scaleX;
                            }
                        }
                        this.x += this.scaleX * 5;
                        if(this.x <= 1632)
                        {
                            this.scaleX = 1;
                        }
                        if(this.x >= 1952)
                        {
                            this.scaleX = -1;
                        }

                        if(this.timer >= 1)
                        {
                            this.timer --;
                        }
                        else
                        {
                            blast1.x = this.x;
                            blast1.y = this.y + 16;
                            stage7.addChild(blast1)
                        }
                    }
                    else
                    {
                        this.frame = 2;
                        this.y += 5;
                        robogorillaScrap.y += 7;
                        blast1.y = -150;
                    }
                });
                blast1.addEventListener(Event.ENTER_FRAME,function(){
                    if(map7.hitTest(this.x + 37.5,this.y + 45))
                    {
                        game.sfx3 = game.assets['audio/sfx/explosion01.wav'];
                        game.sfx3.play();
                        if(this.age % 2 === 0)
                        {
                            if(this.frame <= 3)
                            {
                                this.frame ++;
                            }
                            else
                            {
                                stage7.removeChild(this);
                                robogorillaTwo.timer = 15;
                            }
                        }
                    }
                    else
                    {
                        this.frame = 0;
                        this.y += 5;
                    }
                });                
                //Scene Events
                    this.addEventListener('enterframe', function(e) {
                        var x = Math.min((game.width  - 16) / 2 - lloyd.x, 0);
                        var y = Math.min((game.height - 16) / 2 - lloyd.y, 0);
                        x = Math.max(game.width,  x + map7.width)  - map7.width;
                        y = Math.max(game.height, y + map7.height) - map7.height;
                        stage7.x = x;
                        stage7.y = y;

                        if(lloyd.y >= 320)
                        {
                            if(game.lives >> 0)
                            {
                                lloyd.x = 0;
                                lloyd.y = 0;
                                lloyd.health = 4;
                                game.lives --;
                            }
                            else
                            {
                                stage7.removeChild(lloyd);
                                game.pushScene(gameOverScreen);
                            }
                        }
                        if(lloyd.x >= 2688)
                        {
                            this.addChild(transitionFX2);
                        }
                        if(transitionFX2.frame >= 5)
                        {
                            game.pushScene(levelEight);
                        }
                        
                    });
                 dia.addEventListener(Event.ENTER_FRAME, function(){
                    voice1.x = this.x;
                    voice1.y = this.y + 20;
                    voice2.x = this.x;
                    voice2.y = this.y + 36;

                    if(game.scene == 8)
                    {
                        if(this.line == 1)
                        {
                            this.frame = 0;
                            this.scaleY = -1;
                            this.x = lloyd.x;
                            this.y = lloyd.y + 50;

                            voice1.text = "Athens...";
                        }
                        if(this.line == 2)
                        {
                            this.x = lloyd.x;
                            this.y = lloyd.y + 50;

                            voice1.text = "Now then, I'm going to need";
                            voice2.text = "to find Lura."
                        }
                        if(this.line == 3)
                        {
                            this.x = lloyd.x;
                            this.y = lloyd.y + 50;

                            lloyd.owner = 0;
                            this.sceneAction = true;

                            voice1.text = "Maybe she's at the Parthenon...";
                            voice2.text = "";

                            if(this.timer >= 1)
                            {
                                this.timer --;
                            }
                            else
                            {
                                this.frame = -1;
                                voice1.text = "";
                            }
                        }
                    }    
                });

                }
            });
            var AthensTwo = Class.create(Scene, {
                initialize: function(){

                    console.log("Athens Two");
                    Scene.apply(this);

                    //Create Map
                    map8 = new Map(32,16);
                    map8.image = game.assets['img/tiles.png'];
                    map8.loadData(
                        [
                        /*     01,02,03,04,05,06,07,08,09,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,
                        /*00*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                        /*01*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                        /*02*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                        /*03*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                        /*04*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                        /*05*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                        /*06*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                        /*07*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                        /*08*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                        /*09*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                        /*10*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                        /*11*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                        /*12*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                        /*13*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                        /*14*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                        /*15*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                        /*16*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1, 0, 1, 1, 1, 1, 1,],
                        /*17*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1, 0, 3, 4, 4, 4, 4, 4,],
                        /*18*/[ 1,-1,-1, 1, 1,-1,-1, 1,-1,-1, 1,-1, 1,-1, 1,-1,-1, 1, 1, 1, 3, 4, 4, 4, 4, 4, 4,],
                        /*19*/[ 4,-1,-1, 4, 4,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                        /*20*/[ 4,-1,-1, 4, 4,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                        /*21*/[ 4,-1,-1, 4, 4,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                        /*22*/[ 4,-1,-1, 4, 4,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                        /*23*/[ 4,-1,-1, 4, 4,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                        /*24*/[ 4,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                        /*25*/[ 4,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                        /*26*/[ 4,-1,-1,-1,-1,-1,-1, 1, 1,-1, 1, 1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                        /*27*/[ 1, 1, 1, 1, 1, 1,-1,-1,-1,-1,-1,-1,-1, 1, 1,-1,-1, 1, 1,-1, 1, 1,-1,-1,-1,-1,-1,],
                        /*28*/[ 4, 4, 4, 4, 4, 4,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1, 4, 4,-1,-1, 1, 1, 1,],
                        /*29*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1, 4, 4,-1,-1, 4, 4, 4,],
                        /*30*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1, 4, 4,-1,-1, 4, 4, 4,],
                        /*31*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1, 4, 4,-1,-1, 4, 4, 4,],
                        /*32*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1, 4, 4,-1,-1, 4, 4, 4,],
                        /*33*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1, 4, 4, 4,],
                        /*34*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1, 4, 4, 4,],
                        /*35*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1, 4, 4, 4,],
                        /*36*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1, 1, 1,-1,-1,-1, 1, 1, 1,-1,-1, 1, 1, 1,-1, 4, 4, 4,],
                        /*37*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1, 4, 4,-1,-1,-1, 4, 4, 4,-1,-1, 4, 4, 4,-1, 4, 4, 4,],
                        /*38*/[-1,-1, 0, 1, 2,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1, 4, 4, 4,-1, 4, 4, 4,],
                        /*39*/[ 1, 1, 3,-1, 5, 1, 1, 1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1, 4, 4, 4,-1, 4, 4, 4,],

                        
                        ]
                    );

                    bg = new Sprite(864,640);
                    bg.image = game.assets['img/bg/athens2_bg.png'];

                    //Dialogue Box
                    var dia = new Dialogue();
                    dia.line = 1;
                    dia.frame = -1;
                    dia.sceneAction = false;
                    dia.timer = 120;
                    var voice1 = new Label();
                    var voice2 = new Label();

                    llo = new Lloyd();
                    llo.owner = 0;
                    llo.y = 560;

                    dia = new Dialogue();

                    var swing1 = new Sprite(64,16);
                    swing1.image = game.assets['img/bg/swing.png'];
                    swing1.x = 408;
                    swing1.y = 496;

                    var spring = new Spring();
                    spring.x = 208;
                    spring.y = 616;

                    gorillaOne = new Gorilla();
                    gorillaOne.x = 500;
                    gorillaOne.y = 480;

                    gorillaTwo = new Gorilla();
                    gorillaTwo.x = 800;
                    gorillaTwo.y = 384;

                    gorillaThree = new Gorilla();
                    gorillaThree.x = 112;
                    gorillaThree.y = 210;

                    gorillaFour = new Gorilla();
                    gorillaFour.x = 704;
                    gorillaFour.y = 176;

                    stage8 = new Group();

                    stage8.addChild(bg);
                    stage8.addChild(map8);
                    stage8.addChild(spring);
                    stage8.addChild(llo);
                    stage8.addChild(swing1);
                    stage8.addChild(gorillaOne);
                    stage8.addChild(gorillaTwo);
                    stage8.addChild(gorillaThree);
                    stage8.addChild(gorillaFour);
                    stage8.addChild(dia);
                    stage8.addChild(voice1);
                    stage8.addChild(voice2);

                    this.addChild(stage8);

                    var hud = new HUD();
                    this.addChild(hud);
                    hud.addEventListener(Event.ENTER_FRAME, function(){
                        this.frame = llo.health;
                    });
                    var livesCount = new Label("x " + game.lives);
                    livesCount.x = 131;
                    this.addChild(livesCount);
                    livesCount.addEventListener(Event.ENTER_FRAME, function(){
                        this.text = "x " + game.lives;
                    });

                    llo.addEventListener(Event.ENTER_FRAME, function(){
                    this.randomizer = Math.round(Math.random());
                    if(this.ani <= 4)
                    {
                        this.y += 5;
                    }
                    if (map8.hitTest(this.x+45,this.y+60)){
                        this.y-= 5;
                        if(this.ani >= -1)
                        {
                            if(this.intersect(spring))
                            {
                                this.jumpHeight = 18;
                            }
                            else
                            {
                                this.jumpHeight = 12;
                            }
                        }
                    }
                    
                    if (this.owner == 0)
                    {
                        if(this.intersect(swing1))
                        {
                            if(this.ani == 0)
                            {
                                if((this.x >= swing1.x - 40) && (this.x <= swing1.x + 8))
                                {
                                    this.ani = 5;
                                    this.y = swing1.y + 8;
                                    this.x = swing1.x - 16;
                                }
                            }
                        }

                        if(this.ani == -1)
                        {
                            this.x -= this.scaleX * 4.5;
                            if(this.frame < 28)
                            {
                                this.frame = 28;
                            }
                            if(this.age % 1 === 0)
                            {
                                this.frame ++;
                            }
                            if(this.frame > 31)
                            {
                                this.ani = 0;
                                this.frame = 0;
                            }
                        }
                        if(this.ani == -2)
                        {
                            if(this.jumpHeight >= 0)
                            {
                                this.y -= this.jumpHeight;
                                this.jumpHeight -= 1; 
                            }
                            if(map8.hitTest(this.x+45,this.y+65))
                            {
                                if(this.frame <= 32)
                                {
                                    this.frame = 33;
                                }
                                
                                if(this.age % 4 === 0)
                                {
                                    if(this.health >> 0)
                                    {
                                        this.frame ++;
                                        if(this.frame >> 35)
                                        {
                                            this.ani = 0;
                                        }
                                    }
                                    else
                                    {
                                        if(game.lives >> 0)
                                        {
                                            this.x = 0;
                                            this.y = 0;
                                            this.health = 4;
                                            game.lives --;
                                            this.ani = -1;
                                        }
                                        else
                                        {
                                            game.pushScene(gameOverScreen);
                                        }
                                    }
                                }
                            }
                            else
                            {
                                if(this.scaleX == 1)
                                {
                                    if(!map8.hitTest(this.x+20,this.y+60) && this.x >= 10)
                                    {
                                        this.x -= this.moveSpeed*2;
                                    }
                                }
                                if(this.scaleX == -1)
                                {
                                    if(!map8.hitTest(this.x+55,this.y+60))
                                    {
                                        this.x += this.moveSpeed*2;
                                    }
                                }
                                this.frame = 32;
                            }
                        }
                        if(this.ani == 0)
                        {
                            if(map8.hitTest(this.x+45,this.y+65))
                            {
                                if(!game.input.right && !game.input.left)
                                {
                                    if(this.age % 4 === 0)
                                    {
                                        this.frame ++;
                                        if(this.frame >= 3)
                                        {
                                            this.frame = 0;
                                        }
                                    }
                                }
                            }
                            else
                            {
                                this.frame = 10;
                            }
                            if(game.input.right && !game.input.left)
                            {
                                //Movement
                                if(!map8.hitTest(this.x+55,this.y+60))
                                {
                                    this.x += this.moveSpeed;
                                    this.scaleX = 1;
                                    //Animation
                                    if(map8.hitTest(this.x+30,this.y+65))
                                    {
                                        if(this.age % 3 === 0)
                                        {
                                            if(this.frame <= 3)
                                            {
                                                this.frame = 4;
                                            }
                                            else
                                            {
                                                if(this.frame >= 7)
                                                {
                                                    this.frame = 4;
                                                }
                                                else
                                                {
                                                    this.frame ++;
                                                }
                                            }
                                        }
                                    }
                                }
                                else
                                {
                                    if(map8.checkTile(this.x+55,this.y+60) == 0)
                                    {
                                        this.x += this.moveSpeed;
                                        this.y -= 5;
                                    }
                                }
                                
                            }
                            if(!game.input.right && game.input.left)
                            {
                                //Movement
                                if(!map8.hitTest(this.x+20,this.y+60) && this.x >= 10)
                                {
                                    this.x -= this.moveSpeed;
                                    this.scaleX = -1;
                                    //Animation
                                    if(map8.hitTest(this.x+30,this.y+65))
                                    {
                                        if (this.age % 3 === 0)
                                        {
                                            if(this.frame <= 3)
                                            {
                                                this.frame = 4;
                                            }
                                            else
                                            {
                                                if(this.frame >= 7)
                                                {
                                                    this.frame = 4;
                                                }
                                                else
                                                {
                                                    this.frame ++;
                                                }
                                            }
                                        }
                                    }
                                }
                                else
                                {
                                    if(map8.checkTile(this.x+20,this.y+60) == 2)
                                    {
                                        this.x -= this.moveSpeed;
                                        this.y -= 5;
                                    }
                                }
                            }
                            //Attack
                            if(game.input.b)
                            {
                                if(this.bPress == false)
                                {
                                    this.bPress = true;
                                    game.sfx = game.assets['audio/sfx/slash.wav'];
                                    game.sfx.play();
                                    if(map8.hitTest(this.x+43.5,this.y+65))
                                    {
                                        if(!game.input.left && !game.input.right)
                                        {
                                            if(this.randomizer == 1)
                                            {
                                                this.ani = 1;
                                            }
                                            else
                                            {
                                                this.ani = 1.5
                                            }
                                        }
                                        else
                                        {
                                            this.ani = 2;
                                        }
                                    }
                                    else
                                    {
                                        this.ani = 3;
                                    }
                                }
                            }
                            else
                            {
                                this.bPress = false;
                            }
                            //Jump
                            if(game.input.a)
                            {
                                if(map8.hitTest(this.x+43.5,this.y+55))
                                {
                                    if(this.jumpHeight >= 12)
                                    {
                                        this.y -= this.jumpHeight * 1.5
                                        this.jumpHeight -= 1;
                                    }
                                }
                                else
                                {
                                    if(this.jumpHeight >= 1)
                                    {
                                        if(!map8.hitTest(this.x+43.5,this.y-10))
                                        {
                                            this.y -= this.jumpHeight * 1.15;
                                            this.jumpHeight -= 1;
                                            if(this.jumpHeight >= 3)
                                            {
                                                this.frame = 9;
                                            }
                                            if(this.jumpHeight >= 5)
                                            {
                                                this.frame = 8;
                                            }
                                        }
                                        else
                                        {
                                            this.jumpHeight = 0;
                                        }
                                    }
                                    if(map8.hitTest(this.x+60,this.y+20))
                                    {
                                        if(this.jumpHeight <= 5)
                                        {
                                            this.scaleX = -1;
                                            this.ani = .5
                                            this.jumpHeight = 12;
                                            this.y -= 5;
                                        }
                                    }
                                    if(map8.hitTest(this.x+15,this.y+20))
                                    {
                                        if(this.jumpHeight <= 5)
                                        {
                                            this.scaleX = 1;
                                            this.ani = .5
                                            this.jumpHeight = 12;
                                            this.y -= 5;
                                        }
                                    }
                                }
                            }
                        }
                        //Wall Jump
                        if(this.ani == .5)
                        {
                            this.frame = 8
                            this.x += this.scaleX * this.moveSpeed;
                            this.y -= this.jumpHeight * 1.25;
                            this.jumpHeight -= 1;
                            if(this.jumpHeight == 0)
                            {
                                this.ani = 0;
                            }
                        }
                        //Slash 1
                        if(this.ani == 1)
                        {
                            if(this.frame <= 10)
                            {
                                this.frame = 11;
                            }
                            if(this.age % 1 === 0)
                            {
                                if(this.frame >= 14)
                                {
                                    this.ani = 0;
                                }
                                else
                                {
                                    this.frame ++;
                                }
                            }
                        }
                        //Slash 2
                        if(this.ani == 1.5)
                        {
                            if(this.frame <= 14)
                            {
                                this.frame = 15;
                            }
                            if(this.age % 1 === 0)
                            {
                                if(this.frame >= 18)
                                {
                                    this.ani = 0;
                                }
                                else
                                {
                                    this.frame ++;
                                }
                            }
                        }
                        //Spin Slash
                        if(this.ani == 2)
                        {
                            if(this.frame < 21)
                            {
                                this.frame = 21;
                            }
                            if(this.age % 2 === 0)
                            {
                                this.frame ++;
                            }
                            if(this.frame > 23)
                            {
                                this.ani = 0;
                                this.frame = 0;
                            }
                            if(this.scaleX == 1)
                            {
                                if(!map8.hitTest(this.x+55,this.y+60))
                                {
                                    this.x += this.scaleX * this.moveSpeed;
                                }
                                else
                                {
                                    if(map8.checkTile(this.x+55,this.y+60) == 0)
                                    {
                                        this.x += this.moveSpeed;
                                        this.y -= 5;
                                    }
                                }
                            }
                            if(this.scaleX == -1)
                            {
                                if(!map8.hitTest(this.x+20,this.y+60))
                                {
                                    this.x -= this.moveSpeed;
                                }
                                else
                                {
                                    if(map8.checkTile(this.x+20,this.y+60) == 2)
                                    {
                                        this.x -= this.moveSpeed;
                                        this.y -= 5;
                                    }
                                }
                            }
                        }
                        //Aerial Slash
                        if(this.ani == 3)
                        {
                            if(!map8.hitTest(this.x+43.5,this.y+60))
                            {
                                if(this.frame <= 23)
                                {
                                    this.frame = 24;
                                }
                                if(this.frame >= 27)
                                {
                                    this.ani = 0;
                                }
                                if(this.age % 2 === 0)
                                {
                                    this.frame ++;
                                }
                                if(game.input.right)
                                {
                                    if(!map8.hitTest(this.x+55,this.y+60))
                                    {
                                        this.x += this.scaleX * this.moveSpeed;
                                    }
                                }
                                if(game.input.left)
                                {
                                    if(!map8.hitTest(this.x+20,this.y+60))
                                    {
                                        this.x += this.scaleX * this.moveSpeed;
                                    }
                                }

                            }
                            else
                            {
                                this.ani = 0;
                            }
                        }
                        //Pole Swing
                        if(this.ani == 5)
                        {
                            this.jumpHeight = 8;
                            if(this.frame <= 39)
                            {
                                this.frame = 40;
                            }
                            if(this.age % 5 === 0)
                            {
                                if(this.frame >= 43)
                                {
                                    this.frame = 40;
                                }
                                else
                                {
                                    this.frame ++;
                                }
                            }
                            if(game.input.a)
                            {
                                if(this.frame == 40)
                                {
                                    this.ani = 0.25
                                }
                                if(this.frame == 41)
                                {
                                    this.ani = 0.15
                                }
                                if(this.frame == 42)
                                {
                                    this.ani = 0.15
                                }
                                if(this.frame == 43)
                                {
                                    this.ani = 0.25
                                }
                                
                            }
                        }
                        //Pole Jump Forward
                        if(this.ani == 0.15)
                        {
                            if(this.jumpHeight >= 1)
                            {
                                this.y -= this.jumpHeight * 1.25;
                                this.jumpHeight --;
                                this.x += this.scaleX * 6;
                                if(this.frame <= 43)
                                {
                                    this.frame = 44;
                                }
                                if(this.age % 4 === 0)
                                {
                                    if(this.frame <= 47)
                                    {
                                        this.frame ++;
                                    }
                                }
                            }
                            else
                            {
                                this.ani = 0;
                            }
                        }
                        //Pole Jump Backward
                        if(this.ani == 0.25)
                        {
                            if(this.jumpHeight >= 1)
                            {
                                this.y -= this.jumpHeight * 1.25;
                                this.jumpHeight --;
                                this.x -= this.scaleX * 6;
                            }
                            else
                            {
                                this.ani = 0;
                            }
                        }
                    }
                });

                //Enemy 1
                gorillaOne.addEventListener(Event.ENTER_FRAME, function(){
                    this.y += 5;
                    if(map8.hitTest(this.x+45,this.y+60)){
                        this.y-= 5;
                        this.jumpHeight = 12;
                    }
                    if(this.ani == -1)
                    {
                        if(this.frame <= 11)
                        {
                            this.frame = 12;
                        }
                        if(this.frame >= 15)
                        {
                            this.ani = 0;
                        }
                        if(this.age % 2 === 0)
                        {
                            this.frame ++;
                            this.x -= this.scaleX*4;
                        }
                    }
                    if(this.ani == 0)
                    {
                        this.scaleX = -1;
                        
                        //Punching Lloyd
                        if(this.intersect(llo))
                        {
                            if(llo.ani <= 0)
                            {
                                if(llo.x <= this.x - 44)
                                {
                                    this.scaleX = -1;
                                }
                                if(llo.x >= this.x + 32)
                                {
                                    this.scaleX = 1;
                                }
                                if(llo.x >= this.x-44)
                                {
                                    this.ani = 1;
                                    if(llo.health >> 0)
                                    {
                                        llo.ani = -1;
                                        llo.health --;
                                    }
                                    else
                                    {
                                        llo.ani = -2;
                                    }
                                }
                            }
                            else
                            {
                                if(this.health >> 0)
                                {
                                    this.ani = -1;
                                    this.health --;
                                }
                                else
                                {
                                    stage8.removeChild(this);
                                }
                            }
                        }
                        if(llo.health == 0 && llo.ani == -2)
                        {
                            this.ani = 2;
                        }
                    }
                    if(this.ani == 1)
                    {
                        if(this.frame <= 5)
                        {
                            this.frame = 5;
                        }
                        if(this.frame >= 8)
                        {
                            this.ani = 0;
                            this.frame = 0;
                        }
                        else
                        {
                            this.frame ++;
                        }
                    }
                    if(this.ani == 2)
                    {
                        if(this.age % 3 === 0)
                        {
                            this.frame ++;
                            if(this.frame >= 5)
                            {
                                if(llo.ani == -2)
                                {
                                    this.frame = 3;
                                }
                                else
                                {
                                    this.ani = 0;
                                    this.frame = 0;
                                }
                            }
                        }
                    }
                });
                
                //Enemy 1
                gorillaTwo.addEventListener(Event.ENTER_FRAME, function(){
                    this.y += 5;
                    if(map8.hitTest(this.x+45,this.y+60)){
                        this.y-= 5;
                        this.jumpHeight = 12;
                    }
                    if(this.ani == -1)
                    {
                        if(this.frame <= 11)
                        {
                            this.frame = 12;
                        }
                        if(this.frame >= 15)
                        {
                            this.ani = 0;
                        }
                        if(this.age % 2 === 0)
                        {
                            this.frame ++;
                            this.x -= this.scaleX*4;
                        }
                    }
                    if(this.ani == 0)
                    {
                        this.scaleX = -1;
                        
                        //Punching Lloyd
                        if(this.intersect(llo))
                        {
                            if(llo.ani <= 0)
                            {
                                if(llo.x <= this.x - 44)
                                {
                                    this.scaleX = -1;
                                }
                                if(llo.x >= this.x + 32)
                                {
                                    this.scaleX = 1;
                                }
                                if(llo.x >= this.x-44)
                                {
                                    this.ani = 1;
                                    if(llo.health >> 0)
                                    {
                                        llo.ani = -1;
                                        llo.health --;
                                    }
                                    else
                                    {
                                        llo.ani = -2;
                                    }
                                }
                            }
                            else
                            {
                                if(this.health >> 0)
                                {
                                    this.ani = -1;
                                    this.health --;
                                }
                                else
                                {
                                    stage8.removeChild(this);
                                }
                            }
                        }
                        if(llo.health == 0 && llo.ani == -2)
                        {
                            this.ani = 2;
                        }
                    }
                    if(this.ani == 1)
                    {
                        if(this.frame <= 5)
                        {
                            this.frame = 5;
                        }
                        if(this.frame >= 8)
                        {
                            this.ani = 0;
                            this.frame = 0;
                        }
                        else
                        {
                            this.frame ++;
                        }
                    }
                    if(this.ani == 2)
                    {
                        if(this.age % 3 === 0)
                        {
                            this.frame ++;
                            if(this.frame >= 5)
                            {
                                if(llo.ani == -2)
                                {
                                    this.frame = 3;
                                }
                                else
                                {
                                    this.ani = 0;
                                    this.frame = 0;
                                }
                            }
                        }
                    }
                });

                //Enemy 1
                gorillaThree.addEventListener(Event.ENTER_FRAME, function(){
                    this.y += 5;
                    if(map8.hitTest(this.x+45,this.y+60)){
                        this.y-= 5;
                        this.jumpHeight = 12;
                    }
                    if(this.ani == -1)
                    {
                        if(this.frame <= 11)
                        {
                            this.frame = 12;
                        }
                        if(this.frame >= 15)
                        {
                            this.ani = 0;
                        }
                        if(this.age % 2 === 0)
                        {
                            this.frame ++;
                            this.x -= this.scaleX*4;
                        }
                    }
                    if(this.ani == 0)
                    {
                        this.scaleX = -1;
                        
                        //Punching Lloyd
                        if(this.intersect(llo))
                        {
                            if(llo.ani <= 0)
                            {
                                if(llo.x <= this.x - 44)
                                {
                                    this.scaleX = -1;
                                }
                                if(llo.x >= this.x + 32)
                                {
                                    this.scaleX = 1;
                                }
                                if(llo.x >= this.x-44)
                                {
                                    this.ani = 1;
                                    if(llo.health >> 0)
                                    {
                                        llo.ani = -1;
                                        llo.health --;
                                    }
                                    else
                                    {
                                        llo.ani = -2;
                                    }
                                }
                            }
                            else
                            {
                                if(this.health >> 0)
                                {
                                    this.ani = -1;
                                    this.health --;
                                }
                                else
                                {
                                    stage8.removeChild(this);
                                }
                            }
                        }
                        if(llo.health == 0 && llo.ani == -2)
                        {
                            this.ani = 2;
                        }
                    }
                    if(this.ani == 1)
                    {
                        if(this.frame <= 5)
                        {
                            this.frame = 5;
                        }
                        if(this.frame >= 8)
                        {
                            this.ani = 0;
                            this.frame = 0;
                        }
                        else
                        {
                            this.frame ++;
                        }
                    }
                    if(this.ani == 2)
                    {
                        if(this.age % 3 === 0)
                        {
                            this.frame ++;
                            if(this.frame >= 5)
                            {
                                if(llo.ani == -2)
                                {
                                    this.frame = 3;
                                }
                                else
                                {
                                    this.ani = 0;
                                    this.frame = 0;
                                }
                            }
                        }
                    }
                });

                //Enemy 1
                gorillaFour.addEventListener(Event.ENTER_FRAME, function(){
                    this.y += 5;
                    if(map8.hitTest(this.x+45,this.y+60)){
                        this.y-= 5;
                        this.jumpHeight = 12;
                    }
                    if(this.ani == -1)
                    {
                        if(this.frame <= 11)
                        {
                            this.frame = 12;
                        }
                        if(this.frame >= 15)
                        {
                            this.ani = 0;
                        }
                        if(this.age % 2 === 0)
                        {
                            this.frame ++;
                            this.x -= this.scaleX*4;
                        }
                    }
                    if(this.ani == 0)
                    {
                        this.scaleX = -1;
                        
                        //Punching Lloyd
                        if(this.intersect(llo))
                        {
                            if(llo.ani <= 0)
                            {
                                if(llo.x <= this.x - 44)
                                {
                                    this.scaleX = -1;
                                }
                                if(llo.x >= this.x + 32)
                                {
                                    this.scaleX = 1;
                                }
                                if(llo.x >= this.x-44)
                                {
                                    this.ani = 1;
                                    if(llo.health >> 0)
                                    {
                                        llo.ani = -1;
                                        llo.health --;
                                    }
                                    else
                                    {
                                        llo.ani = -2;
                                    }
                                }
                            }
                            else
                            {
                                if(this.health >> 0)
                                {
                                    this.ani = -1;
                                    this.health --;
                                }
                                else
                                {
                                    stage8.removeChild(this);
                                }
                            }
                        }
                        if(llo.health == 0 && llo.ani == -2)
                        {
                            this.ani = 2;
                        }
                    }
                    if(this.ani == 1)
                    {
                        if(this.frame <= 5)
                        {
                            this.frame = 5;
                        }
                        if(this.frame >= 8)
                        {
                            this.ani = 0;
                            this.frame = 0;
                        }
                        else
                        {
                            this.frame ++;
                        }
                    }
                    if(this.ani == 2)
                    {
                        if(this.age % 3 === 0)
                        {
                            this.frame ++;
                            if(this.frame >= 5)
                            {
                                if(llo.ani == -2)
                                {
                                    this.frame = 3;
                                }
                                else
                                {
                                    this.ani = 0;
                                    this.frame = 0;
                                }
                            }
                        }
                    }
                });

                    //Scene Events
                    this.addEventListener('enterframe', function(e) {
                        var x = Math.min((game.width  - 16) / 2 - llo.x, 0);
                        var y = Math.min((game.height - 16) / 2 - llo.y, 0);
                        x = Math.max(game.width,  x + map8.width)  - map8.width;
                        y = Math.max(game.height, y + map8.height) - map8.height;
                        stage8.x = x;
                        stage8.y = y;

                        if(llo.y >= 640)
                        {
                            if(game.lives >> 0)
                            {
                                llo.x = 0;
                                llo.y = 560;
                                llo.health = 4;
                                game.lives --;
                            }
                            else
                            {
                                stage8.removeChild(llo);
                                game.pushScene(gameOverScreen);
                            }
                        }

                        if(llo.y <= 288 && llo.x >= 864)
                        {
                            game.bgm = game.assets['audio/bgm/Lloydbossmusic.mp3'];
                            game.bgm.play();
                            game.pushScene(levelEightTwo);
                        }
                        
                    });
                }
            });

            var AthensTwoBoss = Class.create(Scene, {
                initialize: function(){

                    console.log("Athens Two Boss");
                    Scene.apply(this);

                    map9 = new Map(32,16);
                    map9.image = game.assets['img/tiles.png'];
                    map9.loadData(
                        [
                        /*     01,02,03,04,05,06,07,08,09,10,11,12,13,14,
                        /*00*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1, 4,],
                        /*01*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1, 4,],
                        /*02*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1, 4,],
                        /*03*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1, 4,],
                        /*04*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1, 4,],
                        /*05*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1, 4,],
                        /*06*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1, 4,],
                        /*07*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1, 4,],
                        /*08*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1, 4,],
                        /*09*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1, 4,],
                        /*10*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1, 4,],
                        /*11*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1, 4,],
                        /*12*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1, 4,],
                        /*13*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1, 4,],
                        /*14*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1, 4,],
                        /*15*/[ 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,],
                        ]
                    );

                    bg = new Sprite(432,243);
                    bg.image = game.assets['img/bg/parthenon.png'];

                    pllo = new Lloyd();
                    pllo.y = 120;
                    pllo.owner = 0;

                    hydraBody = new Sprite(250,250);
                    hydraBody.image = game.assets['img/cha/hydra-body.png'];
                    hydraBody.x = 75;
                    hydraBody.y = -10;

                    hydraHeadOne = new Sprite(80,80);
                    hydraHeadOne.image = game.assets['img/cha/hydra-head.png'];
                    hydraHeadOne.x = 75;
                    hydraHeadOne.ani = 0;
                    hydraHeadOne.timer = 90;
                    hydraHeadOne.health = 2;

                    fireOne = new Sprite(80,100)
                    fireOne.image = game.assets['img/sfx/fire.png'];
                    fireOne.x = hydraHeadOne.x + 41;
                    fireOne.y = hydraHeadOne.y + 59;
                    fireOne.frame = -1;

                    hydraHeadTwo = new Sprite(80,80);
                    hydraHeadTwo.image = game.assets['img/cha/hydra-head.png'];
                    hydraHeadTwo.x = 160;
                    hydraHeadTwo.y = -10;
                    hydraHeadTwo.ani = 0;
                    hydraHeadTwo.timer = 90;
                    hydraHeadTwo.health = 7;

                    fireTwo = new Sprite(80,100)
                    fireTwo.image = game.assets['img/sfx/fire.png'];
                    fireTwo.x = hydraHeadTwo.x + 41;
                    fireTwo.y = hydraHeadTwo.y + 59;
                    fireTwo.frame = -1;

                    hydraHeadThree = new Sprite(80,80);
                    hydraHeadThree.image = game.assets['img/cha/hydra-head.png'];
                    hydraHeadThree.x = 235;
                    hydraHeadThree.y = 0;
                    hydraHeadThree.ani = 0;
                    hydraHeadThree.timer = 90;
                    hydraHeadThree.health = 2;

                    fireThree = new Sprite(80,100)
                    fireThree.image = game.assets['img/sfx/fire.png'];
                    fireThree.x = hydraHeadThree.x + 41;
                    fireThree.y = hydraHeadThree.y + 59;
                    fireThree.frame = -1;

                    portal = new Sprite(90,70)
                    portal.image = game.assets['img/sfx/portal.png'];
                    portal.x = 150;
                    portal.y = 120;
                    portal.frame = 0;

                    var explosion1 = new Sprite(75,75)
                    explosion1.image = game.assets['img/misc/explosion.png'];
                    var explosion2 = new Sprite(75,75)
                    explosion2.image = game.assets['img/misc/explosion.png'];
                    var explosion3 = new Sprite(75,75)
                    explosion3.image = game.assets['img/misc/explosion.png'];
                    var explosion4 = new Sprite(75,75)
                    explosion4.image = game.assets['img/misc/explosion.png'];
                    var explosion5 = new Sprite(75,75)
                    explosion5.image = game.assets['img/misc/explosion.png'];
                    var explosion6 = new Sprite(75,75)
                    explosion6.image = game.assets['img/misc/explosion.png'];

                    this.addChild(map9);
                    this.addChild(bg);
                    this.addChild(hydraBody);
                    this.addChild(hydraHeadOne);
                    this.addChild(hydraHeadTwo);
                    this.addChild(hydraHeadThree);
                    this.addChild(fireOne);
                    this.addChild(fireTwo);
                    this.addChild(fireThree);
                    this.addChild(pllo);

                    this.addEventListener(Event.ENTER_FRAME, function(){

                        if(hydraHeadOne.health + hydraHeadThree.health + hydraHeadTwo.health == 0)
                        {
                            this.addChild(portal);
                            if(portal.age % 3 === 0)
                            {
                                if(portal.frame <= 2)
                                {
                                    portal.frame ++;
                                }
                                else
                                {
                                    portal.frame = 2;
                                }
                            }
                            if(pllo.intersect(portal))
                            {
                                if(pllo.x + 32 >= portal.x)
                                {
                                    this.removeChild(pllo);
                                    game.pushScene(levelNine);
                                }
                            }
                        }                        
                        if(hydraHeadOne.health == 0 && hydraHeadOne.ani == -2 )
                        {
                            if(hydraHeadOne.frame >= 2)
                            {
                                this.addChild(explosion1);
                                explosion1.x = hydraHeadOne.x - 15;
                                explosion1.y = hydraHeadOne.y - 15;
                                this.addChild(explosion2);
                                explosion2.x = hydraHeadOne.x + 45;
                                explosion2.y = hydraHeadOne.y + 45;

                                if(explosion1.age % 2 === 0)
                                {
                                    if(explosion1.frame <= 2)
                                    {
                                        explosion1.frame ++;
                                    }
                                    else
                                    {
                                        explosion1.frame = 0;
                                    }
                                }
                                if(explosion2.age % 2 === 0)
                                {
                                    if(explosion2.frame <= 2)
                                    {
                                        explosion2.frame ++;
                                    }
                                    else
                                    {
                                        explosion2.frame = 0;
                                    }
                                }
                            } 
                            else
                            {
                                this.removeChild(explosion1);
                                this.removeChild(explosion2);
                            }
                        }
                        if(hydraHeadTwo.health == 0 && hydraHeadTwo.ani == -2 )
                        {
                            if(hydraHeadTwo.frame >= 2)
                            {
                                this.addChild(explosion3);
                                explosion3.x = hydraHeadTwo.x - 15;
                                explosion3.y = hydraHeadTwo.y - 15;
                                this.addChild(explosion4);
                                explosion4.x = hydraHeadTwo.x + 45;
                                explosion4.y = hydraHeadTwo.y + 45;

                                if(explosion3.age % 2 === 0)
                                {
                                    if(explosion3.frame <= 2)
                                    {
                                        explosion3.frame ++;
                                    }
                                    else
                                    {
                                        explosion3.frame = 0;
                                    }
                                }
                                if(explosion4.age % 2 === 0)
                                {
                                    if(explosion4.frame <= 2)
                                    {
                                        explosion4.frame ++;
                                    }
                                    else
                                    {
                                        explosion4.frame = 0;
                                    }
                                }
                            } 
                            else
                            {
                                this.removeChild(explosion3);
                                this.removeChild(explosion4);
                            }
                        }
                        if(hydraHeadThree.health == 0 && hydraHeadThree.ani == -2 )
                        {
                            if(hydraHeadThree.frame >= 2)
                            {
                                this.addChild(explosion5);
                                explosion5.x = hydraHeadThree.x - 15;
                                explosion5.y = hydraHeadThree.y - 15;
                                this.addChild(explosion6);
                                explosion6.x = hydraHeadThree.x + 45;
                                explosion6.y = hydraHeadThree.y + 45;

                                if(explosion5.age % 2 === 0)
                                {
                                    if(explosion5.frame <= 2)
                                    {
                                        explosion5.frame ++;
                                    }
                                    else
                                    {
                                        explosion5.frame = 0;
                                    }
                                }
                                if(explosion6.age % 2 === 0)
                                {
                                    if(explosion6.frame <= 2)
                                    {
                                        explosion6.frame ++;
                                    }
                                    else
                                    {
                                        explosion6.frame = 0;
                                    }
                                }
                            } 
                            else
                            {
                                this.removeChild(explosion5);
                                this.removeChild(explosion6);
                            }
                        }
                        
                    });

                    var hud = new HUD();
                    this.addChild(hud);
                    hud.addEventListener(Event.ENTER_FRAME, function(){
                        this.frame = pllo.health;
                    });
                    var livesCount = new Label("x " + game.lives);
                    livesCount.x = 131;
                    this.addChild(livesCount);
                    livesCount.addEventListener(Event.ENTER_FRAME, function(){
                        this.text = "x " + game.lives;
                    });

                    pllo.addEventListener(Event.ENTER_FRAME, function(){
                    this.randomizer = Math.round(Math.random());
                    if(this.ani <= 4)
                    {
                        this.y += 5;
                    }
                    if (map9.hitTest(this.x+45,this.y+60)){
                        this.y-= 5;
                        if(this.ani >= -1)
                        {
                            this.jumpHeight = 12;
                        }
                    }
                    
                    if (this.owner == 0)
                    {
                        if(this.ani == -1)
                        {
                            this.x -= this.scaleX * 4.5;
                            if(this.frame < 28)
                            {
                                this.frame = 28;
                            }
                            if(this.age % 1 === 0)
                            {
                                this.frame ++;
                            }
                            if(this.frame > 31)
                            {
                                this.ani = 0;
                                this.frame = 0;
                            }
                        }
                        if(this.ani == -2)
                        {
                            if(this.jumpHeight >= 0)
                            {
                                this.y -= this.jumpHeight;
                                this.jumpHeight -= 1; 
                            }
                            if(map9.hitTest(this.x+45,this.y+65))
                            {
                                if(this.frame <= 32)
                                {
                                    this.frame = 33;
                                }
                                
                                if(this.age % 4 === 0)
                                {
                                    if(this.health >> 0)
                                    {
                                        this.frame ++;
                                        if(this.frame >> 35)
                                        {
                                            this.ani = 0;
                                        }
                                    }
                                    else
                                    {
                                        if(game.lives >> 0)
                                        {
                                            this.x = 0;
                                            this.y = 0;
                                            this.health = 4;
                                            game.lives --;
                                            this.ani = -1;
                                        }
                                        else
                                        {
                                            game.pushScene(gameOverScreen);
                                        }
                                    }
                                }
                            }
                            else
                            {
                                if(this.scaleX == 1)
                                {
                                    if(!map9.hitTest(this.x+20,this.y+60) && this.x >= 10)
                                    {
                                        this.x -= this.moveSpeed*2;
                                    }
                                }
                                if(this.scaleX == -1)
                                {
                                    if(!map9.hitTest(this.x+55,this.y+60))
                                    {
                                        this.x += this.moveSpeed*2;
                                    }
                                }
                                this.frame = 32;
                            }
                        }
                        if(this.ani == 0)
                        {
                            if(this.intersect(fireOne))
                            {
                                if(map9.hitTest(this.x+45,this.y+65) && fireOne.frame >= 0 && this.y >= fireOne.y + 32)
                                {
                                    this.ani = -2;
                                    if(this.health >= 1)
                                    {
                                        this.health --;
                                    }
                                }
                            }

                            if(this.intersect(fireTwo))
                            {
                                if(map9.hitTest(this.x+45,this.y+65) && fireTwo.frame >= 0 && this.y >= fireTwo.y + 32)
                                {
                                    this.ani = -2;
                                    if(this.health >= 1)
                                    {
                                        this.health --;
                                    }
                                }
                            }

                            if(this.intersect(fireThree))
                            {
                                if(map9.hitTest(this.x+45,this.y+65) && fireThree.frame >= 0 && this.y >= fireThree.y + 32)
                                {
                                    this.ani = -2;
                                    if(this.health >= 1)
                                    {
                                        this.health --;
                                    }
                                }
                            }
                            if(map9.hitTest(this.x+45,this.y+65))
                            {
                                if(!game.input.right && !game.input.left)
                                {
                                    if(this.age % 4 === 0)
                                    {
                                        this.frame ++;
                                        if(this.frame >= 3)
                                        {
                                            this.frame = 0;
                                        }
                                    }
                                }
                            }
                            else
                            {
                                this.frame = 10;
                            }
                            if(game.input.right && !game.input.left)
                            {
                                //Movement
                                if(!map9.hitTest(this.x+55,this.y+60))
                                {
                                    this.x += this.moveSpeed;
                                    this.scaleX = 1;
                                    //Animation
                                    if(map9.hitTest(this.x+30,this.y+65))
                                    {
                                        if(this.age % 3 === 0)
                                        {
                                            if(this.frame <= 3)
                                            {
                                                this.frame = 4;
                                            }
                                            else
                                            {
                                                if(this.frame >= 7)
                                                {
                                                    this.frame = 4;
                                                }
                                                else
                                                {
                                                    this.frame ++;
                                                }
                                            }
                                        }
                                    }
                                }
                                else
                                {
                                    if(map9.checkTile(this.x+55,this.y+60) == 0)
                                    {
                                        this.x += this.moveSpeed;
                                        this.y -= 5;
                                    }
                                }
                                
                            }
                            if(!game.input.right && game.input.left)
                            {
                                //Movement
                                if(!map9.hitTest(this.x+20,this.y+60) && this.x >= 10)
                                {
                                    this.x -= this.moveSpeed;
                                    this.scaleX = -1;
                                    //Animation
                                    if(map9.hitTest(this.x+30,this.y+65))
                                    {
                                        if (this.age % 3 === 0)
                                        {
                                            if(this.frame <= 3)
                                            {
                                                this.frame = 4;
                                            }
                                            else
                                            {
                                                if(this.frame >= 7)
                                                {
                                                    this.frame = 4;
                                                }
                                                else
                                                {
                                                    this.frame ++;
                                                }
                                            }
                                        }
                                    }
                                }
                                else
                                {
                                    if(map9.checkTile(this.x+20,this.y+60) == 2)
                                    {
                                        this.x -= this.moveSpeed;
                                        this.y -= 5;
                                    }
                                }
                            }
                            //Attack
                            if(game.input.b)
                            {
                                if(this.bPress == false)
                                {
                                    this.bPress = true;
                                    game.sfx = game.assets['audio/sfx/slash.wav'];
                                    game.sfx.play();
                                    if(map9.hitTest(this.x+43.5,this.y+65))
                                    {
                                        if(!game.input.left && !game.input.right)
                                        {
                                            if(this.randomizer == 1)
                                            {
                                                this.ani = 1;
                                            }
                                            else
                                            {
                                                this.ani = 1.5
                                            }
                                        }
                                        else
                                        {
                                            this.ani = 2;
                                        }
                                    }
                                    else
                                    {
                                        this.ani = 3;
                                    }
                                }
                            }
                            else
                            {
                                this.bPress = false;
                            }
                            //Jump
                            if(game.input.a)
                            {
                                if(map9.hitTest(this.x+43.5,this.y+55))
                                {
                                    if(this.jumpHeight >= 12)
                                    {
                                        this.y -= this.jumpHeight * 1.5
                                        this.jumpHeight -= 1;
                                    }
                                }
                                else
                                {
                                    if(this.jumpHeight >= 1)
                                    {
                                        if(!map9.hitTest(this.x+43.5,this.y-10))
                                        {
                                            this.y -= this.jumpHeight * 1.15;
                                            this.jumpHeight -= 1;
                                            if(this.jumpHeight >= 3)
                                            {
                                                this.frame = 9;
                                            }
                                            if(this.jumpHeight >= 5)
                                            {
                                                this.frame = 8;
                                            }
                                        }
                                        else
                                        {
                                            this.jumpHeight = 0;
                                        }
                                    }
                                    if(map9.hitTest(this.x+60,this.y+20))
                                    {
                                        if(this.jumpHeight <= 5)
                                        {
                                            this.scaleX = -1;
                                            this.ani = .5
                                            this.jumpHeight = 12;
                                            this.y -= 5;
                                        }
                                    }
                                }
                            }
                        }
                        //Wall Jump
                        if(this.ani == .5)
                        {
                            this.frame = 8
                            this.x += this.scaleX * this.moveSpeed;
                            this.y -= this.jumpHeight * 1.25;
                            this.jumpHeight -= 1;
                            if(this.jumpHeight == 0)
                            {
                                this.ani = 0;
                            }
                        }
                        //Slash 1
                        if(this.ani == 1)
                        {
                            if(this.frame <= 10)
                            {
                                this.frame = 11;
                            }
                            if(this.age % 1 === 0)
                            {
                                if(this.frame >= 14)
                                {
                                    this.ani = 0;
                                }
                                else
                                {
                                    this.frame ++;
                                }
                            }
                        }
                        //Slash 2
                        if(this.ani == 1.5)
                        {
                            if(this.frame <= 14)
                            {
                                this.frame = 15;
                            }
                            if(this.age % 1 === 0)
                            {
                                if(this.frame >= 18)
                                {
                                    this.ani = 0;
                                }
                                else
                                {
                                    this.frame ++;
                                }
                            }
                        }
                        //Spin Slash
                        if(this.ani == 2)
                        {
                            if(this.frame < 21)
                            {
                                this.frame = 21;
                            }
                            if(this.age % 2 === 0)
                            {
                                this.frame ++;
                            }
                            if(this.frame > 23)
                            {
                                this.ani = 0;
                                this.frame = 0;
                            }
                            if(this.scaleX == 1)
                            {
                                if(!map9.hitTest(this.x+55,this.y+60))
                                {
                                    this.x += this.scaleX * this.moveSpeed;
                                }
                                else
                                {
                                    if(map9.checkTile(this.x+55,this.y+60) == 0)
                                    {
                                        this.x += this.moveSpeed;
                                        this.y -= 5;
                                    }
                                }
                            }
                            if(this.scaleX == -1)
                            {
                                if(!map9.hitTest(this.x+20,this.y+60))
                                {
                                    this.x -= this.moveSpeed;
                                }
                                else
                                {
                                    if(map9.checkTile(this.x+20,this.y+60) == 2)
                                    {
                                        this.x -= this.moveSpeed;
                                        this.y -= 5;
                                    }
                                }
                            }
                        }
                        //Aerial Slash
                        if(this.ani == 3)
                        {
                            if(!map9.hitTest(this.x+43.5,this.y+60))
                            {
                                if(this.frame <= 23)
                                {
                                    this.frame = 24;
                                }
                                if(this.frame >= 27)
                                {
                                    this.ani = 0;
                                }
                                if(this.age % 2 === 0)
                                {
                                    this.frame ++;
                                }
                                if(game.input.right)
                                {
                                    if(!map9.hitTest(this.x+55,this.y+60))
                                    {
                                        this.x += this.scaleX * this.moveSpeed;
                                    }
                                }
                                if(game.input.left)
                                {
                                    if(!map9.hitTest(this.x+20,this.y+60))
                                    {
                                        this.x += this.scaleX * this.moveSpeed;
                                    }
                                }

                            }
                            else
                            {
                                this.ani = 0;
                            }
                        }
                        //Pole Swing
                        if(this.ani == 5)
                        {
                            this.jumpHeight = 8;
                            if(this.frame <= 39)
                            {
                                this.frame = 40;
                            }
                            if(this.age % 5 === 0)
                            {
                                if(this.frame >= 43)
                                {
                                    this.frame = 40;
                                }
                                else
                                {
                                    this.frame ++;
                                }
                            }
                            if(game.input.a)
                            {
                                if(this.frame == 40)
                                {
                                    this.ani = 0.25
                                }
                                if(this.frame == 41)
                                {
                                    this.ani = 0.15
                                }
                                if(this.frame == 42)
                                {
                                    this.ani = 0.15
                                }
                                if(this.frame == 43)
                                {
                                    this.ani = 0.25
                                }
                                
                            }
                        }
                        //Pole Jump Forward
                        if(this.ani == 0.15)
                        {
                            if(this.jumpHeight >= 1)
                            {
                                this.y -= this.jumpHeight * 1.25;
                                this.jumpHeight --;
                                this.x += this.scaleX * 6;
                                if(this.frame <= 43)
                                {
                                    this.frame = 44;
                                }
                                if(this.age % 4 === 0)
                                {
                                    if(this.frame <= 47)
                                    {
                                        this.frame ++;
                                    }
                                }
                            }
                            else
                            {
                                this.ani = 0;
                            }
                        }
                        //Pole Jump Backward
                        if(this.ani == 0.25)
                        {
                            if(this.jumpHeight >= 1)
                            {
                                this.y -= this.jumpHeight * 1.25;
                                this.jumpHeight --;
                                this.x -= this.scaleX * 6;
                            }
                            else
                            {
                                this.ani = 0;
                            }
                        }
                    }
                });

                
                hydraHeadOne.addEventListener(Event.ENTER_FRAME, function(){
                if(this.ani == -2)
                {
                    if(!map9.hitTest(this.x + 32, this.y + 81))
                    {
                        if(this.age % 2 === 0)
                        {
                            if(this.frame <= 1)
                            {
                                this.frame = 2;
                            }
                            else
                            {
                                if(this.frame == 2)
                                {
                                    this.frame ++;
                                }
                                else
                                {
                                    this.frame = 2;
                                }
                            }
                        }
                        this.y += 8;
                    }
                    else
                    {
                        this.frame = -1;
                    }
                }
                if(this.ani == -1)
                    {
                        fireOne.frame = -1;
                        if(this.age % 2 === 0)
                        {
                            if(this.frame <= 1)
                            {
                                this.frame = 2;
                            }
                            else
                            {
                                if(this.frame == 2)
                                {
                                    this.frame ++;
                                }
                                else
                                {
                                    this.frame = 2;
                                }
                            }
                        }
                        if(this.timer >= 1)
                        {
                            this.timer --;
                        }
                        else
                        {
                            this.ani = 2;
                        }
                    }
                    else
                    {
                        if(this.intersect(pllo))
                        {
                            if(this.scaleX <= 1.8)
                            {
                                if(pllo.ani >= 1 && this.ani <= 3)
                                {
                                    if(this.health >= 1)
                                    {
                                        this.ani = -1;
                                        this.health --;
                                        this.timer = 45;
                                    }
                                }
                            }
                            else
                            {
                                pllo.ani = -3;
                                pllo.frame = -1;
                            }
                        }
                    }
                    if(this.ani == 0)
                    {
                        fireOne.frame = -1;
                        if(this.health == 0)
                        {
                            this.ani = -2;
                        }
                        if(pllo.ani == -3)
                        {
                            if(game.lives >= 1)
                            {
                                pllo.frame = 0;
                                pllo.ani = 0;
                                pllo.x = 0;
                                pllo.y = 0;
                                game.lives --;
                            }
                            else
                            {
                                game.pushScene(gameOverScreen);
                            }
                        }
                        if(this.timer >= 1)
                        {
                            this.timer --;
                        }
                        else
                        {
                            this.ani = Math.floor(Math.random() * (4 - 1) + 1);
                            this.timer = 45;
                        }
                    }
                    if(this.ani == 1)
                    {
                        fireOne.x = this.x;
                        fireOne.y = this.y + 59;
                        if(fireOne.age % 2 === 0)
                        {
                            if(fireOne.frame <= 1)
                            {
                                fireOne.frame ++;
                            }
                            else
                            {
                                fireOne.frame = 0;
                            }
                        }
                        this.frame = 1;
                        if(this.timer >= 1)
                        {
                            this.timer --;
                            if(this.timer >= 30)
                            {
                                this.x --;
                                this.y += 6;
                            }
                            else
                            {
                                if(this.timer >= 15)
                                {
                                    this.x += 2;
                                    
                                }
                                else
                                {
                                    this.x --;
                                    this.y -= 6;
                                    fireOne.frame = -1;
                                }
                            }
                        }
                        else
                        {
                            this.ani = 0;
                            this.timer = 180;
                        }
                    }
                    if(this.ani == 2)
                    {
                        this.frame = 0;
                        if(this.y >= 100)
                        {
                            this.ani = 2.5
                        }
                        else
                        {
                            this.y += 10;
                        }
                    }
                    if(this.ani == 2.5)
                    {
                        this.frame = 1;
                        if(this.scaleX <= 2)
                        {
                            this.scaleX += 0.1;
                            this.scaleY += 0.1;
                        }
                        else
                        {
                            this.frame = 0;
                            this.ani = 2.6;
                        }
                    }
                    if(this.ani == 2.6)
                    {
                        if(this.scaleX >= 1.1)
                        {
                            this.scaleX -= 0.1;
                            this.scaleY -= 0.1;
                            this.y -= 10;
                        }
                        else
                        {
                            this.ani = 0;
                            this.timer = 180;
                        }
                    }

                    if(this.ani == 3)
                    {
                        this.y += 5;
                        this.scaleX += 0.05;
                        this.scaleY += 0.05;
                        if(this.scaleX >= 1.75)
                        {
                            this.ani = 3.5
                        }
                    }
                    if(this.ani == 3.5)
                    {
                        this.y -= 5;
                        this.scaleX -= 0.05;
                        this.scaleY -= 0.05;
                        if(this.scaleX == 1)
                        {
                            this.ani = 0;
                            this.timer = 180;
                        }
                    }
                });

                hydraHeadTwo.addEventListener(Event.ENTER_FRAME, function(){
                if(this.ani == -2)
                {
                    if(!map9.hitTest(this.x + 32, this.y + 81))
                    {
                        if(this.age % 2 === 0)
                        {
                            if(this.frame <= 1)
                            {
                                this.frame = 2;
                            }
                            else
                            {
                                if(this.frame == 2)
                                {
                                    this.frame ++;
                                }
                                else
                                {
                                    this.frame = 2;
                                }
                            }
                        }
                        this.y += 8;
                    }
                    else
                    {
                        this.frame = -1;
                    }
                }
                if(this.ani == -1)
                    {
                        fireTwo.frame = -1;
                        if(this.age % 2 === 0)
                        {
                            if(this.frame <= 1)
                            {
                                this.frame = 2;
                            }
                            else
                            {
                                if(this.frame == 2)
                                {
                                    this.frame ++;
                                }
                                else
                                {
                                    this.frame = 2;
                                }
                            }
                        }
                        if(this.timer >= 1)
                        {
                            this.timer --;
                        }
                        else
                        {
                            this.ani = 2;
                        }
                    }
                    else
                    {
                        if(this.intersect(pllo))
                        {
                            if(this.scaleX <= 1.8)
                            {
                                if(pllo.ani >= 1 && this.ani <= 3)
                                {
                                    if(this.health >= 1)
                                    {
                                        this.ani = -1;
                                        this.health --;
                                        this.timer = 45;
                                    }
                                }
                            }
                            else
                            {
                                pllo.ani = -3;
                                pllo.frame = -1;
                            }
                        }
                    }
                    if(this.ani == 0)
                    {
                        fireTwo.frame = -1;
                        if(this.health == 0)
                        {
                            this.ani = -2;
                        }
                        if(pllo.ani == -3)
                        {
                            if(game.lives >= 1)
                            {
                                pllo.frame = 0;
                                pllo.ani = 0;
                                pllo.x = 0;
                                pllo.y = 0;
                                game.lives --;
                            }
                            else
                            {
                                game.pushScene(gameOverScreen);
                            }
                        }
                        if(this.timer >= 1)
                        {
                            this.timer --;
                        }
                        else
                        {
                            this.ani = 1
                            this.timer = 45;
                        }
                    }
                    if(this.ani == 1)
                    {
                        fireTwo.x = this.x;
                        fireTwo.y = this.y + 59;
                        if(fireTwo.age % 2 === 0)
                        {
                            if(fireTwo.frame <= 1)
                            {
                                fireTwo.frame ++;
                            }
                            else
                            {
                                fireTwo.frame = 0;
                            }
                        }
                        this.frame = 1;
                        if(this.timer >= 1)
                        {
                            this.timer --;
                            if(this.timer >= 30)
                            {
                                this.x --;
                                this.y += 6;
                            }
                            else
                            {
                                if(this.timer >= 15)
                                {
                                    this.x += 2;
                                    
                                }
                                else
                                {
                                    this.x --;
                                    this.y -= 6;
                                    fireOne.frame = -1;
                                }
                            }
                        }
                        else
                        {
                            this.ani = 0;
                            this.timer = 120;
                        }
                    }
                    if(this.ani == 2)
                    {
                        this.frame = 0;
                        if(this.y >= 100)
                        {
                            this.ani = 2.5
                        }
                        else
                        {
                            this.y += 10;
                        }
                    }
                    if(this.ani == 2.5)
                    {
                        this.frame = 1;
                        if(this.scaleX <= 2)
                        {
                            this.scaleX += 0.1;
                            this.scaleY += 0.1;
                        }
                        else
                        {
                            this.frame = 0;
                            this.ani = 2.6;
                        }
                    }
                    if(this.ani == 2.6)
                    {
                        if(this.scaleX >= 1.1)
                        {
                            this.scaleX -= 0.1;
                            this.scaleY -= 0.1;
                            this.y -= 10;
                        }
                        else
                        {
                            this.ani = 0;
                            this.timer = 120;
                        }
                    }

                    if(this.ani == 3)
                    {
                        this.y += 5;
                        this.scaleX += 0.05;
                        this.scaleY += 0.05;
                        if(this.scaleX >= 1.75)
                        {
                            this.ani = 3.5
                        }
                    }
                    if(this.ani == 3.5)
                    {
                        this.y -= 5;
                        this.scaleX -= 0.05;
                        this.scaleY -= 0.05;
                        if(this.scaleX == 1)
                        {
                            this.ani = 0;
                            this.timer = 120;
                        }
                    }
                });

                hydraHeadThree.addEventListener(Event.ENTER_FRAME, function(){
                if(this.ani == -2)
                {
                    if(!map9.hitTest(this.x + 32, this.y + 81))
                    {
                        if(this.age % 2 === 0)
                        {
                            if(this.frame <= 1)
                            {
                                this.frame = 2;
                            }
                            else
                            {
                                if(this.frame == 2)
                                {
                                    this.frame ++;
                                }
                                else
                                {
                                    this.frame = 2;
                                }
                            }
                        }
                        this.y += 8;
                    }
                    else
                    {
                        this.frame = -1;
                    }
                }
                if(this.ani == -1)
                    {
                        fireThree.frame = -1;
                        if(this.age % 2 === 0)
                        {
                            if(this.frame <= 1)
                            {
                                this.frame = 2;
                            }
                            else
                            {
                                if(this.frame == 2)
                                {
                                    this.frame ++;
                                }
                                else
                                {
                                    this.frame = 2;
                                }
                            }
                        }
                        if(this.timer >= 1)
                        {
                            this.timer --;
                        }
                        else
                        {
                            this.ani = 2;
                        }
                    }
                    else
                    {
                        if(this.intersect(pllo))
                        {
                            if(this.scaleX <= 1.8)
                            {
                                if(pllo.ani >= 1 && this.ani <= 3)
                                {
                                    if(this.health >= 1)
                                    {
                                        this.ani = -1;
                                        this.health --;
                                        this.timer = 45;
                                    }
                                }
                            }
                            else
                            {
                                pllo.ani = -3;
                                pllo.frame = -1;
                            }
                        }
                    }
                    if(this.ani == 0)
                    {
                        fireThree.frame = -1;
                        if(this.health == 0)
                        {
                            this.ani = -2;
                        }
                        if(pllo.ani == -3)
                        {
                            if(game.lives >= 1)
                            {
                                pllo.frame = 0;
                                pllo.ani = 0;
                                pllo.x = 0;
                                pllo.y = 0;
                                game.lives --;
                            }
                            else
                            {
                                game.pushScene(gameOverScreen);
                            }
                        }
                        if(this.timer >= 1)
                        {
                            this.timer --;
                        }
                        else
                        {
                            this.ani = Math.floor(Math.random() * (4 - 1) + 1);
                            this.timer = 45;
                        }
                    }
                    if(this.ani == 1)
                    {
                        fireThree.x = this.x;
                        fireThree.y = this.y + 59;
                        if(fireOne.age % 2 === 0)
                        {
                            if(fireThree.frame <= 1)
                            {
                                fireThree.frame ++;
                            }
                            else
                            {
                                fireThree.frame = 0;
                            }
                        }
                        this.frame = 1;
                        if(this.timer >= 1)
                        {
                            this.timer --;
                            if(this.timer >= 30)
                            {
                                this.x --;
                                this.y += 6;
                            }
                            else
                            {
                                if(this.timer >= 15)
                                {
                                    this.x += 2;
                                    
                                }
                                else
                                {
                                    this.x --;
                                    this.y -= 6;
                                    fireThree.frame = -1;
                                }
                            }
                        }
                        else
                        {
                            this.ani = 0;
                            this.timer = 120;
                        }
                    }
                    if(this.ani == 2)
                    {
                        this.frame = 0;
                        if(this.y >= 100)
                        {
                            this.ani = 2.5
                        }
                        else
                        {
                            this.y += 10;
                        }
                    }
                    if(this.ani == 2.5)
                    {
                        this.frame = 1;
                        if(this.scaleX <= 2)
                        {
                            this.scaleX += 0.1;
                            this.scaleY += 0.1;
                        }
                        else
                        {
                            this.frame = 0;
                            this.ani = 2.6;
                        }
                    }
                    if(this.ani == 2.6)
                    {
                        if(this.scaleX >= 1.1)
                        {
                            this.scaleX -= 0.1;
                            this.scaleY -= 0.1;
                            this.y -= 10;
                        }
                        else
                        {
                            this.ani = 0;
                            this.timer = 120;
                        }
                    }

                    if(this.ani == 3)
                    {
                        this.y += 5;
                        this.scaleX += 0.05;
                        this.scaleY += 0.05;
                        if(this.scaleX >= 1.75)
                        {
                            this.ani = 3.5
                        }
                    }
                    if(this.ani == 3.5)
                    {
                        this.y -= 5;
                        this.scaleX -= 0.05;
                        this.scaleY -= 0.05;
                        if(this.scaleX == 1)
                        {
                            this.ani = 0;
                            this.timer = 120;
                        }
                    }
                });

                }
            });

            var EgyptOne = Class.create(Scene, {
                initialize: function(){
                    
                    console.log("Egypt One!");
                    Scene.apply(this);

                    var map10 = new Map(32,16);
                    map10.image = game.assets['img/tiles.png'];

                    map10.loadData(
                        [
                         /*00,01,02,03,04,05,06,07,08,09,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,*/
                    /*00*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                    /*01*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                    /*02*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                    /*03*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,22,-1,-1,-1,19,19,19,19,19,19,19,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                    /*04*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,22,-1,-1,-1,22,-1,-1,-1,-1,-1,22,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                    /*05*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,22,-1,-1,-1,22,-1,-1,-1,-1,-1,22,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                    /*06*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,22,-1,-1,-1,-1,-1,22,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                    /*07*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,22,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,22,-1,-1,-1,-1,-1,22,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                    /*08*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,22,-1,-1,-1,22,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,22,-1,-1,-1,-1,-1,22,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                    /*09*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,22,-1,-1,-1,22,-1,-1,19,19,19,19,19,19,19,19,19,-1,-1,-1,-1,-1,19,19,19,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                    /*10*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,22,-1,-1,-1,22,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,22,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                    /*11*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,22,-1,-1,-1,22,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1, 1, 1,-1,-1,-1,22,-1,-1,-1,22,-1,-1,-1,-1,-1,],
                    /*12*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,22,-1,-1,-1,22,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1, 4, 4,-1,-1,-1,22,-1,-1,-1,22,-1,-1,-1,-1,-1,],
                    /*13*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,22,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1, 4, 4,-1,-1,-1,22,-1,-1,-1,22,-1,-1,-1,-1,-1,],
                    /*14*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,22,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1, 4, 4,-1,-1,-1,22,-1,-1,-1,22,-1,-1,-1,-1,-1,],
                    /*15*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,22,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1, 4, 4,-1,-1,-1,22,-1,-1,-1,22,-1,-1,-1,-1,-1,],
                    /*16*/[-1,-1,-1,-1,-1,18,19,-1,-1,19,19,19,19,19,19,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1, 4, 4,-1,-1,-1,-1,-1,-1,-1,22,-1,-1,-1,-1,-1,],
                    /*17*/[-1,-1,-1,-1,18,21,22,-1,-1,22,22,22,22,22,22,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1, 4, 4,-1,-1,-1,-1,-1,-1,-1,22,-1,-1,-1,-1,-1,],
                    /*18*/[19,19,19,19,21,22,22,-1,-1,22,22,22,22,22,22,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1, 4, 4,-1,-1,-1,-1,-1,-1,-1,22,-1,-1,-1,-1,-1,],
                    /*19*/[22,22,22,22,22,22,22,-1,-1,22,22,22,22,22,22,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1, 4, 4,-1,-1,19,19,19,19,19,19,19,19,19,19,19,],
                    /*20*/[22,22,22,22,22,22,22,-1,-1,22,22,22,22,22,22,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1, 4, 4,-1,-1,22,22,22,22,22,22,22,22,22,22,22,],
                    /*21*/[22,22,22,22,22,22,22,-1,-1,22,22,22,22,22,22,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1, 4, 4,-1,-1,22,22,22,22,22,22,22,22,22,22,22,],
                    /*22*/[22,22,22,22,22,22,22,-1,-1,22,22,22,22,22,22,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1, 4, 4,-1,-1,22,22,22,22,22,22,22,22,22,22,22,],
                    /*23*/[22,22,22,22,22,22,22,-1,-1,22,22,22,22,22,22,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1, 4, 4,-1,-1,22,22,22,22,22,22,22,22,22,22,22,],
                        ]
                    );

                    pll = new Lloyd();
                    pll.ani = 0;
                    pll.owner = 0;

                    gorillaOne = new Gorilla();
                    gorillaOne.ani = 0;
                    gorillaOne.x = 176;
                    gorillaOne.y = 191;

                    gorillaTwo = new Gorilla();
                    gorillaTwo.ani = 0;
                    gorillaTwo.x = 320;
                    gorillaTwo.y = 191;

                    gorillaThree = new Gorilla();
                    gorillaThree.ani = 0;
                    gorillaThree.x = 736;
                    gorillaThree.y = 0;

                    bg1 = new Sprite(1632,352);
                    bg1.image = game.assets['img/bg/egypt1_bg1.png'];

                    bg2 = new Sprite(1632,352);
                    bg2.image = game.assets['img/bg/egypt1_bg2.png'];
                    bg2.x = -20;
                    bg2.y = 40;

                    stage9 = new Group();
                    stage9.addChild(bg1);
                    stage9.addChild(map10);
                    stage9.addChild(pll);
                    stage9.addChild(gorillaOne);
                    stage9.addChild(gorillaTwo);
                    stage9.addChild(gorillaThree);
                    stage9.addChild(bg2);
                    this.addChild(stage9);

                    var hud = new HUD();
                    this.addChild(hud);
                    hud.addEventListener(Event.ENTER_FRAME, function(){
                        this.frame = pll.health;
                    });
                    var livesCount = new Label("x " + game.lives);
                    livesCount.x = 131;
                    this.addChild(livesCount);
                    livesCount.addEventListener(Event.ENTER_FRAME, function(){
                        this.text = "x " + game.lives;
                    });

                    //Enemy 1
                    gorillaOne.addEventListener(Event.ENTER_FRAME, function(){
                        this.y += 5;
                        if(map10.hitTest(this.x+45,this.y+60)){
                            this.y-= 5;
                            this.jumpHeight = 12;
                        }
                        if(this.ani == -1)
                        {
                            if(this.frame <= 11)
                            {
                                this.frame = 12;
                            }
                            if(this.frame >= 15)
                            {
                                this.ani = 0;
                            }
                            if(this.age % 2 === 0)
                            {
                                this.frame ++;
                                this.x -= this.scaleX*4;
                            }
                        }
                        if(this.ani == 0)
                        {
                            this.scaleX = -1;
                            
                            //Punching Lloyd
                            if(this.intersect(pll))
                            {
                                if(pll.ani <= 0)
                                {
                                    if(pll.x <= this.x - 44)
                                    {
                                        this.scaleX = -1;
                                    }
                                    if(pll.x >= this.x + 32)
                                    {
                                        this.scaleX = 1;
                                    }
                                    if(pll.x >= this.x-44)
                                    {
                                        this.ani = 1;
                                        if(pll.health >> 0)
                                        {
                                            pll.ani = -1;
                                            pll.health --;
                                        }
                                        else
                                        {
                                            pll.ani = -2;
                                        }
                                    }
                                }
                                else
                                {
                                    if(this.health >> 0)
                                    {
                                        this.ani = -1;
                                        this.health --;
                                    }
                                }
                            }
                            if(pll.health == 0 && pll.ani == -2)
                            {
                                this.ani = 2;
                            }
                        }
                        if(this.ani == 1)
                        {
                            if(this.frame <= 5)
                            {
                                this.frame = 5;
                            }
                            if(this.frame >= 8)
                            {
                                this.ani = 0;
                                this.frame = 0;
                            }
                            else
                            {
                                this.frame ++;
                            }
                        }
                        if(this.ani == 2)
                        {
                            if(this.age % 3 === 0)
                            {
                                this.frame ++;
                                if(this.frame >= 5)
                                {
                                    if(pll.ani == -2)
                                    {
                                        this.frame = 3;
                                    }
                                    else
                                    {
                                        this.ani = 0;
                                        this.frame = 0;
                                    }
                                }
                            }
                        }
                    });

                    //Enemy 1
                    gorillaTwo.addEventListener(Event.ENTER_FRAME, function(){
                        this.y += 5;
                        if(map10.hitTest(this.x+45,this.y+60)){
                            this.y-= 5;
                            this.jumpHeight = 12;
                        }
                        if(this.ani == -1)
                        {
                            if(this.frame <= 11)
                            {
                                this.frame = 12;
                            }
                            if(this.frame >= 15)
                            {
                                this.ani = 0;
                            }
                            if(this.age % 2 === 0)
                            {
                                this.frame ++;
                                this.x -= this.scaleX*4;
                            }
                        }
                        if(this.ani == 0)
                        {
                            this.scaleX = -1;
                            
                            //Punching Lloyd
                            if(this.intersect(pll))
                            {
                                if(pll.ani <= 0)
                                {
                                    if(pll.x <= this.x - 44)
                                    {
                                        this.scaleX = -1;
                                    }
                                    if(pll.x >= this.x + 32)
                                    {
                                        this.scaleX = 1;
                                    }
                                    if(pll.x >= this.x-44)
                                    {
                                        this.ani = 1;
                                        if(pll.health >> 0)
                                        {
                                            pll.ani = -1;
                                            pll.health --;
                                        }
                                        else
                                        {
                                            pll.ani = -2;
                                        }
                                    }
                                }
                                else
                                {
                                    if(this.health >> 0)
                                    {
                                        this.ani = -1;
                                        this.health --;
                                    }
                                }
                            }
                            if(pll.health == 0 && pll.ani == -2)
                            {
                                this.ani = 2;
                            }
                        }
                        if(this.ani == 1)
                        {
                            if(this.frame <= 5)
                            {
                                this.frame = 5;
                            }
                            if(this.frame >= 8)
                            {
                                this.ani = 0;
                                this.frame = 0;
                            }
                            else
                            {
                                this.frame ++;
                            }
                        }
                        if(this.ani == 2)
                        {
                            if(this.age % 3 === 0)
                            {
                                this.frame ++;
                                if(this.frame >= 5)
                                {
                                    if(ppl.ani == -2)
                                    {
                                        this.frame = 3;
                                    }
                                    else
                                    {
                                        this.ani = 0;
                                        this.frame = 0;
                                    }
                                }
                            }
                        }
                    });

                    //Enemy 3
                    gorillaThree.addEventListener(Event.ENTER_FRAME, function(){
                        this.y += 5;
                        if(map10.hitTest(this.x+45,this.y+60)){
                            this.y-= 5;
                            this.jumpHeight = 12;
                        }
                        if(this.ani == -1)
                        {
                            if(this.frame <= 11)
                            {
                                this.frame = 12;
                            }
                            if(this.frame >= 15)
                            {
                                this.ani = 0;
                            }
                            if(this.age % 2 === 0)
                            {
                                this.frame ++;
                                this.x -= this.scaleX*4;
                            }
                        }
                        if(this.ani == 0)
                        {
                            if(this.x <= 576)
                            {
                                this.scaleX = -1;
                            }
                            if(this.x >= 752)
                            {
                                this.scaleX = 1;
                            }

                            this.x += this.scaleX * 4;
                            
                            //Punching Lloyd
                            if(this.intersect(pll))
                            {
                                if(pll.ani <= 0)
                                {
                                    if(pll.x <= this.x - 44)
                                    {
                                        this.scaleX = -1;
                                    }
                                    if(pll.x >= this.x + 32)
                                    {
                                        this.scaleX = 1;
                                    }
                                    if(pll.x >= this.x-44)
                                    {
                                        this.ani = 1;
                                        if(pll.health >> 0)
                                        {
                                            pll.ani = -1;
                                            pll.health --;
                                        }
                                        else
                                        {
                                            pll.ani = -2;
                                        }
                                    }
                                }
                                else
                                {
                                    if(this.health >> 0)
                                    {
                                        this.ani = -1;
                                        this.health --;
                                    }
                                }
                            }
                            if(pll.health == 0 && pll.ani == -2)
                            {
                                this.ani = 2;
                            }
                        }
                        if(this.ani == 1)
                        {
                            if(this.frame <= 5)
                            {
                                this.frame = 5;
                            }
                            if(this.frame >= 8)
                            {
                                this.ani = 0;
                                this.frame = 0;
                            }
                            else
                            {
                                this.frame ++;
                            }
                        }
                        if(this.ani == 2)
                        {
                            if(this.age % 3 === 0)
                            {
                                this.frame ++;
                                if(this.frame >= 5)
                                {
                                    if(ppl.ani == -2)
                                    {
                                        this.frame = 3;
                                    }
                                    else
                                    {
                                        this.ani = 0;
                                        this.frame = 0;
                                    }
                                }
                            }
                        }
                    });

                    pll.addEventListener(Event.ENTER_FRAME, function(){
                    this.randomizer = Math.round(Math.random());
                    if(this.ani <= 4)
                    {
                        this.y += 5;
                    }
                    if (map10.hitTest(this.x+45,this.y+60))
                    {
                        this.y-= 5;
                        if(this.ani >= -1)
                        {
                            this.jumpHeight = 12;
                        }
                        if(this.x >= 1472)
                        {
                            this.owner = 1;
                            if(this.age % 3 === 0)
                            {
                                if(this.frame <= 48)
                                {
                                    this.frame = 49;
                                }
                                else
                                {
                                    if(this.frame <= 50)
                                    {
                                        this.frame ++;
                                    }
                                    else
                                    {
                                        game.pushScene(levelNineCutscene);
                                    }
                                }
                            }
                        }
                    }
                    
                    if (this.owner == 0)
                    {
                        if(this.ani == -1)
                        {
                            this.x -= this.scaleX * 4.5;
                            if(this.frame < 28)
                            {
                                this.frame = 28;
                            }
                            if(this.age % 1 === 0)
                            {
                                this.frame ++;
                            }
                            if(this.frame > 31)
                            {
                                this.ani = 0;
                                this.frame = 0;
                            }
                        }
                        if(this.ani == -2)
                        {
                            if(this.jumpHeight >= 0)
                            {
                                this.y -= this.jumpHeight;
                                this.jumpHeight -= 1; 
                            }
                            if(map10.hitTest(this.x+45,this.y+65))
                            {
                                if(this.frame <= 32)
                                {
                                    this.frame = 33;
                                }
                                
                                if(this.age % 4 === 0)
                                {
                                    if(this.health >> 0)
                                    {
                                        this.frame ++;
                                        if(this.frame >> 35)
                                        {
                                            this.ani = 0;
                                        }
                                    }
                                    else
                                    {
                                        if(game.lives >> 0)
                                        {
                                            this.x = 0;
                                            this.y = 0;
                                            this.health = 4;
                                            game.lives --;
                                            this.ani = -1;
                                        }
                                        else
                                        {
                                            game.pushScene(gameOverScreen);
                                        }
                                    }
                                }
                            }
                            else
                            {
                                if(this.scaleX == 1)
                                {
                                    if(!map7.hitTest(this.x+20,this.y+60) && this.x >= 10)
                                    {
                                        this.x -= this.moveSpeed*2;
                                    }
                                }
                                if(this.scaleX == -1)
                                {
                                    if(!map7.hitTest(this.x+55,this.y+60))
                                    {
                                        this.x += this.moveSpeed*2;
                                    }
                                }
                                this.frame = 32;
                            }
                        }
                        if(this.ani == 0)
                        {
                            if(map10.hitTest(this.x+45,this.y+65))
                            {
                                if(!game.input.right && !game.input.left)
                                {
                                    if(this.age % 4 === 0)
                                    {
                                        this.frame ++;
                                        if(this.frame >= 3)
                                        {
                                            this.frame = 0;
                                        }
                                    }
                                }
                            }
                            else
                            {
                                this.frame = 10;
                            }
                            if(game.input.right && !game.input.left)
                            {
                                //Movement
                                if(!map10.hitTest(this.x+55,this.y+60))
                                {
                                    this.x += this.moveSpeed;
                                    this.scaleX = 1;
                                    //Animation
                                    if(map10.hitTest(this.x+30,this.y+65))
                                    {
                                        if(this.age % 3 === 0)
                                        {
                                            if(this.frame <= 3)
                                            {
                                                this.frame = 4;
                                            }
                                            else
                                            {
                                                if(this.frame >= 7)
                                                {
                                                    this.frame = 4;
                                                }
                                                else
                                                {
                                                    this.frame ++;
                                                }
                                            }
                                        }
                                    }
                                }
                                else
                                {
                                    if(map10.checkTile(this.x+55,this.y+60) == 18)
                                    {
                                        this.x += this.moveSpeed;
                                        this.y -= 5;
                                    }
                                }
                                
                            }
                            if(!game.input.right && game.input.left)
                            {
                                //Movement
                                if(!map10.hitTest(this.x+20,this.y+60) && this.x >= 10)
                                {
                                    this.x -= this.moveSpeed;
                                    this.scaleX = -1;
                                    //Animation
                                    if(map10.hitTest(this.x+30,this.y+65))
                                    {
                                        if (this.age % 3 === 0)
                                        {
                                            if(this.frame <= 3)
                                            {
                                                this.frame = 4;
                                            }
                                            else
                                            {
                                                if(this.frame >= 7)
                                                {
                                                    this.frame = 4;
                                                }
                                                else
                                                {
                                                    this.frame ++;
                                                }
                                            }
                                        }
                                    }
                                }
                                else
                                {
                                    if(map10.checkTile(this.x+20,this.y+60) == 20)
                                    {
                                        this.x -= this.moveSpeed;
                                        this.y -= 5;
                                    }
                                }
                            }
                            //Attack
                            if(game.input.b)
                            {
                                if(this.bPress == false)
                                {
                                    this.bPress = true;
                                    game.sfx = game.assets['audio/sfx/slash.wav'];
                                    game.sfx.play();
                                    if(map10.hitTest(this.x+43.5,this.y+65))
                                    {
                                        if(!game.input.left && !game.input.right)
                                        {
                                            if(this.randomizer == 1)
                                            {
                                                this.ani = 1;
                                            }
                                            else
                                            {
                                                this.ani = 1.5
                                            }
                                        }
                                        else
                                        {
                                            this.ani = 2;
                                        }
                                    }
                                    else
                                    {
                                        this.ani = 3;
                                    }
                                }
                            }
                            else
                            {
                                this.bPress = false;
                            }
                            //Jump
                            if(game.input.a)
                            {
                                if(map10.hitTest(this.x+43.5,this.y+55))
                                {
                                    if(this.jumpHeight >= 12)
                                    {
                                        this.y -= this.jumpHeight * 1.5
                                        this.jumpHeight -= 1;
                                    }
                                }
                                else
                                {
                                    if(this.jumpHeight >= 1)
                                    {
                                        if(!map10.hitTest(this.x+43.5,this.y-10))
                                        {
                                            this.y -= this.jumpHeight * 1.15;
                                            this.jumpHeight -= 1;
                                            if(this.jumpHeight >= 3)
                                            {
                                                this.frame = 9;
                                            }
                                            if(this.jumpHeight >= 5)
                                            {
                                                this.frame = 8;
                                            }
                                        }
                                        else
                                        {
                                            this.jumpHeight = 0;
                                        }
                                    }
                                    if(map10.hitTest(this.x+60,this.y+20))
                                    {
                                        if(this.jumpHeight <= 5)
                                        {
                                            this.scaleX = -1;
                                            this.ani = .5
                                            this.jumpHeight = 12;
                                            this.y -= 5;
                                        }
                                    }
                                    if(map10.hitTest(this.x+15,this.y+20))
                                    {
                                        if(this.jumpHeight <= 5)
                                        {
                                            this.scaleX = 1;
                                            this.ani = .5
                                            this.jumpHeight = 12;
                                            this.y -= 5;
                                        }
                                    }
                                }
                            }
                        }
                        //Wall Jump
                        if(this.ani == .5)
                        {
                            this.frame = 8
                            this.x += this.scaleX * this.moveSpeed;
                            this.y -= this.jumpHeight * 1.25;
                            this.jumpHeight -= 1;
                            if(this.jumpHeight == 0)
                            {
                                this.ani = 0;
                            }
                        }
                        //Slash 1
                        if(this.ani == 1)
                        {
                            if(this.frame <= 10)
                            {
                                this.frame = 11;
                            }
                            if(this.age % 1 === 0)
                            {
                                if(this.frame >= 14)
                                {
                                    this.ani = 0;
                                }
                                else
                                {
                                    this.frame ++;
                                }
                            }
                        }
                        //Slash 2
                        if(this.ani == 1.5)
                        {
                            if(this.frame <= 14)
                            {
                                this.frame = 15;
                            }
                            if(this.age % 1 === 0)
                            {
                                if(this.frame >= 18)
                                {
                                    this.ani = 0;
                                }
                                else
                                {
                                    this.frame ++;
                                }
                            }
                        }
                        //Spin Slash
                        if(this.ani == 2)
                        {
                            if(this.frame < 21)
                            {
                                this.frame = 21;
                            }
                            if(this.age % 2 === 0)
                            {
                                this.frame ++;
                            }
                            if(this.frame > 23)
                            {
                                this.ani = 0;
                                this.frame = 0;
                            }
                            if(this.scaleX == 1)
                            {
                                if(!map10.hitTest(this.x+55,this.y+60))
                                {
                                    this.x += this.scaleX * this.moveSpeed;
                                }
                                else
                                {
                                    if(map10.checkTile(this.x+55,this.y+60) == 0)
                                    {
                                        this.x += this.moveSpeed;
                                        this.y -= 5;
                                    }
                                }
                            }
                            if(this.scaleX == -1)
                            {
                                if(!map10.hitTest(this.x+20,this.y+60))
                                {
                                    this.x -= this.moveSpeed;
                                }
                                else
                                {
                                    if(map10.checkTile(this.x+20,this.y+60) == 2)
                                    {
                                        this.x -= this.moveSpeed;
                                        this.y -= 5;
                                    }
                                }
                            }
                        }
                        //Aerial Slash
                        if(this.ani == 3)
                        {
                            if(!map10.hitTest(this.x+43.5,this.y+60))
                            {
                                if(this.frame <= 23)
                                {
                                    this.frame = 24;
                                }
                                if(this.frame >= 27)
                                {
                                    this.ani = 0;
                                }
                                if(this.age % 2 === 0)
                                {
                                    this.frame ++;
                                }
                                if(game.input.right)
                                {
                                    if(!map10.hitTest(this.x+55,this.y+60))
                                    {
                                        this.x += this.scaleX * this.moveSpeed;
                                    }
                                }
                                if(game.input.left)
                                {
                                    if(!map10.hitTest(this.x+20,this.y+60))
                                    {
                                        this.x += this.scaleX * this.moveSpeed;
                                    }
                                }

                            }
                            else
                            {
                                this.ani = 0;
                            }
                        }
                        //Pole Swing
                        if(this.ani == 5)
                        {
                            this.jumpHeight = 8;
                            if(this.frame <= 39)
                            {
                                this.frame = 40;
                            }
                            if(this.age % 5 === 0)
                            {
                                if(this.frame >= 43)
                                {
                                    this.frame = 40;
                                }
                                else
                                {
                                    this.frame ++;
                                }
                            }
                            if(game.input.a)
                            {
                                if(this.frame == 40)
                                {
                                    this.ani = 0.25
                                }
                                if(this.frame == 41)
                                {
                                    this.ani = 0.15
                                }
                                if(this.frame == 42)
                                {
                                    this.ani = 0.15
                                }
                                if(this.frame == 43)
                                {
                                    this.ani = 0.25
                                }
                                
                            }
                        }
                        //Pole Jump Forward
                        if(this.ani == 0.15)
                        {
                            if(this.jumpHeight >= 1)
                            {
                                this.y -= this.jumpHeight * 1.25;
                                this.jumpHeight --;
                                this.x += this.scaleX * 6;
                                if(this.frame <= 43)
                                {
                                    this.frame = 44;
                                }
                                if(this.age % 4 === 0)
                                {
                                    if(this.frame <= 47)
                                    {
                                        this.frame ++;
                                    }
                                }
                            }
                            else
                            {
                                this.ani = 0;
                            }
                        }
                        //Pole Jump Backward
                        if(this.ani == 0.25)
                        {
                            if(this.jumpHeight >= 1)
                            {
                                this.y -= this.jumpHeight * 1.25;
                                this.jumpHeight --;
                                this.x -= this.scaleX * 6;
                            }
                            else
                            {
                                this.ani = 0;
                            }
                        }
                    }
                });

                //Scene Events
                this.addEventListener('enterframe', function(e) {
                    var x = Math.min((game.width  - 16) / 2 - pll.x, 0);
                    var y = Math.min((game.height - 16) / 2 - pll.y, 0);
                    x = Math.max(game.width,  x + map10.width)  - map10.width;
                    y = Math.max(game.height, y + map10.height) - map10.height;
                    stage9.x = x;
                    stage9.y = y;

                    if(pll.y >= 368)
                    {
                        if(game.lives >> 0)
                        {
                            pll.x = 0;
                            pll.y = 150;
                            pll.health = 4;
                            game.lives --;
                        }
                        else
                        {
                            stage9.removeChild(pll);
                            game.pushScene(gameOverScreen);
                        }
                    }
                    
                });

                }
            });
            var EgyptCutscene = Class.create(Scene, {
                initialize: function(){
                    console.log("Egypt Cutscene!");
                    Scene.apply(this);
                    game.scene = 10;

                    var Bg = new Sprite(432,243);
                    Bg.image = game.assets['img/bg/egyptscene_bg.png'];

                    var lloydFg = new Sprite(200, 243);
                    lloydFg.image = game.assets['img/cin/cin-lloyd.png'];

                    var pod = new Sprite(60,120);
                    pod.image = game.assets['img/cin/pod.png'];
                    pod.x = 250;
                    pod.y = 50;
                    pod.frame = 1;

                    var lura = new Lura();
                    lura.frame = 19;
                    lura.x = 254.5;
                    lura.y = 58;

                    var gorillaOne = new Gorilla();
                    gorillaOne.x = 200;
                    gorillaOne.y = 100;

                    var gorillaTwo = new Gorilla();
                    gorillaTwo.x = 350;
                    gorillaTwo.y = 100;
                    gorillaTwo.scaleX = -1;

                    var diaBox = Dialogue();
                    diaBox.line = 1;
                    voice1 = new Label();
                    voice2 = new Label();

                    //SFX
                    warpOne = new Sprite(87,63);
                    warpOne.image = game.assets['img/sfx/warp.png'];
                    warpOne.x = gorillaOne.x;
                    warpOne.y = gorillaOne.y;
                    warpOne.frame = -1;
                    //SFX
                    warpTwo = new Sprite(87,63);
                    warpTwo.image = game.assets['img/sfx/warp.png'];
                    warpTwo.x = gorillaTwo.x;
                    warpTwo.y = gorillaTwo.y;
                    warpTwo.frame = -1;
                    //SFX
                    warp3 = new Sprite(87,63);
                    warp3.image = game.assets['img/sfx/warp.png'];
                    warp3.x = lura.x - 15;
                    warp3.y = lura.y + 30;
                    warp3.frame = -1;

                    this.addChild(Bg);
                    this.addChild(pod);
                    this.addChild(lura);
                    this.addChild(gorillaOne);
                    this.addChild(gorillaTwo);
                    this.addChild(lloydFg);
                    this.addChild(diaBox);
                    this.addChild(voice1);
                    this.addChild(voice2);
                    this.addChild(warpOne);
                    this.addChild(warpTwo);
                    this.addChild(warp3);

                    diaBox.addEventListener(Event.ENTER_FRAME,function(){
                        voice1.x = this.x;
                        voice1.y = this.y + 10;
                        voice2.x = this.x;
                        voice2.y = this.y + 26;
                        this.sceneAction = false;

                        if(this.line == 1)
                        {
                            this.frame = 0;
                            this.x = gorillaOne.x - 25;
                            this.y = gorillaOne.y - 48;
                            voice1.text = "Is the princess ready for transport?"
                            
                        }

                        if(this.line == 2)
                        {
                            this.frame = 0;
                            this.scaleX = -1;
                            this.x = gorillaTwo.x - 170;
                            this.y = gorillaTwo.y - 48;
                            voice1.text = "Affirmative."
                        }

                        if(this.line == 3)
                        {
                            this.frame = 0;
                            this.scaleX = 1;
                            this.x = gorillaOne.x - 25;
                            this.y = gorillaOne.y - 48;
                            voice1.text = "Wonderful. Commander Kronos will"
                            voice2.text = "surely extract the power from her."
                        }

                        if(this.line == 4)
                        {
                            this.frame = 0;
                            this.x = gorillaOne.x - 25;
                            this.y = gorillaOne.y - 48;
                            voice1.text = "As for the trap...?"
                            voice2.text = ""
                        }

                        if(this.line == 5)
                        {
                            this.frame = 0;
                            this.scaleX = -1;
                            this.x = gorillaTwo.x - 170;
                            this.y = gorillaTwo.y - 48;
                            voice1.text = "We have troops and Robogorillas"
                            voice2.text = "deployed in the Pryamid of Khufu."
                        }

                        if(this.line == 6)
                        {
                            this.frame = 0;
                            voice1.text = "Though I don't understand why the"
                            voice2.text = "Commander would go in there too."
                        }

                        if(this.line == 7)
                        {
                            this.frame = 0;
                            this.x = gorillaOne.x - 25;
                            this.y = gorillaOne.y - 48;
                            this.scaleX = 1;
                            voice1.text = "You never went fishing, did you?"
                            voice2.text = ""
                        }

                        if(this.line == 8)
                        {
                            this.frame = 0;
                            voice1.text = "The Commander is the bait that"
                            voice2.text = "makes the trap irresitible."
                        }

                        if(this.line == 9)
                        {
                            this.frame = 0;
                            this.scaleX = -1;
                            this.x = gorillaTwo.x - 170;
                            this.y = gorillaTwo.y - 48;
                            voice1.text = "But both Titans and Project Atlas"
                            voice2.text = "were destroyed by the Amazonian."
                        }

                        if(this.line == 10)
                        {
                            this.frame = 0;
                            this.scaleX = 1;
                            this.x = gorillaOne.x - 25;
                            this.y = gorillaOne.y - 48;
                            voice1.text = "Just take her to base and let the"
                            voice2.text = "Commander take care of that bastard."
                                if(warpOne.age % 3 === 0)
                                {
                                    if(warpOne.frame <= 0)
                                    {
                                        warpOne.frame ++;
                                    }
                                    else
                                    {
                                        warpOne.frame = 0;
                                    }
                                }

                                if(warpTwo.age % 3 === 0)
                                {
                                    if(warpTwo.frame <= 0)
                                    {
                                        warpTwo.frame ++;
                                    }
                                    else
                                    {
                                        warpTwo.frame = 0;
                                    }
                                }

                                if(warp3.age % 3 === 0)
                                {
                                    if(warp3.frame <= 0)
                                    {
                                        warp3.frame ++;
                                    }
                                    else
                                    {
                                        warp3.frame = 0;
                                    }
                                }
                            }

                            if(this.line == 11)
                            {
                                this.frame = -1;
                                this.scaleX = 1;
                                this.x = lloydFg.x;
                                this.y = lloydFg.y + 45;
                                voice1.text = "";
                                voice2.text = "";
                                lura.frame = -1;
                                pod.frame = -1;
                                gorillaOne.frame = -1;
                                gorillaTwo.frame = -1;
                                this.sceneAction = true;
                                lloydFg.frame = 1;

                                if(this.age % 3 === 0)
                                {
                                    if(warpOne.frame <= 2 && warpOne.frame >= 0)
                                    {
                                        warpOne.frame ++;
                                    }
                                    else
                                    {
                                        warpOne.frame = -1;
                                    }

                                    if(warpTwo.frame <= 2 && warpTwo.frame >= 0)
                                    {
                                        warpTwo.frame ++;
                                    }
                                    else
                                    {
                                        warpTwo.frame = -1;
                                    }

                                    if(warp3.frame <= 2 && warp3.frame >= 0)
                                    {
                                        warp3.frame ++;
                                    }
                                    else
                                    {
                                        warp3.frame = -1;
                                        this.line = 12;
                                    }
                                }
                            }

                            if(this.line == 12)
                            {
                                this.frame = 0;
                                this.scaleX = 1;
                                lloydFg.frame = 0;
                                this.x = lloydFg.x + 100;
                                this.y = lloydFg.y + 45;
                                voice1.text = "... A trap at the Pyramid of Khufu, eh?";
                                voice2.text = "";
                            }

                            if(this.line == 13)
                            {
                                this.frame = 0;
                                this.scaleX = 1;
                                voice1.text = "Arnie, do you know where it is?";
                                voice2.text = "";
                            }

                            if(this.line == 14)
                            {
                                this.frame = 1;
                                if(this.age % 2 === 0)
                                {
                                    if(this.opacity == 1)
                                    {
                                        this.opacity = 0.5;
                                    }
                                    else
                                    {
                                        this.opacity = 1;
                                    }
                                }
                                voice1.text = "J--- he-- d--- e-s- fr-- where ...";
                                voice2.text = "Ja-m--g. Fan-----------c.";
                            }

                            if(this.line == 15)
                            {
                                this.frame = 0;
                                this.opacity = 1;
                                this.scaleX = 1;
                                voice1.text = "I'm just gonna hope he said";
                                voice2.text = "'due east from where I am.'";
                            }
                            if(this.line == 16)
                            {
                                game.pushScene(levelTen);
                                game.bgm = game.assets['audio/bgm/Egyptrocks.mp3']; // background music
                                game.musicTimer = 3300;
                                game.bgm.play();
                            }
                    });
                }
            });

            var EgyptTwo = Class.create(Scene, {
                initialize: function(){

                    console.log("Egypt Two!");
                    Scene.apply(this);

                    game.scene = 12;

                    var map11 = new Map(32,16);
                    map11.image = game.assets['img/tiles.png'];

                    map11.loadData(
                        [
                         /*00,01,02,03,04,05,06,07,08,09,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,*/
                    /*00*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,22,22,22,22,22,22,22,],
                    /*01*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,22,22,22,22,22,22,22,],
                    /*02*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,22,22,22,22,22,22,22,],
                    /*03*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,22,22,22,22,22,22,22,],
                    /*04*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,22,22,22,22,22,22,22,],
                    /*05*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,22,22,22,22,22,22,22,],
                    /*06*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,22,22,22,22,22,22,22,],
                    /*07*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,22,22,22,22,22,22,22,],
                    /*08*/[19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,-1,-1,-1,19,19,19,19,19,19,19,19,19,22,22,22,22,22,22,22,],
                    /*09*/[22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,-1,-1,-1,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,],
                    /*10*/[22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,-1,-1,-1,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,],
                    /*11*/[22,22,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,22,-1,-1,-1,-1,-1,-1,-1,-1,22,22,22,22,22,22,22,],
                    /*12*/[22,22,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,22,-1,-1,-1,-1,-1,-1,-1,-1,22,22,22,22,22,22,22,],
                    /*13*/[22,22,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,22,-1,-1,-1,-1,-1,-1,-1,-1,22,22,22,22,22,22,22,],
                    /*14*/[22,22,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,22,-1,-1,-1,-1,-1,-1,-1,-1,22,22,22,22,22,22,22,],
                    /*15*/[22,22,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,22,-1,-1,-1,-1,-1,-1,-1,-1,22,22,22,22,22,22,22,],
                    /*16*/[22,22,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,22,22,22,22,-1,-1,-1,-1,-1,-1,-1,-1,22,22,22,22,22,22,22,],
                    /*17*/[22,22,-1,22,-1,-1,-1,-1,-1,22,22,-1,22,-1,22,22,22,22,22,-1,-1,-1,-1,-1,-1,-1,-1,22,22,22,22,22,22,22,],
                    /*18*/[22,22,-1,22,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,22,22,22,22,22,22,22,],
                    /*19*/[22,22,-1,22,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,22,22,22,22,22,22,22,],
                    /*20*/[22,22,-1,22,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,22,22,22,22,22,22,22,],
                    /*21*/[22,22,-1,22,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,22,22,22,22,22,22,22,],
                    /*22*/[22,22,-1,22,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,22,22,22,22,22,22,22,],
                    /*23*/[22,22,-1,22,-1,-1,-1,-1,-1,-1,30,31,32,30,31,32,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,22,22,22,22,22,22,22,],
                    /*24*/[22,22,-1,22,-1,-1,-1,-1,-1,-1,22,22,22,22,22,22,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,22,22,22,22,22,22,22,],
                    /*25*/[22,22,22,22,22,22,-1,-1,-1,-1,22,22,22,22,22,22,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,22,22,22,22,22,22,22,],
                    /*26*/[22,22,22,22,22,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,22,22,22,22,22,22,22,],
                    /*27*/[22,22,-1,22,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,22,22,22,22,22,22,22,],
                    /*28*/[22,22,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,22,22,22,22,22,22,22,],
                    /*29*/[22,22,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,22,22,22,22,22,22,22,],
                    /*30*/[22,22,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,22,22,22,22,22,22,22,],
                    /*31*/[22,22,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,22,22,22,22,22,22,22,],
                    /*32*/[22,22,22,22,22,22,22,22,22,22,22,22,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,22,],
                    /*33*/[22,22,22,22,22,22,22,22,22,22,22,22,-1,22,-1,22,-1,22,-1,22,-1,22,-1,22,-1,-1,-1,-1,-1,-1,-1,-1,-1,22,],
                    /*34*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,22,30,31,32,30,31,32,30,31,32,30,31,22,-1,-1,-1,-1,-1,-1,-1,-1,-1,22,],
                    /*35*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,22,22,22,22,22,22,22,22,22,22,22,22,22,-1,-1,-1,-1,-1,-1,-1,-1,-1,22,],
                    /*36*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,22,],
                    /*37*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,22,],
                    /*39*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,22,],
                    /*40*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,22,],
                    /*41*/[22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,],
                        ]
                    );

                    var bg = new Sprite(1056,656);
                    bg.image = game.assets['img/bg/egypt2_bg1.png'];

                    playerLloyd = new Lloyd();
                    playerLloyd.owner = 0;

                    gorillaOne = new Gorilla();
                    gorillaOne.x = 400;

                    gorillaTwo = new Gorilla();
                    gorillaTwo.x = 288;
                    gorillaTwo.y = 200;
                    gorillaTwo.scaleX = 1;

                    gorillaThree = new Gorilla();
                    gorillaThree.x = 320;
                    gorillaThree.y = 444;

                    var dialBox = Dialogue();
                    dialBox.line = 0;
                    dialBox.sceneAction = true;

                    voice1 = new Label();
                    voice2 = new Label();

                    kronos = new Kronos();
                    kronos.x = 992;
                    kronos.y = 576;
                    kronos.scaleX = -1;

                    portalFX = new Sprite(90,70)
                    portalFX.image = game.assets['img/sfx/portal.png'];
                    portalFX.frame = 0;

                    var portal = new Portal();
                    portal.x = 800;
                    portal.y = 64;

                    warpOne = new Sprite(87,63);
                    warpOne.image = game.assets['img/sfx/warp.png'];
                    warpOne.x = kronos.x;
                    warpOne.y = kronos.y;

                    transitionFX2 = new Transition();

                    var stage10 = new Group();
                    stage10.addChild(bg);
                    stage10.addChild(map11);
                    stage10.addChild(playerLloyd);
                    stage10.addChild(gorillaOne);
                    stage10.addChild(gorillaTwo);
                    stage10.addChild(gorillaThree);
                    stage10.addChild(kronos);
                    stage10.addChild(portal);

                    this.addChild(stage10);

                    var hud = new HUD();
                    this.addChild(hud);
                    hud.addEventListener(Event.ENTER_FRAME, function(){
                        this.frame = playerLloyd.health;
                    });
                    var livesCount = new Label("x " + game.lives);
                    livesCount.x = 131;
                    this.addChild(livesCount);
                    livesCount.addEventListener(Event.ENTER_FRAME, function(){
                        this.text = "x " + game.lives;
                    });

                    playerLloyd.addEventListener(Event.ENTER_FRAME, function(){
                    this.randomizer = Math.round(Math.random());
                    if(this.intersect(portal))
                    {
                        if(this.x + 32 >= (portal.x))
                        {
                            this.x -= 10;
                            stage10.removeChild(portal);
                            game.pushScene(specialTwo);
                        }
                    }

                    if(this.ani <= 4)
                    {
                        this.y += 5;
                    }
                    if(map11.hitTest(this.x+45,this.y+60))
                    {
                        this.y-= 5;
                        if(this.ani >= -1)
                        {
                            this.jumpHeight = 12;
                        }
                    }
                    
                    if (this.owner == 0)
                    {
                        if(this.x >= 736 && this.y >= 560)
                        {
                            this.owner = 1;
                            stage10.addChild(dialBox);
                            stage10.addChild(voice1);
                            stage10.addChild(voice2);
                            game.scene = 13;
                        }
                        if(this.ani == -1)
                        {
                            this.x -= this.scaleX * 4.5;
                            if(this.frame < 28)
                            {
                                this.frame = 28;
                            }
                            if(this.age % 1 === 0)
                            {
                                this.frame ++;
                            }
                            if(this.frame > 31)
                            {
                                this.ani = 0;
                                this.frame = 0;
                            }
                        }
                        if(this.ani == -2)
                        {
                            if(this.jumpHeight >= 0)
                            {
                                this.y -= this.jumpHeight;
                                this.jumpHeight -= 1; 
                            }
                            if(map11.hitTest(this.x+45,this.y+65))
                            {
                                if(this.frame <= 32)
                                {
                                    this.frame = 33;
                                }
                                
                                if(this.age % 4 === 0)
                                {
                                    if(this.health >> 0)
                                    {
                                        this.frame ++;
                                        if(this.frame >> 35)
                                        {
                                            this.ani = 0;
                                        }
                                    }
                                    else
                                    {
                                        if(game.lives >> 0)
                                        {
                                            this.x = 0;
                                            this.y = 0;
                                            this.health = 4;
                                            game.lives --;
                                            this.ani = -1;
                                        }
                                        else
                                        {
                                            game.pushScene(gameOverScreen);
                                        }
                                    }
                                }
                            }
                            else
                            {
                                if(this.scaleX == 1)
                                {
                                    if(!map11.hitTest(this.x+20,this.y+60) && this.x >= 10)
                                    {
                                        this.x -= this.moveSpeed*2;
                                    }
                                }
                                if(this.scaleX == -1)
                                {
                                    if(!map11.hitTest(this.x+55,this.y+60))
                                    {
                                        this.x += this.moveSpeed*2;
                                    }
                                }
                                this.frame = 32;
                            }
                        }
                        if(this.ani == 0)
                        {
                            if(map11.checkTile(this.x+45, this.y+65) >= 30)
                            {
                                this.health = 0;
                                this.ani = -2;
                                this.jumpHeight = 0;
                            }
                            if(map11.hitTest(this.x+45,this.y+65))
                            {
                                if(!game.input.right && !game.input.left)
                                {
                                    if(this.age % 4 === 0)
                                    {
                                        this.frame ++;
                                        if(this.frame >= 3)
                                        {
                                            this.frame = 0;
                                        }
                                    }
                                }
                            }
                            else
                            {
                                this.frame = 10;
                            }
                            if(game.input.right && !game.input.left)
                            {
                                //Movement
                                if(!map11.hitTest(this.x+55,this.y+60))
                                {
                                    this.x += this.moveSpeed;
                                    this.scaleX = 1;
                                    //Animation
                                    if(map11.hitTest(this.x+30,this.y+65))
                                    {
                                        if(this.age % 3 === 0)
                                        {
                                            if(this.frame <= 3)
                                            {
                                                this.frame = 4;
                                            }
                                            else
                                            {
                                                if(this.frame >= 7)
                                                {
                                                    this.frame = 4;
                                                }
                                                else
                                                {
                                                    this.frame ++;
                                                }
                                            }
                                        }
                                    }
                                }
                                else
                                {
                                    if(map11.checkTile(this.x+55,this.y+60) == 18)
                                    {
                                        this.x += this.moveSpeed;
                                        this.y -= 5;
                                    }
                                }
                                
                            }
                            if(!game.input.right && game.input.left)
                            {
                                //Movement
                                if(!map11.hitTest(this.x+20,this.y+60) && this.x >= 10)
                                {
                                    this.x -= this.moveSpeed;
                                    this.scaleX = -1;
                                    //Animation
                                    if(map11.hitTest(this.x+30,this.y+65))
                                    {
                                        if(this.age % 3 === 0)
                                        {
                                            if(this.frame <= 3)
                                            {
                                                this.frame = 4;
                                            }
                                            else
                                            {
                                                if(this.frame >= 7)
                                                {
                                                    this.frame = 4;
                                                }
                                                else
                                                {
                                                    this.frame ++;
                                                }
                                            }
                                        }
                                    }
                                }
                                else
                                {
                                    if(map11.checkTile(this.x+20,this.y+60) == 20)
                                    {
                                        this.x -= this.moveSpeed;
                                        this.y -= 5;
                                    }
                                }
                            }
                            //Attack
                            if(game.input.b)
                            {
                                if(this.bPress == false)
                                {
                                    this.bPress = true;
                                    game.sfx = game.assets['audio/sfx/slash.wav'];
                                    game.sfx.play();
                                    if(map11.hitTest(this.x+43.5,this.y+65))
                                    {
                                        if(!game.input.left && !game.input.right)
                                        {
                                            if(this.randomizer == 1)
                                            {
                                                this.ani = 1;
                                            }
                                            else
                                            {
                                                this.ani = 1.5
                                            }
                                        }
                                        else
                                        {
                                            this.ani = 2;
                                        }
                                    }
                                    else
                                    {
                                        this.ani = 3;
                                    }
                                }
                            }
                            else
                            {
                                this.bPress = false;
                            }
                            //Jump
                            if(game.input.a)
                            {
                                if(map11.hitTest(this.x+43.5,this.y+55))
                                {
                                    if(this.jumpHeight >= 12)
                                    {
                                        this.y -= this.jumpHeight * 1.5
                                        this.jumpHeight -= 1;
                                    }
                                }
                                else
                                {
                                    if(this.jumpHeight >= 1)
                                    {
                                        if(!map11.hitTest(this.x+43.5,this.y-10))
                                        {
                                            this.y -= this.jumpHeight * 1.15;
                                            this.jumpHeight -= 1;
                                            if(this.jumpHeight >= 3)
                                            {
                                                this.frame = 9;
                                            }
                                            if(this.jumpHeight >= 5)
                                            {
                                                this.frame = 8;
                                            }
                                        }
                                        else
                                        {
                                            this.jumpHeight = 0;
                                        }
                                    }
                                    if(map11.hitTest(this.x+60,this.y+20))
                                    {
                                        if(this.jumpHeight <= 5)
                                        {
                                            this.scaleX = -1;
                                            this.ani = .5
                                            this.jumpHeight = 12;
                                            this.y -= 5;
                                        }
                                    }
                                    if(map11.hitTest(this.x+15,this.y+20))
                                    {
                                        if(this.jumpHeight <= 5)
                                        {
                                            this.scaleX = 1;
                                            this.ani = .5
                                            this.jumpHeight = 12;
                                            this.y -= 5;
                                        }
                                    }
                                }
                            }
                        }
                        //Wall Jump
                        if(this.ani == .5)
                        {
                            this.frame = 8
                            this.x += this.scaleX * this.moveSpeed;
                            this.y -= this.jumpHeight * 1.25;
                            this.jumpHeight -= 1;
                            if(this.jumpHeight == 0)
                            {
                                this.ani = 0;
                            }
                        }
                        //Slash 1
                        if(this.ani == 1)
                        {
                            if(this.frame <= 10)
                            {
                                this.frame = 11;
                            }
                            if(this.age % 1 === 0)
                            {
                                if(this.frame >= 14)
                                {
                                    this.ani = 0;
                                }
                                else
                                {
                                    this.frame ++;
                                }
                            }
                        }
                        //Slash 2
                        if(this.ani == 1.5)
                        {
                            if(this.frame <= 14)
                            {
                                this.frame = 15;
                            }
                            if(this.age % 1 === 0)
                            {
                                if(this.frame >= 18)
                                {
                                    this.ani = 0;
                                }
                                else
                                {
                                    this.frame ++;
                                }
                            }
                        }
                        //Spin Slash
                        if(this.ani == 2)
                        {
                            if(this.frame < 21)
                            {
                                this.frame = 21;
                            }
                            if(this.age % 2 === 0)
                            {
                                this.frame ++;
                            }
                            if(this.frame > 23)
                            {
                                this.ani = 0;
                                this.frame = 0;
                            }
                            if(this.scaleX == 1)
                            {
                                if(!map11.hitTest(this.x+55,this.y+60))
                                {
                                    this.x += this.scaleX * this.moveSpeed;
                                }
                                else
                                {
                                    if(map11.checkTile(this.x+55,this.y+60) == 0)
                                    {
                                        this.x += this.moveSpeed;
                                        this.y -= 5;
                                    }
                                }
                            }
                            if(this.scaleX == -1)
                            {
                                if(!map11.hitTest(this.x+20,this.y+60))
                                {
                                    this.x -= this.moveSpeed;
                                }
                                else
                                {
                                    if(map11.checkTile(this.x+20,this.y+60) == 2)
                                    {
                                        this.x -= this.moveSpeed;
                                        this.y -= 5;
                                    }
                                }
                            }
                        }
                        //Aerial Slash
                        if(this.ani == 3)
                        {
                            if(!map11.hitTest(this.x+43.5,this.y+60))
                            {
                                if(this.frame <= 23)
                                {
                                    this.frame = 24;
                                }
                                if(this.frame >= 27)
                                {
                                    this.ani = 0;
                                }
                                if(this.age % 2 === 0)
                                {
                                    this.frame ++;
                                }
                                if(game.input.right)
                                {
                                    if(!map11.hitTest(this.x+55,this.y+60))
                                    {
                                        this.x += this.scaleX * this.moveSpeed;
                                    }
                                }
                                if(game.input.left)
                                {
                                    if(!map11.hitTest(this.x+20,this.y+60))
                                    {
                                        this.x += this.scaleX * this.moveSpeed;
                                    }
                                }

                            }
                            else
                            {
                                this.ani = 0;
                            }
                        }
                        //Pole Swing
                        if(this.ani == 5)
                        {
                            this.jumpHeight = 8;
                            if(this.frame <= 39)
                            {
                                this.frame = 40;
                            }
                            if(this.age % 5 === 0)
                            {
                                if(this.frame >= 43)
                                {
                                    this.frame = 40;
                                }
                                else
                                {
                                    this.frame ++;
                                }
                            }
                            if(game.input.a)
                            {
                                if(this.frame == 40)
                                {
                                    this.ani = 0.25
                                }
                                if(this.frame == 41)
                                {
                                    this.ani = 0.15
                                }
                                if(this.frame == 42)
                                {
                                    this.ani = 0.15
                                }
                                if(this.frame == 43)
                                {
                                    this.ani = 0.25
                                }
                                
                            }
                        }
                        //Pole Jump Forward
                        if(this.ani == 0.15)
                        {
                            if(this.jumpHeight >= 1)
                            {
                                this.y -= this.jumpHeight * 1.25;
                                this.jumpHeight --;
                                this.x += this.scaleX * 6;
                                if(this.frame <= 43)
                                {
                                    this.frame = 44;
                                }
                                if(this.age % 4 === 0)
                                {
                                    if(this.frame <= 47)
                                    {
                                        this.frame ++;
                                    }
                                }
                            }
                            else
                            {
                                this.ani = 0;
                            }
                        }
                        //Pole Jump Backward
                        if(this.ani == 0.25)
                        {
                            if(this.jumpHeight >= 1)
                            {
                                this.y -= this.jumpHeight * 1.25;
                                this.jumpHeight --;
                                this.x -= this.scaleX * 6;
                            }
                            else
                            {
                                this.ani = 0;
                            }
                        }
                    }
                });

                //Enemy 1
                gorillaOne.addEventListener(Event.ENTER_FRAME, function(){
                    this.y += 5;
                    if(map11.hitTest(this.x+45,this.y+60)){
                        this.y-= 5;
                        this.jumpHeight = 12;
                    }
                    if(this.ani == -1)
                    {
                        if(this.frame <= 11)
                        {
                            this.frame = 12;
                        }
                        if(this.frame >= 15)
                        {
                            this.ani = 0;
                        }
                        if(this.age % 2 === 0)
                        {
                            this.frame ++;
                            this.x -= this.scaleX*4;
                        }
                    }
                    if(this.ani == 0)
                    {
                        this.scaleX = -1;
                        
                        //Punching Lloyd
                        if(this.intersect(playerLloyd))
                        {
                            if(playerLloyd.ani <= 0)
                            {
                                if(playerLloyd.x <= this.x - 44)
                                {
                                    this.scaleX = -1;
                                }
                                if(playerLloyd.x >= this.x + 32)
                                {
                                    this.scaleX = 1;
                                }
                                if(playerLloyd.x >= this.x-44)
                                {
                                    this.ani = 1;
                                    if(playerLloyd.health >> 0)
                                    {
                                        playerLloyd.ani = -1;
                                        playerLloyd.health --;
                                    }
                                    else
                                    {
                                        playerLloyd.ani = -2;
                                    }
                                }
                            }
                            else
                            {
                                if(this.health >> 0)
                                {
                                    this.ani = -1;
                                    this.health --;
                                }
                            }
                        }
                        if(playerLloyd.health == 0 && playerLloyd.ani == -2)
                        {
                            this.ani = 2;
                        }
                    }
                    if(this.ani == 1)
                    {
                        if(this.frame <= 5)
                        {
                            this.frame = 5;
                        }
                        if(this.frame >= 8)
                        {
                            this.ani = 0;
                            this.frame = 0;
                        }
                        else
                        {
                            this.frame ++;
                        }
                    }
                    if(this.ani == 2)
                    {
                        if(this.age % 3 === 0)
                        {
                            this.frame ++;
                            if(this.frame >= 5)
                            {
                                if(playerLloyd.ani == -2)
                                {
                                    this.frame = 3;
                                }
                                else
                                {
                                    this.ani = 0;
                                    this.frame = 0;
                                }
                            }
                        }
                    }
                });

                //Enemy 1
                gorillaTwo.addEventListener(Event.ENTER_FRAME, function(){
                    this.y += 5;
                    if(map11.hitTest(this.x+45,this.y+60)){
                        this.y-= 5;
                        this.jumpHeight = 12;
                    }
                    if(this.ani == -1)
                    {
                        if(this.frame <= 11)
                        {
                            this.frame = 12;
                        }
                        if(this.frame >= 15)
                        {
                            this.ani = 0;
                        }
                        if(this.age % 2 === 0)
                        {
                            this.frame ++;
                            this.x -= this.scaleX*4;
                        }
                    }
                    if(this.ani == 0)
                    {
                        this.scaleX = 1;
                        
                        //Punching Lloyd
                        if(this.intersect(playerLloyd))
                        {
                            if(playerLloyd.ani <= 0)
                            {
                                if(playerLloyd.x <= this.x+16)
                                {
                                    this.ani = 1;
                                    if(playerLloyd.health >> 0)
                                    {
                                        playerLloyd.ani = -1;
                                        playerLloyd.health --;
                                    }
                                    else
                                    {
                                        playerLloyd.ani = -2;
                                    }
                                }
                            }
                            else
                            {
                                if(this.health >> 0)
                                {
                                    this.ani = -1;
                                    this.health --;
                                }
                            }
                        }
                        if(playerLloyd.health == 0 && playerLloyd.ani == -2)
                        {
                            this.ani = 2;
                        }
                    }
                    if(this.ani == 1)
                    {
                        if(this.frame <= 5)
                        {
                            this.frame = 5;
                        }
                        if(this.frame >= 8)
                        {
                            this.ani = 0;
                            this.frame = 0;
                        }
                        else
                        {
                            this.frame ++;
                        }
                    }
                    if(this.ani == 2)
                    {
                        if(this.age % 3 === 0)
                        {
                            this.frame ++;
                            if(this.frame >= 5)
                            {
                                if(playerLloyd.ani == -2)
                                {
                                    this.frame = 3;
                                }
                                else
                                {
                                    this.ani = 0;
                                    this.frame = 0;
                                }
                            }
                        }
                    }
                });

                //Enemy 1
                gorillaThree.addEventListener(Event.ENTER_FRAME, function(){
                    this.y += 5;
                    if(map11.hitTest(this.x+45,this.y+60)){
                        this.y-= 5;
                        this.jumpHeight = 12;
                    }
                    if(this.ani == -1)
                    {
                        if(this.frame <= 11)
                        {
                            this.frame = 12;
                        }
                        if(this.frame >= 15)
                        {
                            this.ani = 0;
                        }
                        if(this.age % 2 === 0)
                        {
                            this.frame ++;
                            this.x -= this.scaleX*4;
                        }
                    }
                    if(this.ani == 0)
                    {
                        this.scaleX = -1;
                        if(playerLloyd.y >= 432 && this.x >= 64)
                        {
                            this.x -= 4;
                            if(this.age % 2 === 0)
                            {
                                if(this.frame <= 7)
                                {
                                    this.frame = 8;
                                }
                                else
                                {
                                    if(this.frame <= 10)
                                    {
                                        this.frame ++;
                                    }
                                    else
                                    {
                                        this.frame = 8;
                                    }
                                }
                            }
                        }
                        else
                        {
                            this.frame = 0;
                        }
                        
                        //Punching Lloyd
                        if(this.intersect(playerLloyd))
                        {
                            if(playerLloyd.ani <= 0)
                            {
                                if(playerLloyd.x >= this.x-44)
                                {
                                    this.ani = 1;
                                    if(playerLloyd.health >> 0)
                                    {
                                        playerLloyd.ani = -1;
                                        playerLloyd.health --;
                                    }
                                    else
                                    {
                                        playerLloyd.ani = -2;
                                    }
                                }
                            }
                            else
                            {
                                if(this.health >> 0)
                                {
                                    this.ani = -1;
                                    this.health --;
                                }
                            }
                        }
                        if(playerLloyd.health == 0 && playerLloyd.ani == -2)
                        {
                            this.ani = 2;
                        }
                    }
                    if(this.ani == 1)
                    {
                        if(this.frame <= 5)
                        {
                            this.frame = 5;
                        }
                        if(this.frame >= 8)
                        {
                            this.ani = 0;
                            this.frame = 0;
                        }
                        else
                        {
                            this.frame ++;
                        }
                    }
                    if(this.ani == 2)
                    {
                        if(this.age % 3 === 0)
                        {
                            this.frame ++;
                            if(this.frame >= 5)
                            {
                                if(playerLloyd.ani == -2)
                                {
                                    this.frame = 3;
                                }
                                else
                                {
                                    this.ani = 0;
                                    this.frame = 0;
                                }
                            }
                        }
                    }
                });

                //Scene Events
                this.addEventListener('enterframe', function(e) {
                    if(game.musicTimer >= 1)
                    {
                        game.musicTimer --;
                    }
                    else
                    {
                        game.musicTimer = 3300;
                        game.bgm.play();
                    }
                    if(game.scene <= 12)
                    {
                        var x = Math.min((game.width  - 16) / 2 - playerLloyd.x, 0);
                        var y = Math.min((game.height - 16) / 2 - playerLloyd.y, 0);
                        x = Math.max(game.width,  x + map11.width)  - map11.width;
                        y = Math.max(game.height, y + map11.height) - map11.height;
                        stage10.x = x;
                        stage10.y = y;
                    }
                    if(game.scene == 13)
                    {
                        var x = Math.min((game.width  - 16) / 2 - kronos.x, 0);
                        var y = Math.min((game.height - 16) / 2 - kronos.y, 0);
                        x = Math.max(game.width,  x + map11.width)  - map11.width;
                        y = Math.max(game.height, y + map11.height) - map11.height;
                        stage10.x = x;
                        stage10.y = y;
                    }
                    if(dialBox.line == 14)
                    {
                        if(playerLloyd.intersect(portalFX))
                        {
                            this.addChild(transitionFX2);
                        }
                    }
                    if(transitionFX2.frame >= 5)
                    {
                        game.bgm = game.assets['audio/bgm/Chrynoble_final.mp3']; // background music
                        game.musicTimer = 2625;
                        game.bgm.play();
                        game.scene = 14;
                        game.pushScene(levelEleven);
                    }
                });

                dialBox.addEventListener(Event.ENTER_FRAME,function(){
                        voice1.x = this.x;
                        voice1.y = this.y + 10;
                        voice2.x = this.x;
                        voice2.y = this.y + 26;

                        if(game.scene == 13)
                        {
                            if(this.line == 0)
                            {
                                this.line = 1;
                                this.frame = 0;
                                playerLloyd.frame = 0;
                            }

                            if(this.line == 1)
                            {
                                this.sceneAction = false;
                                this.x = kronos.x - 125;
                                this.y = kronos.y - 48;
                                this.scaleX = -1;
                                voice1.text = "Stronger than I thought... Well then,"
                                voice2.text = "greetings, Amazonian."
                            }
                            if(this.line == 2)
                            {
                                this.x = playerLloyd.x - 25;
                                this.y = playerLloyd.y - 48;
                                this.scaleX = 1;
                                voice1.text = "Who are you?"
                                voice2.text = ""
                            }
                            if(this.line == 3)
                            {
                                this.x = kronos.x - 125;
                                this.y = kronos.y - 48;
                                this.scaleX = -1;
                                voice1.text = "You may call me Kronos. I am the"
                                voice2.text = "Commander of these troops."
                            }
                            if(this.line == 4)
                            {
                                this.x = playerLloyd.x - 25;
                                this.y = playerLloyd.y - 48;
                                this.scaleX = 1;
                                voice1.text = "So it was you..."
                                voice2.text = "You're the one behind all this."
                            }
                            if(this.line == 5)
                            {
                                this.x = kronos.x - 125;
                                this.y = kronos.y - 48;
                                this.scaleX = -1;
                                voice1.text = "Indeed. Thanks to the princess,"
                                voice2.text = "we are one step closer to our goal."
                            }
                            if(this.line == 6)
                            {
                                this.x = playerLloyd.x - 25;
                                this.y = playerLloyd.y - 48;
                                this.scaleX = 1;
                                voice1.text = "Bastard... You killed so many people"
                                voice2.text = "and you don't care."
                            }
                            if(this.line == 7)
                            {
                                this.x = kronos.x - 125;
                                this.y = kronos.y - 48;
                                this.scaleX = -1;
                                voice1.text = "You realize the society you're"
                                voice2.text = "fighting for developed in the same way."
                            }
                            if(this.line == 8)
                            {
                                this.x = kronos.x - 125;
                                this.y = kronos.y - 48;
                                this.scaleX = -1;
                                voice1.text = "Humans are only good for causing"
                                voice2.text = "pain before being inevitably purged."
                            }
                            if(this.line == 9)
                            {
                                this.sceneAction = true;
                                this.x = playerLloyd.x - 25;
                                this.y = playerLloyd.y - 48;
                                this.scaleX = 1;
                                voice1.text = "Shut up!"
                                voice2.text = ""
                                if(playerLloyd.intersect(kronos))
                                {
                                    this.line = 9.5;
                                }
                                else
                                {
                                    playerLloyd.x += playerLloyd.moveSpeed;
                                    if(playerLloyd.age % 3 === 0)
                                    {
                                        if(playerLloyd.frame <= 3)
                                        {
                                            playerLloyd.frame = 4;
                                        }
                                        else
                                        {
                                            if(playerLloyd.frame >= 7)
                                            {
                                                playerLloyd.frame = 4;
                                            }
                                            else
                                            {
                                                playerLloyd.frame ++;
                                            }
                                        }
                                    }
                                }
                            }
                            if(this.line == 9.5)
                            {
                                this.frame = -1;
                                voice1.text = "";
                                
                                if(playerLloyd.x >= 992)
                                {
                                    this.line = 10;
                                    kronos.x = 864;
                                    kronos.scaleX = 1;
                                }
                                else
                                {
                                    playerLloyd.x += 6;
                                }
                                if(playerLloyd.age % 2 === 0)
                                {
                                    if(playerLloyd.frame <= 20)
                                    {
                                        playerLloyd.frame = 21;
                                    }
                                    else
                                    {
                                        if(playerLloyd.frame <= 22)
                                        {
                                            playerLloyd.frame ++
                                        }
                                        else
                                        {
                                            playerLloyd.frame = 21;
                                        }
                                    }
                                }
                            }
                            if(this.line == 10)
                            {
                                this.sceneAction = false;
                                playerLloyd.scaleX = 1;
                                playerLloyd.frame = 0;

                                this.x = playerLloyd.x - 125;
                                this.y = playerLloyd.y - 48;
                                this.frame = 0;
                                this.scaleX = -1;
                                voice1.text = "What the...?!"
                            }
                            if(this.line == 11)
                            {
                                playerLloyd.scaleX = -1;
                                playerLloyd.frame = 0;

                                this.x = kronos.x - 25;
                                this.y = kronos.y - 48;
                                this.frame = 0;
                                this.scaleX = 1;
                                voice1.text = "Pathetic."
                            }
                            if(this.line == 12)
                            {
                                stage10.addChild(warpOne);
                                this.x = kronos.x - 25;
                                this.y = kronos.y - 48;
                                this.frame = 0;
                                this.scaleX = 1;
                                voice1.text = "If you still wish to fight me,"
                                voice2.text = "come to our base in Chernobyl."
                                this.timer = 10;
                            }
                            if(this.line == 13)
                            {
                                this.sceneAction = true;
                                voice1.text = ""
                                voice2.text = ""
                                this.frame = -1;
                                portalFX.x = kronos.x;
                                portalFX.y = kronos.y;
                                stage10.addChild(portalFX);
                                stage10.removeChild(kronos);
                                game.bgm.stop();
                                if(this.timer >= 1)
                                {
                                    this.timer --;
                                }
                                else
                                {
                                    this.line = 14;
                                }
                            }
                            if(this.line == 14)
                            {
                                if(playerLloyd.x <= portalFX.x + 16)
                                {
                                    stage10.removeChild(playerLloyd);
                                }
                                else
                                {
                                    playerLloyd.x -= 4;
                                    if(playerLloyd.age % 3 === 0)
                                    {
                                        if(playerLloyd.frame <= 3)
                                        {
                                            playerLloyd.frame = 4;
                                        }
                                        else
                                        {
                                            if(playerLloyd.frame >= 7)
                                            {
                                                playerLloyd.frame = 4;
                                            }
                                            else
                                            {
                                                playerLloyd.frame ++;
                                            }
                                        }
                                    }
                                }
                            }
                        }
                    });
                    
                    portalFX.addEventListener(Event.ENTER_FRAME, function(){
                        if(this.age % 3 === 0)
                        {
                            if(this.frame == 3)
                            {
                                this.frame = 2;
                                if(this.line == 13)
                                {
                                    this.line = 14;
                                }
                            }
                            else
                            {
                                this.frame ++;
                            }
                        }
                    });
                }
            });

            var ChernobylOne = Class.create(Scene, {
                initialize: function(){

                    console.log("Chernobyl One!");
                    Scene.apply(this);

                    var map12 = new Map(32,16);
                    map12.image = game.assets['img/tiles.png'];

                    map12.loadData(
                        [
                         /*00,01,02,03,04,05,06,07,08,09,10,11,12,13,14,15,16,17,*/
                    /*00*/[16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,],
                    /*01*/[16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,],
                    /*02*/[16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,],
                    /*03*/[16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,],
                    /*04*/[16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,],
                    /*05*/[16,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,],
                    /*06*/[13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,-1,-1,16,],
                    /*07*/[16,16,16,16,16,16,16,16,16,16,16,16,16,16,-1,-1,-1,16,],
                    /*08*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,-1,-1,-1,16,],
                    /*09*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,],
                    /*10*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,],
                    /*11*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,],
                    /*12*/[16,-1,-1,13,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,],
                    /*13*/[16,-1,-1,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,],
                    /*14*/[16,-1,-1,16,-1,-1,-1,13,13,13,13,13,-1,13,-1,-1,13,13,],
                    /*15*/[16,-1,-1,16,-1,-1,-1,16,16,16,16,16,-1,-1,-1,-1,-1,-1,],
                    /*16*/[16,-1,-1,-1,-1,-1,-1,16,16,16,16,16,-1,-1,-1,-1,-1,-1,],
                    /*17*/[16,-1,-1,-1,-1,-1,-1,16,16,16,16,16,-1,-1,-1,-1,-1,-1,],
                    /*18*/[16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                    /*19*/[16,-1,-1,16,-1,13,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                    /*20*/[16,-1,-1,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                    /*21*/[16,-1,-1,16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,],
                    /*22*/[16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,13,],
                    /*23*/[16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,],
                    /*24*/[16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,],
                    /*25*/[-1,-1,-1,13,13,13,13,-1,-1,13,-1,-1,16,16,-1,-1,-1,16,],
                    /*26*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,-1,-1,-1,16,],
                    /*27*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,-1,-1,-1,16,],
                    /*28*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,16,-1,-1,-1,16,],
                    /*29*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,],
                    /*30*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,],
                    /*31*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,],
                    /*32*/[-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,13,16,16,16,16,-1,-1,16,],
                    /*33*/[-1,-1,-1,-1,-1,-1,-1,-1,13,13,16,16,16,16,16,-1,-1,16,],
                    /*34*/[13,13,13,13,13,13,13,-1,16,16,16,16,16,16,16,-1,-1,16,],
                    
                        ]
                    );
                    
                    playerLl = new Lloyd();
                    playerLl.owner = 0;
                    playerLl.y = 480;

                    psychBG = new Sprite(432,243);
                    psychBG.image = game.assets['img/bg/chernobyl1_bg2.png'];

                    intBG = new Sprite(576,560);
                    intBG.image = game.assets['img/bg/chernobyl1_bg.png'];

                    kronosDummy = new Kronos();
                    kronosDummy.x = 96;

                    dialBox = new Dialogue();
                    dialBox.line = 0;
                    dialBox.sceneAction = true;
                    game.scene = 14;

                    bomb = new Sprite(32,16);
                    bomb.image = game.assets['img/sfx/bomb.png'];
                    bomb.x = 384;
                    bomb.y = 90;

                    voice1 = new Label();
                    voice2 = new Label();

                    stage11 = new Group();
                    stage11.addChild(intBG);
                    stage11.addChild(map12);
                    stage11.addChild(playerLl);
                    stage11.addChild(bomb);

                    this.addChild(psychBG);
                    this.addChild(stage11);

                    var hud = new HUD();
                    this.addChild(hud);
                    hud.addEventListener(Event.ENTER_FRAME, function(){
                        this.frame = playerLl.health;
                    });
                    var livesCount = new Label("x " + game.lives);
                    livesCount.x = 131;
                    this.addChild(livesCount);
                    livesCount.addEventListener(Event.ENTER_FRAME, function(){
                        this.text = "x " + game.lives;
                    });

                    kronosDummy.addEventListener(Event.ENTER_FRAME, function(){
                        this.y += 5;
                        if(map12.hitTest(this.x+45,this.y+60))
                        {
                            this.y -= 5;
                        }
                    })

                    playerLl.addEventListener(Event.ENTER_FRAME, function(){
                        this.randomizer = Math.round(Math.random());
                        if(this.ani <= 4)
                        {
                            this.y += 5;
                        }
                        if(map12.hitTest(this.x+45,this.y+60))
                        {
                            this.y-= 5;
                            if(this.ani >= -1)
                            {
                                this.jumpHeight = 12;
                            }
                        }
                        
                        if (this.owner == 0)
                        {
                            if(this.ani == -1)
                            {
                                this.x -= this.scaleX * 4.5;
                                if(this.frame < 28)
                                {
                                    this.frame = 28;
                                }
                                if(this.age % 1 === 0)
                                {
                                    this.frame ++;
                                }
                                if(this.frame > 31)
                                {
                                    this.ani = 0;
                                    this.frame = 0;
                                }
                            }
                            if(this.ani == -2)
                            {
                                if(this.jumpHeight >= 0)
                                {
                                    this.y -= this.jumpHeight;
                                    this.jumpHeight -= 1; 
                                }
                                if(map12.hitTest(this.x+45,this.y+65))
                                {
                                    if(this.frame <= 32)
                                    {
                                        this.frame = 33;
                                    }
                                    
                                    if(this.age % 4 === 0)
                                    {
                                        if(this.health >> 0)
                                        {
                                            this.frame ++;
                                            if(this.frame >> 35)
                                            {
                                                this.ani = 0;
                                            }
                                        }
                                        else
                                        {
                                            if(game.lives >> 0)
                                            {
                                                this.x = 0;
                                                this.y = 0;
                                                this.health = 4;
                                                game.lives --;
                                                this.ani = -1;
                                            }
                                            else
                                            {
                                                game.pushScene(gameOverScreen);
                                            }
                                        }
                                    }
                                }
                                else
                                {
                                    if(this.scaleX == 1)
                                    {
                                        if(!map12.hitTest(this.x+20,this.y+60) && this.x >= 10)
                                        {
                                            this.x -= this.moveSpeed*2;
                                        }
                                    }
                                    if(this.scaleX == -1)
                                    {
                                        if(!map12.hitTest(this.x+55,this.y+60))
                                        {
                                            this.x += this.moveSpeed*2;
                                        }
                                    }
                                    this.frame = 32;
                                }
                            }
                            if(this.ani == 0)
                            {
                                if(map12.checkTile(this.x+45, this.y+65) >= 30)
                                {
                                    this.health = 0;
                                    this.ani = -2;
                                    this.jumpHeight = 0;
                                }
                                if(map12.hitTest(this.x+45,this.y+65))
                                {
                                    if(!game.input.right && !game.input.left)
                                    {
                                        if(this.age % 4 === 0)
                                        {
                                            this.frame ++;
                                            if(this.frame >= 3)
                                            {
                                                this.frame = 0;
                                            }
                                        }
                                    }
                                }
                                else
                                {
                                    this.frame = 10;
                                }
                                if(game.input.right && !game.input.left)
                                {
                                    //Movement
                                    if(!map12.hitTest(this.x+55,this.y+60))
                                    {
                                        this.x += this.moveSpeed;
                                        this.scaleX = 1;
                                        //Animation
                                        if(map12.hitTest(this.x+30,this.y+65))
                                        {
                                            if(this.age % 3 === 0)
                                            {
                                                if(this.frame <= 3)
                                                {
                                                    this.frame = 4;
                                                }
                                                else
                                                {
                                                    if(this.frame >= 7)
                                                    {
                                                        this.frame = 4;
                                                    }
                                                    else
                                                    {
                                                        this.frame ++;
                                                    }
                                                }
                                            }
                                        }
                                    }
                                    else
                                    {
                                        if(map12.checkTile(this.x+55,this.y+60) == 18)
                                        {
                                            this.x += this.moveSpeed;
                                            this.y -= 5;
                                        }
                                    }
                                    
                                }
                                if(!game.input.right && game.input.left)
                                {
                                    //Movement
                                    if(!map12.hitTest(this.x+20,this.y+60) && this.x >= 10)
                                    {
                                        this.x -= this.moveSpeed;
                                        this.scaleX = -1;
                                        //Animation
                                        if(map12.hitTest(this.x+30,this.y+65))
                                        {
                                            if(this.age % 3 === 0)
                                            {
                                                if(this.frame <= 3)
                                                {
                                                    this.frame = 4;
                                                }
                                                else
                                                {
                                                    if(this.frame >= 7)
                                                    {
                                                        this.frame = 4;
                                                    }
                                                    else
                                                    {
                                                        this.frame ++;
                                                    }
                                                }
                                            }
                                        }
                                    }
                                    else
                                    {
                                        if(map12.checkTile(this.x+20,this.y+60) == 20)
                                        {
                                            this.x -= this.moveSpeed;
                                            this.y -= 5;
                                        }
                                    }
                                }
                                //Attack
                                if(game.input.b)
                                {
                                    if(this.bPress == false)
                                    {
                                        this.bPress = true;
                                        game.sfx = game.assets['audio/sfx/slash.wav'];
                                        game.sfx.play();
                                        if(map12.hitTest(this.x+43.5,this.y+65))
                                        {
                                            if(!game.input.left && !game.input.right)
                                            {
                                                if(this.randomizer == 1)
                                                {
                                                    this.ani = 1;
                                                }
                                                else
                                                {
                                                    this.ani = 1.5
                                                }
                                            }
                                            else
                                            {
                                                this.ani = 2;
                                            }
                                        }
                                        else
                                        {
                                            this.ani = 3;
                                        }
                                    }
                                }
                                else
                                {
                                    this.bPress = false;
                                }
                                //Jump
                                if(game.input.a)
                                {
                                    if(map12.hitTest(this.x+43.5,this.y+55))
                                    {
                                        if(this.jumpHeight >= 12)
                                        {
                                            this.y -= this.jumpHeight * 1.5
                                            this.jumpHeight -= 1;
                                        }
                                    }
                                    else
                                    {
                                        if(this.jumpHeight >= 1)
                                        {
                                            if(!map12.hitTest(this.x+43.5,this.y-10))
                                            {
                                                this.y -= this.jumpHeight * 1.15;
                                                this.jumpHeight -= 1;
                                                if(this.jumpHeight >= 3)
                                                {
                                                    this.frame = 9;
                                                }
                                                if(this.jumpHeight >= 5)
                                                {
                                                    this.frame = 8;
                                                }
                                            }
                                            else
                                            {
                                                this.jumpHeight = 0;
                                            }
                                        }
                                        if(map12.hitTest(this.x+60,this.y+20))
                                        {
                                            if(this.jumpHeight <= 5)
                                            {
                                                this.scaleX = -1;
                                                this.ani = .5
                                                this.jumpHeight = 12;
                                                this.y -= 5;
                                            }
                                        }
                                        if(map12.hitTest(this.x+15,this.y+20))
                                        {
                                            if(this.jumpHeight <= 5)
                                            {
                                                this.scaleX = 1;
                                                this.ani = .5
                                                this.jumpHeight = 12;
                                                this.y -= 5;
                                            }
                                        }
                                    }
                                }
                            }
                            //Wall Jump
                            if(this.ani == .5)
                            {
                                this.frame = 8
                                this.x += this.scaleX * this.moveSpeed;
                                this.y -= this.jumpHeight * 1.25;
                                this.jumpHeight -= 1;
                                if(this.jumpHeight == 0)
                                {
                                    this.ani = 0;
                                }
                            }
                            //Slash 1
                            if(this.ani == 1)
                            {
                                if(this.frame <= 10)
                                {
                                    this.frame = 11;
                                }
                                if(this.age % 1 === 0)
                                {
                                    if(this.frame >= 14)
                                    {
                                        this.ani = 0;
                                    }
                                    else
                                    {
                                        this.frame ++;
                                    }
                                }
                            }
                            //Slash 2
                            if(this.ani == 1.5)
                            {
                                if(this.frame <= 14)
                                {
                                    this.frame = 15;
                                }
                                if(this.age % 1 === 0)
                                {
                                    if(this.frame >= 18)
                                    {
                                        this.ani = 0;
                                    }
                                    else
                                    {
                                        this.frame ++;
                                    }
                                }
                            }
                            //Spin Slash
                            if(this.ani == 2)
                            {
                                if(this.frame < 21)
                                {
                                    this.frame = 21;
                                }
                                if(this.age % 2 === 0)
                                {
                                    this.frame ++;
                                }
                                if(this.frame > 23)
                                {
                                    this.ani = 0;
                                    this.frame = 0;
                                }
                                if(this.scaleX == 1)
                                {
                                    if(!map12.hitTest(this.x+55,this.y+60))
                                    {
                                        this.x += this.scaleX * this.moveSpeed;
                                    }
                                    else
                                    {
                                        if(map12.checkTile(this.x+55,this.y+60) == 0)
                                        {
                                            this.x += this.moveSpeed;
                                            this.y -= 5;
                                        }
                                    }
                                }
                                if(this.scaleX == -1)
                                {
                                    if(!map12.hitTest(this.x+20,this.y+60))
                                    {
                                        this.x -= this.moveSpeed;
                                    }
                                    else
                                    {
                                        if(map12.checkTile(this.x+20,this.y+60) == 2)
                                        {
                                            this.x -= this.moveSpeed;
                                            this.y -= 5;
                                        }
                                    }
                                }
                            }
                            //Aerial Slash
                            if(this.ani == 3)
                            {
                                if(!map12.hitTest(this.x+43.5,this.y+60))
                                {
                                    if(this.frame <= 23)
                                    {
                                        this.frame = 24;
                                    }
                                    if(this.frame >= 27)
                                    {
                                        this.ani = 0;
                                    }
                                    if(this.age % 2 === 0)
                                    {
                                        this.frame ++;
                                    }
                                    if(game.input.right)
                                    {
                                        if(!map12.hitTest(this.x+55,this.y+60))
                                        {
                                            this.x += this.scaleX * this.moveSpeed;
                                        }
                                    }
                                    if(game.input.left)
                                    {
                                        if(!map12.hitTest(this.x+20,this.y+60))
                                        {
                                            this.x += this.scaleX * this.moveSpeed;
                                        }
                                    }

                                }
                                else
                                {
                                    this.ani = 0;
                                }
                            }
                            //Pole Swing
                            if(this.ani == 5)
                            {
                                this.jumpHeight = 8;
                                if(this.frame <= 39)
                                {
                                    this.frame = 40;
                                }
                                if(this.age % 5 === 0)
                                {
                                    if(this.frame >= 43)
                                    {
                                        this.frame = 40;
                                    }
                                    else
                                    {
                                        this.frame ++;
                                    }
                                }
                                if(game.input.a)
                                {
                                    if(this.frame == 40)
                                    {
                                        this.ani = 0.25
                                    }
                                    if(this.frame == 41)
                                    {
                                        this.ani = 0.15
                                    }
                                    if(this.frame == 42)
                                    {
                                        this.ani = 0.15
                                    }
                                    if(this.frame == 43)
                                    {
                                        this.ani = 0.25
                                    }
                                    
                                }
                            }
                            //Pole Jump Forward
                            if(this.ani == 0.15)
                            {
                                if(this.jumpHeight >= 1)
                                {
                                    this.y -= this.jumpHeight * 1.25;
                                    this.jumpHeight --;
                                    this.x += this.scaleX * 6;
                                    if(this.frame <= 43)
                                    {
                                        this.frame = 44;
                                    }
                                    if(this.age % 4 === 0)
                                    {
                                        if(this.frame <= 47)
                                        {
                                            this.frame ++;
                                        }
                                    }
                                }
                                else
                                {
                                    this.ani = 0;
                                }
                            }
                            //Pole Jump Backward
                            if(this.ani == 0.25)
                            {
                                if(this.jumpHeight >= 1)
                                {
                                    this.y -= this.jumpHeight * 1.25;
                                    this.jumpHeight --;
                                    this.x -= this.scaleX * 6;
                                }
                                else
                                {
                                    this.ani = 0;
                                }
                            }
                        }
                    });

                    dialBox.addEventListener(Event.ENTER_FRAME,function(){
                        voice1.x = this.x;
                        voice1.y = this.y + 10;
                        voice2.x = this.x;
                        voice2.y = this.y + 26;

                        if(game.scene == 14)
                        {
                            if(this.line == 1)
                            {
                                this.sceneAction = false;
                                if(playerLl.x >= kronos.x + 64)
                                {
                                    playerLl.x -= 4;
                                }
                                else
                                {
                                    this.line = 2;
                                }
                            }
                        }
                    });

                    //Scene Events
                    this.addEventListener('enterframe', function(e) {
                        var x = Math.min((game.width  - 16) / 2 - playerLl.x, 0);
                        var y = Math.min((game.height - 16) / 2 - playerLl.y, 0);
                        x = Math.max(game.width,  x + map12.width)  - map12.width;
                        y = Math.max(game.height, y + map12.height) - map12.height;
                        stage11.x = x;
                        stage11.y = y;

                        if(psychBG.age % 3 === 0)
                        {
                            if(psychBG.frame <= 2)
                            {
                                psychBG.frame ++;
                            }
                            else
                            {
                                psychBG.frame = 0;
                            }
                        }

                        if(game.musicTimer >= 1)
                        {
                            game.musicTimer --;
                        }
                        else
                        {
                            game.bgm.play();
                            
                        }

                        if(playerLl.y >= 544)
                        {
                            if(game.lives >> 0)
                            {
                                playerLl.x = 0;
                                playerLl.y = 480;
                                playerLl.health = 4;
                                game.lives --;
                            }
                            else
                            {
                                stage11.removeChild(playerLl);
                                game.pushScene(gameOverScreen);
                            }
                        }
                        if(playerLl.y <= 96 && playerLl.x <= 352)
                        {
                            game.scene = 16;
                            game.bgm.stop();

                            game.sfx2.audio = ['audio/sfx/explosion01.wav'];
                            game.sfx2.play();

                            game.bgm.audio = ['audio/bgm/Chrynoble_final.mp3'];
                            game.musicTimer = 2625;
                            game.bgm.play();
                            game.pushScene(levelTwelve);
                        }

                        
                    });

                }
            });

            var ChernobylTwo = Class.create(Scene, {
                initialize: function(){

                    console.log("ChernobylTwo");
                    Scene.apply(this);

                    var map13 = new Map(32,16);
                    map13.image = game.assets['img/tiles.png'];

                    map13.loadData(
                        [
                         /*00,01,02,03,04,05,06,07,08,09,10,11,12,13,14,15,16,17,*/
                    /*00*/[16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,],
                    /*01*/[16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,],
                    /*02*/[16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,],
                    /*03*/[16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,],
                    /*04*/[16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,],
                    /*05*/[16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,],
                    /*06*/[16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,],
                    /*07*/[16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,],
                    /*08*/[16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,],
                    /*09*/[16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,],
                    /*10*/[16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,],
                    /*11*/[16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,],
                    /*12*/[16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,],
                    /*13*/[16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,],
                    /*14*/[16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,],
                    /*15*/[16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,],
                    /*16*/[16,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,16,],
                    /*17*/[ 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,],
                    
                        ]
                    );

                    playerLlo = new Lloyd();
                    playerLlo.x = 32;
                    playerLlo.y = -100;

                    kronosBoss = new Kronos();
                    kronosBoss.x = 275;
                    kronosBoss.y = 200;
                    kronosBoss.owner = 1;
                    kronosBoss.ani = 0;

                    dialoBox = new Sprite(214,61);
                    dialoBox.image = game.assets['img/sfx/dialouge-boxes.png'];
                    dialoBox.frame = -1;
                    dialoBox.line = 1;
                    dialoBox.aPress = false;
                    dialoBox.sceneAction = true;

                    sparkOne = new Sprite(32,32);
                    sparkOne.image = game.assets['img/sfx/spark.png'];
                    sparkOne.y = -64;
                    sparkTwo = new Sprite(32,32);
                    sparkTwo.image = game.assets['img/sfx/spark.png'];
                    sparkTwo.y = -64;

                    voiceOne = new Label();
                    voiceTwo = new Label();

                    pod = new Sprite(60,120);
                    pod.image = game.assets['img/cin/pod.png'];
                    pod.x = 448;
                    pod.y = 152;

                    luraEnd = new Lura();
                    luraEnd.frame = 18;
                    luraEnd.scaleX = -1;
                    luraEnd.x = 456;
                    luraEnd.y = 162;

                    var Bg = new Sprite(432,243)
                    Bg.image = game.assets['img/bg/wasteland.png'];

                    game.scene = 16;

                    var stage12 = new Group();
                    this.addChild(Bg);
                    stage12.addChild(map13);
                    stage12.addChild(pod);
                    stage12.addChild(luraEnd);
                    stage12.addChild(kronosBoss);
                    stage12.addChild(dialoBox);
                    stage12.addChild(voiceOne);
                    stage12.addChild(voiceTwo);
                    stage12.addChild(sparkOne);
                    stage12.addChild(sparkTwo);

                    this.addChild(stage12);

                    var hud = new HUD();
                    this.addChild(hud);
                    hud.addEventListener(Event.ENTER_FRAME, function(){
                        this.frame = playerLlo.health;
                    });
                    var livesCount = new Label("x " + game.lives);
                    livesCount.x = 131;
                    this.addChild(livesCount);
                    livesCount.addEventListener(Event.ENTER_FRAME, function(){
                        this.text = "x " + game.lives;
                    });

                    fadeFX = new Sprite(432,243)
                    fadeFX.timer = 150
                    fadeFX.image = game.assets['img/misc/fade.png'];

                    this.addChild(fadeFX);

                    fadeFX.addEventListener(Event.ENTER_FRAME, function(){
                        if(this.timer >= 1)
                        {
                            this.timer --;
                        }
                        else
                        {
                            if(this.opacity >= 0.05)
                            {
                                this.opacity -= 0.05;
                            }
                            else
                            {
                                stage12.addChild(playerLlo);
                            }
                        }
                        
                    });

                    Bg.addEventListener(Event.ENTER_FRAME, function(){
                        if(this.age % 4 === 0)
                        {
                            if(this.frame <= 1)
                            {
                                this.frame ++;
                            }
                            else
                            {
                                this.frame = 0;
                            }
                        }
                        if(this.opacity <= 0.99)
                        {
                            this.opacity += 0.01;
                        }
                    });

                    playerLlo.addEventListener(Event.ENTER_FRAME, function(){
                        this.randomizer = Math.round(Math.random());
                        if(this.ani <= 4)
                        {
                            this.y += 5;
                        }
                        if(map13.hitTest(this.x+45,this.y+60))
                        {
                            this.y-= 5;
                            if(this.ani >= -1)
                            {
                                this.jumpHeight = 12;
                            }
                        }
                        
                        if (this.owner == 0)
                        {
                            if(this.ani == -1)
                            {
                                this.x -= this.scaleX * 4.5;
                                if(this.frame < 28)
                                {
                                    this.frame = 28;
                                }
                                if(this.age % 1 === 0)
                                {
                                    this.frame ++;
                                }
                                if(this.frame > 31)
                                {
                                    this.ani = 0;
                                    this.frame = 0;
                                }
                            }
                            if(this.ani == -2)
                            {
                                if(this.jumpHeight >= 0)
                                {
                                    this.y -= this.jumpHeight;
                                    this.jumpHeight -= 1; 
                                }
                                if(map13.hitTest(this.x+45,this.y+65))
                                {
                                    if(this.frame <= 32)
                                    {
                                        this.frame = 33;
                                    }
                                    
                                    if(this.age % 4 === 0)
                                    {
                                        if(this.health >> 0)
                                        {
                                            this.frame ++;
                                            if(this.frame >> 35)
                                            {
                                                this.ani = 0;
                                            }
                                        }
                                        else
                                        {
                                            if(game.lives >> 0)
                                            {
                                                this.x = 0;
                                                this.y = 0;
                                                this.health = 4;
                                                game.lives --;
                                                this.ani = -1;
                                            }
                                            else
                                            {
                                                game.pushScene(gameOverScreen);
                                            }
                                        }
                                    }
                                }
                                else
                                {
                                    if(this.scaleX == 1)
                                    {
                                        if(!map13.hitTest(this.x+20,this.y+60) && this.x >= 10)
                                        {
                                            this.x -= this.moveSpeed*2;
                                        }
                                    }
                                    if(this.scaleX == -1)
                                    {
                                        if(!map13.hitTest(this.x+55,this.y+60))
                                        {
                                            this.x += this.moveSpeed*2;
                                        }
                                    }
                                    this.frame = 32;
                                }
                            }
                            if(this.ani == 0)
                            {
                                if(map13.hitTest(this.x+45,this.y+65))
                                {
                                    if(!game.input.right && !game.input.left)
                                    {
                                        if(this.age % 4 === 0)
                                        {
                                            this.frame ++;
                                            if(this.frame >= 3)
                                            {
                                                this.frame = 0;
                                            }
                                        }
                                    }
                                }
                                else
                                {
                                    this.frame = 10;
                                }
                                if(game.input.right && !game.input.left)
                                {
                                    //Movement
                                    if(!map13.hitTest(this.x+55,this.y+60))
                                    {
                                        this.x += this.moveSpeed;
                                        this.scaleX = 1;
                                        //Animation
                                        if(map13.hitTest(this.x+30,this.y+65))
                                        {
                                            if(this.age % 3 === 0)
                                            {
                                                if(this.frame <= 3)
                                                {
                                                    this.frame = 4;
                                                }
                                                else
                                                {
                                                    if(this.frame >= 7)
                                                    {
                                                        this.frame = 4;
                                                    }
                                                    else
                                                    {
                                                        this.frame ++;
                                                    }
                                                }
                                            }
                                        }
                                    }
                                    else
                                    {
                                        if(map13.checkTile(this.x+55,this.y+60) == 18)
                                        {
                                            this.x += this.moveSpeed;
                                            this.y -= 5;
                                        }
                                    }
                                    
                                }
                                if(!game.input.right && game.input.left)
                                {
                                    //Movement
                                    if(!map13.hitTest(this.x+20,this.y+60) && this.x >= 10)
                                    {
                                        this.x -= this.moveSpeed;
                                        this.scaleX = -1;
                                        //Animation
                                        if(map13.hitTest(this.x+30,this.y+65))
                                        {
                                            if(this.age % 3 === 0)
                                            {
                                                if(this.frame <= 3)
                                                {
                                                    this.frame = 4;
                                                }
                                                else
                                                {
                                                    if(this.frame >= 7)
                                                    {
                                                        this.frame = 4;
                                                    }
                                                    else
                                                    {
                                                        this.frame ++;
                                                    }
                                                }
                                            }
                                        }
                                    }
                                    else
                                    {
                                        if(map13.checkTile(this.x+20,this.y+60) == 20)
                                        {
                                            this.x -= this.moveSpeed;
                                            this.y -= 5;
                                        }
                                    }
                                }
                                //Attack
                                if(game.input.b)
                                {
                                    if(this.bPress == false)
                                    {
                                        this.bPress = true;
                                        game.sfx = game.assets['audio/sfx/slash.wav'];
                                        game.sfx.play();
                                        if(map13.hitTest(this.x+43.5,this.y+65))
                                        {
                                            if(!game.input.left && !game.input.right)
                                            {
                                                if(this.randomizer == 1)
                                                {
                                                    this.ani = 1;
                                                }
                                                else
                                                {
                                                    this.ani = 1.5
                                                }
                                            }
                                            else
                                            {
                                                this.ani = 2;
                                            }
                                        }
                                        else
                                        {
                                            this.ani = 3;
                                        }
                                    }
                                }
                                else
                                {
                                    this.bPress = false;
                                }
                                //Jump
                                if(game.input.a)
                                {
                                    if(map13.hitTest(this.x+43.5,this.y+55))
                                    {
                                        if(this.jumpHeight >= 12)
                                        {
                                            this.y -= this.jumpHeight * 1.5
                                            this.jumpHeight -= 1;
                                        }
                                    }
                                    else
                                    {
                                        if(this.jumpHeight >= 1)
                                        {
                                            if(!map13.hitTest(this.x+43.5,this.y-10))
                                            {
                                                this.y -= this.jumpHeight * 1.15;
                                                this.jumpHeight -= 1;
                                                if(this.jumpHeight >= 3)
                                                {
                                                    this.frame = 9;
                                                }
                                                if(this.jumpHeight >= 5)
                                                {
                                                    this.frame = 8;
                                                }
                                            }
                                            else
                                            {
                                                this.jumpHeight = 0;
                                            }
                                        }
                                        if(map13.hitTest(this.x+60,this.y+20))
                                        {
                                            if(this.jumpHeight <= 5)
                                            {
                                                this.scaleX = -1;
                                                this.ani = .5
                                                this.jumpHeight = 12;
                                                this.y -= 5;
                                            }
                                        }
                                        if(map13.hitTest(this.x+15,this.y+20))
                                        {
                                            if(this.jumpHeight <= 5)
                                            {
                                                this.scaleX = 1;
                                                this.ani = .5
                                                this.jumpHeight = 12;
                                                this.y -= 5;
                                            }
                                        }
                                    }
                                }
                            }
                            //Wall Jump
                            if(this.ani == .5)
                            {
                                this.frame = 8
                                this.x += this.scaleX * this.moveSpeed;
                                this.y -= this.jumpHeight * 1.25;
                                this.jumpHeight -= 1;
                                if(this.jumpHeight == 0)
                                {
                                    this.ani = 0;
                                }
                            }
                            //Slash 1
                            if(this.ani == 1)
                            {
                                if(this.frame <= 10)
                                {
                                    this.frame = 11;
                                }
                                if(this.age % 1 === 0)
                                {
                                    if(this.frame >= 14)
                                    {
                                        this.ani = 0;
                                    }
                                    else
                                    {
                                        this.frame ++;
                                    }
                                }
                            }
                            //Slash 2
                            if(this.ani == 1.5)
                            {
                                if(this.frame <= 14)
                                {
                                    this.frame = 15;
                                }
                                if(this.age % 1 === 0)
                                {
                                    if(this.frame >= 18)
                                    {
                                        this.ani = 0;
                                    }
                                    else
                                    {
                                        this.frame ++;
                                    }
                                }
                            }
                            //Spin Slash
                            if(this.ani == 2)
                            {
                                if(this.frame < 21)
                                {
                                    this.frame = 21;
                                }
                                if(this.age % 2 === 0)
                                {
                                    this.frame ++;
                                }
                                if(this.frame > 23)
                                {
                                    this.ani = 0;
                                    this.frame = 0;
                                }
                                if(this.scaleX == 1)
                                {
                                    if(!map13.hitTest(this.x+55,this.y+60))
                                    {
                                        this.x += this.scaleX * this.moveSpeed;
                                    }
                                    else
                                    {
                                        if(map13.checkTile(this.x+55,this.y+60) == 0)
                                        {
                                            this.x += this.moveSpeed;
                                            this.y -= 5;
                                        }
                                    }
                                }
                                if(this.scaleX == -1)
                                {
                                    if(!map13.hitTest(this.x+20,this.y+60))
                                    {
                                        this.x -= this.moveSpeed;
                                    }
                                    else
                                    {
                                        if(map13.checkTile(this.x+20,this.y+60) == 2)
                                        {
                                            this.x -= this.moveSpeed;
                                            this.y -= 5;
                                        }
                                    }
                                }
                            }
                            //Aerial Slash
                            if(this.ani == 3)
                            {
                                if(!map13.hitTest(this.x+43.5,this.y+60))
                                {
                                    if(this.frame <= 23)
                                    {
                                        this.frame = 24;
                                    }
                                    if(this.frame >= 27)
                                    {
                                        this.ani = 0;
                                    }
                                    if(this.age % 2 === 0)
                                    {
                                        this.frame ++;
                                    }
                                    if(game.input.right)
                                    {
                                        if(!map13.hitTest(this.x+55,this.y+60))
                                        {
                                            this.x += this.scaleX * this.moveSpeed;
                                        }
                                    }
                                    if(game.input.left)
                                    {
                                        if(!map13.hitTest(this.x+20,this.y+60))
                                        {
                                            this.x += this.scaleX * this.moveSpeed;
                                        }
                                    }

                                }
                                else
                                {
                                    this.ani = 0;
                                }
                            }
                            //Pole Swing
                            if(this.ani == 5)
                            {
                                this.jumpHeight = 8;
                                if(this.frame <= 39)
                                {
                                    this.frame = 40;
                                }
                                if(this.age % 5 === 0)
                                {
                                    if(this.frame >= 43)
                                    {
                                        this.frame = 40;
                                    }
                                    else
                                    {
                                        this.frame ++;
                                    }
                                }
                                if(game.input.a)
                                {
                                    if(this.frame == 40)
                                    {
                                        this.ani = 0.25
                                    }
                                    if(this.frame == 41)
                                    {
                                        this.ani = 0.15
                                    }
                                    if(this.frame == 42)
                                    {
                                        this.ani = 0.15
                                    }
                                    if(this.frame == 43)
                                    {
                                        this.ani = 0.25
                                    }
                                    
                                }
                            }
                            //Pole Jump Forward
                            if(this.ani == 0.15)
                            {
                                if(this.jumpHeight >= 1)
                                {
                                    this.y -= this.jumpHeight * 1.25;
                                    this.jumpHeight --;
                                    this.x += this.scaleX * 6;
                                    if(this.frame <= 43)
                                    {
                                        this.frame = 44;
                                    }
                                    if(this.age % 4 === 0)
                                    {
                                        if(this.frame <= 47)
                                        {
                                            this.frame ++;
                                        }
                                    }
                                }
                                else
                                {
                                    this.ani = 0;
                                }
                            }
                            //Pole Jump Backward
                            if(this.ani == 0.25)
                            {
                                if(this.jumpHeight >= 1)
                                {
                                    this.y -= this.jumpHeight * 1.25;
                                    this.jumpHeight --;
                                    this.x -= this.scaleX * 6;
                                }
                                else
                                {
                                    this.ani = 0;
                                }
                            }
                        }
                    });

                    this.addEventListener(Event.ENTER_FRAME, function()
                    {
                        var x = Math.min((game.width  - 16) / 2 - playerLlo.x, 0);
                        var y = Math.min((game.height - 16) / 2 - playerLlo.y, 0);
                        x = Math.max(game.width,  x + map13.width)  - map13.width;
                        y = Math.max(game.height, y + map13.height) - map13.height;
                        stage12.x = x;
                        stage12.y = y;
                    });

                    kronosBoss.addEventListener(Event.ENTER_FRAME, function(){
                        this.y += 5;
                        if(map13.hitTest(this.x+45,this.y+60))
                        {
                            this.y-= 5;
                        }
                        if(this.owner == 0)
                        {
                            if(this.ani == -2)
                            {
                                if(this.age % 3 === 0)
                                {
                                    if(this.frame <= 11)
                                    {
                                        this.frame = 12;
                                    }
                                    else
                                    {
                                        if(this.frame <= 14)
                                        {
                                            this.frame ++;
                                        }
                                        else
                                        {
                                            stage12.removeChild(this)
                                            dialoBox.line = 5;
                                            playerLlo.owner = 1;
                                            playerLlo.frame = 0;
                                        }
                                    }
                                }
                            }
                            if(this.ani == -1)
                            {
                                this.frame = 12;
                                if(this.x >= 0 && this.x <= 480)
                                {
                                    this.x -= this.scaleX * 5;
                                }
                                else
                                {
                                    this.frame = 0;
                                    this.ani = 1;
                                    game.sfx2 = game.assets['audio/sfx/slash.wav'];
                                    game.sfx2.play();
                                }

                                if(this.timer >= 1)
                                {
                                    this.timer --;
                                }
                                else
                                {
                                    this.ani = 0;
                                    this.timer = 90;
                                    this.frame = 0;
                                }
                            }
                            if(this.ani == 0)
                            {
                                if(playerLlo.x <= this.x - 64)
                                {
                                    this.scaleX = -1;
                                }
                                if(playerLlo.x >= this.x + 64)
                                {
                                    this.scaleX = 1;
                                }
                                if(this.age % 3 === 0)
                                {
                                    if(this.frame <= 2)
                                    {
                                        this.frame ++;
                                    }
                                    if(this.frame >= 3)
                                    {
                                        this.frame = 3;
                                    }
                                }
                                if(this.timer >= 1)
                                {
                                    this.timer --;
                                }
                                else
                                {
                                    this.ani = Math.floor(Math.random() * 4) + 1;
                                    if(this.ani == 1 || this.ani == 2)
                                    {
                                        game.sfx2 = game.assets['audio/sfx/slash.wav'];
                                        game.sfx2.play();
                                    }
                                    this.timer = 30;
                                }

                                if(this.intersect(playerLlo))
                                {
                                    if(playerLlo.ani >= 1)
                                    {
                                        if(this.health >= 2)
                                        {
                                            this.ani = -1;
                                            this.timer = 5;
                                            this.health --;
                                        }
                                        else
                                        {
                                            this.ani = -2;
                                            this.timer = 5;
                                            this.health = 0;
                                        }
                                    }
                                }
                            }
                            if(this.ani == 1)
                            {
                                if(this.x >= 0 && this.x <= 480)
                                {
                                    this.x += (this.scaleX*6);
                                }
                                if(this.age % 3 === 0)
                                {
                                    if(this.frame <= 3)
                                    {
                                        this.frame = 4;
                                    }
                                    else
                                    {
                                        if(this.frame <= 7)
                                        {
                                            this.frame ++;
                                        }
                                        else
                                        {
                                            this.ani = 0;
                                            this.timer = 60;
                                        }
                                    }
                                }
                                if(this.intersect(playerLlo))
                                {
                                    if(playerLlo.y >= this.y - 16)
                                    {
                                        if(playerLlo.ani == 0)
                                        {
                                            playerLlo.ani = -2;
                                            if(playerLlo.health >= 1)
                                            {
                                                playerLlo.health --;
                                            }
                                        }
                                    }
                                }
                            }
                            if(this.ani == 2)
                            {
                                if(this.intersect(playerLlo))
                                {
                                    if(playerLlo.y >= this.y - 16)
                                    {
                                        if(playerLlo.ani == 0)
                                        {
                                            playerLlo.ani = -2;
                                            if(playerLlo.health >= 1)
                                            {
                                                playerLlo.health --;
                                            }
                                        }
                                    }
                                }
                                if(this.timer >= 1)
                                {
                                    this.frame = 9;
                                    this.timer --;
                                    if(this.x >= 0 && this.x <= 480)
                                    {
                                        this.x += (this.scaleX * 4);
                                    }
                                    if(this.timer <= 5)
                                    {
                                        this.frame = 10;
                                    }
                                }
                                else
                                {
                                    this.ani = 0;
                                    this.timer = 60;
                                }
                            }
                            if(this.ani == 3)
                            {
                                this.frame = 11;

                                if(this.intersect(playerLlo))
                                {
                                    if(playerLlo.ani >= 1)
                                    {
                                        if(this.health >= 2)
                                        {
                                            this.ani = -1;
                                            this.timer = 5;
                                            this.health --;
                                        }
                                        else
                                        {
                                            this.ani = -2;
                                            this.timer = 5;
                                            this.health = 0;
                                        }
                                    }
                                }

                                if(this.timer >= 1)
                                {
                                    this.timer --;
                                }
                                else
                                {
                                    if(playerLlo.x >= 0 && playerLlo.x <= 480)
                                    {
                                        this.x = playerLlo.x + 45;
                                    }
                                    this.frame = 3;
                                    this.ani = 1;
                                    game.sfx2 = game.assets['audio/sfx/slash.wav'];
                                    game.sfx2.play();
                                }
                            }
                            if(this.ani == 4)
                            {
                                this.frame = 11;
                                if(this.scaleX == -1)
                                {
                                    sparkOne.x = this.x;
                                    sparkTwo.x = this.x;
                                    sparkOne.y = this.y;
                                    sparkTwo.y = this.y;
                                }
                                else
                                {
                                    sparkOne.x = this.x + 64;
                                    sparkTwo.x = this.x + 64;
                                    sparkOne.y = this.y;
                                    sparkTwo.y = this.y;
                                }
                                if(this.timer >= 1)
                                {
                                    this.timer --;
                                }
                                else
                                {
                                    this.frame = 3;
                                    this.ani = 0;
                                    this.timer = 20;
                                    game.sfx2 = game.assets['audio/sfx/projectile.wav'];
                                    game.sfx2.play();
                                }
                            }
                        }
                    });
                    sparkOne.addEventListener(Event.ENTER_FRAME, function(){
                        this.x += kronosBoss.scaleX * 8;
                        this.y -= 3;
                        if(this.age % 2 === 0)
                        {
                            if(this.frame <= 4)
                            {
                                this.frame ++;
                            }
                            else
                            {
                                this.frame = 0;
                            }
                        }
                        if(this.intersect(playerLlo))
                        {
                            if(playerLlo.ani >= 0)
                            {
                                playerLlo.ani = -2;
                                if(playerLlo.health >= 1)
                                {
                                    playerLlo.health --;
                                }
                            }
                        }
                    });
                    sparkTwo.addEventListener(Event.ENTER_FRAME, function(){
                        this.x += kronosBoss.scaleX * 8;
                        this.y += 3;
                        if(this.age % 2 === 0)
                        {
                            if(this.frame <= 4)
                            {
                                this.frame ++;
                            }
                            else
                            {
                                this.frame = 0;
                            }
                        }
                        if(this.intersect(playerLlo))
                        {
                            if(playerLlo.ani >= 0)
                            {
                                playerLlo.ani = -2;
                                if(playerLlo.health >= 1)
                                {
                                    playerLlo.health --;
                                }
                            }
                        }
                    });

                    dialoBox.addEventListener(Event.ENTER_FRAME, function() {
                        //Input
                        if(game.input.a || game.input.b)
                        {
                            if(this.aPress == false)
                            {
                                if(this.sceneAction == false)
                                {
                                    this.line ++;
                                    this.aPress = true;
                                }
                            }
                        }
                        else
                        {
                            this.aPress = false;
                        }
                        //Cutscenes
                        voiceOne.x = this.x;
                        voiceOne.y = this.y + 10;
                        voiceTwo.x = this.x;
                        voiceTwo.y = this.y + 26;

                        if(game.scene == 16)
                        {
                            if(this.line == 1)
                            {
                                this.x = kronosBoss.x - 32;
                                this.y = kronosBoss.y - 64;
                                this.frame = 0;
                                voiceOne.text = "You're a pesky one, aren't you?";
                                voiceTwo.text = "";

                                if(playerLlo.y >= 200)
                                {
                                    this.sceneAction = false;
                                    playerLlo.frame = 0;
                                    this.line = 2;
                                }
                                else
                                {
                                    playerLlo.frame = 10;
                                }
                            }
                            if(this.line == 2)
                            {
                                this.x = playerLlo.x - 32;
                                this.y = playerLlo.y - 64;
                                this.frame = 0;
                                voiceOne.text = "I don't care what you think about me.";
                                voiceTwo.text = "I came here to rescue my friend.";
                            }
                            if(this.line == 3)
                            {
                                this.frame = 0;
                                voiceOne.text = "I'm not leaving without her.";
                                voiceTwo.text = "";
                            }
                            if(this.line == 4)
                            {
                                this.sceneAction = true;
                                this.line = 4.5;
                                this.frame = -1;
                                voiceOne.text = "";
                                playerLlo.owner = 0;
                                kronosBoss.owner = 0;
                                kronosBoss.ani = 0;
                            }
                            if(this.line == 5)
                            {
                                playerLlo.scaleX = 1;
                                if(playerLlo.x <= luraEnd.x - 64)
                                {
                                    playerLlo.x += 4;
                                    if(playerLlo.age % 3 === 0)
                                    {
                                        if(playerLlo.frame <= 3)
                                        {
                                           playerLlo.frame = 4;
                                        }
                                        else
                                        {
                                            if(playerLlo.frame >= 7)
                                            {
                                                playerLlo.frame = 4;
                                            }
                                            else
                                            {
                                                playerLlo.frame ++;
                                            }
                                        }
                                    }
                                }
                                else
                                {
                                    if(playerLlo.x >= luraEnd.x + 32)
                                    {
                                        playerLlo.scaleX = -1
                                    }
                                    this.line = 6;
                                    this.sceneAction = false;
                                }
                            }
                            if(this.line == 6)
                            {
                                playerLlo.frame = 0;
                                game.bgm.stop();
                                this.x = playerLlo.x - 32;
                                this.y = playerLlo.y - 64;
                                this.frame = 0;
                                voiceOne.text = "Lura? Hey, come on!";
                                voiceTwo.text = "Answer me!";
                            }
                            if(this.line == 7)
                            {
                                this.sceneAction == true;
                                this.scaleX = -1;
                                this.x = luraEnd.x - 120;
                                this.y = luraEnd.y - 64;
                                this.frame = 0;
                                voiceOne.text = "...Lloyd?";
                                voiceTwo.text = "";
                                if(luraEnd.age % 10 === 0)
                                {
                                    if(luraEnd.frame <= 20)
                                    {
                                        luraEnd.frame ++;
                                    }
                                    else
                                    {
                                        this.line = 8;
                                        luraEnd.frame = 0;
                                    }
                                }
                            }
                            if(this.line == 8)
                            {
                                this.sceneAction = false;
                                this.x = playerLlo.x - 32;
                                this.y = playerLlo.y - 100;
                                luraEnd.frame = 0;
                                this.scaleX = 1;
                                this.frame = 0;
                                voiceOne.text = "Thank God I didn't get here";
                                voiceTwo.text = "only to see you get killed.";
                            }
                            if(this.line == 9)
                            {
                                this.sceneAction = false;
                                this.scaleX = -1;
                                this.x = luraEnd.x - 120;
                                this.y = luraEnd.y - 64;
                                this.frame = 0;
                                voiceOne.text = "You... you came all the way here...";
                                voiceTwo.text = "...for me?";
                            }
                            if(this.line == 10)
                            {
                                this.sceneAction = false;
                                this.scaleX = 1;
                                this.x = playerLlo.x - 32;
                                this.y = playerLlo.y - 100;
                                this.frame = 0;
                                voiceOne.text = "Yeah. I take the safety of people who";
                                voiceTwo.text = "live with me very seriously.";
                            }
                            if(this.line == 11)
                            {
                                this.scaleX = 1;
                                this.x = playerLlo.x - 32;
                                this.y = playerLlo.y - 100;
                                playerLlo.scaleX = -1;
                                this.frame = 0;
                                voiceOne.text = "What do you say we get outta this";
                                voiceTwo.text = "dump.";
                            }
                            if(this.line == 12)
                            {
                                this.scaleX = 1;
                                this.x = playerLlo.x - 32;
                                this.y = playerLlo.y - 100;
                                this.frame = 0;
                                voiceOne.text = "A lovely girl like you shouldn't be";
                                voiceTwo.text = "in radiation like this, eh?";
                            }
                            if(this.line == 13)
                            {
                                this.scaleX = -1;
                                this.x = luraEnd.x - 120;
                                this.y = luraEnd.y - 64;
                                this.frame = 0;
                                voiceOne.text = "Ummm... I think it's time I tell";
                                voiceTwo.text = "you something...  ...important.";
                            }
                            if(this.line == 14)
                            {
                                this.scaleX = 1;
                                this.x = playerLlo.x - 32;
                                this.y = playerLlo.y - 100;
                                playerLlo.scaleX = 1;
                                this.frame = 0;
                                voiceOne.text = "What is it?";
                                voiceTwo.text = "";
                            }
                            if(this.line == 15)
                            {
                                this.scaleX = -1;
                                this.x = luraEnd.x - 120;
                                this.y = luraEnd.y - 64;
                                this.frame = 0;
                                voiceOne.text = "Well, the truth is...";
                                voiceTwo.text = "I'm not from this solar system.";
                            }
                            if(this.line == 16)
                            {
                                this.scaleX = -1;
                                this.x = luraEnd.x - 120;
                                this.y = luraEnd.y - 64;
                                this.frame = 0;
                                voiceOne.text = "I... I'm a princess...";
                                voiceTwo.text = "It sounds crazy, doesn't it?";
                            }
                            if(this.line == 17)
                            {
                                this.scaleX = 1;
                                this.x = playerLlo.x - 32;
                                this.y = playerLlo.y - 100;
                                playerLlo.scaleX = 1;
                                this.frame = 0;
                                voiceOne.text = "Not really.";
                                voiceTwo.text = "";
                            }
                            if(this.line == 18)
                            {
                                this.scaleX = 1;
                                this.x = playerLlo.x - 32;
                                this.y = playerLlo.y - 100;
                                playerLlo.scaleX = 1;
                                this.frame = 0;
                                voiceOne.text = "Coming here has shown me some";
                                voiceTwo.text = "pretty weird things.";
                            }
                            if(this.line == 19)
                            {
                                this.scaleX = 1;
                                this.x = playerLlo.x - 32;
                                this.y = playerLlo.y - 100;
                                playerLlo.scaleX = 1;
                                this.frame = 0;
                                voiceOne.text = "I've learned to embrace the possiblites";
                                voiceTwo.text = "of life. Now come on.";
                            }
                            if(this.line == 20)
                            {
                                this.scaleX = 1;
                                this.x = playerLlo.x - 32;
                                this.y = playerLlo.y - 100;
                                playerLlo.scaleX = 1;
                                this.frame = 0;
                                voiceOne.text = "We've got a city to return to.";
                                voiceTwo.text = "";
                            }
                            if(this.line == 21)
                            {
                                this.scaleX = -1;
                                this.x = luraEnd.x - 120;
                                this.y = luraEnd.y - 64;
                                this.frame = 0;
                                voiceOne.text = "Okay. ...I want to thank you, Lloyd.";
                                voiceTwo.text = "For saving my life.";
                            }
                            if(this.line == 22)
                            {
                                this.scaleX = 1;
                                this.x = playerLlo.x - 32;
                                this.y = playerLlo.y - 100;
                                playerLlo.scaleX = 1;
                                this.frame = 0;
                                voiceOne.text = "Don't sweat it. Now let's go home.";
                                voiceTwo.text = "";
                            }
                            if(this.line == 23)
                            {
                                game.pushScene(ending);
                            }
                        }
                    });
                }
            });

            var EndCredits = Class.create(Scene, {
                initialize: function(){
                    console.log("End Credits!");
                    Scene.apply(this);

                    var endImage = new Sprite(432,243);
                    endImage.image = game.assets['img/cin/endimage.png'];
                    endImage.opacity = 0;
                    
                    creditsOne = new Label();
                    creditsOne.y = 243;
                    creditsOne.color = "white";
                    creditsOne.text = "LLOYD THE MONKEY";

                    creditsOne = new Label();
                    creditsOne.y = 243;
                    creditsOne.color = "white";
                    creditsOne.text = "LLOYD THE MONKEY"

                    creditsTwo = new Label();
                    creditsTwo.y = 243;
                    creditsTwo.color = "white";
                    creditsTwo.text = "GAME DIRECTOR - NOAH MEYER"

                    creditsThree = new Label();
                    creditsThree.y = 243;
                    creditsThree.color = "white";
                    creditsThree.text = "GAMEPLAY & LEVEL DESIGN - NOAH MEYER"

                    creditsFour = new Label();
                    creditsFour.y = 243;
                    creditsFour.color = "white";
                    creditsFour.text = "CHARACTER ARTISTS - NOAH MEYER"

                    creditsFourTwo = new Label();
                    creditsFourTwo.x = 152
                    creditsFourTwo.y = 243;
                    creditsFourTwo.color = "white";
                    creditsFourTwo.text = "APRIL ZACKOWSKI"

                    creditsFive = new Label();
                    creditsFive.y = 243;
                    creditsFive.color = "white";
                    creditsFive.text = "STORY - NOAH MEYER"

                    creditsSix = new Label();
                    creditsSix.y = 243;
                    creditsSix.color = "white";
                    creditsSix.text = "PROGRAMMER - NOAH MEYER"

                    creditsSeven = new Label();
                    creditsSeven.y = 243;
                    creditsSeven.color = "white";
                    creditsSeven.text = "PROGRAMMED WITH ENCHANT.JS"

                    creditsEight = new Label();
                    creditsEight.y = 243;
                    creditsEight.color = "white";
                    creditsEight.text = "MUSIC - HUNTER LOBDELL"

                    creditsNine = new Label();
                    creditsNine.y = 243;
                    creditsNine.color = "white";
                    creditsNine.text = ""

                    creditsTen = new Label();
                    creditsTen.y = 243;
                    creditsTen.color = "white";
                    creditsTen.text = "SOUND EFFECTS - QUBODUP, BART"
                    creditsTenTwo = new Label();
                    creditsTenTwo.y = 243;
                    creditsTenTwo.color = "white";
                    creditsTenTwo.text = "ARTHUR AND TECKPOW OF OPENGAMEART"

                    creditsEleven = new Label();
                    creditsEleven.y = 243;
                    creditsEleven.color = "white";
                    creditsEleven.text = "SPECIAL THANKS - SONIC RETRO"
                    creditsElevenTwo = new Label();
                    creditsElevenTwo.x = 128;
                    creditsElevenTwo.y = 243;
                    creditsElevenTwo.color = "white";
                    creditsElevenTwo.text = "RYAN BLOOM OF TSSZ"

                    creditsTwelve = new Label();
                    creditsTwelve.y = 243;
                    creditsTwelve.color = "white";
                    creditsTwelve.text = "\u00A9 2017 MEYER GAMES USA"


                    this.addChild(endImage);
                    this.addChild(creditsOne);
                    this.addChild(creditsTwo);
                    this.addChild(creditsThree);
                    this.addChild(creditsFour);
                    this.addChild(creditsFourTwo);
                    this.addChild(creditsFive);
                    this.addChild(creditsSix);
                    this.addChild(creditsSeven);
                    this.addChild(creditsEight);
                    this.addChild(creditsNine);
                    this.addChild(creditsTen);
                    this.addChild(creditsTenTwo);
                    this.addChild(creditsEleven);
                    this.addChild(creditsElevenTwo);
                    this.addChild(creditsTwelve)


                    this.addEventListener(Event.ENTER_FRAME, function(){
                        endImage.opacity += 0.01;
                        if(endImage.opacity >= 0.99)
                        {
                            creditsOne.y -= 0.5;
                        }
                        if(creditsOne.y <= 182.25)
                        {
                            creditsTwo.y -= 0.5;
                        }
                        if(creditsTwo.y <= 211)
                        {
                            creditsThree.y -= 0.5;
                        }
                        if(creditsThree.y <= 211)
                        {
                            creditsFour.y -= 0.5;
                        }
                        if(creditsFour.y <= 227)
                        {
                            creditsFourTwo.y -= 0.5;
                        }
                        if(creditsFourTwo.y <= 211)
                        {
                            creditsFive.y -= 0.5;
                        }
                        if(creditsFive.y <= 211)
                        {
                            creditsSix.y -= 0.5;
                        }
                        if(creditsSix.y <= 227)
                        {
                            creditsSeven.y -= 0.5;
                        }
                        if(creditsSeven.y <= 211)
                        {
                            creditsEight.y -= 0.5;
                        }
                        if(creditsEight.y <= 211)
                        {
                            creditsNine.y -= 0.5;
                        }
                        if(creditsNine.y <= 211)
                        {
                            creditsTen.y -= 0.5;
                        }
                        if(creditsTen.y <= 227)
                        {
                            creditsTenTwo.y -= 0.5;
                        }
                        if(creditsTenTwo.y <= 211)
                        {
                            creditsEleven.y -= 0.5;
                        }
                        if(creditsEleven.y <= 227)
                        {
                            creditsTwelve.y -= 0.5;
                        }
                        if(creditsTwelve.y <= 0)
                        {
                            location.reload(true);
                        }
                    });

                }
            })

            var SpecialStageOne = Class.create(Scene, {
            initialize: function(){
                
                console.log("Special Stage One");
                Scene.apply(this);
                
                var Gate = new D3Gate();
                var Floor = new D3Floor();
                var D3Player = new D3Lloyd();
                var Jet = new D3Jet();
                var DiamondOne = new Diamond();
                var DiamondTwo = new Diamond();
                var DiamondThree = new Diamond();
                var DiamondFour = new Diamond();
                var DiamondFive = new Diamond();
                var MineOne = new Mine();
                var PearlOne = new Pearl()
                var ScoreDisplay = new Label();
                var fade = new Fade();
                game.score = 0;
                game.scoreGoal = 5;
                ScoreDisplay.text = (game.score + "/" + game.scoreGoal);

                this.addChild(Gate);
                this.addChild(Floor);
                this.addChild(DiamondOne);
                this.addChild(PearlOne);
                this.addChild(DiamondTwo);
                this.addChild(DiamondThree);
                this.addChild(DiamondFour);
                this.addChild(DiamondFive);
                this.addChild(MineOne);
                this.addChild(D3Player);
                this.addChild(ScoreDisplay);

                this.addEventListener(Event.ENTER_FRAME, function(){
                    if(D3Player.scaleX == 1)
                    {
                        this.addChild(Jet);
                        ScoreDisplay.text = (game.score + "/" + game.scoreGoal);
                    }
                    if(Gate.gateTime == 0)
                    {
                        this.removeChild(DiamondOne);
                        this.removeChild(DiamondTwo);
                        this.removeChild(DiamondThree);
                        this.removeChild(DiamondFour);
                        this.removeChild(DiamondFive);
                        this.removeChild(MineOne);
                    }
                    if(D3Player.y >= stgHeight)
                    {
                        this.addChild(fade);
                        fade.ani = 1;
                    }
                    if(D3Player.intersect(PearlOne))
                    {
                        if(PearlOne.scaleX >= 0.9)
                        {
                            game.lives ++;
                            this.removeChild(PearlOne);
                            this.addChild(fade);
                            fade.ani = 1;
                        }
                    }
                    if(fade.opacity >= 0.9)
                    {
                        game.pushScene(levelTwo);
                    }
                });

                D3Player.addEventListener(Event.ENTER_FRAME, function(){
                    //Collision with Jet
                    if(this.ani >= 0)
                    {
                        if(this.intersect(Jet) && (this.y <= Jet.y))
                        {
                            if(this.y + 68 >= Jet.y)
                            {
                                this.y = Jet.y - 58
                                this.ani = 0;
                                this.jumpHeight = 12;
                                this.x = Jet.x + 11;
                            }
                        }
                        else
                        {
                            if(this.ani == 0)
                            {
                                this.ani = 1;
                                this.frame = 5;
                                this.jumpHeight = 0;
                            }
                        }
                    }
                    //Collison with Diamond 1
                    if(this.intersect(DiamondOne))
                    {
                        if(DiamondOne.ani == 0)
                        {
                            if(DiamondOne.scaleX >= .9)
                            {
                                DiamondOne.ani = 1
                                game.score += 1;
                            }
                        }
                    }
                    //Collison with Diamond 2
                    if(this.intersect(DiamondTwo))
                    {
                        if(DiamondTwo.ani == 0)
                        {
                            if(DiamondTwo.scaleX >= .9)
                            {
                                DiamondTwo.ani = 1
                                game.score += 1;
                            }
                        }
                    }
                    //Collison with Diamond 3
                    if(this.intersect(DiamondThree))
                    {
                        if(DiamondThree.ani == 0)
                        {
                            if(DiamondThree.scaleX >= .9)
                            {
                                DiamondThree.ani = 1
                                game.score += 1;
                            }
                        }
                    }
                    //Collison with Diamond 4
                    if(this.intersect(DiamondFour))
                    {
                        if(DiamondFour.ani == 0)
                        {
                            if(DiamondFour.scaleX >= .9)
                            {
                                DiamondTwo.ani = 1
                                game.score += 1;
                            }
                        }
                    }
                    //Collison with Diamond 5
                    if(this.intersect(DiamondFive))
                    {
                        if(DiamondFive.ani == 0)
                        {
                            if(DiamondFive.scaleX >= .9)
                            {
                                DiamondFive.ani = 1
                                game.score += 1;
                            }
                        }
                    }
                    //Collison with Mine 1
                    if(this.intersect(MineOne))
                    {
                        if(this.ani == 0)
                        {
                            if(MineOne.scaleX >= .9)
                            {
                                MineOne.ani = 1
                                this.ani = -1;
                                Jet.ani = -1;
                            }
                        }
                    }
                    //Jump
                    if(game.input.a)
                    {
                        if(this.ani == 0)
                        {
                            this.ani = 1;
                        }
                    }
                    //End Conditions
                    if(Gate.frame == 5)
                    {
                        if(game.score <= (game.scoreGoal - 1))
                        {
                            this.ani = -1;
                            Jet.ani = -1;
                            Gate.frame = 5;
                        }
                        else
                        {
                            PearlOne.spawnTimer = 0;
                        }
                    }
                });

                
                
            }
        });

        var SpecialStageTwo = Class.create(Scene, {
            initialize: function(){
                
                console.log("Special Stage Two");
                Scene.apply(this);
                
                var Gate = new D3Gate();
                var Floor = new D3Floor();
                var D3Player = new D3Lloyd();
                var Jet = new D3Jet();
                var DiamondOne = new Diamond();
                var DiamondTwo = new Diamond();
                var DiamondThree = new Diamond();
                var DiamondFour = new Diamond();
                var DiamondFive = new Diamond();
                var MineOne = new Mine();
                var PearlOne = new Pearl()
                var ScoreDisplay = new Label();
                var fade = new Fade();
                game.score = 0;
                game.scoreGoal = 5;
                ScoreDisplay.text = (game.score + "/" + game.scoreGoal);

                this.addChild(Gate);
                this.addChild(Floor);
                this.addChild(DiamondOne);
                this.addChild(PearlOne);
                this.addChild(DiamondTwo);
                this.addChild(DiamondThree);
                this.addChild(DiamondFour);
                this.addChild(DiamondFive);
                this.addChild(MineOne);
                this.addChild(D3Player);
                this.addChild(ScoreDisplay);

                this.addEventListener(Event.ENTER_FRAME, function(){
                    if(D3Player.scaleX == 1)
                    {
                        this.addChild(Jet);
                        ScoreDisplay.text = (game.score + "/" + game.scoreGoal);
                    }
                    if(Gate.gateTime == 0)
                    {
                        this.removeChild(DiamondOne);
                        this.removeChild(DiamondTwo);
                        this.removeChild(DiamondThree);
                        this.removeChild(DiamondFour);
                        this.removeChild(DiamondFive);
                        this.removeChild(MineOne);
                    }
                    if(D3Player.y >= stgHeight)
                    {
                        this.addChild(fade);
                        fade.ani = 1;
                    }
                    if(D3Player.intersect(PearlOne))
                    {
                        if(PearlOne.scaleX >= 0.9)
                        {
                            game.lives ++;
                            this.removeChild(PearlOne);
                            this.addChild(fade);
                            fade.ani = 1;
                        }
                    }
                    if(fade.opacity >= 0.9)
                    {
                        game.pushScene(levelTen);
                    }
                });

                D3Player.addEventListener(Event.ENTER_FRAME, function(){
                    //Collision with Jet
                    if(this.ani >= 0)
                    {
                        if(this.intersect(Jet) && (this.y <= Jet.y))
                        {
                            if(this.y + 68 >= Jet.y)
                            {
                                this.y = Jet.y - 58
                                this.ani = 0;
                                this.jumpHeight = 12;
                                this.x = Jet.x + 11;
                            }
                        }
                        else
                        {
                            if(this.ani == 0)
                            {
                                this.ani = 1;
                                this.frame = 5;
                                this.jumpHeight = 0;
                            }
                        }
                    }
                    //Collison with Diamond 1
                    if(this.intersect(DiamondOne))
                    {
                        if(DiamondOne.ani == 0)
                        {
                            if(DiamondOne.scaleX >= .9)
                            {
                                DiamondOne.ani = 1
                                game.score += 1;
                            }
                        }
                    }
                    //Collison with Diamond 2
                    if(this.intersect(DiamondTwo))
                    {
                        if(DiamondTwo.ani == 0)
                        {
                            if(DiamondTwo.scaleX >= .9)
                            {
                                DiamondTwo.ani = 1
                                game.score += 1;
                            }
                        }
                    }
                    //Collison with Diamond 3
                    if(this.intersect(DiamondThree))
                    {
                        if(DiamondThree.ani == 0)
                        {
                            if(DiamondThree.scaleX >= .9)
                            {
                                DiamondThree.ani = 1
                                game.score += 1;
                            }
                        }
                    }
                    //Collison with Diamond 4
                    if(this.intersect(DiamondFour))
                    {
                        if(DiamondFour.ani == 0)
                        {
                            if(DiamondFour.scaleX >= .9)
                            {
                                DiamondTwo.ani = 1
                                game.score += 1;
                            }
                        }
                    }
                    //Collison with Diamond 5
                    if(this.intersect(DiamondFive))
                    {
                        if(DiamondFive.ani == 0)
                        {
                            if(DiamondFive.scaleX >= .9)
                            {
                                DiamondFive.ani = 1
                                game.score += 1;
                            }
                        }
                    }
                    //Collison with Mine 1
                    if(this.intersect(MineOne))
                    {
                        if(this.ani == 0)
                        {
                            if(MineOne.scaleX >= .9)
                            {
                                MineOne.ani = 1
                                this.ani = -1;
                                Jet.ani = -1;
                            }
                        }
                    }
                    //Jump
                    if(game.input.a)
                    {
                        if(this.ani == 0)
                        {
                            this.ani = 1;
                        }
                    }
                    //End Conditions
                    if(Gate.frame == 5)
                    {
                        if(game.score <= (game.scoreGoal - 1))
                        {
                            this.ani = -1;
                            Jet.ani = -1;
                            Gate.frame = 5;
                        }
                        else
                        {
                            PearlOne.spawnTimer = 0;
                        }
                    }
                });

                
                
            }
        });
        var GameOverScene = Class.create(Scene, {
                initialize: function(){
                    console.log("Game Over");
                    Scene.apply(this);

                    var Bg = new Sprite(432,243)
                    Bg.image = game.assets['img/bg/wasteland.png'];
                    Bg.opacity = 0;
                    var nukedCity = new Sprite(432,243)
                    nukedCity.image = game.assets['img/bg/city.png'];
                    nukedCity.timer = 150;
                    gameover = new GameOver();
                    gameover.x = 216;

                    this.addChild(Bg);
                    Bg.addEventListener(Event.ENTER_FRAME, function(){
                        if(this.age % 2 === 0)
                        {
                            if(this.frame <= 1)
                            {
                                this.frame ++;
                            }
                            else
                            {
                                this.frame = 0;
                            }
                        }
                        if(this.opacity <= 0.99)
                        {
                            this.opacity += 0.01;
                        }
                    });
                    this.addEventListener(Event.ENTER_FRAME, function(){
                        if(Bg.opacity >= 0.99)
                        {
                            this.addChild(gameover);
                        }
                    });
                }
            });
        //Initialize Scenes
        gameOverScreen = new GameOverScene();
        game.pushScene(gameOverScreen);
        ending = new EndCredits();
        game.pushScene(ending);
        levelTwelve = new ChernobylTwo();
        game.pushScene(levelTwelve);
        levelEleven = new ChernobylOne();
        game.pushScene(levelEleven);
        levelTen = new EgyptTwo();
        game.pushScene(levelTen);
        levelNineCutscene = new EgyptCutscene();
        game.pushScene(levelNineCutscene);
        levelNine = new EgyptOne();
        game.pushScene(levelNine);
        levelEightTwo = new AthensTwoBoss();
        game.pushScene(levelEightTwo);
        levelEight = new AthensTwo();
        game.pushScene(levelEight);
        levelSeven = new AthensOne();
        game.pushScene(levelSeven);
        cutsceneOne = new CutsceneOne();
        game.pushScene(cutsceneOne);
        specialTwo = new SpecialStageTwo();
        game.pushScene(specialTwo);
        specialOne = new SpecialStageOne();
        game.pushScene(specialOne);
        levelSix = new FranceTwo();
        game.pushScene(levelSix);
        levelFive = new FranceOne();
        game.pushScene(levelFive);
        levelFour = new NewYorkCityTwo();
        game.pushScene(levelFour);
        levelThree = new NewYorkCityOne();
        game.pushScene(levelThree);
        levelTwo = new MonkeyCityTwo();
        game.pushScene(levelTwo);
        levelOne = new MonkeyCityOne();
        game.pushScene(levelOne);
        title = new OpeningScene();
        game.pushScene(title);
        
    }
    game.start(); //Begin the game
}